// Resource file for Finnish Defence Forces mod v1.4
// Modified by Faguss (ofp-faguss.com) 11.12.19

#include "..\..\Aspect_Ratio.hpp"


// Poseidon resources file

// Include from dikCodes.h
#ifndef DIJ_RINGZERO

/****************************************************************************
 *
 *      DirectInput keyboard scan codes
 *
 ****************************************************************************/

#define DIK_ESCAPE          0x01
#define DIK_1               0x02
#define DIK_2               0x03
#define DIK_3               0x04
#define DIK_4               0x05
#define DIK_5               0x06
#define DIK_6               0x07
#define DIK_7               0x08
#define DIK_8               0x09
#define DIK_9               0x0A
#define DIK_0               0x0B
#define DIK_MINUS           0x0C    /* - on main keyboard */
#define DIK_EQUALS          0x0D
#define DIK_BACK            0x0E    /* backspace */
#define DIK_TAB             0x0F
#define DIK_Q               0x10
#define DIK_W               0x11
#define DIK_E               0x12
#define DIK_R               0x13
#define DIK_T               0x14
#define DIK_Y               0x15
#define DIK_U               0x16
#define DIK_I               0x17
#define DIK_O               0x18
#define DIK_P               0x19
#define DIK_LBRACKET        0x1A
#define DIK_RBRACKET        0x1B
#define DIK_RETURN          0x1C    /* Enter on main keyboard */
#define DIK_LCONTROL        0x1D
#define DIK_A               0x1E
#define DIK_S               0x1F
#define DIK_D               0x20
#define DIK_F               0x21
#define DIK_G               0x22
#define DIK_H               0x23
#define DIK_J               0x24
#define DIK_K               0x25
#define DIK_L               0x26
#define DIK_SEMICOLON       0x27
#define DIK_APOSTROPHE      0x28
#define DIK_GRAVE           0x29    /* accent grave */
#define DIK_LSHIFT          0x2A
#define DIK_BACKSLASH       0x2B
#define DIK_Z               0x2C
#define DIK_X               0x2D
#define DIK_C               0x2E
#define DIK_V               0x2F
#define DIK_B               0x30
#define DIK_N               0x31
#define DIK_M               0x32
#define DIK_COMMA           0x33
#define DIK_PERIOD          0x34    /* . on main keyboard */
#define DIK_SLASH           0x35    /* / on main keyboard */
#define DIK_RSHIFT          0x36
#define DIK_MULTIPLY        0x37    /* * on numeric keypad */
#define DIK_LMENU           0x38    /* left Alt */
#define DIK_SPACE           0x39
#define DIK_CAPITAL         0x3A
#define DIK_F1              0x3B
#define DIK_F2              0x3C
#define DIK_F3              0x3D
#define DIK_F4              0x3E
#define DIK_F5              0x3F
#define DIK_F6              0x40
#define DIK_F7              0x41
#define DIK_F8              0x42
#define DIK_F9              0x43
#define DIK_F10             0x44
#define DIK_NUMLOCK         0x45
#define DIK_SCROLL          0x46    /* Scroll Lock */
#define DIK_NUMPAD7         0x47
#define DIK_NUMPAD8         0x48
#define DIK_NUMPAD9         0x49
#define DIK_SUBTRACT        0x4A    /* - on numeric keypad */
#define DIK_NUMPAD4         0x4B
#define DIK_NUMPAD5         0x4C
#define DIK_NUMPAD6         0x4D
#define DIK_ADD             0x4E    /* + on numeric keypad */
#define DIK_NUMPAD1         0x4F
#define DIK_NUMPAD2         0x50
#define DIK_NUMPAD3         0x51
#define DIK_NUMPAD0         0x52
#define DIK_DECIMAL         0x53    /* . on numeric keypad */
#define DIK_OEM_102         0x56    /* < > | on UK/Germany keyboards */
#define DIK_F11             0x57
#define DIK_F12             0x58

#define DIK_F13             0x64    /*                     (NEC PC98) */
#define DIK_F14             0x65    /*                     (NEC PC98) */
#define DIK_F15             0x66    /*                     (NEC PC98) */

#define DIK_KANA            0x70    /* (Japanese keyboard)            */
#define DIK_ABNT_C1         0x73    /* / ? on Portugese (Brazilian) keyboards */
#define DIK_CONVERT         0x79    /* (Japanese keyboard)            */
#define DIK_NOCONVERT       0x7B    /* (Japanese keyboard)            */
#define DIK_YEN             0x7D    /* (Japanese keyboard)            */
#define DIK_ABNT_C2         0x7E    /* Numpad . on Portugese (Brazilian) keyboards */
#define DIK_NUMPADEQUALS    0x8D    /* = on numeric keypad (NEC PC98) */
#define DIK_PREVTRACK       0x90    /* Previous Track (DIK_CIRCUMFLEX on Japanese keyboard) */
#define DIK_AT              0x91    /*                     (NEC PC98) */
#define DIK_COLON           0x92    /*                     (NEC PC98) */
#define DIK_UNDERLINE       0x93    /*                     (NEC PC98) */
#define DIK_KANJI           0x94    /* (Japanese keyboard)            */
#define DIK_STOP            0x95    /*                     (NEC PC98) */
#define DIK_AX              0x96    /*                     (Japan AX) */
#define DIK_UNLABELED       0x97    /*                        (J3100) */
#define DIK_NEXTTRACK       0x99    /* Next Track */
#define DIK_NUMPADENTER     0x9C    /* Enter on numeric keypad */
#define DIK_RCONTROL        0x9D
#define DIK_MUTE            0xA0    /* Mute */
#define DIK_CALCULATOR      0xA1    /* Calculator */
#define DIK_PLAYPAUSE       0xA2    /* Play / Pause */
#define DIK_MEDIASTOP       0xA4    /* Media Stop */
#define DIK_VOLUMEDOWN      0xAE    /* Volume - */
#define DIK_VOLUMEUP        0xB0    /* Volume + */
#define DIK_WEBHOME         0xB2    /* Web home */
#define DIK_NUMPADCOMMA     0xB3    /* , on numeric keypad (NEC PC98) */
#define DIK_DIVIDE          0xB5    /* / on numeric keypad */
#define DIK_SYSRQ           0xB7
#define DIK_RMENU           0xB8    /* right Alt */
#define DIK_PAUSE           0xC5    /* Pause */
#define DIK_HOME            0xC7    /* Home on arrow keypad */
#define DIK_UP              0xC8    /* UpArrow on arrow keypad */
#define DIK_PRIOR           0xC9    /* PgUp on arrow keypad */
#define DIK_LEFT            0xCB    /* LeftArrow on arrow keypad */
#define DIK_RIGHT           0xCD    /* RightArrow on arrow keypad */
#define DIK_END             0xCF    /* End on arrow keypad */
#define DIK_DOWN            0xD0    /* DownArrow on arrow keypad */
#define DIK_NEXT            0xD1    /* PgDn on arrow keypad */
#define DIK_INSERT          0xD2    /* Insert on arrow keypad */
#define DIK_DELETE          0xD3    /* Delete on arrow keypad */
#define DIK_LWIN            0xDB    /* Left Windows key */
#define DIK_RWIN            0xDC    /* Right Windows key */
#define DIK_APPS            0xDD    /* AppMenu key */
#define DIK_POWER           0xDE    /* System Power */
#define DIK_SLEEP           0xDF    /* System Sleep */
#define DIK_WAKE            0xE3    /* System Wake */
#define DIK_WEBSEARCH       0xE5    /* Web Search */
#define DIK_WEBFAVORITES    0xE6    /* Web Favorites */
#define DIK_WEBREFRESH      0xE7    /* Web Refresh */
#define DIK_WEBSTOP         0xE8    /* Web Stop */
#define DIK_WEBFORWARD      0xE9    /* Web Forward */
#define DIK_WEBBACK         0xEA    /* Web Back */
#define DIK_MYCOMPUTER      0xEB    /* My Computer */
#define DIK_MAIL            0xEC    /* Mail */
#define DIK_MEDIASELECT     0xED    /* Media Select */

/*
 *  Alternate names for keys, to facilitate transition from DOS.
 */
#define DIK_BACKSPACE       DIK_BACK            /* backspace */
#define DIK_NUMPADSTAR      DIK_MULTIPLY        /* * on numeric keypad */
#define DIK_LALT            DIK_LMENU           /* left Alt */
#define DIK_CAPSLOCK        DIK_CAPITAL         /* CapsLock */
#define DIK_NUMPADMINUS     DIK_SUBTRACT        /* - on numeric keypad */
#define DIK_NUMPADPLUS      DIK_ADD             /* + on numeric keypad */
#define DIK_NUMPADPERIOD    DIK_DECIMAL         /* . on numeric keypad */
#define DIK_NUMPADSLASH     DIK_DIVIDE          /* / on numeric keypad */
#define DIK_RALT            DIK_RMENU           /* right Alt */
#define DIK_UPARROW         DIK_UP              /* UpArrow on arrow keypad */
#define DIK_PGUP            DIK_PRIOR           /* PgUp on arrow keypad */
#define DIK_LEFTARROW       DIK_LEFT            /* LeftArrow on arrow keypad */
#define DIK_RIGHTARROW      DIK_RIGHT           /* RightArrow on arrow keypad */
#define DIK_DOWNARROW       DIK_DOWN            /* DownArrow on arrow keypad */
#define DIK_PGDN            DIK_NEXT            /* PgDn on arrow keypad */

/*
 *  Alternate names for keys originally not used on US keyboards.
 */
#define DIK_CIRCUMFLEX      DIK_PREVTRACK       /* Japanese keyboard */

#endif /* DIJ_RINGZERO */

// End of dikCodes.h include

#define INSIDE_RESOURCE
// Include from resincl.hpp
/*******************/
/*  Tactical menu  */
/*******************/

// Menu commands
	// main menu
#define CMD_SEPARATOR			-1
#define CMD_NOTHING				-2
#define CMD_HIDE_MENU			-3
#define CMD_BACK					-4

enum
{
// note: this CMD should be if possible organized as is menu
// (items from the same menu together)
// this makes searching much easier

//main menu level
//CMD_ATTACK,
CMD_WATCH,
CMD_GETIN,
CMD_GETOUT,
CMD_ACTION,

// move submenu

// other commands
CMD_ADVANCE,
CMD_STAY_BACK,
CMD_FLANK_LEFT,
CMD_FLANK_RIGHT,
CMD_NEXT_WAYPOINT,
CMD_HIDE,
CMD_JOIN,
CMD_STOP,
CMD_EXPECT,
CMD_MOVE_SUBMENU,


	// formations
CMD_FORM_COLUMN,
CMD_FORM_STAGCOL,
CMD_FORM_WEDGE,
CMD_FORM_ECHLEFT,
CMD_FORM_ECHRIGHT,
CMD_FORM_VEE,
CMD_FORM_LINE,

// engage
CMD_ENGAGE,
CMD_LOOSE_FORM,
CMD_KEEP_FORM,

CMD_HOLD_FIRE,
CMD_OPEN_FIRE,
CMD_FIRE,
// status
CMD_WATCH_AROUND,
CMD_WATCH_AUTO,
CMD_WATCH_SUBMENU,

#define	N_WATCH_DIR				8
CMD_WATCH_FIRST,
CMD_WATCH_N,
CMD_WATCH_NE,
CMD_WATCH_E,
CMD_WATCH_SE,
CMD_WATCH_S,
CMD_WATCH_SW,
CMD_WATCH_W,
CMD_WATCH_NW,

	// combat modes
CMD_STEALTH,
CMD_COMBAT,
CMD_AWARE,
CMD_SAFE,

CMD_POS_UP,
CMD_POS_DOWN,
CMD_POS_AUTO,
	// teams
CMD_TEAM_MAIN,
CMD_TEAM_RED,
CMD_TEAM_GREEN,
CMD_TEAM_BLUE,
CMD_TEAM_YELLOW,
CMD_ASSIGN_MAIN,
CMD_ASSIGN_RED,
CMD_ASSIGN_GREEN,
CMD_ASSIGN_BLUE,
CMD_ASSIGN_YELLOW,


// radio
CMD_RADIO_ALPHA,
CMD_RADIO_BRAVO,
CMD_RADIO_CHARLIE,
CMD_RADIO_DELTA,
CMD_RADIO_ECHO,
CMD_RADIO_FOXTROT,
CMD_RADIO_GOLF,
CMD_RADIO_HOTEL,
CMD_RADIO_INDIA,
CMD_RADIO_JULIET,

// reply commands

CMD_REPLY_DONE,
CMD_REPLY_FAIL,
CMD_REPLY_COPY,
CMD_REPLY_REPEAT,
CMD_REPLY_WHERE_ARE_YOU,
CMD_REPORT,
CMD_REPLY_ENGAGING,
CMD_REPLY_UNDER_FIRE,
CMD_REPLY_HIT,
CMD_REPLY_ONE_LESS,
CMD_REPLY_FIREREADY,
CMD_REPLY_FIRENOTREADY,
CMD_REPLY_KILLED,
CMD_REPLY_AMMO_LOW,
CMD_REPLY_FUEL_LOW,
CMD_REPLY_INJURED,

//#define CMD_FIRST_REPLY		CMD_REPLY_DONE
//#define CMD_LAST_REPLY		CMD_REPLY_INJURED

CMD_SUPPORT_MEDIC,
CMD_SUPPORT_REPAIR,
CMD_SUPPORT_REARM,
CMD_SUPPORT_REFUEL,
CMD_SUPPORT_DONE,

//#define CMD_FIRST_SUPPORT		CMD_SUPPORT_MEDIC
//#define CMD_LAST_SUPPORT		CMD_SUPPORT_REFUEL

CMD_RADIO_CUSTOM,
CMD_RADIO_CUSTOM_1,
CMD_RADIO_CUSTOM_2,
CMD_RADIO_CUSTOM_3,
CMD_RADIO_CUSTOM_4,
CMD_RADIO_CUSTOM_5,
CMD_RADIO_CUSTOM_6,
CMD_RADIO_CUSTOM_7,
CMD_RADIO_CUSTOM_8,
CMD_RADIO_CUSTOM_9,
CMD_RADIO_CUSTOM_0
};

//#define CMD_FIRST_MAIN		CMD_ATTACK
//#define CMD_LAST_MAIN			CMD_NEXT_WAYPOINT

//#define CMD_FIRST_RADIO		CMD_RADIO_ALPHA
//#define CMD_LAST_RADIO		CMD_RADIO_JULIET
//#define CMD_FIRST_TANK		CMD_TANK_TARGET
//#define CMD_LAST_TANK			CMD_TANK_MOVE_NW

#define	N_MOVE_DIR				8
#define	N_MOVE_DIST				6
#define CMD_MOVE_FIRST		0x1000
#define CMD_MOVE_N				CMD_MOVE_FIRST + 0 * N_MOVE_DIST
#define CMD_MOVE_NE				CMD_MOVE_FIRST + 1 * N_MOVE_DIST
#define CMD_MOVE_E				CMD_MOVE_FIRST + 2 * N_MOVE_DIST
#define CMD_MOVE_SE				CMD_MOVE_FIRST + 3 * N_MOVE_DIST
#define CMD_MOVE_S				CMD_MOVE_FIRST + 4 * N_MOVE_DIST
#define CMD_MOVE_SW				CMD_MOVE_FIRST + 5 * N_MOVE_DIST
#define CMD_MOVE_W				CMD_MOVE_FIRST + 6 * N_MOVE_DIST
#define CMD_MOVE_NW				CMD_MOVE_FIRST + 7 * N_MOVE_DIST


//#define CMD_ATTACK_TARGET	0x2000
#define CMD_GETIN_TARGET	0x3000
#define N_GETIN_POS				5
//#define CMD_TARGET_TARGET	0x4000
#define CMD_WATCH_TARGET	0x5000
#define CMD_ACTION_TARGET	0x10000// last range - for enable / disable optimization
#define N_ACTIONS					0x100// max # of actions (except get in, get out)

/*******************/
/*  Controls			 */
/*******************/

// Control types
#define CT_STATIC						0
#define CT_BUTTON						1
#define CT_EDIT							2
#define CT_SLIDER						3
#define CT_COMBO						4
#define CT_LISTBOX					5
#define CT_TOOLBOX					6
#define CT_CHECKBOXES				7
#define CT_PROGRESS					8
#define CT_HTML							9
#define CT_STATIC_SKEW			10
#define CT_ACTIVETEXT				11
#define CT_TREE							12
#define CT_3DSTATIC					20
#define CT_3DACTIVETEXT			21
#define CT_3DLISTBOX				22
#define CT_3DHTML						23
#define CT_3DSLIDER					24
#define CT_3DEDIT						25
#define CT_OBJECT						80
#define CT_OBJECT_ZOOM			81
#define CT_OBJECT_CONTAINER	82
#define CT_OBJECT_CONT_ANIM	83
#define CT_USER							99

// Static styles
#define ST_HPOS						0x0F
#define ST_LEFT						0
#define ST_RIGHT					1
#define ST_CENTER					2
#define ST_UP							3
#define ST_DOWN						4
#define ST_VCENTER				5

#define ST_TYPE						0xF0
#define ST_SINGLE					0
#define ST_MULTI					16
#define ST_TITLE_BAR			32
#define ST_PICTURE				48
#define ST_FRAME					64
#define ST_BACKGROUND			80
#define ST_GROUP_BOX			96
#define ST_GROUP_BOX2			112
#define ST_HUD_BACKGROUND	128
#define ST_TILE_PICTURE		144
#define ST_WITH_RECT			160
#define ST_LINE						176

#define ST_SHADOW					256
#define ST_NO_RECT				512

#define ST_TITLE					ST_TITLE_BAR + ST_CENTER

// Slider styles
#define SL_DIR						0x01
#define SL_VERT						0
#define SL_HORZ						1

// Tree styles
#define TR_SHOWROOT				1
#define TR_AUTOCOLLAPSE		2

// MessageBox styles
#define MB_BUTTON_OK			1
#define MB_BUTTON_CANCEL	2

// Predefined controls
#define IDC_OK						1
#define IDC_CANCEL				2
#define IDC_AUTOCANCEL		3

#define IDC_MAP							51
#define IDC_WEATHER					52
#define IDC_POSITION				53
#define IDC_TIME						54
#define IDC_DATE						55
#define IDC_BRIEFING				56
#define IDC_MAP_NOTES				57
#define IDC_MAP_PLAN				58
#define IDC_MAP_GEAR				59
#define IDC_MAP_GROUP				60
//#define IDC_MAP_BRIEFING		61
//#define IDC_MAP_DEBRIEFING	62
#define IDC_RADIO_ALPHA			63
#define IDC_RADIO_BRAVO			64
#define IDC_RADIO_CHARLIE		65
#define IDC_RADIO_DELTA			66
#define IDC_RADIO_ECHO			67
#define IDC_RADIO_FOXTROT		68
#define IDC_RADIO_GOLF			69
#define IDC_RADIO_HOTEL			70
#define IDC_RADIO_INDIA			71
#define IDC_RADIO_JULIET		72
#define IDC_MAP_NAME				73
#define IDC_WARRANT					74
#define IDC_GPS							75

#define IDC_HSLIDER					98
#define IDC_VSLIDER					99

// Instances of display
#define IDD_MAIN							0
#define IDD_GAME							1
#define IDD_SINGLE_MISSION		2
#define IDD_OPTIONS						3
#define IDD_CONFIGURE					4
#define IDD_OPTIONS_VIDEO			5
#define IDD_OPTIONS_AUDIO			6
#define IDD_DIFFICULTY				7
#define IDD_MULTIPLAYER				8
#define IDD_MAIN_MAP					12
#define IDD_SAVE							13
#define IDD_END								14
#define IDD_SERVER						17
#define IDD_CLIENT						18
#define IDD_IP_ADDRESS				19
#define IDD_SERVER_SETUP			20
#define IDD_CLIENT_SETUP			21
#define IDD_CLIENT_WAIT				22
#define IDD_CHAT							24
#define IDD_CUSTOM_ARCADE			25
#define IDD_ARCADE_MAP				26
#define IDD_ARCADE_UNIT				27
#define IDD_ARCADE_WAYPOINT		28
#define IDD_TEMPLATE_SAVE			29
#define IDD_TEMPLATE_LOAD			30
#define IDD_LOGIN							31
#define IDD_INTEL							32
#define IDD_CAMPAIGN					33
#define IDD_CREDITS						34
#define IDD_INTEL_GETREADY		37
#define IDD_ARCADE_GROUP			40
#define IDD_ARCADE_SENSOR			41
#define IDD_NEW_USER					42
#define IDD_CAMPAIGN_LOAD			43
#define IDD_ARCADE_EFFECTS		44
#define IDD_ARCADE_MARKER			45
#define IDD_MISSION						46
#define IDD_INTRO							47
#define IDD_OUTRO							48
#define IDD_INTERRUPT					49
#define IDD_DEBRIEFING				50
#define IDD_SELECT_ISLAND			51
#define IDD_SERVER_GET_READY	52
#define IDD_CLIENT_GET_READY	53
#define IDD_INSERT_MARKER			54
#define IDD_VOICE_CHAT				55
#define IDD_DEBUG							56
#define IDD_HINTC							57
#define IDD_MISSION_END				58
#define IDD_SERVER_SIDE				59
#define IDD_CLIENT_SIDE				60
#define IDD_MULTIPLAYER_ROLE	61
#define IDD_AWARD							62
#define IDD_CHANNEL						63
#define IDD_PASSWORD					64
#define IDD_MP_PLAYERS				65
#define IDD_REVERT						66
#define IDD_WIZARD_TEMPLATE		67
#define IDD_WIZARD_MAP				68
#define IDD_PORT							69
#define IDD_MP_SETUP					70
#define IDD_FILTER						71

// InGameUI
#define IDD_UNITINFO					100
#define IDD_HINT							101

// MessageBoxes
#define IDD_MSG_DELETEPLAYER	200
#define IDD_MSG_DELETEGAME		201
#define IDD_MSG_CLEARTEMPLATE	202
#define IDD_MSG_EXITTEMPLATE	203
#define IDD_MSG_LAUNCHGAME		204	// ADDED IN PATCH 1.04

// Main display controls
#define IDC_MAIN_GAME					101
#define IDC_MAIN_OPTIONS			102
#define IDC_MAIN_TRAINING			103
#define IDC_MAIN_CUSTOM				104
#define IDC_MAIN_MULTIPLAYER	105
#define IDC_MAIN_QUIT					106
#define IDC_MAIN_CREDITS			107
#define IDC_MAIN_ARCADE				108
#define IDC_MAIN_PLAYER				109
#define IDC_MAIN_RANK					110
#define IDC_MAIN_ISLAND				111
#define IDC_MAIN_DATE					112
#define IDC_MAIN_MISSION			113
#define IDC_MAIN_CONTINUE			114
#define IDC_MAIN_EDITOR				115
#define IDC_MAIN_BOOK					116
#define IDC_MAIN_SINGLE				117
#define IDC_MAIN_VERSION			118

#define IDC_MAIN_LOAD					121
#define IDC_MAIN_SAVE					122

// Single mission display controls
#define IDC_SINGLE_MISSION			101
#define IDC_SINGLE_OVERVIEW			102
#define IDC_SINGLE_MISSION_PAD	103
#define IDC_SINGLE_DIFF					104
#define IDC_SINGLE_LOAD					105

// Game display controls
#define IDC_GAME_SELECT				301
#define IDC_SIDE_NAME					101

// Options display controls
#define IDC_OPTIONS_VIDEO							101
#define IDC_OPTIONS_AUDIO							102
#define IDC_OPTIONS_CONFIGURE					103
#define IDC_OPTIONS_DIFFICULTY				104
#define IDC_OPTIONS_NOTEBOOK					105
#define IDC_OPTIONS_CREDITS						106

#define IDC_OPTIONS_QUALITY_VALUE			101
#define IDC_OPTIONS_QUALITY_SLIDER		102
#define IDC_OPTIONS_VISIBILITY_VALUE	103
#define IDC_OPTIONS_VISIBILITY_SLIDER	104
#define IDC_OPTIONS_RATE_VALUE				105
#define IDC_OPTIONS_RATE_SLIDER				106
#define IDC_OPTIONS_TEXTURES_VALUE		107
#define IDC_OPTIONS_TEXTURES_SLIDER		108
#define IDC_OPTIONS_GAMMA_VALUE 			109
#define IDC_OPTIONS_GAMMA_SLIDER 			110
#define IDC_OPTIONS_BRIGHT_VALUE 			111
#define IDC_OPTIONS_BRIGHT_SLIDER			112
#define IDC_OPTIONS_RESOLUTION				113
#define IDC_OPTIONS_REFRESH						114
#define IDC_OPTIONS_OBJSHADOWS				115
#define IDC_OPTIONS_VEHSHADOWS				116
#define IDC_OPTIONS_CLOUDLETS					117
#define IDC_OPTIONS_HWTL							118
#define IDC_OPTIONS_BLOOD							119
#define IDC_OPTIONS_MULTITEXTURING		120
#define IDC_OPTIONS_WBUFFER						121
#define IDC_OPTIONS_BLOOD_TEXT				122
#define IDC_OPTIONS_TERRAIN						123

#define IDC_OPTIONS_MUSIC_VALUE				101
#define IDC_OPTIONS_MUSIC_SLIDER			102
#define IDC_OPTIONS_EFFECTS_VALUE			103
#define IDC_OPTIONS_EFFECTS_SLIDER		104
#define IDC_OPTIONS_VOICES_VALUE			105
#define IDC_OPTIONS_VOICES_SLIDER			106
#define IDC_OPTIONS_SAMPLING					107
#define IDC_OPTIONS_HWACC							108
#define IDC_OPTIONS_EAX								109
#define IDC_OPTIONS_SINGLE_VOICE			110

#define IDC_DIFFICULTIES_DIFFICULTIES	101
#define IDC_OPTIONS_SUBTITLES					102
#define IDC_OPTIONS_RADIO							103
#define IDC_DIFFICULTIES_DEFAULT			104

// Configure display controls

#define IDC_CONFIG_DEFAULT						101
#define IDC_CONFIG_KEYS								102
#define IDC_CONFIG_XAXIS							103
#define IDC_CONFIG_YAXIS							104
#define IDC_CONFIG_YREVERSED					105
#define IDC_CONFIG_JOYSTICK						106
#define IDC_CONFIG_BUTTONS						107


// Multiplayer display controls
#define IDC_MULTI_TITLE								101
#define IDC_MULTI_SESSIONS						102
#define IDC_MULTI_REMOTE							103
#define IDC_MULTI_NEW									104
#define IDC_MULTI_JOIN								105
#define IDC_MULTI_NOTEBOOK						106
#define IDC_MULTI_PASSWORD						107
#define IDC_MULTI_PORT								108
#define IDC_MULTI_DPLAY								109
#define IDC_MULTI_GAMESPY							110
#define IDC_MULTI_SERVER_ICON					111
#define IDC_MULTI_SERVER_COLUMN				112
#define IDC_MULTI_MISSION_ICON				113
#define IDC_MULTI_MISSION_COLUMN			114
#define IDC_MULTI_STATE_ICON					115
#define IDC_MULTI_STATE_COLUMN				116
#define IDC_MULTI_PLAYERS_ICON				117
#define IDC_MULTI_PLAYERS_COLUMN			118
#define IDC_MULTI_PING_ICON						119
#define IDC_MULTI_PING_COLUMN					120
#define IDC_MULTI_PROGRESS						121
#define IDC_MULTI_INTERNET						122
#define IDC_MULTI_REFRESH							123
#define IDC_MULTI_FILTER							124
#define IDC_MULTI_SERVER_FILTER				125
#define IDC_MULTI_MISSION_FILTER			126	
#define IDC_MULTI_PLAYERS_FILTER			127
#define IDC_MULTI_PING_FILTER					128

#define IDC_PASSWORD									101

#define IDC_IP_ADDRESS								101
#define IDC_IP_PORT										102

#define IDC_PORT_PORT									101

#define IDC_FILTER_SERVER							101
#define IDC_FILTER_MISSION						102
#define IDC_FILTER_MAXPING						103
#define IDC_FILTER_MINPLAYERS					104
#define IDC_FILTER_MAXPLAYERS					105
#define IDC_FILTER_FULL								106
#define IDC_FILTER_PASSWORDED					107
#define IDC_FILTER_DEFAULT						108

#define IDC_CLIENT_TEXT								101
#define IDC_CLIENT_PLAYERS						102

#define IDC_SERVER_ISLAND							101
#define IDC_SERVER_MISSION						102
#define IDC_SERVER_EDITOR							103
#define IDC_SERVER_DIFF								104
#define IDC_SERVER_PLAYERS						105

#define IDC_WIZT_TEMPLATES						101
#define IDC_WIZT_OVERVIEW							102
#define IDC_WIZT_NAME									103

#define IDC_WIZM_EDIT									101

#define IDC_SRVSETUP_PLAYERS					101
#define IDC_SRVSETUP_UNITS						102
#define IDC_SRVSETUP_ISLAND						103
#define IDC_SRVSETUP_NAME							104
#define IDC_SRVSETUP_DESC							105
#define IDC_SRVSETUP_ASSIGN						106
#define IDC_SRVSETUP_UNASSIGN					107
#define IDC_SRVSETUP_RANDOM						108
#define IDC_SRVSETUP_PARAM1						109
#define IDC_SRVSETUP_PARAM1_TEXT			110
#define IDC_SRVSETUP_PARAM2						111
#define IDC_SRVSETUP_PARAM2_TEXT			112

#define IDC_SRVSIDE_NAME							101
#define IDC_SRVSIDE_ISLAND						102
#define IDC_SRVSIDE_POOL							103
#define IDC_SRVSIDE_WEST							104
#define IDC_SRVSIDE_EAST							105
#define IDC_SRVSIDE_RESIST						106
#define IDC_SRVSIDE_CIVIL							107
#define IDC_SRVSIDE_WEST_TEXT					108
#define IDC_SRVSIDE_EAST_TEXT					109
#define IDC_SRVSIDE_RESIST_TEXT				110
#define IDC_SRVSIDE_CIVIL_TEXT				111
#define IDC_SRVSIDE_DEFAULT						112
#define IDC_SRVSIDE_PARAM1						113
#define IDC_SRVSIDE_PARAM1_TEXT				114
#define IDC_SRVSIDE_PARAM2						115
#define IDC_SRVSIDE_PARAM2_TEXT				116
#define IDC_SRVSIDE_PLAYERS						117

#define IDC_MPROLE_TITLE							101
#define IDC_MPROLE_NAME								102
#define IDC_MPROLE_ISLAND							103
#define IDC_MPROLE_DESC								104
#define IDC_MPROLE_POOL								105
#define IDC_MPROLE_POOL_TEXT					106
#define IDC_MPROLE_ROLES							107
#define IDC_MPROLE_DEFAULT						108
#define IDC_MPROLE_ENABLE							109
#define IDC_MPROLE_SIDES							110
#define IDC_MPROLE_ENABLE_ALL					111

#define IDC_CLIENT_GAME								101

#define IDC_CLIENTMAP_START1					101
#define IDC_CLIENTMAP_START2					102

#define IDC_SERVER_READY_PLAYERS			110
#define IDC_CLIENT_READY_PLAYERS			110

#define IDC_MP_PLAYERS								101
#define IDC_MP_PL											102
#define IDC_MP_PL_NAME								103
#define IDC_MP_PL_MAIL								104
#define IDC_MP_PL_ICQ									105
#define IDC_MP_PL_REMARK							106
#define IDC_MP_SQ											107
#define IDC_MP_SQ_NAME								108
#define IDC_MP_SQ_ID									109
#define IDC_MP_SQ_MAIL								110
#define IDC_MP_SQ_WEB									111
#define IDC_MP_SQ_PICTURE							112
#define IDC_MP_SQ_TITLE								113
#define IDC_MP_KICKOFF								114
#define IDC_MP_BAN										115
#define IDC_MP_PL_MISSION							116
#define IDC_MP_PL_ISLAND							117
#define IDC_MP_PL_TIME								118
#define IDC_MP_PL_MINPING             119
#define IDC_MP_PL_AVGPING             120
#define IDC_MP_PL_MAXPING             121
#define IDC_MP_PL_MINBAND             122
#define IDC_MP_PL_AVGBAND             123
#define IDC_MP_PL_MAXBAND             124
#define IDC_MP_PL_DESYNC              125
#define IDC_MP_PL_REST								126

#define IDC_CLIENT_WAIT_TITLE					130 // is used together with MP_PL

#define IDC_MPSETUP_NAME							101
#define IDC_MPSETUP_ISLAND						102
#define IDC_MPSETUP_DESC							103
#define IDC_MPSETUP_WEST							104
#define IDC_MPSETUP_EAST							105
#define IDC_MPSETUP_GUERRILA					106
#define IDC_MPSETUP_CIVILIAN					107
#define IDC_MPSETUP_ROLES_TITLE				108
#define IDC_MPSETUP_ROLES							109
#define IDC_MPSETUP_PARAM1_TITLE			110
#define IDC_MPSETUP_PARAM1						111
#define IDC_MPSETUP_PARAM2_TITLE			112
#define IDC_MPSETUP_PARAM2						113
#define IDC_MPSETUP_POOL							114
#define IDC_MPSETUP_MESSAGE						115
#define IDC_MPSETUP_KICK							116
#define IDC_MPSETUP_ENABLE_ALL				117
#define IDC_MPSETUP_LOCK							118

// Main map display controls
#define IDC_MAP_WATCH									101
#define IDC_MAP_COMPASS								102
#define IDC_MAP_WALKIE_TALKIE					103
#define IDC_MAP_NOTEPAD								104
#define IDC_MAP_WARRANT								105
#define IDC_MAP_GPS										106

// Select island display controls
#define IDC_SELECT_ISLAND							101
#define IDC_SELECT_ISLAND_NOTEBOOK		102
#define IDC_SELECT_ISLAND_WIZARD			103			

// Custom arcade display controls
#define IDC_CUST_GAME									101
#define IDC_CUST_PLAY									102
#define IDC_CUST_EDIT									103
#define IDC_CUST_DELETE								104

#define IDC_ARCMAP_LOAD								101
#define IDC_ARCMAP_SAVE								102
#define IDC_ARCMAP_CLEAR							103
#define IDC_ARCMAP_MODE								104
#define IDC_ARCMAP_INTEL							105
#define IDC_ARCMAP_MERGE							106
#define IDC_ARCMAP_PREVIEW						107
#define IDC_ARCMAP_CONTINUE						108
#define IDC_ARCMAP_SECTION						109
#define IDC_ARCMAP_DIFF								110
#define IDC_ARCMAP_IDS								111
#define IDC_ARCMAP_TEXTURES						112

#define IDC_ARCUNIT_TITLE							101
#define IDC_ARCUNIT_SIDE							102						
#define IDC_ARCUNIT_VEHICLE						103
#define IDC_ARCUNIT_RANK							104
#define IDC_ARCUNIT_CTRL							105
#define IDC_ARCUNIT_CLASS							107
#define IDC_ARCUNIT_HEALTH						108
#define IDC_ARCUNIT_FUEL							109
#define IDC_ARCUNIT_AMMO							110
#define IDC_ARCUNIT_AZIMUT						111
#define IDC_ARCUNIT_SPECIAL						112
#define IDC_ARCUNIT_AGE								113
#define IDC_ARCUNIT_AZIMUT_PICTURE		114
#define IDC_ARCUNIT_PLACE							115
#define IDC_ARCUNIT_PRESENCE					116
#define IDC_ARCUNIT_PRESENCE_COND			117
#define IDC_ARCUNIT_TEXT							118
#define IDC_ARCUNIT_LOCK							119
#define IDC_ARCUNIT_INIT							120
#define IDC_ARCUNIT_SKILL							121

#define IDC_ARCGRP_SIDE								101
#define IDC_ARCGRP_TYPE								102
#define IDC_ARCGRP_NAME								103
#define IDC_ARCGRP_AZIMUT							104
#define IDC_ARCGRP_AZIMUT_PICTURE			105

#define IDC_ARCWP_TITLE								101
#define IDC_ARCWP_TYPE								102
#define IDC_ARCWP_SEQ									103
#define IDC_ARCWP_DESC								104
#define IDC_ARCWP_SEMAPHORE						105
#define IDC_ARCWP_FORM								106
#define IDC_ARCWP_SPEED								107
#define IDC_ARCWP_COMBAT							108
#define IDC_ARCWP_PLACE								109
#define IDC_ARCWP_EFFECTS							110
#define IDC_ARCWP_TIMEOUT_MIN					111
#define IDC_ARCWP_TIMEOUT_MAX					112
#define IDC_ARCWP_TIMEOUT_MID					113
#define IDC_ARCWP_HOUSEPOS						114
#define	IDC_ARCWP_HOUSEPOSTEXT				115
#define IDC_ARCWP_EXPACTIV						116
#define IDC_ARCWP_SHOW								117
#define IDC_ARCWP_EXPCOND							118
#define IDC_ARCWP_SCRIPT							119

#define IDC_ARCEFF_CAMERA							101
#define IDC_ARCEFF_CAMPOS							102
#define IDC_ARCEFF_SOUND							103
#define IDC_ARCEFF_VOICE							104
#define IDC_ARCEFF_SOUND_ENV					105
#define IDC_ARCEFF_SOUND_DET					106
#define IDC_ARCEFF_MUSIC							107
#define IDC_ARCEFF_TITTYPE						108
#define IDC_ARCEFF_TITEFF							109
#define IDC_ARCEFF_TITTEXT						110
#define IDC_ARCEFF_TITRES							111
#define IDC_ARCEFF_TITOBJ							112
//#define IDC_ARCEFF_PLAYERONLY					113
#define IDC_ARCEFF_CONDITION					113
#define IDC_ARCEFF_TEXT_TITTEXT				114

#define IDC_ARCSENS_TITLE							101
#define IDC_ARCSENS_A									102
#define IDC_ARCSENS_B									103
#define IDC_ARCSENS_ANGLE							104
#define IDC_ARCSENS_ACTIV							105
#define IDC_ARCSENS_PRESENCE					106
#define IDC_ARCSENS_REPEATING					107
#define IDC_ARCSENS_INTERRUPT					108
#define IDC_ARCSENS_TIMEOUT_MIN				109
#define IDC_ARCSENS_TIMEOUT_MAX				110
#define IDC_ARCSENS_TIMEOUT_MID				111
#define IDC_ARCSENS_TYPE							112
#define IDC_ARCSENS_OBJECT						113
#define IDC_ARCSENS_TEXT							114
#define IDC_ARCSENS_AGE								115
#define IDC_ARCSENS_EFFECTS						116
#define IDC_ARCSENS_EXPCOND						117
#define IDC_ARCSENS_EXPACTIV					118
#define IDC_ARCSENS_EXPDESACTIV				119
#define IDC_ARCSENS_RECT							120
#define IDC_ARCSENS_NAME							121

#define IDC_ARCMARK_TITLE							101
#define IDC_ARCMARK_NAME							102
#define IDC_ARCMARK_MARKER						103
#define IDC_ARCMARK_TYPE							104
#define IDC_ARCMARK_COLOR							105
#define IDC_ARCMARK_A									106
#define IDC_ARCMARK_B									107
#define IDC_ARCMARK_ANGLE							108
#define IDC_ARCMARK_TYPE_TEXT					109
#define IDC_ARCMARK_FILL							110
#define IDC_ARCMARK_TEXT							111

#define IDC_INTEL_RESISTANCE					101
#define IDC_INTEL_MONTH								102
#define IDC_INTEL_DAY									103
#define IDC_INTEL_HOUR								104
#define IDC_INTEL_MINUTE							105
#define IDC_INTEL_BRIEFING_NAME				106
#define IDC_INTEL_BRIEFING_DESC				107
#define IDC_INTEL_WEATHER							108
#define IDC_INTEL_FOG									109
#define IDC_INTEL_WEATHER_FORECAST		110
#define IDC_INTEL_FOG_FORECAST				111

// Chat
#define IDC_CHANNEL										101

#define IDC_CHAT											101

#define IDC_VOICE_CHAT								101

// Save / load template
#define IDC_TEMPL_NAME								101
#define IDC_TEMPL_TITLE								102
#define IDC_TEMPL_MODE								103
#define IDC_TEMPL_ISLAND							104

// Login display
#define IDC_LOGIN_USER								101
#define IDC_LOGIN_NEW									102
#define IDC_LOGIN_DELETE							103
#define IDC_LOGIN_EDIT								104
#define IDC_LOGIN_NOTEBOOK						105

#define IDC_NEW_USER_NAME							101
#define IDC_NEW_USER_FACE							102
#define IDC_NEW_USER_SPEAKER					103
#define IDC_NEW_USER_PITCH						104
#define IDC_NEW_USER_TITLE						105
#define IDC_NEW_USER_HEAD							106
#define IDC_NEW_USER_GLASSES					107
#define IDC_NEW_USER_NOTEBOOK					108
#define IDC_NEW_USER_HEAD_AREA				109
#define IDC_NEW_USER_ID								110
#define IDC_NEW_USER_SQUAD						111
#define IDC_NEW_USER_SQUAD_TEXT				112

// Interrupt display
#define IDC_INT_OPTIONS								101
#define IDC_INT_LOAD									102
#define IDC_INT_SAVE									103
#define IDC_INT_ABORT									104
#define IDC_INT_RETRY									105
#define IDC_INT_TITLE									106

// Mission end display
#define IDC_ME_SUBTITLE								101
#define IDC_ME_QUOTATION							102
#define IDC_ME_AUTHOR									103
#define IDC_ME_RETRY									104
#define IDC_ME_LOAD										105

// Get ready display
#define IDC_GETREADY_NAME							101
#define IDC_GETREADY_DESC							102
#define IDC_GETREADY_PRIMARY					105
#define IDC_GETREADY_SECONDARY				106
#define IDC_GETREADY_PLAYER						107
#define IDC_GETREADY_DATE							108
#define IDC_GETREADY_MODE							110
#define IDC_GETREADY_PRIMARY_TEXT			111
#define IDC_GETREADY_SECONDARY_TEXT		112
#define IDC_GETREADY_EDITMODE					113
#define	IDC_GETREADY_TITLE						114

// Debriefing
#define IDC_DEBRIEFING_LEFT						101
#define IDC_DEBRIEFING_RIGHT					102
#define IDC_DEBRIEFING_STAT						103
#define IDC_DEBRIEFING_RESTART				104
#define IDC_DEBRIEFING_PAD2						105
#define IDC_DEBRIEFING_PLAYERS_TITLE_BG	106
#define IDC_DEBRIEFING_PLAYERS_TITLE	107
#define IDC_DEBRIEFING_PLAYERS_BG			108
#define IDC_DEBRIEFING_PLAYERS				109

// Campaign display
#define IDC_CAMPAIGN_HISTORY					101
#define IDC_CAMPAIGN_MIS_NAME					102
#define IDC_CAMPAIGN_MIS_DESC					103
#define IDC_CAMPAIGN_BOOK							104
#define IDC_CAMPAIGN_CAMPAIGN					105
#define IDC_CAMPAIGN_PREV							106
#define IDC_CAMPAIGN_NEXT							107
#define IDC_CAMPAIGN_DESCRIPTION			108
#define IDC_CAMPAIGN_REPLAY						109
#define IDC_CAMPAIGN_DIFF							110
#define IDC_CAMPAIGN_MISSION					111

#define IDC_CAMPAIGN_DATE							112
#define IDC_CAMPAIGN_SCORE						113
#define IDC_CAMPAIGN_DURATION					114
#define IDC_CAMPAIGN_CASUALTIES				115
#define IDC_CAMPAIGN_KILLS_TITLE			116
#define IDC_CAMPAIGN_ENEMY_ROW				117
#define IDC_CAMPAIGN_FRIENDLY_ROW			118
#define IDC_CAMPAIGN_CIVILIAN_ROW			119
#define IDC_CAMPAIGN_INFANTRY_COLUMN	120
#define IDC_CAMPAIGN_SOFT_COLUMN			121
#define IDC_CAMPAIGN_ARMORED_COLUMN		122
#define IDC_CAMPAIGN_AIRCRAFT_COLUMN	123
#define IDC_CAMPAIGN_TOTAL_COLUMN			124
#define IDC_CAMPAIGN_EINF							125
#define IDC_CAMPAIGN_ESOFT						126
#define IDC_CAMPAIGN_EARM							127
#define IDC_CAMPAIGN_EAIR							128
#define IDC_CAMPAIGN_ETOT							129
#define IDC_CAMPAIGN_FINF							130
#define IDC_CAMPAIGN_FSOFT						131
#define IDC_CAMPAIGN_FARM							132
#define IDC_CAMPAIGN_FAIR							133
#define IDC_CAMPAIGN_FTOT							134
#define IDC_CAMPAIGN_CINF							135
#define IDC_CAMPAIGN_CSOFT						136
#define IDC_CAMPAIGN_CARM							137
#define IDC_CAMPAIGN_CAIR							138
#define IDC_CAMPAIGN_CTOT							139

// Revert display
#define IDC_REVERT_BOOK								101
#define IDC_REVERT_TITLE							102
#define IDC_REVERT_QUESTION						103

// Debug display
#define IDC_DEBUG_EXP									101
#define IDC_DEBUG_APPLY								102
#define IDC_DEBUG_LOG									103

#define IDC_DEBUG_EXP1								121
#define IDC_DEBUG_EXP2								122
#define IDC_DEBUG_EXP3								123
#define IDC_DEBUG_EXP4								124

#define IDC_DEBUG_RES1								141
#define IDC_DEBUG_RES2								142
#define IDC_DEBUG_RES3								143
#define IDC_DEBUG_RES4								144

// HintC display
#define IDC_HINTC_BG									101
#define IDC_HINTC_HINT								102

// Insert marker display
#define IDC_INSERT_MARKER							101
#define IDC_INSERT_MARKER_PICTURE			102

// InGameUI
// - unit info
#define IDC_IGUI_TIME									101
#define IDC_IGUI_DATE									102
#define IDC_IGUI_NAME									103
#define IDC_IGUI_UNIT									104
#define IDC_IGUI_VALUE_EXP						106
#define IDC_IGUI_COMBAT_MODE					107
#define IDC_IGUI_VALUE_HEALTH					109
#define IDC_IGUI_VALUE_ARMOR					111
#define IDC_IGUI_VALUE_FUEL						113
#define IDC_IGUI_CARGO_MAN						114
#define IDC_IGUI_CARGO_FUEL						115
#define IDC_IGUI_CARGO_REPAIR					116
#define IDC_IGUI_CARGO_AMMO						117
#define IDC_IGUI_WEAPON								118
#define IDC_IGUI_AMMO									119
#define IDC_IGUI_VEHICLE							120
#define IDC_IGUI_SPEED								121
#define IDC_IGUI_ALT									122
#define IDC_IGUI_FORMATION						123
#define IDC_IGUI_BG										124

// - hint
#define IDC_IGHINT_BG									101
#define IDC_IGHINT_HINT								102

// - load mission progress bar
#define IDC_LOAD_MISSION_NAME					101
#define IDC_LOAD_MISSION_DATE					102

// End of resincl.hpp include
#undef INSIDE_RESOURCE

// Include from sp_sentences.hpp
// speech sentences
// TODO: strings into stringtable

//Comment by Richard Blenkinsop
//Where items have been changed I have commented out the previous text and
//Put a new line in with the new text. 

#define ReadAndWrite 0 //! any modifications enabled
#define ReadAndCreate 1 //! only adding new class members is allowed
#define ReadOnly 2 //! no modifications enabled
#define ReadOnlyVerified 3 //! no modifications enabled, CRC test applied


// Include from languages.hpp
#ifndef _LANGUAGES_HPP
#define _LANGUAGES_HPP

// Language table

#define Chinese				0x04
#define Czech					0x05
#define Danish				0x06
#define Dutch					0x13
#define English				0x09
#define Finnish				0x0b
#define French				0x0c
#define German				0x07
#define Greek					0x08
#define Hungarian			0x0e
#define Icelandic			0x0f
#define Italian				0x10
#define Japanese			0x11
#define Korean				0x12
#define Norwegian			0x14
#define Polish				0x15
#define Portuguese		0x16
#define Russian				0x19
#define SerboCroatian	0x1a
#define Slovak				0x1b
#define Spanish				0x0a
#define Swedish				0x1d
#define Turkish				0x1f

#define SpChinese							Speech4
#define SpCzech								Speech5
#define SpDanish							Speech6
#define SpDutch								Speech19
#define SpEnglish							Speech9
#define SpFinnish							Speech11
#define SpFrench							Speech12
#define SpGerman							Speech7
#define SpGreek								Speech8
#define SpHungarian						Speech14
#define SpIcelandic						Speech15
#define SpItalian							Speech16
#define SpJapanese						Speech17
#define SpKorean							Speech18
#define SpNorwegian						Speech20
#define SpPolish							Speech21
#define SpPortuguese					Speech22
#define SpRussian							Speech25
#define SpSerboCroatian				Speech26
#define SpSlovak							Speech27
#define SpSpanish							Speech10
#define SpSwedish							Speech29
#define SpTurkish							Speech31

#endif
// End of languages.hpp include




/* ---------------------- RADIO -----------------------*/

class RadioProtocol
{
	access=ReadOnlyVerified;
	class Default
	{
		priority = 0;
		timeout = 1000.0;	// never
	};

	class Report
	{
		priority = 100;
		timeout = 30.0;
	};
	class PriorityReport
	{
		priority = 200;
		timeout = 60.0;
	};


	class Confirmation
	{
		priority = 300;
		timeout = 3.0;
	};

	class Completition
	{
		priority = 400;
		timeout = 5.0;
	};
	class JoinCompleted
	{
		priority = 400;
		timeout = 30.0;
	};

	class Failure
	{
		priority = 500;
		timeout = 30.0;
	};

	class Notify
	{
		priority = 600;
		timeout = 5.0;
	};

	class Detected
	{
		priority = 700;
		timeout = 5.0;
	};

	class NormalCommand
	{
		priority = 800;
		timeout = 1000.0; // never
	};

	class CriticalReport
	{
		priority = 850;
		timeout = 60.0;
	};

	class UrgentCommand
	{
		priority = 900;
		timeout = 1000.0; // never
	};
	class UICommand	// command with context == CtxUI
	{
		priority = 1000;
		timeout = 1000.0; // never
	};
	class Design
	{
		priority = 950;
		timeout = 1000.0; // never
	};

	class SentUnitKilled: CriticalReport
	{
		versions[] =
		{
			Version1, 0.5,
			Version2, 0.3,
			Version3, 0.2
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_UNIT_KILLED_1;
			SpEnglish[] = {%1.1, IsDown};
			SpCzech[] = {%1.1, IsDown};
		};
		class Version2
		{
			text = $STR_SENT_UNIT_KILLED_2;
			SpEnglish[] = {Damned, %1.1, IsDown};
			SpCzech[] = {Damned, %1.1, IsDown};
		};
		class Version3
		{
			text = $STR_SENT_UNIT_KILLED_3;
			SpEnglish[] = {OhNo, %1.1, IsDown};
			SpCzech[] = {OhNo, %1.1, IsDown};
		};
	};
/* !!! Not Used
	class SentAskHeal: NormalCommand
	{
		versions[] = {Version1};
		// params:
		class Version1
		{
			//text = "HELP! I NEED MEDIC!";
			text = "MEDIC!";
			SpEnglish[] = {needMedic};
			SpCzech[] = {needMedic};
		};
	};
	class SentAskRepair: NormalCommand
	{
		versions[] = {Version1};
		// params:
		class Version1
		{
			//text = "HELP! REPAIR MY VEHICLE!";
			text = "NEED REPAIRS!";
			SpEnglish[] = {needRepairs};
			SpCzech[] = {needRapairs};
		};
	};
	class SentAskRefuel: NormalCommand
	{
		versions[] = {Version1};
		// params:
		class Version1
		{
			//text = "HELP! I NEED SOME FUEL!";
			text = "NEED FUEL!";
			SpEnglish[] = {needFuel};
			SpCzech[] = {needFuel};
		};
	};
	class SentAskRearm: NormalCommand
	{
		versions[] = {Version1};
		// params:
		class Version1
		{
			//text = "HELP! I NEED AMMUNITION!";
			text = "NEED AMMO!";
			SpEnglish[] = {needAmmo};
			SpCzech[] = {needAmmo};
		};
	};
	class SentAskSupply: NormalCommand
	{
		versions[] = {Version1};
		// params:
		class Version1
		{
			//text = "HELP! I NEED SUPPORT!";
			text = "REQUEST SUPPORT!";
			SpEnglish[] = {requestSupport};
			SpCzech[] = {requestSupport};
		};
	};
*/

	class SentSupportAskHeal: NormalCommand
	{
		versions[] = {Version1};
		// params:
		// 1 - position
		class Version1
		{
			text = $STR_SENT_SUPPORT_ASK_HEAL_1;
			SpEnglish[] = {needMedic, Position, %1};
			SpCzech[] = {needMedic, Position, %1};
		};
	};
	class SentSupportAskRepair: NormalCommand
	{
		versions[] = {Version1};
		// params:
		// 1 - position
		class Version1
		{
			text = $STR_SENT_SUPPORT_ASK_REPAIR_1;
			SpEnglish[] = {needRepairs, Position, %1};
			SpCzech[] = {needRepairs, Position, %1};
		};
	};
	class SentSupportAskRefuel: NormalCommand
	{
		versions[] = {Version1};
		// params:
		// 1 - position
		class Version1
		{
			text = $STR_SENT_SUPPORT_ASK_REFUEL_1;
			SpEnglish[] = {needFuel, Position, %1};
			SpCzech[] = {needFuel, Position, %1};
		};
	};
	class SentSupportAskRearm: NormalCommand
	{
		versions[] = {Version1};
		// params:
		// 1 - position
		class Version1
		{
			text = $STR_SENT_SUPPORT_ASK_REARM_1;
			SpEnglish[] = {needAmmo, Position, %1};
			SpCzech[] = {needAmmo, Position, %1};
		};
	};
	class SentSupportConfirm: NormalCommand
	{
		versions[] = {Version1};
		// params:
		// 1 - group
		// 2 - position
		class Version1
		{
			text = $STR_SENT_SUPPORT_CONFIRM_1;
			SpEnglish[] = {supporting, Position, %2};
			SpCzech[] = {supporting, Position, %2};
		};
	};
	class SentSupportReady: NormalCommand
	{
		versions[] = {Version1};
		// params:
		// 1 - group
		// 2 - position
		class Version1
		{
			text = $STR_SENT_SUPPORT_READY_1;
			//SpEnglish[] = {BeepBeep, Position, %2, %1};
			//SpCzech[] = {BeepBeep, Position, %2, %1};
			SpEnglish[] = {Position, %2, Supporting, %1};
			SpCzech[] = {Position, %2, Supporting, %1};
		};
	};
	class SentSupportDone: NormalCommand
	{
		versions[] = {Version1};
		// params:
		class Version1
		{
			text = $STR_SENT_SUPPORT_DONE_1;
			SpEnglish[] = {Ready}; //to be added
			SpCzech[] = {Ready}; //to be added
		};
	};

	class SentHealthCritical: CriticalReport
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_HEALTH_CRITICAL_1;
			SpEnglish[] = {%1.1, Injured};
			SpCzech[] = {%1.1, Injured};
		};

	};
	class SentDammageCritical: CriticalReport
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_DAMMAGE_CRITICAL_1;
			SpEnglish[] = {%1.1, statusRed};
			SpCzech[] = {%1.1, statusRed};
		};

	};
	class SentFuelCritical: CriticalReport
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FUEL_CRITICAL_1;
			SpEnglish[] = {%1.1, outOfFuel};
			SpCzech[] = {%1.1, outOfFuel};
		};
	};
	class SentFuelLow: Report
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FUEL_LOW_1;
			SpEnglish[] = {%1.1, FuelLow};
			SpCzech[] = {%1.1, FuelLow};
		};
	};
	class SentAmmoCritical: CriticalReport
	{
		versions[] =
		{
			Version1 
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_AMMO_CRITICAL_1;
			SpEnglish[] = {%1.1, outOfAmmo};
			SpCzech[] = {%1.1, outOfAmmo};
		};
	};
	class SentAmmoLow: Report
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_AMMO_LOW_1;
			SpEnglish[] = {%1.1, ammoLow};
			SpCzech[] = {%1.1, ammoLow};
		};
	};
	class SentReportPosition: Report
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		// 2 - square in map
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_REPORT_POSITION_1;
			SpEnglish[] = {%1, Position, %2};
			SpCzech[] = {%1, Position, %2};
		};
	};
	class SentIsLeader: CriticalReport
	{
		versions[] =
		{
			Version1, 0.5,
			Version2, 0.5
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_IS_LEADER_1;
			SpEnglish[] = {%1, TakingCommand};
			SpCzech[] = {%1, TakingCommand};
		};
		class Version2
		{
			text = $STR_SENT_IS_LEADER_2;
			SpEnglish[] = {ThisIs, %1, TakingCommand, ISayAgain, %1, TakingCommand, Out};
			SpCzech[] = {ThisIs, %1, TakingCommand, ISayAgain, %1, TakingCommand, Out};		
		};
	};
	class SentCommandCompleted: Completition
	{
		versions[] =
		{
			Version1, 0.5,
			Version2
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_COMMAND_COMPLETED_1;
			SpEnglish[] = {%1, Ready};
			SpCzech[] = {%1, Ready};
		};
		class Version2
		{
			text = $STR_SENT_COMMAND_COMPLETED_2;
			SpEnglish[] = {%1, Waiting};
			SpCzech[] = {%1, Waiting};
		};
	};

	class SentJoinCompleted: JoinCompleted
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_COMMAND_COMPLETED_1;
			SpEnglish[] = {%1, Ready};
			SpCzech[] = {%1, Ready};
		};
	};

	class SentFireReady: Completition
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FIRE_READY_1;
			SpEnglish[] = {%1, ReadyToFire};
			SpCzech[] = {%1, ReadyToFire};
		};
	};
	class SentFireNegative: Completition
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FIRE_NEGATIVE_1;
			SpEnglish[] = {%1, CannotFire};
			SpCzech[] = {%1, CannotFire};
		};
	};

	class SentCommandFailed: Failure
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_COMMAND_FAILED_1;
			SpEnglish[] = {%1, Negative};
			SpCzech[] = {%1, Negative};
		};
	};
	class SentDestinationUnreacheable: Failure
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_DESTINATION_UNREACHEABLE_1;
			SpEnglish[] = {%1, canNotGetThere};
			SpCzech[] = {%1, canNotGetThere};
		};
	};

	class SentEnemyDetected: Detected
	{
		versions[] =
		{
			Version1,0.5,
			Version2
		};
		// params:
		// 1 - who reported ID
		// 2 - target
		// 3 - position
		// 4 - side
		// 5 - distance
		class Version1
		{
			text = $STR_SENT_ENEMY_DETECTED_1;
			SpEnglish[] = {%3, %4, %2, %5};
			SpCzech[] = {%3, %4, %2, %5};
		};
		class Version2
		{
			text = $STR_SENT_ENEMY_DETECTED_2;
			SpEnglish[] = {%3, %2, %5};
			SpCzech[] = {%3, %2, %5};
		};
	};
	class SentEnemyDetectedFar: Detected
	{
		versions[] =
		{
			Version1,0.5,
			Version2
		};
		// params:
		// 1 - who reported ID
		// 2 - target
		// 3 - position
		// 4 - side
		// 5 - distance
		class Version1
		{
			text = $STR_SENT_ENEMY_DETECTED_FAR_1;
			SpEnglish[] = {%1, %3, %4, %2, %5};
			SpCzech[] = {%1, %3, %4, %2, %5};
		};
		class Version2
		{
			text = $STR_SENT_ENEMY_DETECTED_FAR_2;
			SpEnglish[] = {%1, %3, %2, %5};
			SpCzech[] = {%1, %3, %2, %5};
		};
	};
	class SentEnemyDetectedSimple: Detected
	{
		// used for empty (civilian) target
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - who reported ID
		// 2 - target
		// 3 - position
		// 4 - side
		// 5 - distance
		class Version1
		{
			text = $STR_SENT_ENEMY_DETECTED_SIMPLE_1;
			SpEnglish[] = {%3, %2, %5};
			SpCzech[] = {%3, %2, %5};
		};
	};
	class SentEnemyDetectedSimpleFar: Detected
	{
		// used for empty (civilian) target
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - who reported ID
		// 2 - target
		// 3 - position
		// 4 - side
		// 5 - distance
		class Version1
		{
			text = $STR_SENT_ENEMY_DETECTED_SIMPLE_FAR_1;
			SpEnglish[] = {%1, %3, %2};
			SpCzech[] = {%1, %3, %2};
		};
	};
	class SentObjectDestroyed : Completition
	{
		versions[] =
		{
			Version1, 0.5,
			Version2
		};
		// params:
		// 1 - who reported ID
		// 2 - target
		class Version1
		{
			text = $STR_SENT_OBJECT_DESTROYED_1;
			SpEnglish[] = {iVeGotHim};
			SpCzech[] = {iVeGotHim};
		};
		class Version2
		{
			text = $STR_SENT_OBJECT_DESTROYED_2;
			SpEnglish[] = {%2, isHistory};
			SpCzech[] = {%2, isHistory};
		};
	};
	class SentObjectDestroyedUnknown : Completition
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - who reported ID
		class Version1
		{
			text = $STR_SENT_OBJECT_DESTROYED_UNKNOWN_1;
			SpEnglish[] = {iVeGotHim};
			SpCzech[] = {iVeGotHim};
		};
	};
	class SentContact : UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - who reported ID
		class Version1
		{
			text = $STR_SENT_CONTACT_1;
			SpEnglish[] = {contact};
			SpCzech[] = {contact};
		};
	};
	class SentUnderFire : UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - who reported ID
		class Version1
		{
			text = $STR_SENT_UNDER_FIRE_1;
			SpEnglish[] = {underFire};
			SpCzech[] = {underFire};
		};
	};
	class SentClear : NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - who reported ID
		class Version1
		{
			text = $STR_SENT_CLEAR_1;
			SpEnglish[] = {clear};
			SpCzech[] = {clear};
		};
	};
	class SentRepeatCommand : NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - who reported ID
		class Version1
		{
			text = $STR_SENT_REPEAT_COMMAND_1;
			SpEnglish[] = {repeat};
			SpCzech[] = {repeat};
		};
	};
	class SentWhereAreYou : NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - who reported ID
		class Version1
		{
			text = $STR_SENT_WHERE_ARE_YOU_1;
			SpEnglish[] = {whereAreYou};
			SpCzech[] = {whereAreYou};
		};
	};
	class SentReturnToFormation: NormalCommand
	{
		versions[] =
		{
			Version1, 0.4,
			Version2, 0.6
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_RETURN_TO_FORMATION_1;
			SpEnglish[] = {%1, returnToFormation};
			SpCzech[] = {%1, returnToFormation};
		};
		class Version2
		{
			text = $STR_SENT_RETURN_TO_FORMATION_2;
			SpEnglish[] = {%1, fallBackIntoFormation};
			SpCzech[] = {%1, fallBackIntoFormation};
		};
	};
	
	class SentFormColumn: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FORM_COLUMN_1;
			SpEnglish[] = {FormColumn};
			SpCzech[] = {FormColumn};
		};
	};
	class SentFormStaggeredColumn: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FORM_STAGGERED_COLUMN_1;
			SpEnglish[] = {FormStageredColumn};
			SpCzech[] = {FormStageredColumn};
		};
	};
	class SentFormWedge: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FORM_WEDGE_1;
			SpEnglish[] = {FormWedge};
			SpCzech[] = {FormWedge};
		};
	};
	class SentFormEcholonLeft: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FORM_ECHOLON_LEFT_1;
			SpEnglish[] = {FormEchelonLeft};
			SpCzech[] = {FormEchelonLeft};
		};
	};
	class SentFormEcholonRight: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FORM_ECHOLON_RIGHT_1;
			SpEnglish[] = {FormEchelonRight};
			SpCzech[] = {FormEchelonRight};
		};
	};
	class SentFormVee: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FORM_VEE_1;
			SpEnglish[] = {FormVee};
			SpCzech[] = {FormVee};
		};
	};
	class SentFormLine: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		class Version1
		{
			text = $STR_SENT_FORM_LINE_1;
			SpEnglish[] = {FormLine};
			SpCzech[] = {FormLine};
		};
	};

	class SentBehaviourCareless : NormalCommand
	{
		// TODO:
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			//text = "%1, CARELESS";
			text = $STR_SENT_BEHAVIOUR_CARELESS_1;
			SpEnglish[] = {%1.1, Careless};
			SpCzech[] = {%1.1, Careless};
		};
	};
	class SentBehaviourSafe : NormalCommand
	{
		// TODO:
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_BEHAVIOUR_SAFE_1;
			SpEnglish[] = {%1.1, AtEase};
			SpCzech[] = {%1.1, AtEase};
		};
	};
	class SentBehaviourAware : NormalCommand
	{
		// TODO:
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_BEHAVIOUR_AWARE_1;
			SpEnglish[] = {%1.1, StayAlert};
			SpCzech[] = {%1.1, StayAlert};
		};
	};
	class SentBehaviourCombat : NormalCommand
	{
		// TODO:
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_BEHAVIOUR_COMBAT_1;
			SpEnglish[] = {%1.1, Danger};
			SpCzech[] = {%1.1, Danger};
		};
	};
	class SentBehaviourStealth : NormalCommand
	{
		// TODO:
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_BEHAVIOUR_STEALTH_1;
			SpEnglish[] = {%1.1, stealth};
			SpCzech[] = {%1.1, stealth};
		};
	};
	class SentOpenFire: NormalCommand
	{
		versions[] =
		{
			Version1, 0.5,
			Version2
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_OPEN_FIRE_1;
			SpEnglish[] = {%1.1, FireAtWill};
			SpCzech[] = {%1.1, FireAtWill};
		};
		class Version2
		{
			text = $STR_SENT_OPEN_FIRE_2;
			SpEnglish[] = {%1.1, WeaponsFree};
			SpCzech[] = {%1.1, WeaponsFree};
		};
	};
	class SentOpenFireInCombat: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_OPEN_FIRE_IN_COMBAT_1;
			SpEnglish[] = {%1.1, GoGoGo};
			SpCzech[] = {%1.1, GoGoGo};
		};
	};
	class SentHoldFire: UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_HOLD_FIRE_1;
			SpEnglish[] = {%1.1, HoldFire};
			SpCzech[] = {%1.1, HoldFire};
		};
	};
	class SentHoldFireInCombat: UrgentCommand
	{
		versions[] =
		{
			Version1, 0.5,
			Version2
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_HOLD_FIRE_IN_COMBAT_1;
			SpEnglish[] = {%1.1, CeaseFire};
			SpCzech[] = {%1.1, CeaseFire};
		};
		class Version2
		{
			text = $STR_SENT_HOLD_FIRE_IN_COMBAT_2;
			SpEnglish[] = {%1.1, DontFire};
			SpCzech[] = {%1.1, DontFire};
		};
	};
	class SentCeaseFireInsideGroup: UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit
		class Version1
		{
			text = $STR_SENT_CEASE_FIRE_INSIDE_GROUP_1;
			SpEnglish[] = {%1.1, CeaseFire};
			SpCzech[] = {%1.1, CeaseFire};
		};
	};
	class SentCeaseFire: UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - group
		// 2 - unit
		class Version1
		{
			text = $STR_SENT_CEASE_FIRE_1;
			SpEnglish[] = {%2.1, CeaseFire};
			SpCzech[] = {%2.1, CeaseFire};
		};
	};
	class SentLooseFormation: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_LOOSE_FORMATION_1;
			SpEnglish[] = {%1.1, engageAtWill};
			SpCzech[] = {%1.1, engageAtWill};
		};
	};
	class SentKeepFormation: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_KEEP_FORMATION_1;
			SpEnglish[] = {%1.1, disengage};
			SpCzech[] = {%1.1, disengage};
		};
	};
	class SentUnitPosDown: NormalCommand
	{
		versions[] =
		{
			Version1, 0.3,
			Version2, 0.3,
			Version3, 0.4
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_UNIT_POS_DOWN_1;
			SpEnglish[] = {%1.1, goProne};
			SpCzech[] = {%1.1, goProne};
		};
		class Version2
		{
			text = $STR_SENT_UNIT_POS_DOWN_2;
			SpEnglish[] = {%1.1, hitTheDirt};
			SpCzech[] = {%1.1, hitTheDirt};
		};
		class Version3
		{
			text = $STR_SENT_UNIT_POS_DOWN_3;
			SpEnglish[] = {%1.1, getDown};
			SpCzech[] = {%1.1, getDown};
		};
	};
	class SentUnitPosUp: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_UNIT_POS_UP_1;
			SpEnglish[] = {%1.1, StandUp};
			SpCzech[] = {%1.1, StandUp};
		};
	};
	class SentUnitPosAuto: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_UNIT_POS_AUTO_1;
			SpEnglish[] = {%1.1, KeepLow};
			SpCzech[] = {%1.1, KeepLow};
		};
	};
	class SentFormPosAdvance: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_FORM_POS_ADVANCE_1;
			SpEnglish[] = {%1.1, Advance};
			SpCzech[] = {%1.1, Advance};
		};
	};
	class SentFormPosStayBack: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_FORM_POS_STAY_BACK_1;
			SpEnglish[] = {%1.1, StayBack};
			SpCzech[] = {%1.1, StayBack};
		};
	};
	class SentFormPosFlankLeft: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_FORM_POS_FLANK_LEFT_1;
			SpEnglish[] = {%1.1, FlankLeft};
			SpCzech[] = {%1.1, FlankLeft};
		};
	};
	class SentFormPosFlankRight: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_FORM_POS_FLANK_RIGHT_1;
			SpEnglish[] = {%1.1, FlankRight};
			SpCzech[] = {%1.1, FlankRight};
		};
	};
	class SentReportStatus: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_REPORT_STATUS_1;
			SpEnglish[] = {%1.1, ReportStatus};
			SpCzech[] = {%1.1, ReportStatus};
		};
	};
	class SentTeam: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list, 2 - team
		class Version1
		{
			text = $STR_SENT_TEAM_1;
			SpEnglish[] = {%1.1, Are, %2};
			SpCzech[] = {%1.1, Are, %2};
		};
	};

	class SentWatchTgt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_WATCH_TGT_1;
			SpEnglish[] = {%1.1, Watch, %2};
			SpCzech[] = {%1.1, Watch, %2};
		};
	};
	class SentWatchDir: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_WATCH_DIR_1;
			SpEnglish[] = {%1.1, Watch, %2};
			SpCzech[] = {%1.1, Watch, %2};
		};
	};
	class SentWatchPos: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_WATCH_POS_1;
			SpEnglish[] = {%1.1, Watch, %2};
			SpCzech[] = {%1.1, Watch, %2};
		};
	};
	class SentWatchAround: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_WATCH_AROUND_1;
			SpEnglish[] = {%1.1, scanHorizon};
			SpCzech[] = {%1.1, scanHorizon};
		};
	};
	class SentNoTarget: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_NO_TARGET_1;
			SpEnglish[] = {%1.1, NoTarget};
			SpCzech[] = {%1.1, NoTarget};
		};
	};

	class SentTarget: UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - sender
		class Version1
		{
			text = $STR_SENT_TARGET_1;
			SpEnglish[] = {%1, Target, %2};
			SpCzech[] = {%1, Target, %2};
		};
	};
	class SentEngage: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - sender
		class Version1
		{
			text = $STR_SENT_ENGAGE_1;
			SpEnglish[] = {%1, Engage, %2};
			SpCzech[] = {%1, Engage, %2};
		};
	};
	class SentFire: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - sender
		class Version1
		{
			text = $STR_SENT_FIRE_1;
			SpEnglish[] = {%1, FireAt, %2};
			SpCzech[] = {%1, FireAt, %2};
		};
	};

	class SentEngageNoTarget: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - sender
		class Version1
		{
			text = $STR_SENT_ENGAGE_NO_TARGET_1;
			SpEnglish[] = {%1, Engage};
			SpCzech[] = {%1, Engage};
		};
	};
	class SentFireNoTarget: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - sender
		class Version1
		{
			text = $STR_SENT_FIRE_NO_TARGET_1;
			SpEnglish[] = {%1, Fire};
			SpCzech[] = {%1, Fire};
		};
	};

	class SentCmdMove: NormalCommand
	{
		versions[] =
		{
			Version1, 0.5,
			Version2, 0.5
		};
		// params:
		// 1 - unit list
		// 2 - azimut
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_CMD_MOVE_1;
			SpEnglish[] = {%1.1, MoveTo, %2, XMIT, %3};
			SpCzech[] = {%1.1, MoveTo, %2, XMIT, %3};
		};
		class Version2
		{
			text = $STR_SENT_CMD_MOVE_2;
			SpEnglish[] = {%1.1, GoTo, %2, XMIT, %3};
			SpCzech[] = {%1.1, GoTo, %2, XMIT, %3};
		};
	};
	class SentCmdMoveFar: NormalCommand
	{
		versions[] =
		{
			Version1, 0.5,
			Version2, 0.5
		};
		// params:
		// 1 - unit list
		// 2 - square in map
		// 3 - sender ID
		class Version1
		{
			text = $STR_SENT_CMD_MOVE_FAR_1;
			SpEnglish[] = {%1.1, MoveTo, %2};
			SpCzech[] = {%1.1, MoveTo, %2};
		};
		class Version2
		{
			text = $STR_SENT_CMD_MOVE_FAR_2;
			SpEnglish[] = {%1.1, GoTo, %2};
			SpCzech[] = {%1.1, GoTo, %2};
		};
	};
	class SentCmdMoveTo: NormalCommand
	{
		versions[] =
		{
			Version1, 0.5,
			Version2, 0.5
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_MOVE_TO_1;
			SpEnglish[] = {%1.1, MoveTo, %2, %3};
			SpCzech[] = {%1.1, MoveTo, %2, %3};
		};
		class Version2
		{
			text = $STR_SENT_CMD_MOVE_TO_2;
			SpEnglish[] = {%1.1, GoTo, %2, %3};
			SpCzech[] = {%1.1, GoTo, %2, %3};
		};
	};
	class SentCmdMoveNear: NormalCommand
	{
		versions[] =
		{
			Version1, 1.0
		};
		// params:
		// 1 - unit list
		// 2 - object
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_MOVE_NEAR_1;
			SpEnglish[] = {%1.1, moveTo, %2, %3};
			SpCzech[] = {%1.1, moveTo, %2, %3};
		};
	};
	class SentCmdHeal: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - azimut
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_CMD_HEAL_1;
			SpEnglish[] = {%1.1, HealAt, %2, %3};
			SpCzech[] = {%1.1, HealAt, %2, %3};
		};
	};
	class SentCmdHealFar: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - square in map
		// 3 - sender ID
		class Version1
		{
			text = $STR_SENT_CMD_HEAL_FAR_1;
			SpEnglish[] = {%1.1, HealAt, %2};
			SpCzech[] = {%1.1, HealAt, %2};
		};
	};
	class SentCmdHealAt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_HEAL_AT_1;
			SpEnglish[] = {%1.1, GoTo, %2, %3};
			SpCzech[] = {%1.1, GoTo, %2, %3};
		};
	};
	class SentCmdRepair: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - azimut
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_CMD_REPAIR_1;
			SpEnglish[] = {%1.1, RepairAt, %2, %3};
			SpCzech[] = {%1.1, RepairAt, %2, %3};
		};
	};
	class SentCmdRepairFar: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - square in map
		// 3 - sender ID
		class Version1
		{
			text = $STR_SENT_CMD_REPAIR_FAR_1;
			SpEnglish[] = {%1.1, RepairAt, %2};
			SpCzech[] = {%1.1, RepairAt, %2};
		};
	};
	class SentCmdRepairAt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_REPAIR_AT_1;
			SpEnglish[] = {%1.1, RepairAt, %2, %3};
			SpCzech[] = {%1.1, RepairAt, %2, %3};
		};
	};
	class SentCmdRefuel: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - azimut
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_CMD_REFUEL_1;
			SpEnglish[] = {%1.1, RefuelAt, %2, %3};
			SpCzech[] = {%1.1, RefuelAt, %2, %3};
		};
	};
	class SentCmdRefuelFar: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - square in map
		// 3 - sender ID
		class Version1
		{
			text = $STR_SENT_CMD_REFUEL_FAR_1;
			SpEnglish[] = {%1.1, RefuelAt, %2};
			SpCzech[] = {%1.1, RefuelAt, %2};
		};
	};
	class SentCmdRefuelAt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_REFUEL_AT_1;
			SpEnglish[] = {%1.1, RefuelAt, %2, %3};
			SpCzech[] = {%1.1, RefuelAt, %2, %3};
		};
	};
	class SentCmdRearm: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - azimut
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_CMD_REARM_1;
			SpEnglish[] = {%1.1, RearmAt, %2, %3};
			SpCzech[] = {%1.1, RearmAt, %2, %3};
		};
	};
	class SentCmdRearmFar: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - square in map
		// 3 - sender ID
		class Version1
		{
			text = $STR_SENT_CMD_REARM_FAR_1;
			SpEnglish[] = {%1.1, RearmAt, %2};
			SpCzech[] = {%1.1, RearmAt, %2};
		};
	};
	class SentCmdRearmAt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target - not in use now
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_REARM_AT_1;
			SpEnglish[] = {%1.1, RearmAt, %3};
			SpCzech[] = {%1.1, RearmAt, %3};
		};
	};

// Marek Please supply more info on the commands below, where it is used and in
// what Context. This comment applies to the 3 support commands below.


	class SentCmdSupport: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - azimut
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_CMD_SUPPORT_1;
			SpEnglish[] = {%1.1, supporting, %2, %3};
			SpCzech[] = {%1.1, supporting, %2, %3};
		};
	};
	class SentCmdSupportFar: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - square in map
		// 3 - sender ID
		class Version1
		{
			text = $STR_SENT_CMD_SUPPORT_FAR_1;
			SpEnglish[] = {%1.1, supporting, %2};
			SpCzech[] = {%1.1, supporting, %2};
		};
	};
	class SentCmdSupportAt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_SUPPORT_AT_1;
			SpEnglish[] = {%1.1, supporting, %2, %3};
			SpCzech[] = {%1.1, supporting, %2, %3};
		};
	};
	class SentCmdTakeWeapon: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - azimut
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_CMD_TAKE_WEAPON_1;
			SpEnglish[] = {%1.1, TakeWeaponFrom, %2, %3};
			SpCzech[] = {%1.1, TakeWeaponFrom, %2, %3};
		};
	};
	class SentCmdTakeWeaponFar: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - square in map
		// 3 - sender ID
		class Version1
		{
			text = $STR_SENT_CMD_TAKE_WEAPON_FAR_1;
			SpEnglish[] = {%1.1, TakeWeaponFrom, %2};
			SpCzech[] = {%1.1, TakeWeaponFrom, %2};
		};
	};
	class SentCmdTakeWeaponAt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_TAKE_WEAPON_AT_1;
			SpEnglish[] = {%1.1, TakeWeaponFrom, %2, %3};
			SpCzech[] = {%1.1, TakeWeaponFrom, %2, %3};
		};
	};
	class SentCmdTakeMagazine: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - azimut
		// 3 - distance
		class Version1
		{
			text = $STR_SENT_CMD_TAKE_MAGAZINE_1;
			SpEnglish[] = {%1.1, TakeMagazineFrom, %2, %3};
			SpCzech[] = {%1.1, TakeMagazineFrom, %2, %3};
		};
	};
	class SentCmdTakeMagazineFar: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - square in map
		// 3 - sender ID
		class Version1
		{
			text = $STR_SENT_CMD_TAKE_MAGAZINE_FAR_1;
			SpEnglish[] = {%1.1, TakeMagazineFrom, %2};
			SpCzech[] = {%1.1, TakeMagazineFrom, %2};
		};
	};
	class SentCmdTakeMagazineAt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		// 3 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_TAKE_MAGAZINE_AT_1;
			SpEnglish[] = {%1.1, TakeMagazineFrom, %2, %3};
			SpCzech[] = {%1.1, TakeMagazineFrom, %2, %3};
		};
	};
	class SentCmdAction: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - action
		// 3 - azimut
		// 4 - distance
		class Version1
		{
			text = $STR_SENT_CMD_ACTION_1;
			SpEnglish[] = {};
			SpCzech[] = {};
		};
	};
	class SentCmdActionFar: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - action
		// 3 - square in map
		class Version1
		{
			text = $STR_SENT_CMD_ACTION_FAR_1;
			SpEnglish[] = {};
			SpCzech[] = {};
		};
	};
	class SentCmdActionAt: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - action
		// 3 - target
		// 4 - azimut
		class Version1
		{
			text = $STR_SENT_CMD_ACTION_AT_1;
			SpEnglish[] = {};
			SpCzech[] = {};
		};
	};
	class SentCmdFollowMe: UrgentCommand
	{
		versions[] =
		{
			Version1, 0.4,
			Version2, 0.6
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_CMD_FOLLOW_ME_1;
			SpEnglish[] = {%1.1, returnToFormation};
			SpCzech[] = {%1.1, returnToFormation};
		};
		class Version2
		{
			text = $STR_SENT_CMD_FOLLOW_ME_2;
			SpEnglish[] = {%1.1, fallBackIntoFormation};
			SpCzech[] = {%1.1, fallBackIntoFormation};
		};
	};
	class SentCmdFollow: UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - whom
		class Version1
		{
			text = $STR_SENT_CMD_FOLLOW_1;
			SpEnglish[] = {%1.1, Follow, %2.1};
			SpCzech[] = {%1.1, Follow, %2.1};
		};
	};

	//TODO improve Attack/Fire commands
	class SentCmdAttack: UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_ATTACK_1;
			SpEnglish[] = {%1.1, Attack, %2};
			SpCzech[] = {%1.1, Attack, %2};
		};
	};
	class SentAttackNoTarget: UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_ATTACK_NO_TARGET_1;
			SpEnglish[] = {%1.1, Attack};
			SpCzech[] = {%1.1, Attack};
		};
	};
	class SentCmdFire: UrgentCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_FIRE_1;
			SpEnglish[] = {%1.1, FireAt, %2};
			SpCzech[] = {%1.1, FireAt, %2};
		};
	};
	class SentCmdGetIn: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_GETIN_1;
			SpEnglish[] = {%1.1, GetIn, %2};
			SpCzech[] = {%1.1, GetIn, %2};
		};
	};
	class SentCmdGetInCommander: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_GETIN_COMMANDER_1;
			SpEnglish[] = {%1.1, Commander, GetIn, %2};
			SpCzech[] = {%1.1, Commander, GetIn, %2};
		};
	};
	class SentCmdGetInDriver: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_GETIN_DRIVER_1;
			SpEnglish[] = {%1.1, Driver, GetIn, %2};
			SpCzech[] = {%1.1, Driver, GetIn, %2};
		};
	};
	class SentCmdGetInPilot: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_GETIN_PILOT_1;
			SpEnglish[] = {%1.1, Pilot, GetIn, %2};
			SpCzech[] = {%1.1, Pilot, GetIn, %2};
		};
	};
	class SentCmdGetInGunner: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_GETIN_GUNNER_1;
			SpEnglish[] = {%1.1, Gunner, GetIn, %2};
			SpCzech[] = {%1.1, Gunner, GetIn, %2};
		};
	};
	class SentCmdGetInCargo: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		// 2 - target
		class Version1
		{
			text = $STR_SENT_CMD_GETIN_CARGO_1;
			SpEnglish[] = {%1.1, Board, %2};
			SpCzech[] = {%1.1, Board, %2};
		};
	};
	class SentCmdGetOut: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_CMD_GETOUT_1;
			SpEnglish[] = {%1.1, Disembark};
			SpCzech[] = {%1.1, Disembark};
		};
	};
	class SentCmdStop: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_CMD_STOP_1;
			SpEnglish[] = {%1.1, halt};
			SpCzech[] = {%1.1, halt};
		};
	};
	class SentCmdExpect: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_CMD_EXPECT_1;
			SpEnglish[] = {%1.1, WaitForMe};
			SpCzech[] = {%1.1, WaitForMe};
		};
	};
	class SentCmdHide: NormalCommand
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit list
		class Version1
		{
			text = $STR_SENT_CMD_HIDE_1;
			SpEnglish[] = {%1.1, TakeCover};
			SpCzech[] = {%1.1, TakeCover};
		};
	};
	class SentNotifyAttack: Notify
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		// 2 - target
		class Version1
		{
			text = $STR_SENT_NOTIFY_ATTACK_1;
			SpEnglish[] = {%1.1, Engaging};
			SpCzech[] = {%1.1, Engaging};
		};

	};
	class SentNotifySupport: Notify
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - unit ID
		// 2 - target
		class Version1
		{
			text = $STR_SENT_NOTIFY_SUPPORT_1;
			SpEnglish[] = {%1.1, supporting};
			SpCzech[] = {%1.1, supporting};
		};

	};
	class SentConfirmPrivate: Confirmation
	{
		versions[] =
		{
			Version1
		};
		// params:
		class Version1
		{
			text = $STR_SENT_CONFIRM_PRIVATE_1;
			SpEnglish[] = {Roger};
			SpCzech[] = {Roger};
		};
	};
	class SentConfirmMove: Confirmation
	{
		versions[] =
		{
			Version1, 0.6,
			Version2, 0.2,
			Version3, 0.2
		};
		// params:
		class Version1
		{
			text = $STR_SENT_CONFIRM_MOVE_1;
			SpEnglish[] = {Roger};
			SpCzech[] = {Roger};
		};
		class Version2
		{
			text = $STR_SENT_CONFIRM_MOVE_2;
			SpEnglish[] = {movingOn};
			SpCzech[] = {movingOn};
		};
		class Version3
		{
			text = $STR_SENT_CONFIRM_MOVE_3;
			SpEnglish[] = {OnTheWay};
			SpCzech[] = {OnTheWay};
		};
	};

	class SentConfirmAttack: Confirmation
	{
		versions[] =
		{
			Version1, 0.5,
			Version2, 0.25,
			Version3,
		};
		// params: none
		class Version1
		{
			text = $STR_SENT_CONFIRM_ATTACK_1;
			SpEnglish[] = {IAmOnHim};
			SpCzech[] = {IAmOnHim};
		};
		class Version2
		{
			text = $STR_SENT_CONFIRM_ATTACK_2;
			SpEnglish[] = {Roger};
			SpCzech[] = {Roger};
		};
		class Version3
		{
			text = $STR_SENT_CONFIRM_ATTACK_3;
			SpEnglish[] = {OnTheWay};
			SpCzech[] = {OnTheWay};
		};
	};
	class SentConfirmOther: Confirmation
	{
		versions[] =
		{
			Version1
		};
		// params:
		class Version1
		{
			text = $STR_SENT_CONFIRM_OTHER_1;
			SpEnglish[] = {Roger};
			SpCzech[] = {Roger};
		};
	};


	class VehicleMove
	{
		versions[] =
		{
			Version1,0.5,
			Version2, 
		};
		// params:
		// 1 - azimut
		// 2 - distance
		class Version1
		{
			text = $STR_SENT_VEHICLE_MOVE_1;
			SpEnglish[] = {MoveTo, %1, XMIT, %2};
			SpCzech[] = {MoveTo, %1, XMIT, %2};
		};
		class Version2
		{
			text = $STR_SENT_VEHICLE_MOVE_2;
			SpEnglish[] = {GoTo, %1, XMIT, %2};
			SpCzech[] = {GoTo, %1, XMIT, %2};
		};
	};
	class VehicleJoin
	{
		versions[] =
		{
			Version1
		};
		// params:
		// no
		class Version1
		{
			text = $STR_SENT_VEHICLE_JOIN_1;
			SpEnglish[] = {KeepFormation};
			SpCzech[] = {KeepFormation};
		};
	};
	class VehicleFire
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - target
		class Version1
		{
			text = $STR_SENT_VEHICLE_FIRE_1;
			SpEnglish[] = {FireAt, %1};
			SpCzech[] = {FireAt, %1};
		};
	};
	class VehicleTarget
	{
		versions[] =
		{
			Version1
		};
		// params:
		// 1 - target
		class Version1
		{
			text = $STR_SENT_VEHICLE_TARGET_1;
			SpEnglish[] = {Target, %1, XMIT, %2};
			SpCzech[] = {Target, %1, XMIT, %2};
		};
	};
	class VehicleNoTarget
	{
		versions[] =
		{
			Version1
		};
		// params:
		class Version1
		{
			text = $STR_SENT_VEHICLE_NO_TARGET_1;
			SpEnglish[] = {NoTarget};
			SpCzech[] = {NoTarget};
		};
	};
	class VehicleCeaseFire
	{
		versions[] =
		{
			Version1
		};
		// params:
		// no
		class Version1
		{
			text = $STR_SENT_VEHICLE_CEASE_FIRE_1;
			SpEnglish[] = {CeaseFire};
			SpCzech[] = {CeaseFire};
		};
	};
	class VehicleForward
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_FORWARD_1;
			SpEnglish[] = {XMIT,Forward};
			SpCzech[] = {XMIT,Forward};
		};
	};
	class VehicleStop
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_STOP_1;
			SpEnglish[] = {XMIT,Halt};
			SpCzech[] = {XMIT,Halt};
		};
	};
	class VehicleBackward
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_BACKWARD_1;
			SpEnglish[] = {XMIT,reverse};
			SpCzech[] = {XMIT,reverse};
		};
	};
	class VehicleFaster
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_FASTER_1;
			SpEnglish[] = {XMIT,Fast};
			SpCzech[] = {XMIT,Fast};
		};
	};
	class VehicleSlower
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_SLOWER_1;
			SpEnglish[] = {XMIT,Slow};
			SpCzech[] = {XMIT,Slow};
		};
	};
	class VehicleLeft
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_LEFT_1;
			SpEnglish[] = {XMIT,Left};
			SpCzech[] = {XMIT,Left};
		};
	};
	class VehicleRight
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_RIGHT_1;
			SpEnglish[] = {XMIT,Right};
			SpCzech[] = {XMIT,Right};
		};
	};
	class VehicleDirectFire
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_DIRECT_FIRE_1;
			SpEnglish[] = {Fire};
			SpCzech[] = {Fire};
		};
	};
	class VehicleLoad
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_LOAD_1;
			SpEnglish[] = {%1};
			SpCzech[] = {%1};
		};
	};
	class VehicleAzimut
	{
		versions[] =
		{
			Version1
		};
		// no params
		class Version1
		{
			text = $STR_SENT_VEHICLE_AZIMUT_1;
			SpEnglish[] = {%1};
			SpCzech[] = {%1};
		};
	};
	class VehicleFireFailed
	{
		versions[] =
		{
			Version1, 0.5,
			Version2, 0.5
		};
		// params:
		// no
		class Version1
		{
			text = $STR_SENT_VEHICLE_FIRE_FAILED_1;
			SpEnglish[] = {Negative};
			SpCzech[] = {Negative};
		};
		class Version2
		{
			text = $STR_SENT_VEHICLE_FIRE_FAILED_2;
			SpEnglish[] = {CannotFire};
			SpCzech[] = {CannotFire};
		};
	};
};
// End of sp_sentences.hpp include

#define true 1
#define false 0

//defined color
#define Gold {0.95, 0.85, 0.3, 0.7}

// Include from rscMenu.hpp
// Menu definition
class RscMainMenu
{
	title = $STR_COMMAND;
	atomic=false;
	items[] =
	{
		//Join,
		Move, Target, Engage, GetIn, Status, Action,
		CombatMode, Formations, Team, Reply, 
		HideMenu
	};
	class Move
	{
		title = $STR_MOVE;
		key = DIK_1;
		character = 1; 
		command = CMD_NOTHING;
		menu = RscMoveHigh;
	};
	class Target
	{
		title = $STR_WATCH_TARGET;
		key = DIK_2;
		character = 2; 
		command = CMD_WATCH;
	};
	class Engage
	{
		title = $STR_WATCH;
		key = DIK_3;
		character = 3;
		command = CMD_NOTHING;
		menu = RscWatchDir;
	};
	class GetIn
	{
		title = $STR_GETIN;
		key = DIK_4;
		character = 4; 
		command = CMD_GETIN;
	};
	class Status
	{
		title = $STR_STATUS;
		key = DIK_5;
		character = 5; 
		menu = RscStatus;
		Command = CMD_NOTHING;
	};
	class Action
	{
		title = $STR_ACTION;
		key = DIK_6;
		character = 6; 
		command = CMD_ACTION;
	};
	class CombatMode
	{
		title = $STR_COMBAT_MODE;
		key = DIK_7;
		character = 7; 
		command = CMD_NOTHING;
		menu = RscCombatMode;
	};
	class Formations
	{
		title = $STR_FORMATION;
		key = DIK_8;
		character = 8; 
		command = CMD_NOTHING;
		menu = RscFormations;
	};
	class Team
	{
		title = $STR_TEAM;
		key = DIK_9;
		character = 9; 
		command = CMD_NOTHING;
		menu = RscTeam;
	};
	class Reply
	{
		title = $STR_REPLY;
		key = DIK_0;
		character = 0; 
		command = CMD_NOTHING;
		menu = RscReply;
	};
	class HideMenu
	{
		title = "";
		key = DIK_BACK;
		character = Backspace; 
		command = CMD_HIDE_MENU;
	};
};

class RscSubmenu
{
	atomic=false;
	class Back
	{
		title = "";
		key = DIK_BACK;
		character = Backspace; 
		command = CMD_BACK;
	};
	class Separator
	{
		title = "";
		key = 0;
		character = 0; 
		command = CMD_SEPARATOR;
	};
};

class RscMoveHigh: RscSubmenu
{
	title = $STR_MOVE_DIR;
	items[] =
	{
		Join,
		Advance,StayBack,
		FlankLeft,
		FlankRight,
		Separator,Stop,Expect,Hide,Separator,NextWP,Separator,Other,
		Back
	};
	class Join
	{
		title = $STR_FOLLOW_ME;
		key = DIK_1;
		character = 1;
		command = CMD_JOIN;
	};
	class Advance
	{
		title = $STR_ADVANCE;
		key = DIK_2;
		character = 2;
		command = CMD_ADVANCE;
	};
	class StayBack
	{
		title = $STR_STAY_BACK;
		key = DIK_3;
		character = 3;
		command = CMD_STAY_BACK;
	};
	class FlankLeft
	{
		title = $STR_FLANK_LEFT;
		key = DIK_4;
		character = 4;
		command = CMD_FLANK_LEFT;
	};
	class FlankRight
	{
		title = $STR_FLANK_RIGHT;
		key = DIK_5;
		character = 5;
		command = CMD_FLANK_RIGHT;
	};
	class Stop
	{
		title = $STR_STOP;
		key = DIK_6;
		character = 6; 
		command = CMD_STOP;
	};
	class Expect
	{
		title = $STR_EXPECT;
		key = DIK_7;
		character = 7; 
		command = CMD_EXPECT;
	};
	class Hide
	{
		title = $STR_HIDE;
		key = DIK_8;
		character = 8; 
		command = CMD_HIDE;
	};
	class NextWP
	{
		title = $STR_NEXT_WAYPOINT;
		key = DIK_9;
		character = 9; 
		command = CMD_NEXT_WAYPOINT;
	};
	class Other
	{
		title = $STR_MOVE_OTHER;
		key = DIK_0;
		character = 0;
		command = CMD_MOVE_SUBMENU;
		menu = RscMoveDir;
	};
};

class RscMoveDir: RscSubmenu
{
	atomic = true;
	title = $STR_MOVE_DIR;
	items[] = {N,NE,E,SE,S,SW,W,NW,Back};
	class N
	{
		title = $STR_MOVE_N;
		key = DIK_1;
		character = 1; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class NE
	{
		title = $STR_MOVE_NE;
		key = DIK_2;
		character = 2; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class E
	{
		title = $STR_MOVE_E;
		key = DIK_3;
		character = 3; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class SE
	{
		title = $STR_MOVE_SE;
		key = DIK_4;
		character = 4; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class S
	{
		title = $STR_MOVE_S;
		key = DIK_5;
		character = 5; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class SW
	{
		title = $STR_MOVE_SW;
		key = DIK_6;
		character = 6; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class W
	{
		title = $STR_MOVE_W;
		key = DIK_7;
		character = 7; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class NW
	{
		title = $STR_MOVE_NW;
		key = DIK_8;
		character = 8; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
};


class RscReply: RscSubmenu
{
	title = $STR_REPLY_MENU;
	items[] =
	{
		Done,Fail,
		FireReady,FireNotReady,
		Repeat,Copy,
		UserRadio,Radio,
		Back
	};
	class Done
	{
		title = $STR_REPLY_DONE;
		key = DIK_1;
		character = 1; 
		command = CMD_REPLY_DONE;
	};
	class Fail
	{
		title = $STR_REPLY_FAIL;
		key = DIK_2;
		character = 2; 
		command = CMD_REPLY_FAIL;
	};

	class FireReady
	{
		title = $STR_REPLY_FIREREADY;
		key = DIK_3;
		character = 3;
		command = CMD_REPLY_FIREREADY;
	};
	class FireNotReady
	{
		title = $STR_REPLY_FIRENOTREADY;
		key = DIK_4;
		character = 4;
		command = CMD_REPLY_FIRENOTREADY;
	};

	class Repeat
	{
		title = $STR_REPLY_REPEAT;
		key = DIK_7;
		character = 7;
		command = CMD_REPLY_REPEAT;
	};
	class Copy
	{
		title = $STR_REPLY_COPY;
		key = DIK_8;
		character = 8; 
		command = CMD_REPLY_COPY;
	};

	class UserRadio
	{
		title = $STR_RADIO_CUSTOM;
		key = DIK_9;
		character = 9; 
		command = CMD_RADIO_CUSTOM;
		menu = RscUserRadio;
	};
	class Radio
	{
		title = $STR_RADIO;
		key = DIK_0;
		character = 0; 
		command = CMD_NOTHING;
		menu = RscRadio;
	};

};

class RscCallSupport: RscSubmenu
{
	title = $STR_SUPPORT_MENU;
	items[] =
	{
		Medic,Repair,Rearm,Refuel,
		Done,
		Back
	};

	class Medic
	{
		title = $STR_SUPPORT_MEDIC;
		key = DIK_1;
		character = 1;
		command = CMD_SUPPORT_MEDIC;
	};
	class Repair
	{
		title = $STR_SUPPORT_REPAIR;
		key = DIK_2;
		character = 2;
		command = CMD_SUPPORT_REPAIR;
	};
	class Rearm
	{
		title = $STR_SUPPORT_REARM;
		key = DIK_3;
		character = 3;
		command = CMD_SUPPORT_REARM;
	};
	class Refuel
	{
		title = $STR_SUPPORT_REFUEL;
		key = DIK_4;
		character = 4;
		command = CMD_SUPPORT_REFUEL;
	};
	class Done
	{
		title = $STR_SUPPORT_DONE;
		key = DIK_5;
		character = 5;
		command = CMD_SUPPORT_DONE;
	};
};

class RscStatus: RscSubmenu
{
	title = $STR_MENU_STATUS;
	items[] =
	{
		Support,
		FuelLow,AmmoLow,
		Injured,
		WhereAreYou, Report,
		UnderFire,OneLess,IsDown,
		Back,
		
		Engaging // FDF
	};


	class Support
	{
		title = $STR_CALL_SUPPORT;
		key = DIK_1;
		character = 1;
		command = CMD_NOTHING;
		menu = RscCallSupport;
	};
	class FuelLow
	{
		title = $STR_REPLY_FUEL_LOW;
		key = DIK_2;
		character = 2; 
		command = CMD_REPLY_FUEL_LOW;
	};
	class AmmoLow
	{
		title = $STR_REPLY_AMMO_LOW;
		key = DIK_3;
		character = 3;
		command = CMD_REPLY_AMMO_LOW;
	};
	class Injured
	{
		title = $STR_REPLY_INJURED;
		key = DIK_4;
		character = 4;
		command = CMD_REPLY_INJURED;
	};

	class WhereAreYou
	{
		title = $STR_REPLY_WHERE_ARE_YOU;
		key = DIK_5;
		character = 5; 
		command = CMD_REPLY_WHERE_ARE_YOU;
	};
	class Report
	{
		title = $STR_REPORT;
		key = DIK_5;
		character = 5; 
		command = CMD_REPORT;
	};
	class UnderFire
	{
		title = $STR_REPLY_UNDER_FIRE;
		key = DIK_6;
		character = 6;
		command = CMD_REPLY_UNDER_FIRE;
	};

	class OneLess
	{
		title = $STR_REPLY_ONE_LESS;
		key = DIK_7;
		character = 7;
		command = CMD_REPLY_ONE_LESS;
	};
	class IsDown
	{
		title = $STR_REPLY_KILLED;
		key = DIK_8;
		character = 8;
		command = CMD_REPLY_KILLED;
	};
	class Engaging
	{
		title = "Engaging";
		key = DIK_9;
		character = 9;
		command = CMD_REPLY_ENGAGING;
	};		
};

class RscWatchDir: RscSubmenu
{
	title = $STR_WATCH_DIR;
	items[] =
	{
		OpenFire,HoldFire,Fire,Separator,
		Engage,EngageAtWill,Disengage,
		Separator,
		//Auto,
		LookAround,WatchDir,
		//Separator,Report,
		Back
	};

	class OpenFire
	{
		title = $STR_OPEN_FIRE;
		key = DIK_1;
		character = 1; 
		command = CMD_OPEN_FIRE;
	};
	class HoldFire
	{
		title = $STR_HOLD_FIRE;
		key = DIK_2;
		character = 2; 
		command = CMD_HOLD_FIRE;
	};
	class Fire
	{
		title = $STR_FIRE;
		key = DIK_3;
		character = 3; 
		command = CMD_FIRE;
	};

	class Engage
	{
		title = $STR_ENGAGE_NOW;
		key = DIK_4;
		character = 4; 
		command = CMD_ENGAGE;
	};
	class EngageAtWill
	{
		title = $STR_ENGAGE_AT_WILL;
		key = DIK_5;
		character = 5; 
		command = CMD_LOOSE_FORM;
	};
	class Disengage
	{
		title = $STR_DISENGAGE;
		key = DIK_6;
		character = 6; 
		command = CMD_KEEP_FORM;
	};

	/*
	class Auto
	{
		title = $STR_WATCH_AUTO;
		key = DIK_7;
		character = 7;
		command = CMD_WATCH_AUTO;
	};
	*/
	class LookAround
	{
		title = $STR_LOOK_AROUND;
		key = DIK_7;
		character = 7;
		command = CMD_WATCH_AROUND;
	};
	class WatchDir
	{
		title = $STR_WATCH_DIR;
		key = DIK_8;
		character = 8;
		command = CMD_WATCH_SUBMENU;
		menu = RscWatchMoreDir;
	};
};

class RscWatchMoreDir: RscSubmenu
{
	title = $STR_WATCH_DIR;
	atomic=true;
	items[] = {N,NE,E,SE,S,SW,W,NW,Back};
	class N
	{
		title = $STR_MOVE_N;
		key = DIK_1;
		character = 1; 
		command = CMD_WATCH_N;
	};
	class NE
	{
		title = $STR_MOVE_NE;
		key = DIK_2;
		character = 2; 
		command = CMD_WATCH_NE;
	};
	class E
	{
		title = $STR_MOVE_E;
		key = DIK_3;
		character = 3; 
		command = CMD_WATCH_E;
	};
	class SE
	{
		title = $STR_MOVE_SE;
		key = DIK_4;
		character = 4; 
		command = CMD_WATCH_SE;
	};
	class S
	{
		title = $STR_MOVE_S;
		key = DIK_5;
		character = 5; 
		command = CMD_WATCH_S;
	};
	class SW
	{
		title = $STR_MOVE_SW;
		key = DIK_6;
		character = 6; 
		command = CMD_WATCH_SW;
	};
	class W
	{
		title = $STR_MOVE_W;
		key = DIK_7;
		character = 7; 
		command = CMD_WATCH_W;
	};
	class NW
	{
		title = $STR_MOVE_NW;
		key = DIK_8;
		character = 8; 
		command = CMD_WATCH_NW;
	};
}

class RscMoveDist: RscSubmenu
{
	title = $STR_MOVE_DIST;
	items[] = {D50,D100,D200,D500,D1000,D2000,Back};
	class D50
	{
		title = $STR_MOVE_50;
		key = DIK_1;
		character = 1; 
		command = CMD_MOVE_FIRST;
	};
	class D100
	{
		title = $STR_MOVE_100;
		key = DIK_2;
		character = 2; 
		command = CMD_MOVE_FIRST;
	};
	class D200
	{
		title = $STR_MOVE_200;
		key = DIK_3;
		character = 3; 
		command = CMD_MOVE_FIRST;
	};
	class D500
	{
		title = $STR_MOVE_500;
		key = DIK_4;
		character = 4; 
		command = CMD_MOVE_FIRST;
	};
	class D1000
	{
		title = $STR_MOVE_1000;
		key = DIK_5;
		character = 5; 
		command = CMD_MOVE_FIRST;
	};
	class D2000
	{
		title = $STR_MOVE_2000;
		key = DIK_6;
		character = 6; 
		command = CMD_MOVE_FIRST;
	};
};

class RscFormations: RscSubmenu
{
	title = $STR_FORMATION;
	items[] = {Column,Staggered,Wedge,EchL,EchR,Vee,Line,Back};
	class Column
	{
		title = $STR_COLUMN;
		key = DIK_1;
		character = 1; 
		command = CMD_FORM_COLUMN;
	};
	class Staggered
	{
		title = $STR_STAGGERED;
		key = DIK_2;
		character = 2; 
		command = CMD_FORM_STAGCOL;
	};
	class Wedge
	{
		title = $STR_WEDGE;
		key = DIK_3;
		character = 3; 
		command = CMD_FORM_WEDGE;
	};
	class EchL
	{
		title = $STR_ECHL;
		key = DIK_4;
		character = 4; 
		command = CMD_FORM_ECHLEFT;
	};
	class EchR
	{
		title = $STR_ECHR;
		key = DIK_5;
		character = 5; 
		command = CMD_FORM_ECHRIGHT;
	};
	class Vee
	{
		title = $STR_VEE;
		key = DIK_6;
		character = 6; 
		command = CMD_FORM_VEE;
	};
	class Line
	{
		title = $STR_LINE;
		key = DIK_7;
		character = 7; 
		command = CMD_FORM_LINE;
	};
};

class RscCombatMode: RscSubmenu
{
	title = $STR_COMBAT_MODE;
	items[] ={Stealth,Combat,Aware,Safe,Separator,PosUp,PosDown,PosAuto,Separator,Back};
	class Stealth
	{
		title = $STR_STEALTH;
		key = DIK_1;
		character = 1; 
		command = CMD_STEALTH;
	};
	class Combat
	{
		title = $STR_COMBAT;
		key = DIK_2;
		character = 2; 
		command = CMD_COMBAT;
	};
	class Aware
	{
		title = $STR_AWARE;
		key = DIK_3;
		character = 3; 
		command = CMD_AWARE;
	};
	class Safe
	{
		title = $STR_SAFE;
		key = DIK_4;
		character = 4; 
		command = CMD_SAFE;
	};
	class PosUp
	{
		title = $STR_POS_UP;
		key = DIK_5;
		character = 5; 
		command = CMD_POS_UP;
	};
	class PosDown
	{
		title = $STR_POS_DOWN;
		key = DIK_6;
		character = 6; 
		command = CMD_POS_DOWN;
	};
	class PosAuto
	{
		title = $STR_POS_AUTO;
		key = DIK_7;
		character = 7; 
		command = CMD_POS_AUTO;
	};
};

class RscTeam: RscSubmenu
{
	title = $STR_TEAM;
	items[] =
	{
		Red,Green,Blue,Yellow,Main,
		Separator,Assign,
		Back
	};
	class Red
	{
		title = $STR_TEAM_RED;
		key = DIK_1;
		character = 1; 
		command = CMD_TEAM_RED;
	};
	class Green
	{
		title = $STR_TEAM_GREEN;
		key = DIK_2;
		character = 2; 
		command = CMD_TEAM_GREEN;
	};
	class Blue
	{
		title = $STR_TEAM_BLUE;
		key = DIK_3;
		character = 3; 
		command = CMD_TEAM_BLUE;
	};
	class Yellow
	{
		title = $STR_TEAM_YELLOW;
		key = DIK_4;
		character = 4; 
		command = CMD_TEAM_YELLOW;
	};
	class Main
	{
		title = $STR_TEAM_MAIN;
		key = DIK_5;
		character = 5; 
		command = CMD_TEAM_MAIN;
	};
	class Assign
	{
		title = $STR_ASSIGN;
		key = DIK_9;
		character = 9; 
		command = CMD_NOTHING;
		menu = RscAssign;
	};
};

class RscAssign: RscSubmenu
{
	title = $STR_ASSIGN;
	items[] = {AssignRed,AssignGreen,AssignBlue,AssignYellow,AssignMain,Back};
	class AssignRed
	{
		title = $STR_ASSIGN_RED;
		key = DIK_1;
		character = 1; 
		command = CMD_ASSIGN_RED;
	};
	class AssignGreen
	{
		title = $STR_ASSIGN_GREEN;
		key = DIK_2;
		character = 2; 
		command = CMD_ASSIGN_GREEN;
	};
	class AssignBlue
	{
		title = $STR_ASSIGN_BLUE;
		key = DIK_3;
		character = 3; 
		command = CMD_ASSIGN_BLUE;
	};
	class AssignYellow
	{
		title = $STR_ASSIGN_YELLOW;
		key = DIK_4;
		character = 4; 
		command = CMD_ASSIGN_YELLOW;
	};
	class AssignMain
	{
		title = $STR_ASSIGN_MAIN;
		key = DIK_5;
		character = 5; 
		command = CMD_ASSIGN_MAIN;
	};
};

class RscRadio: RscSubmenu
{
	title = $STR_RADIO;
	items[] ={Alpha, Bravo, Charlie, Delta, Echo, Foxtrot, Golf, Hotel, India, Juliet, Back};
	class Alpha
	{
		title = $STR_RADIO_ALPHA;
		key = DIK_1;
		character =1; 
		command = CMD_RADIO_ALPHA;
	};
	class Bravo
	{
		title = $STR_RADIO_BRAVO;
		key = DIK_2;
		character =2; 
		command = CMD_RADIO_BRAVO;
	};
	class Charlie
	{
		title = $STR_RADIO_CHARLIE;
		key = DIK_3;
		character =3; 
		command = CMD_RADIO_CHARLIE;
	};
	class Delta
	{
		title = $STR_RADIO_DELTA;
		key = DIK_4;
		character =4; 
		command = CMD_RADIO_DELTA;
	};
	class Echo
	{
		title = $STR_RADIO_ECHO;
		key = DIK_5;
		character = 5; 
		command = CMD_RADIO_ECHO;
	};
	class Foxtrot
	{
		title = $STR_RADIO_FOXTROT;
		key = DIK_6;
		character = 6; 
		command = CMD_RADIO_FOXTROT;
	};
	class Golf
	{
		title = $STR_RADIO_GOLF;
		key = DIK_7;
		character = 7; 
		command = CMD_RADIO_GOLF;
	};
	class Hotel
	{
		title = $STR_RADIO_HOTEL;
		key = DIK_8;
		character = 8; 
		command = CMD_RADIO_HOTEL;
	};
	class India
	{
		title = $STR_RADIO_INDIA;
		key = DIK_9;
		character = 9; 
		command = CMD_RADIO_INDIA;
	};
	class Juliet
	{
		title = $STR_RADIO_JULIET;
		key = DIK_0;
		character = 0; 
		command = CMD_RADIO_JULIET;
	};
};

class RscUserRadio: RscSubmenu
{
	title = $STR_RADIO_CUSTOM;
	atomic=true;
	items[] ={Back};
};
// End of rscMenu.hpp include







/* ---------------------- RESOURCE -----------------------*/

// Include from rscDialog.hpp
// default values for controls

#define TextColor			0.08, 0.08, 0.12
#define InvTextColor			0.35, 0.38, 0.36

//#define FontS "tahomaB24"
#define FontS "tahomaB36"
#define FontM "tahomaB36"

#define FontHTML "courierNewB64"
#define FontHTMLBold "courierNewB64"
#define FontMAP "courierNewB64"
#define FontMAIN "SteelfishB64"
#define FontMAINCZ "SteelfishB64CE"
#define FontTITLE "SteelfishB128"
#define FontTITLEHalf "SteelfishB64"
#define FontBOOK "garamond64"
#define FontNOTES "AudreysHandI48"

#define ForceFontS "\fonts\tahomaB24"
#define ForceFontM "\fonts\tahomaB36"

#define ForceFontHTML "\fonts\courierNewB64"
#define ForceFontHTMLBold "\fonts\courierNewB64"
#define ForceFontMAP "\fonts\courierNewB64"
#define ForceFontMAIN "\fonts\SteelfishB64"
#define ForceFontMAINCZ "\fonts\SteelfishB64CE"
#define ForceFontTITLE "\fonts\SteelfishB128"
#define ForceFontTITLEHalf "\fonts\SteelfishB64"
#define ForceFontBOOK "\fonts\garamond64"
#define ForceFontNOTES "\fonts\AudreysHandI48"

// statics
class RscBackground
{
	type = CT_STATIC;
	idc = -1;
	style = ST_BACKGROUND;
	x = 0.15;
	y = 0.15;
	w = 0.7;
	h = 0.7; 
	text = "";
	colorBackground[] = {1, 1, 1, 1};
	colorText[] = {0, 0, 0, 0};
	font = FontS;
	sizeEx = 0;
};

class RscTitle
{
	type = CT_STATIC;
	idc = -1;
	style = ST_TITLE;
	x = 0.15;
	y = 0.164;
	w = 0.7;
	h = 0.06; 
	text = "";
	colorBackground[] = {1, 1, 1, 1};
	colorText[] = {TextColor, 1};
	font = FontM;
	sizeEx = 1.0714 * 0.03;
};

class RscFrame
{
	type = CT_STATIC;
	idc = -1;
	style = ST_FRAME;
	text = "";
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {TextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
};

class RscGroupBox
{
	type = CT_STATIC;
	idc = -1;
	style = ST_GROUP_BOX;
	text = "";
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {0, 0, 0, 0};
  font = FontS;
	sizeEx = 0.02;
};

class RscGroupBox2
{
	type = CT_STATIC;
	idc = -1;
	style = ST_GROUP_BOX2;
	text = "";
	colorBackground[] = {1, 1, 1, 0.6};
	colorText[] = {0, 0, 0, 0};
  font = FontS;
	sizeEx = 0.02;
};

class RscText
{
	type = CT_STATIC;
	idc = -1;
	style = ST_LEFT;
	h = 0.04; 
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {TextColor, 0.75};
  	font = FontS;
	sizeEx = 0.02;
};

class RscPicture
{
	type = CT_STATIC;
	idc = -1;
	style = ST_PICTURE;
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {1, 1, 1, 1};
	font = FontS;
	sizeEx = 0;
};

class RscTilePicture
{
	type = CT_STATIC;
	idc = -1;
	style = ST_TILE_PICTURE;
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {1, 1, 1, 1};
	font = FontS;
	sizeEx = 0;
};

// html browser
class RscHTML
{
	type = CT_HTML;
	idc = -1;
	style = 0;
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {0, 0, 0, 1};
	colorBold[] = {0, 0, 0.2, 1};
	colorLink[] = {0.4, 0.4, 0.8, 1};
	colorLinkActive[] = {0.8, 0.35, 0.48, 1};

	tooltipColorText[] = {0, 0, 0, 1};
	tooltipColorBox[] = {0, 0, 0, 0.5};
	tooltipColorShade[] = {1, 1, 0.7, 1};

	// styles
	class H1
	{
		font = FontHTML;
		fontBold = FontHTMLBold;
		sizeEx = 0.048;
	};
	class H2
	{
		font = FontHTML;
		fontBold = FontHTMLBold;
		sizeEx = 0.7 * 0.048;
	};
	class H3
	{
		font = FontHTML;
		fontBold = FontHTMLBold;
		sizeEx = 0.5 * 0.048;
	};
	class H4
	{
		font = FontHTML;
		fontBold = FontHTMLBold;
		sizeEx = 0.4 * 0.048;
	};
	class H5
	{
		font = FontBOOK;
		fontBold = FontBOOK;
		sizeEx = 0.6 * 0.048;
	};
	class H6
	{
		font = FontNOTES;
		fontBold = FontNOTES;
		sizeEx = 0.7 * 0.045;
	};
	class P
	{
		font = FontHTML;
		fontBold = FontHTML;
		sizeEx = 0.47 * 0.048;
	};
};

// buttons

class RscButton
{
	type = CT_BUTTON;
	style = ST_CENTER;
	w = 0.16;
	h = 0.06; 
	colorText[] = {TextColor, 1};
	font = FontS;
	sizeEx = 0.02;
	default = 0;

	soundPush[] = {"ui\ui_ok", 0.2, 1};
	soundClick[] = {, 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};
};

class RscButtonMap : RscButton
{
	w = 0.12;
};

class RscButtonSmall : RscButton
{
	w = 0.12;
};

// edits

class RscEdit
{
	type = CT_EDIT;
	style = ST_LEFT;
	h = 0.04; 
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {TextColor, 0.75};
	colorSelection[] = {1, 1, 1, 0.25};
	font = FontS;
	sizeEx = 0.02;
	autocomplete = "";
};

// combo boxes

class RscCombo
{
	type = CT_COMBO;
	style = 0;
	h = 0.04;
	wholeHeight = 0.25;
	colorSelect[] = {InvTextColor, 1};
	colorText[] = {TextColor, 0.75};
	colorBackground[] = {InvTextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
};

// list boxes

class RscListBox
{
	type = CT_LISTBOX;
	style = 0;
	h = 0.25;
	colorSelect[] = {InvTextColor, 1};
	colorText[] = {TextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
	rowHeight = 0;	// equal text height
};

// trees

class RscTree
{
	type = CT_TREE;
	style = 0;
	colorBackground[] = {InvTextColor, 1};
	colorSelect[] = {TextColor, 1};
	colorText[] = {TextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
};

// sliders

class RscSliderH
{
	type = CT_SLIDER;
	style = SL_HORZ;
	h = 0.028; 
	//color[] = {TextColor, 0.75};
	color[] = {TextColor, 1.00};
};

class RscSliderV
{
	type = CT_SLIDER;
	style = SL_VERT;
	w = 0.021;
	//color[] = {TextColor, 0.75};
	color[] = {TextColor, 1.00};
};

// active text

class RscActiveText
{
	type = CT_ACTIVETEXT;
	style = ST_LEFT;
	color[] = {0, 0, 0, 1};
	colorActive[] = {1, 1, 1, 1};
  font = FontMAIN;
	sizeEx = 0.05;
	soundEnter[] = {"ui\ui_over", 0.2, 1};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};
	default = false;
};

// template for message boxes
	// **Message box (tweak)**
class RscMsgBox
{
	class Background : RscBackground
	{
		// x, y, w, h, text are ignored
	};
	class SubBackground : RscGroupBox2
	{
		// x, y, w, h, text are ignored
	};
	class Text : RscText		// edited
	{
		// x, y, w, h, text are ignored
		style = ST_MULTI;
		lineSpacing = 1;
		sizeEx=0.017		// added
	};
	class Button : RscButton
	{
		// x, y are ignored
		h = 0.05;
	};
	class ButtonOK : Button
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = 1;
	};
	class ButtonCancel : Button
	{
		idc = IDC_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
		text = $STR_DISP_CANCEL;
		default = 1;
	};
};

// template for notebook and map

#define NotebookTextColor				0.0, 0.0, 0.0
#define NotebookOnColor					{NotebookTextColor, 0.8}
#define NotebookOffColor				{NotebookTextColor, 0.4}
#define NotebookDisabledColor		{NotebookTextColor, 0.2}

//#define FontSSize10							0.70 * 0.02
//#define FontSSize12							0.84 * 0.02
#define FontSSize10							0.02
#define FontSSize12							0.02

class RscNotebookText : RscText
{
	colorText[] = NotebookOnColor;
};
class RscNotebookText12 : RscNotebookText
{
	font = FontS;
	sizeEx = FontSSize12;
};
class RscNotebookText10 : RscNotebookText
{
	font = FontS;
	sizeEx = FontSSize10;
};

class RscMapControl
{
	type = CT_STATIC;
	idc = IDC_MAP;
	style = ST_PICTURE;
	colorBackground[] = {1, 1, 1, 1};
	colorText[] = {0, 0, 0, 1};
	font = FontMAP;
	sizeEx = 0.048;
	
	//colorSea[] = {0.56, 0.8, 0.98, 0.5};
	//colorForest[] = {0.6, 0.8, 0.2, 0.5};
	
	
	colorForest[] = {124/255, 200/255, 60/255, 0.5}; // FDF
	colorForestBorder[] = {0.2, 0.6, 0, 0.7};
	colorSea[] = {0.36, 0.6, 0.78, 0.5};
	
	colorCountlines[] = {0.65, 0.45, 0.27, 0.5};
	colorCountlinesWater[] = {0, 0.53, 1, 0.5};
	//colorForestBorder[] = {0.4, 0.8, 0, 1};

	colorNames[] = {0, 0, 0, 1};

	colorInactive[] = {1, 1, 1, 0.5};

	fontLabel = FontS;
	sizeExLabel = 0.02;
	fontGrid = FontM;
	sizeExGrid = 0.7 * 0.03;
	fontUnits = FontS;
	sizeExUnits = 0.02;
	fontNames = FontMAP;
	sizeExNames = 3.0 * 0.048;
	
	text = "podmapa.pac";

	class Tree
	{
		icon = "tree";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class SmallTree
	{
		icon = "small_tree";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Bush
	{
		icon = "bush";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Church
	{
		icon = "church";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Chapel
	{
		icon = "chapel";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Cross
	{
		icon = "cross";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Rock
	{
		icon = "rock";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Bunker
	{
		icon = "bunker";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Fortress
	{
		icon = "fortress";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Fountain
	{
		icon = "fountain";
		color[] = {0, 0, 1, 1};
		size = 16;
	};
	class ViewTower
	{
		icon = "view-tower";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Lighthouse
	{
		icon = "lighthouse";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Quay
	{
		icon = "quay";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Fuelstation
	{
		icon = "fuelstation";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Hospital
	{
		icon = "hospital";
		color[] = {1, 0, 0, 1};
		size = 16;
	};
	class BusStop
	{
		icon = "\o\misc\busstop.paa";
		color[] = {0, 0, 1, 1};
		size = 8;
	};

	class Waypoint
	{
		icon = "waypoint";
		color[] = {0, 0, 0, 1};
		size = 24;
	};
	class WaypointCompleted
	{
		icon = "waypoint_2";
		color[] = {0, 0, 0, 1};
		size = 24;
	};
};

// toolbox
class RscToolbox
{
	type = CT_TOOLBOX;
	style = ST_CENTER;
	colorText[] = NotebookOffColor;
	color[] = NotebookOffColor;
	colorTextSelect[] = NotebookOnColor;
	colorSelect[] = NotebookOnColor;
	colorTextDisable[] = NotebookDisabledColor;
	colorDisable[] = NotebookDisabledColor;
	font = FontS;
	sizeEx = FontSSize12;
};

#define BackgroundNotebook FDFBackground1,\
		FDFBackground2,\
		FDFBackground3,\
		BigFrame,\
		Weather,\
		Position,\
		TimeFrame,\
		Time,\
		DateFrame,\
		Date
		
		/*
#define BackgroundNotebook BackgroundA,\
		BackgroundB,\
		BackgroundC,\
		BackgroundD,\
		BackgroundE,\
		BackgroundF,\
		BigFrame,\
		Weather,\
		Position,\
		TimeFrame,\
		Time,\
		DateFrame,\
		Date*/









/* ---------------------- MISSION EDITOR -----------------------*/	

	// **Main screen**
class RscNotebook
{
	movingEnable = false;
	
	
	class FDFBackground1 : RscPicture		// edited
	{
		text = "\FDF_gfx\editor1.paa";
		x = __EVAL(0.85 + AR_modifX); y = __EVAL(0.0 - AR_modifY); w = 0.25; h = __EVAL(0.333 + AR_modifY);
		colorText[] = {1, 1, 1, 1};
	};
	class FDFBackground2 : RscPicture		// edited
	{
		text = "\FDF_gfx\editor2.paa";
		x = __EVAL(0.85 + AR_modifX); y = 0.333; w = 0.25; h = 0.333;
		colorText[] = {1, 1, 1, 1};
	};
	class FDFBackground3 : RscPicture		// edited
	{
		text = "\FDF_gfx\editor3.paa";
		x = __EVAL(0.85 + AR_modifX); y = 0.666; w = 0.25; h = __EVAL(0.334 + AR_modifY);
		colorText[] = {1, 1, 1, 1};
	};	

	/*
	class BackgroundA : RscPicture
	{
		text = "notasA.pac";
		x = 0; y = 0; w = 0.4; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundB : RscPicture
	{
		text = "notasB.pac";
		x = 0.4; y = 0; w = 0.4; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundC : RscPicture
	{
		text = "notasC.pac";
		x = 0; y = 0.5; w = 0.4; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundD : RscPicture
	{
		text = "notasD.pac";
		x = 0.4; y = 0.5; w = 0.4; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundE : RscPicture
	{
		text = "\editor1.paa";
		x = 0.85; y = 0.0; w = 0.15; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundF : RscPicture
	{
		text = "\editor2.paa";
		x = 0.85; y = 0.5; w = 0.15; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};	
	class BackgroundE : RscPicture
	{
		//text = "notasF2.pac";
		text = "white.pac";
		x = 0.835; y = -0.05; w = 0.186; h = 0.45;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundF : RscPicture
	{
		//text = "notasF.pac";
		text = "white.pac";
		x = 0.8; y = 0.40; w = 0.2; h = 0.6;
		colorText[] = {1, 1, 1, 1};
	};*/
	

	
	class BackgroundF2 : RscPicture
	{
		text = "white.paa";
		//text = "notasF2.pac";
		x = 0.8; y = 0.5; w = 0.2; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BigFrame : RscFrame
	{
		x = 0.130;
		y = 0.137;
		w = 0.600;
		h = 0.750;
		colorText[] = NotebookOnColor;
	}
	class Weather : RscPicture		// edited
	{
		idc = IDC_WEATHER;
		text = "bourka.paa";
		x = __EVAL(0.88 + AR_modifX);
		y = 0.164;
		w = 0.050;
		h = 0.070;
		/*		
		x = 0.840;
		y = 0.110;
		w = 0.060;
		h = 0.080;*/
	};
	class Position : RscNotebookText12		// edited
	{
		idc = IDC_POSITION;
		style = ST_CENTER;
		text = "";
		x = __EVAL(0.91 + AR_modifX);
		y = 0.164;
		w = 0.074;
		h = 0.060;
		/*		
		x = 0.900;
		y = 0.110;
		w = 0.058;
		h = 0.080;*/
	};
	class TimeFrame : RscFrame		// edited
	{
		colorText[] = NotebookOnColor;
		x = __EVAL(0.870 + AR_modifX);
		y = 0.245;
		w = 0.111;
		h = 0.026;
	};
	class Time : RscNotebookText12		// edited
	{
		idc = IDC_TIME;
		style = ST_CENTER;
	/*	x = 0.840;
		y = 0.190;
		w = 0.118;
		h = 0.028;*/
		
		x = __EVAL(0.869 + AR_modifX);
		y = 0.245;
		w = 0.111;
		h = 0.026;
				
		text = "";
	};
	class DateFrame : RscFrame		// edited
	{
		colorText[] = NotebookOnColor;
		/*x = 0.840;
		y = 0.228;
		w = 0.118;
		h = 0.028;*/
				
		x = __EVAL(0.870 + AR_modifX);
		y = 0.282;
		w = 0.111;
		h = 0.026;
	};
	class Date : RscNotebookText10		// edited
	{
		idc = IDC_DATE;
		style = ST_CENTER;
		x = __EVAL(0.870 + AR_modifX);
		y = 0.282;
		w = 0.111;
		h = 0.026;
		text = "";
	};
};

#define ControlsMap BackgroundNotebook,\
		Map

	// **Map**
class RscMap : RscNotebook
{
	class Map : RscMapControl
	{
		moveOnEdges = false;
/*
		x = 0.130;
		y = 0.137;
		w = 0.600;
		h = 0.750;
*/

/*
		x = 0.044;
		y = 0.10;
		w = 0.706;
		h = 0.858;
*/

		x = __EVAL(0 - AR_modifX);
		y = __EVAL(0 - AR_modifY);
		w = __EVAL(0.85 + AR_modifX * 2);
		h = __EVAL(1 + AR_modifY * 2);
		};
		
	// Additional maps on left and right screens - added
	#ifdef AR_TRIPLEHEAD_EXTRAEDITORMAP
		class Map2 : Map
		{
			x = __EVAL(-AR_modifX_2NDMON - AR_modifX);
			y = __EVAL(-AR_modifY);
			w = __EVAL(AR_modifX_2NDMON);
			h = __EVAL(1+AR_modifY*2);
		};
		class Map3 : Map2 {x=__EVAL(AR_modifX_2NDMON - AR_modifX);};
	#endif
};
#define ControlsMap2 FDFBackground1,\
		FDFBackground2,\
		FDFBackground3,\
		BigFrame,\
		Weather,\
		Position,\
		TimeFrame,\
		Time,\
		DateFrame,\
		Date, \
		Map
		
/*
#define ControlsMap2 BackgroundA,\
		BackgroundB,\
		BackgroundC,\
		BackgroundD,\
		BackgroundE,\
		BackgroundF2,\
		BigFrame,\
		Weather,\
		Position,\
		TimeFrame,\
		Time,\
		DateFrame,\
		Date, \
		Map*/

// template for standard display (new design)
class RscDisplay
{
};

// displays definition

class RscSkewBackground
{
	type = CT_STATIC_SKEW;
	idc = -1;
	x = 0; y = 0; w = 0; h = 0;	// will be recalculated
	
	style = ST_BACKGROUND;
	color[] = {1, 1, 1, 1};
};

class RscSkewGroupBox
{
	type = CT_STATIC_SKEW;
	idc = -1;
	x = 0; y = 0; w = 0; h = 0;	// will be recalculated

	style = ST_GROUP_BOX;
	color[] = {1, 1, 1, 1};
};

class RscDisplayGame
{
	idd = IDD_GAME;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,
		Group,
		Subtitle,
		Selector,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.23;
		y = 0.13;
		w = 0.54;
		h = 0.54;
	};
	class Title : RscTitle
	{
		x = 0.23;
		y = 0.144;
		w = 0.54;
		text = "Testing load";
	};
	class Group : RscGroupBox2
	{
		x = 0.27;
		y = 0.22;
		w = 0.45;
		h = 0.32;
	};
	class Subtitle : RscText
	{
		x = 0.3;
		y = 0.23;
		w = 0.3;
		text = $STR_DISP_GAME_SELECT;
		sizeEx = 0.016;
	};
	class Selector : RscListBox
	{
		idc = IDC_GAME_SELECT;
		x = 0.3;
		y = 0.28;
		w = 0.4;
	};
	class ButtonOK : RscButton
	{
		idc = IDC_OK;
		x = 0.3;
		y = 0.57;
		text = $STR_DISP_OK;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = 1;
	};
	class ButtonCancel : RscButton
	{
		idc = IDC_CANCEL;
		x = 0.52;
		y = 0.57;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
		text = $STR_DISP_CANCEL;
	};
};

class RscDisplaySave
{
	idd = IDD_SAVE;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,
		Group,
		Subtitle,
		GameName,
		ButtonOK
	};
	class Background : RscBackground
	{
		x = 0.28;
		y = 0.2;
		w = 0.46;
		h = 0.35;
	};
	class Title : RscTitle
	{
		x = 0.28;
		y = 0.214;
		w = 0.46;
		text = "Testing save";
	};
	class Group : RscGroupBox2
	{
		x = 0.3;
		y = 0.32;
		w = 0.4;
		h = 0.11;
	};
	class Subtitle : RscText
	{
		x = 0.32;
		y = 0.35;
		w = 0.2;
		text = $STR_DISP_GAME_NAME;
	};
	class GameName : RscEdit
	{
		idc = IDC_SIDE_NAME;
		x = 0.40;
		y = 0.35;
		w = 0.25;
		text =  $STR_DISP_SAVE_NAME;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.4;
		y = 0.45;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayInsertMarker
{
	idd = IDD_INSERT_MARKER;
	movingEnable = false;
	controls[] =
	{
		Picture,
		Text,
		ButtonOK
	};

	class Picture : RscPicture
	{
		idc = IDC_INSERT_MARKER_PICTURE;
		text = "";
		x = 0;
		y = 0;
		w = 0.05;
		h = 0.05 * 4 / 3;
		colorText[] = {0, 0, 0, 1};
	};
	class Text : RscEdit
	{
		idc = IDC_INSERT_MARKER;
		x = 0.04;
		y = 0;
		w = 0.15;
		h = 0.04; 
		text = ;
	};
	class ButtonOK : RscActiveText
	{
		idc = IDC_OK;
		x = 0;
		y = 0;
		w = 0;
		h = 0;
		text = "";
		default = 1;
	};
};

class RscDisplayCustomArcade
{
	idd = IDD_CUSTOM_ARCADE;
	movingEnable = true;
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		Game,
		ButtonEdit,
		ButtonDelete,
		ButtonPlay,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.2;
		y = 0.1;
		w = 0.6;
		h = 0.8;
	};
	class Title : RscTitle
	{
		x = 0.2;
		y = 0.118;
		w = 0.6;
		h = 0.06;
		text = $STR_DISP_MAIN_DESIGN;
	};
	class SubBackground : RscGroupBox2
	{
		x = 0.22;
		y = 0.2;
		w = 0.56;
		h = 0.60;
	};
	class Game : RscTree
	{
		idc = IDC_CUST_GAME;
		style = TR_AUTOCOLLAPSE;
		x = 0.24;
		y = 0.22;
		w = 0.52;
		h = 0.56;
	};
	class ButtonEdit : RscButtonSmall
	{
		idc = IDC_CUST_EDIT;
		x = 0.22;
		y = 0.82;
    w = 0.12;
		h = 0.05;
		text = $STR_DISP_ERROR;
	};
	class ButtonDelete : RscButtonSmall
	{
		idc = IDC_CUST_DELETE;
		x = 0.36;
		y = 0.82;
		w = 0.12;
		h = 0.05;
		text = $STR_DISP_DELETE;
	};
	class ButtonPlay : RscButtonSmall
	{
		idc = IDC_CUST_PLAY;
		x = 0.52;
		y = 0.82;
    w = 0.12;
		h = 0.05;
		text = $STR_DISP_CUST_PLAY;
		default = 1;
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.66;
		y = 0.82;
		w = 0.12;
		h = 0.05;
		text = $STR_DISP_CANCEL;
	};
};

// Dialogs (Mission editor style)

#define LINE_HEIGHT 0.05
#define BOX_HEIGHT(LINES) (LINE_HEIGHT * LINES + 0.01)

#define LINE_Y __EVAL(line_y)
#define LINE_W(VALUE) __EVAL(VALUE * line_w)
#define LINE_X(VALUE) __EVAL(line_x + VALUE * line_w)
#define NEXT_LINE __EXEC(line_y = line_y + LINE_HEIGHT)

#define DISPLAY(IDD,X,Y,W,H) \
	idd = IDD;\
	__EXEC(display_x = X);\
	__EXEC(display_y = Y);\
	__EXEC(display_w = W);\
	__EXEC(display_h = H);\
	__EXEC(line_x = X + 0.02);\
	__EXEC(line_w = W - 0.045);\
	__EXEC(line_y = Y + 0.1);\
	movingEnable = true;

#define BACKGROUND(NAME) \
	class NAME : RscBackground\
	{\
		x = __EVAL(display_x);\
		y = __EVAL(display_y);\
		w = __EVAL(display_w);\
		h = __EVAL(display_h);\
	};

#define TITLE(NAME,TEXT,IDC) \
	class NAME : RscTitle\
	{\
		idc = IDC;\
		x = __EVAL(display_x);\
		y = __EVAL(display_y + 0.018);\
		w = __EVAL(display_w);\
		h = 0.06;\
		text = TEXT;\
	};

#define BEGIN_BOX \
	__EXEC(box_y = line_y);\
	__EXEC(line_x = display_x + 0.03);\
	__EXEC(line_w = display_w - 0.07);\
	__EXEC(line_y = box_y + 0.01);

#define END_BOX(NAME) \
	class NAME : RscGroupBox2\
	{\
		x = __EVAL(display_x + 0.02);\
		y = __EVAL(box_y);\
		w = __EVAL(display_w - 0.045);\
		h = __EVAL(line_y - box_y);\
	};\
	__EXEC(line_y = line_y + 0.02);\
	__EXEC(line_x = X + 0.02);\
	__EXEC(line_w = W - 0.045);

#define BEGIN_FRAME \
	__EXEC(frame_y = line_y);\
	__EXEC(line_x = display_x + 0.04);\
	__EXEC(line_w = display_w - 0.08);\
	__EXEC(line_y = frame_y + 0.02);

#define END_FRAME(NAME,TEXT) \
	class NAME : RscFrame\
	{\
		x = __EVAL(display_x + 0.035);\
		y = __EVAL(frame_y);\
		w = __EVAL(display_w - 0.07);\
		h = __EVAL(line_y - frame_y);\
		text = TEXT;\
	};\
	__EXEC(line_y = line_y + 0.01);\
	__EXEC(line_x = display_x + 0.03);\
	__EXEC(line_w = display_w - 0.07);
	
#define	STATIC_TEXT(NAME,TEXT,IDC,XVAL,WVAL) \
	class NAME : RscText\
	{\
		idc = IDC;\
		x = LINE_X(XVAL);\
		y = LINE_Y;\
		w = LINE_W(WVAL);\
		text = TEXT;\
	};

#define	EDIT(NAME,IDC,XVAL,WVAL) \
	class NAME : RscEdit\
	{\
		idc = IDC;\
		x = LINE_X(XVAL);\
		y = LINE_Y;\
		w = LINE_W(WVAL);\
		text = $STR_DISP_ERROR;\
	};
#define	EDIT_SCRIPT(NAME,IDC,XVAL,WVAL) \
	class NAME : RscEdit\
	{\
		idc = IDC;\
		x = LINE_X(XVAL);\
		y = LINE_Y;\
		w = LINE_W(WVAL);\
		text = $STR_DISP_ERROR;\
		autocomplete="scripting";\
	};

#define	COMBO(NAME,IDC,XVAL,WVAL) \
	class NAME : RscCombo\
	{\
		idc = IDC;\
		x = LINE_X(XVAL);\
		y = LINE_Y;\
		w = LINE_W(WVAL);\
		wholeHeight = 0.45;\
		colorBackground[] = {InvTextColor, 0.95};\
	};

#define	BUTTON(NAME,TEXT,IDC,SOUND,VOLUME,XVAL,DEFAULT) \
	class NAME : RscButton\
	{\
		idc = IDC;\
		x = __EVAL(display_x + display_w - 0.153 - XVAL * 0.145);\
		y = __EVAL(display_y + display_h - 0.075);\
		w = 0.13;\
		h = 0.05;\
		text = TEXT;\
		default = DEFAULT;\
		soundClick[] = {SOUND, VOLUME, 1};\
	};

#define	LEFT_BUTTON(NAME,TEXT,IDC,SOUND,VOLUME,XVAL,DEFAULT) \
	class NAME : RscButton\
	{\
		idc = IDC;\
		x = __EVAL(display_x + 0.02 + XVAL * 0.15);\
		y = __EVAL(display_y + display_h - 0.075);\
		w = 0.13;\
		h = 0.05;\
		text = TEXT;\
		default = DEFAULT;\
		soundClick[] = {SOUND, VOLUME, 1};\
	};

#define BUTTON_OK(XVAL) BUTTON(ButtonOK,$STR_DISP_OK,IDC_OK,"ui\ui_ok",0.2,XVAL,0)
#define DEFAULT_BUTTON_OK(XVAL) BUTTON(ButtonOK,$STR_DISP_OK,IDC_OK,"ui\ui_ok",0.2,XVAL,1)
#define BUTTON_CANCEL(XVAL) BUTTON(ButtonCancel,$STR_DISP_CANCEL,IDC_CANCEL,"ui\ui_cc",0.2,XVAL,0)
#define DEFAULT_BUTTON_CANCEL(XVAL) BUTTON(ButtonCancel,$STR_DISP_CANCEL,IDC_CANCEL,"ui\ui_cc",0.2,XVAL,1)

	// **Mission editor controls**
class RscDisplayArcadeMap : RscMap
{
	idd = IDD_ARCADE_MAP;
	// **added condition for blackbackground (triplehead), extra maps (triplehead)**
	controls[]=
	{
	
	#ifdef AR_TRIPLEHEAD
		BlackBackground,
	#endif


		BackgroundNotebook,		// **modified**		
	#ifdef AR_TRIPLEHEAD_EXTRAEDITORMAP
		Map2, Map3,
	#endif
		Map,
		ToolboxMode,
		Difficulty,
		ButtonIntel,
		ButtonLoad,
		ButtonMerge,
		ButtonSave,
		ButtonClear,
		Section,
		ButtonTest,
		ButtonIds,
		ButtonTextures,
		ButtonPreview,
		ButtonContinue,
		ButtonCancel
	};
	
	class BlackBackground : RscText		// added
	{
		x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(1 + AR_modifY * 2);
		colorBackground[]={0,0,0,1};
		text = "";
	};

	class ToolboxMode : RscToolbox		// edited
	{
		idc = IDC_ARCMAP_MODE;
		/*x = 0.097;
		y = 0.014;
		w = 0.689;
		h = 0.038;*/
		
		x = __EVAL(0.86 + AR_modifX);
		y = __EVAL(0.01 - AR_modifY);
		w = 0.13;
		h = __EVAL(0.145 + AR_modifY);

		strings[] =
		{
			$STR_DISP_ARCMAP_UNITS,
			$STR_DISP_ARCMAP_GROUPS,
			$STR_DISP_ARCMAP_SENSORS,
			$STR_DISP_ARCMAP_WAYPOINTS,
			$STR_DISP_ARCMAP_SYNCHRONIZE,
			$STR_DISP_ARCMAP_MARKERS};
		rows = 6;
		columns = 1;
	};
	class Difficulty : RscActiveText		// edited
	{
		idc = IDC_ARCMAP_DIFF;
		style = ST_CENTER;
		font = FontMAIN;
		sizeEx = 0.05;
		x = __EVAL(0.862 + AR_modifX);
		y = __EVAL(0.717 + AR_modifY / 4);
		w = 0.128;
		h = 0.04; 
		text = $STR_DISP_ERROR;
		color[] = {0.8, 0.8, 0.8, 1};
		colorActive[] = {0.8, 0.8, 0, 1};
	};
	class ButtonIntel: RscActiveText		// edited
	{
		idc = IDC_ARCMAP_INTEL;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.163;
		w = 0.128;
		h = 0.156; 
		text = ;
		color[] = {TextColor, 1};
		colorActive[] = {TextColor, 1};
	};
	class ButtonLoad : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_LOAD;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.363;
  		w = 0.128;
		h = 0.04;
		text = $STR_DISP_ARCMAP_LOAD;
	};
	class ButtonMerge : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_MERGE;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.403;
  		w = 0.128;
		h = 0.04;
		text = $STR_DISP_ARCMAP_MERGE;
	};
	class ButtonSave : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_SAVE;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.443;
    	w = 0.128;
		h = 0.04;
		text = $STR_DISP_ARCMAP_SAVE;
	};
	class ButtonClear : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_CLEAR;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.483;
    	w = 0.128;
		h = 0.04;
		text = $STR_DISP_ARCMAP_CLEAR;
	};
	class Section : RscCombo		// edited
	{
		idc = IDC_ARCMAP_SECTION;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.536;
		w = 0.128;
		h = 0.03;
		wholeHeight = 0.12;
		colorText[] = {1, 1, 1, 0.75};
	}

	class ButtonTest : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_CONTINUE;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.585;
		w = 0.128;
		h = 0.04;
		text = "Debug Console";
		action = "createdialog ""RscFDFDebugConsole"";setacctime 0;[] exec ""\scripts\debugConsole.sqs"";";
	};
	class ButtonIds : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_IDS;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.625;
		w = 0.128;
		h = 0.04;
		text = $STR_DISP_ERROR;
	};
	class ButtonTextures : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_TEXTURES;
		x = __EVAL(0.862 + AR_modifX);
		y = 0.665;
		w = 0.128;
		h = 0.04;
		text = $STR_DISP_ERROR;
	};


	class ButtonPreview : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_PREVIEW;
		x = __EVAL(0.862 + AR_modifX);
		y = __EVAL(0.831 + AR_modifY / 2);
		w = 0.128;
		h = __EVAL(0.05 + AR_modifY / 4);
		text = $STR_DISP_ARCMAP_PREVIEW;
		default = 1;
	};
	class ButtonContinue : RscButtonMap		// edited
	{
		idc = IDC_ARCMAP_CONTINUE;
		x = __EVAL(0.862 + AR_modifX);
		y = __EVAL(0.881 + AR_modifY / 1.25);
		w = 0.128;
		h = __EVAL(0.05 + AR_modifY / 4);
		text = $STR_DISP_ARCMAP_CONTINUE;
	};
	class ButtonCancel : RscButtonMap		// edited
	{
		idc = IDC_CANCEL;
		x = __EVAL(0.862 + AR_modifX);
		y = __EVAL(0.935 + AR_modifY);
		w = 0.128;
		h = 0.05;
		text = $STR_DISP_ARCMAP_EXIT;
	};
};

	// **Unit menu (fix)**
class RscDisplayArcadeUnit
{
	DISPLAY(IDD_ARCADE_UNIT, 0.2, 0.05, 0.56, 0.91)
	controls[]=
	{
		Background,
		Subbackground,
		Title,

		TextSide,
		ValueSide,

		TextRank,
		ValueRank,

		TextClass,
		ValueClass,

		TextVehicle,
		ValueVehicle,

		TextControl,
		ValueControl,
	
	  TextSpecial,
		ValueSpecial,

		TextAge,
		ValueAge,

		TextText,
		ValueText,

		TextLock,
		ValueLock,

		TextSkill,
		ValueSkill,

		TextInit,
		ValueInit,

    Subbackground1,

		TextAzimut,
		ValueAzimut,
		Azimut,

		SubtitleVisuals,
		ValueHealth,

		SubtitleVisuals1,
		ValueFuel,

		SubtitleVisuals2,
		ValueAmmo,

		TextPresence,
		ValuePresence,

		TextPresenceCondition,
		ValuePresenceCondition,

		TextPlacement,
		ValuePlacement,

		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ERROR, IDC_ARCUNIT_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextSide, $STR_DISP_ARCUNIT_SIDE, -1, 0, 0.18)
		COMBO(ValueSide, IDC_ARCUNIT_SIDE, 0.18, 0.31)
		STATIC_TEXT(TextRank, $STR_DISP_ARCUNIT_RANK, -1, 0.51, 0.18)
		COMBO(ValueRank, IDC_ARCUNIT_RANK, 0.69, 0.31)
		NEXT_LINE
	
		STATIC_TEXT(TextClass, $STR_DISP_ARCUNIT_CLASS, -1, 0, 0.18)
		COMBO(ValueClass, IDC_ARCUNIT_CLASS, 0.18, 0.31)
		STATIC_TEXT(TextVehicle, $STR_DISP_ARCUNIT_VEHICLE, -1, 0.51, 0.18)
		COMBO(ValueVehicle, IDC_ARCUNIT_VEHICLE, 0.69, 0.31)
		NEXT_LINE

		STATIC_TEXT(TextControl, $STR_DISP_ARCUNIT_CTRL, -1, 0, 0.18)
		COMBO(ValueControl, IDC_ARCUNIT_CTRL, 0.18, 0.31)
		STATIC_TEXT(TextSpecial, $STR_DISP_ARCUNIT_SPECIAL, -1, 0.51, 0.18)
		COMBO(ValueSpecial, IDC_ARCUNIT_SPECIAL, 0.69, 0.31)
		NEXT_LINE

		STATIC_TEXT(TextAge, $STR_DISP_ARCUNIT_AGE, -1, 0, 0.18)
		COMBO(ValueAge, IDC_ARCUNIT_AGE, 0.18, 0.31)
		STATIC_TEXT(TextText, $STR_DISP_ARCUNIT_TEXT, -1, 0.51, 0.18)
		EDIT(ValueText, IDC_ARCUNIT_TEXT, 0.69, 0.31)
		NEXT_LINE

		STATIC_TEXT(TextLock, $STR_DISP_ARCUNIT_LOCK, -1, 0, 0.18)
		COMBO(ValueLock, IDC_ARCUNIT_LOCK, 0.18, 0.31)
		STATIC_TEXT(TextSkill, $STR_DISP_ARCUNIT_SKILL, -1, 0.51, 0.18)
		class ValueSkill : RscSliderH
		{
			idc = IDC_ARCUNIT_SKILL;
			x = LINE_X(0.69);
			y = LINE_Y + 0.01;
			w = LINE_W(0.31);
		};
		NEXT_LINE

		STATIC_TEXT(TextInit, $STR_DISP_ARCUNIT_INIT, -1, 0, 0.25)
		EDIT_SCRIPT(ValueInit, IDC_ARCUNIT_INIT, 0.25, 0.75)
		NEXT_LINE

	END_BOX(SubBackground)

	BEGIN_BOX

		class Azimut : RscPicture
		{
			idc = IDC_ARCUNIT_AZIMUT_PICTURE;
			text = "azimut.paa";
			x = 0.5525;
			y = __EVAL(box_y - 0.007);
			w = 0.2;
			h = 0.26;
			colorText[] = {0.08, 0.08, 0.12, 1};
		};
		class TextAzimut : RscText
		{
			x = 0.595;
			y = __EVAL(box_y + 0.095);
			w = 0.15;
			text = $STR_DISP_ARCUNIT_AZIMUT;
		};
		class ValueAzimut : RscEdit
		{
			idc = IDC_ARCUNIT_AZIMUT;
			x = 0.665;
			y = __EVAL(box_y + 0.095);
			w = 0.04;
			text = $STR_DISP_ERROR;
		};

		class SubtitleVisuals : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.005);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_HEALTH;
		};
		class ValueHealth : RscSliderH
		{
			idc = IDC_ARCUNIT_HEALTH;
			x = 0.2425;
			y = __EVAL(box_y + 0.04);
			w = 0.32;
		};
		class SubtitleVisuals1 : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.075);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_FUEL;
		};
		class ValueFuel : RscSliderH
		{
			idc = IDC_ARCUNIT_FUEL;
			x = 0.2425;
			y = __EVAL(box_y + 0.11);
			w = 0.32;
		};
		class SubtitleVisuals2 : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.145);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_AMMO;
		};
		class ValueAmmo : RscSliderH		// edited (fix)
		{
			idc = IDC_ARCUNIT_AMMO;
			x = 0.2425;						// +0.0075
			y = __EVAL(box_y + 0.18);
			w = 0.32;
		};

		__EXEC(line_y = line_y + 4.4 * LINE_HEIGHT)
		STATIC_TEXT(TextPresence, $STR_DISP_ARCUNIT_PRESENCE, -1, 0, 0.38)
		class ValuePresence : RscSliderH
		{
			idc = IDC_ARCUNIT_PRESENCE;
			x = LINE_X(0.38);
			y = LINE_Y + 0.01;
			w = LINE_W(0.62);
		};
		NEXT_LINE

		STATIC_TEXT(TextPresenceCondition, $STR_DISP_ARCUNIT_PRESENCE_COND, -1, 0, 0.38)
		EDIT_SCRIPT(ValuePresenceCondition, IDC_ARCUNIT_PRESENCE_COND, 0.38, 0.62)
		NEXT_LINE

		STATIC_TEXT(TextPlacement, $STR_DISP_ARCUNIT_PLACE, -1, 0, 0.38)
		EDIT(ValuePlacement, IDC_ARCUNIT_PLACE, 0.38, 0.62)
		NEXT_LINE

	END_BOX(SubBackground1)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayArcadeUnitSimple
{
	DISPLAY(IDD_ARCADE_UNIT, 0.2, 0.19, 0.56, 0.61)

	controls[]=
	{
		Background,
		Subbackground,
		Title,

		TextSide,
		ValueSide,

		TextClass,
		ValueClass,

		TextVehicle,
		ValueVehicle,

		TextSkill,
		ValueSkill,

		TextControl,
		ValueControl,
	
    Subbackground1,

		TextAzimut,
		ValueAzimut,
		Azimut,

		SubtitleVisuals,
		ValueHealth,

		SubtitleVisuals1,
		ValueFuel,

		SubtitleVisuals2,
		ValueAmmo,

		ButtonOK,
		ButtonCancel
	};
	
	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ERROR, IDC_ARCUNIT_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextSide, $STR_DISP_ARCUNIT_SIDE, -1, 0, 0.18)
		COMBO(ValueSide, IDC_ARCUNIT_SIDE, 0.18, 0.31)
		STATIC_TEXT(TextSkill, $STR_DISP_ARCUNIT_SKILL, -1, 0.51, 0.18)
		class ValueSkill : RscSliderH
		{
			idc = IDC_ARCUNIT_SKILL;
			x = LINE_X(0.69);
			y = LINE_Y + 0.01;
			w = LINE_W(0.31);
		};
		NEXT_LINE

		STATIC_TEXT(TextClass, $STR_DISP_ARCUNIT_CLASS, -1, 0, 0.18)
		COMBO(ValueClass, IDC_ARCUNIT_CLASS, 0.18, 0.31)
		STATIC_TEXT(TextControl, $STR_DISP_ARCUNIT_CTRL, -1, 0.51, 0.18)
		COMBO(ValueControl, IDC_ARCUNIT_CTRL, 0.69, 0.31)
		NEXT_LINE

		STATIC_TEXT(TextVehicle, $STR_DISP_ARCUNIT_VEHICLE, -1, 0, 0.18)
		COMBO(ValueVehicle, IDC_ARCUNIT_VEHICLE, 0.18, 0.31)
		NEXT_LINE

	END_BOX(SubBackground)


	BEGIN_BOX

		class Azimut : RscPicture
		{
			idc = IDC_ARCUNIT_AZIMUT_PICTURE;
			text = "azimut.paa";
			x = 0.5525;
			y = __EVAL(box_y - 0.007);
			w = 0.2;
			h = 0.26;
			colorText[] = {0.08, 0.08, 0.12, 1};
		};
		class TextAzimut : RscText
		{
			x = 0.595;
			y = __EVAL(box_y + 0.095);
			w = 0.15;
			text = $STR_DISP_ARCUNIT_AZIMUT;
		};
		class ValueAzimut : RscEdit
		{
			idc = IDC_ARCUNIT_AZIMUT;
			x = 0.665;
			y = __EVAL(box_y + 0.095);
			w = 0.04;
			text = $STR_DISP_ERROR;
		};

		class SubtitleVisuals : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.005);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_HEALTH;
		};
		class ValueHealth : RscSliderH
		{
			idc = IDC_ARCUNIT_HEALTH;
			x = 0.2425;
			y = __EVAL(box_y + 0.04);
			w = 0.32;
		};
		class SubtitleVisuals1 : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.075);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_FUEL;
		};
		class ValueFuel : RscSliderH
		{
			idc = IDC_ARCUNIT_FUEL;
			x = 0.2425;
			y = __EVAL(box_y + 0.11);
			w = 0.32;
		};
		class SubtitleVisuals2 : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.145);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_AMMO;
		};
		class ValueAmmo : RscSliderH
		{
			idc = IDC_ARCUNIT_AMMO;
			x = 0.235;
			y = __EVAL(box_y + 0.18);
			w = 0.32;
		};

		__EXEC(line_y = line_y + 4.4 * LINE_HEIGHT)

	END_BOX(SubBackground1)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayArcadeGroup
{
	DISPLAY(IDD_ARCADE_GROUP, 0.2, 0.30, 0.6, 0.41)

	controls[]=
	{
		Background,
		Title,

		Subbackground,

			TextSide,
			ValueSide,

			TextType,
			ValueType,

			TextName,
			ValueName,

			Azimut,
			TextAzimut,
			ValueAzimut,

		ButtonOK,
		ButtonCancel
	};
	
	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCGRP_TITLE, -1)

	BEGIN_BOX

		class Azimut : RscPicture
		{
			idc = IDC_ARCGRP_AZIMUT_PICTURE;
			text = "azimut.paa";
//			x = 0.5525;
			x = LINE_X(1) - 0.17;
			y = __EVAL(box_y - 0.018);
			w = 0.2;
			h = 0.26;
			colorText[] = {0.08, 0.08, 0.12, 1};
		};
		class TextAzimut : RscText
		{
//			x = 0.595;
			x = LINE_X(1) - 0.1275;
			y = __EVAL(box_y + 0.084);
			w = 0.15;
			text = $STR_DISP_ARCUNIT_AZIMUT;
		};
		class ValueAzimut : RscEdit
		{
			idc = IDC_ARCGRP_AZIMUT;
//			x = 0.665;
			x = LINE_X(1) - 0.0575;
			y = __EVAL(box_y + 0.084);
			w = 0.04;
			text = $STR_DISP_ERROR;
		};

		STATIC_TEXT(TextSide, $STR_DISP_ARCGRP_SIDE, -1, 0, 0.25)
		COMBO(ValueSide, IDC_ARCGRP_SIDE, 0.25, 0.45)
		NEXT_LINE

		STATIC_TEXT(TextType, $STR_DISP_ARCGRP_TYPE, -1, 0, 0.25)
		COMBO(ValueType, IDC_ARCGRP_TYPE, 0.25, 0.45)
		NEXT_LINE

		STATIC_TEXT(TextName, $STR_DISP_ARCGRP_NAME, -1, 0, 0.25)
		COMBO(ValueName, IDC_ARCGRP_NAME, 0.25, 0.45)
		NEXT_LINE

		NEXT_LINE

	END_BOX(SubBackground)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

	// **Marker menu (tweak)**
class RscDisplayArcadeMarker
{
	idd = IDD_ARCADE_MARKER;
	movingEnable = true;
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		TextName,
		ValueName,
		Marker,
		TextColorName,
		ValueColorName,
		TextType,
		ValueIcon,
		ValueFill,
		TextA,
		ValueA,
		TextB,
		ValueB,
		TextAngle,
		ValueAngle,
		TextText,
		ValueText,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x=0.2;
		y=0.2;
		w=0.6;
		h=0.46;
	};
	class SubBackground : RscGroupBox2
	{
		x=0.22;
		y=0.3;
		w=0.56;
		h=0.26;
	};
	class Title : RscTitle
	{
		idc = IDC_ARCMARK_TITLE;		
		x = 0.2;
		y = 0.218;
		w = 0.6;
		h = 0.06;
		text = $STR_DISP_ERROR;
	};
	class TextName : RscText
	{
		x = 0.23;
		y = 0.32;
		w = 0.07;
		text = $STR_DISP_ARCMARK_NAME;
	};
	class ValueName : RscEdit
	{
		idc = IDC_ARCMARK_NAME;
		x = 0.30;
		y = 0.32;
		w = 0.19;
		text = $STR_DISP_ERROR;
	};
	class Marker : RscToolbox
	{
		idc = IDC_ARCMARK_MARKER;
		x = 0.51;
		y = 0.32;
		w = 0.26;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCMARK_ICON,
			$STR_DISP_ARCMARK_RECT,
			$STR_DISP_ARCMARK_ELLIPSE
		};
		rows = 1;
		columns = 3;
	};
	class TextColorName : RscText
	{
		x = 0.23;
		y = 0.38;
		w = 0.07;
		text = $STR_DISP_ARCMARK_COLOR;
	};
	class ValueColorName : RscCombo		// edited (tweak)
	{
		idc = IDC_ARCMARK_COLOR;
		x = 0.30;
		y = 0.38;
		w = 0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
	};
	class TextType : RscText
	{
		idc = IDC_ARCMARK_TYPE_TEXT;
		x = 0.51;
		y = 0.38;
		w = 0.07;
		text = $STR_DISP_ERROR;
	};
	class ValueIcon : RscCombo		// edited (tweak)
	{
		idc = IDC_ARCMARK_TYPE;
		x = 0.58;
		y = 0.38;
		w = 0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
	};
	class ValueFill : RscCombo		// edited (tweak)
	{
		idc = IDC_ARCMARK_FILL;
		x = 0.58;
		y = 0.38;
		w = 0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
	};
	class TextA : RscText
	{
		x = 0.23;
		y = 0.44;
		w = 0.07;
		text = $STR_DISP_ARCMARK_A;
	};
	class ValueA : RscEdit
	{
		idc = IDC_ARCMARK_A;
		x = 0.30;
		y = 0.44;
		w = 0.09;
		text = $STR_DISP_ERROR;
	};
	class TextB : RscText
	{
		x = 0.40;
		y = 0.44;
		w = 0.07;
		text = $STR_DISP_ARCMARK_B;
	};
	class ValueB : RscEdit
	{
		idc = IDC_ARCMARK_B;
		x = 0.47;
		y = 0.44;
		w = 0.09;
		text = $STR_DISP_ERROR;
	};
	class TextAngle : RscText
	{
		x = 0.57;
		y = 0.44;
		w = 0.07;
		text = $STR_DISP_ARCMARK_ANGLE;
	};
	class ValueAngle : RscEdit
	{
		idc = IDC_ARCMARK_ANGLE;
		x = 0.64;
		y = 0.44;
		w = 0.09;
		text = $STR_DISP_ERROR;
	};
	class TextText : RscText
	{
		x = 0.23;
		y = 0.50;
		w = 0.07;
		text = $STR_DISP_ARCMARK_TEXT;
	};
	class ValueText : RscEdit
	{
		idc = IDC_ARCMARK_TEXT;
		x = 0.30;
		y = 0.50;
		w = 0.43;
		text = $STR_DISP_ERROR;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.50;
		y = 0.585
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.647;
		y = 0.585
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayArcadeMarkerSimple
{
	DISPLAY(IDD_ARCADE_MARKER, 0.2, 0.32, 0.6, 0.36)
	controls[]=
	{
		Background,
		SubBackground,
			Title,
			TextName,
			ValueName,
			// Marker,
			TextColorName,
			ValueColorName,
			
			TextType,
			ValueIcon,
			// ValueFill,

			// TextA,
			// ValueA,
			// TextB,
			// ValueB,
			// TextAngle,
			// ValueAngle,
			TextText,
			ValueText,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ERROR, IDC_ARCMARK_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextName, $STR_DISP_ARCMARK_NAME, -1, 0, 0.18)
		EDIT(ValueName, IDC_ARCMARK_NAME, 0.18, 0.82)
/*
		class Marker : RscToolbox
		{
			idc = IDC_ARCMARK_MARKER;
			x = LINE_X(0.51);
			y = LINE_Y;
			w = LINE_W(0.49);
			h = 0.038;

			strings[] =
			{
				$STR_DISP_ARCMARK_ICON,
				$STR_DISP_ARCMARK_RECT,
				$STR_DISP_ARCMARK_ELLIPSE
			};
			rows = 1;
			columns = 3;
		};
*/
		NEXT_LINE

		STATIC_TEXT(TextColorName, $STR_DISP_ARCMARK_COLOR, -1, 0, 0.18)
		COMBO(ValueColorName, IDC_ARCMARK_COLOR, 0.18, 0.31)
		STATIC_TEXT(TextType, $STR_DISP_ERROR, IDC_ARCMARK_TYPE_TEXT, 0.51, 0.18)
		COMBO(ValueIcon, IDC_ARCMARK_TYPE, 0.69, 0.31)
//		COMBO(ValueFill, IDC_ARCMARK_FILL, 0.69, 0.31)
		NEXT_LINE

/*
		STATIC_TEXT(TextA, $STR_DISP_ARCMARK_A, -1, 0, 0.10)
		EDIT(ValueA, IDC_ARCMARK_A, 0.10, 0.22)
		STATIC_TEXT(TextB, $STR_DISP_ARCMARK_B, -1, 0.34, 0.10)
		EDIT(ValueB, IDC_ARCMARK_B, 0.44, 0.22)
		STATIC_TEXT(TextAngle, $STR_DISP_ARCMARK_ANGLE, -1, 0.68, 0.10)
		EDIT(ValueAngle, IDC_ARCMARK_ANGLE, 0.78, 0.22)
		NEXT_LINE
*/

		STATIC_TEXT(TextText, $STR_DISP_ARCMARK_TEXT, -1, 0, 0.18)
		EDIT(ValueText, IDC_ARCMARK_TEXT, 0.18, 0.82)
		NEXT_LINE

	END_BOX(SubBackground)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

	// **Trigger menu (fix + tweak)**
class RscDisplayArcadeSensor
{
	idd = IDD_ARCADE_SENSOR;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,

		SubBackground1,
		TextA,
		ValueA,
		TextB,
		ValueB,
		TextAngle,
		ValueAngle,
		Rectangular,

		SubBackground2,
		TextActivation,
		ValueActivation,
		Presence,
		Repeating,
		Interruptable,
		TextTimeoutMin,
		ValueTimeoutMin,
		TextTimeoutMax,
		ValueTimeoutMax,
		TextTimeoutMid,
		ValueTimeoutMid,

		SubBackground3,
		TextType,
		ValueType,
		TextText,
		ValueText,
		TextName,
		ValueName,

		SubBackground4,
		TextExpCond,
		ValueExpCond,
		TextExpActiv,
		ValueExpActiv,
		TextExpDesactiv,
		ValueExpDesactiv,

		ButtonEffects,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.2;
		y = 0.1;
		w = 0.56;
		h = 0.86; 
	};
	class Title : RscTitle
	{
		idc = IDC_ARCSENS_TITLE;
		x = 0.2;
		y = 0.118;
		w = 0.56;
		h = 0.06;
		text = $STR_DISP_ARCSENS_TITLE;
	};

	class SubBackground1 : RscGroupBox2
	{
		x = 0.22;
		y = 0.2;
		w = 0.515;
		h = 0.11; 
	};
	class TextA : RscText
	{
		x = 0.23;
		y = 0.21;
		w = 0.15;
		text = $STR_DISP_ARCSENS_A;
	};
	class ValueA : RscEdit
	{
		idc = IDC_ARCSENS_A;
		x = 0.32;
		y = 0.21;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};
	class TextB : RscText
	{
		x = 0.48;
		y = 0.21;
		w = 0.15;
		text = $STR_DISP_ARCSENS_B;
	};
	class ValueB : RscEdit
	{
		idc = IDC_ARCSENS_B;
		x = 0.57;
		y = 0.21;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};
	class TextAngle : RscText
	{
		x = 0.23;
		y = 0.26;
		w = 0.15;
		text = $STR_DISP_ARCSENS_ANGLE;
	};
	class ValueAngle : RscEdit
	{
		idc = IDC_ARCSENS_ANGLE;
		x = 0.32;
		y = 0.26;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};
	class Rectangular : RscToolbox
	{
		idc = IDC_ARCSENS_RECT;
		x = 0.48;
		y = 0.26;
		w = 0.24;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCSENS_ELLIPSE,
			$STR_DISP_ARCSENS_RECT};
		rows = 1;
		columns = 2;
	};

	class SubBackground2 : RscGroupBox2
	{
		x = 0.22;
		y = 0.33;
		w = 0.515;
		h = 0.16; 
	};
	class TextActivation : RscText
	{
		x = 0.23;
		y = 0.34;
		w = 0.15;
		text = $STR_DISP_ARCSENS_ACTIV;
	};
	class ValueActivation : RscCombo		// edited (tweak)
	{
		idc = IDC_ARCSENS_ACTIV;
		x = 0.32;
		y = 0.34;
		w = 0.15;
		wholeHeight=0.5;		// added
	};
	class Repeating : RscToolbox
	{
		idc = IDC_ARCSENS_REPEATING;
		x = 0.48;
		y = 0.34;
		w = 0.24;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCSENS_ONCE,
			$STR_DISP_ARCSENS_REPEAT};
		rows = 1;
		columns = 2;
	};
	class Presence : RscToolbox
	{
		idc = IDC_ARCSENS_PRESENCE;
		x = 0.23;
		y = 0.39;
		w = 0.50;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCSENS_PRESYES,
			$STR_DISP_ARCSENS_PRESNO,
			$STR_DISP_ARCSENS_DETWEST,
			$STR_DISP_ARCSENS_DETEAST,
			$STR_DISP_ARCSENS_DETGUERRILA,
			$STR_DISP_ARCSENS_DETCIVILIAN};
		rows = 2;
		columns = 3;
	};
	class Interruptable : RscToolbox		// edited (fix)
	{
		idc = IDC_ARCSENS_INTERRUPT;
		x = 0.23;
		y=0.43; // +0.01
		w = 0.15;
		h=0.06;	// -0.02

		strings[] =
		{
			$STR_DISP_ARCSENS_COUNTDOWN,
			$STR_DISP_ARCSENS_TIMEOUT};
		rows = 2;
		columns = 1;
	};
	class TextTimeoutMin : RscText		// edited (fix + tweak)
	{
		x=0.40;		// +0.05
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ARCSENS_TIMEOUT_MIN;
	};
	class ValueTimeoutMin : RscEdit		// edited (fix + tweak)
	{
		idc = IDC_ARCSENS_TIMEOUT_MIN;
		x=0.45;		// +0.05
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ERROR;
	};
	class TextTimeoutMax : RscText		// edited (fix + tweak)
	{
		x=0.6;		// + 0.15
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ARCSENS_TIMEOUT_MAX;
	};
	class ValueTimeoutMax : RscEdit		// edited (fix + tweak)
	{
		idc = IDC_ARCSENS_TIMEOUT_MAX;
		x=0.65;		// + 0.15
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ERROR;
	};
	class TextTimeoutMid : RscText		// edited (fix + tweak)
	{
		x=0.5;		// -0.05
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ARCSENS_TIMEOUT_MID;
	};
	class ValueTimeoutMid : RscEdit		// edited (fix + tweak)
	{
		idc = IDC_ARCSENS_TIMEOUT_MID;
		x=0.55;		// -0.05
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ERROR;
	};

	class SubBackground3 : RscGroupBox2
	{
		x = 0.22;
		y = 0.51;
		w = 0.515;
		h = 0.16; 
	};
	class TextType : RscText
	{
		x = 0.23;
		y = 0.52;
		w = 0.15;
		text = $STR_DISP_ARCSENS_TYPE;
	};
	class ValueType : RscCombo		// edited (tweak)
	{
		idc = IDC_ARCSENS_TYPE;
		x = 0.32;
		y = 0.52;
		w = 0.15;
		wholeHeight=0.5;		// added
	};
	class TextText : RscText
	{
		x = 0.23;
		y = 0.57;
		w = 0.15;
		text = $STR_DISP_ARCSENS_TEXT;
	};
	class ValueText : RscEdit
	{
		idc = IDC_ARCSENS_TEXT;
		x = 0.32;
		y = 0.57;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};
	class TextName : RscText
	{
		x = 0.48;
		y = 0.57;
		w = 0.15;
		text = $STR_DISP_ARCSENS_NAME;
	};
	class ValueName : RscEdit
	{
		idc = IDC_ARCSENS_NAME;
		x = 0.57;
		y = 0.57;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};

	class SubBackground4 : RscGroupBox2
	{
		x = 0.22;
		y = 0.69;
		w = 0.515;
		h = 0.16; 
	};
	class TextExpCond : RscText
	{
		x = 0.23;
		y = 0.70;
		w = 0.20;
		text = $STR_DISP_ARCSENS_EXPCOND;
	};
	class ValueExpCond : RscEdit
	{
		idc = IDC_ARCSENS_EXPCOND;
		x = 0.37;
		y = 0.70;
		w = 0.35;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};
	class TextExpActiv : RscText
	{
		x = 0.23;
		y = 0.75;
		w = 0.20;
		text = $STR_DISP_ARCSENS_EXPACTIV;
	};
	class ValueExpActiv : RscEdit
	{
		idc = IDC_ARCSENS_EXPACTIV;
		x = 0.37;
		y = 0.75;
		w = 0.35;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};
	class TextExpDesactiv : RscText
	{
		x = 0.23;
		y = 0.80;
		w = 0.20;
		text = $STR_DISP_ARCSENS_EXPDESACTIV;
	};
	class ValueExpDesactiv : RscEdit
	{
		idc = IDC_ARCSENS_EXPDESACTIV;
		x = 0.37;
		y = 0.80;
		w = 0.35;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};

	class ButtonEffects : RscButtonSmall
	{
		idc = IDC_ARCSENS_EFFECTS;
		x = 0.22;
		y = 0.885;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCSENS_EFFECTS;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.46;
		y = 0.885;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.607;
		y = 0.885;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayArcadeSensorSimple
{
	DISPLAY(IDD_ARCADE_SENSOR, 0.2, 0.25, 0.56, 0.50)
	controls[]=
	{
		Background,
		Title,

		SubBackground1,
			TextA,
			ValueA,
			TextB,
			ValueB,
			// TextAngle,
			// ValueAngle,
			// Rectangular,

		SubBackground2,
			TextActivation,
			ValueActivation,
			Presence,
			// Repeating,
			// Interruptable,
			// TextTimeoutMin,
			// ValueTimeoutMin,
			// TextTimeoutMax,
			// ValueTimeoutMax,
			// TextTimeoutMid,
			// ValueTimeoutMid,

		SubBackground3,
			TextType,
			ValueType,
			TextText,
			ValueText,

		ButtonEffects,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCSENS_TITLE, IDC_ARCSENS_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextA, $STR_DISP_ARCSENS_A, -1, 0, 0.18)
		EDIT(ValueA, IDC_ARCSENS_A, 0.18, 0.31)
		STATIC_TEXT(TextB, $STR_DISP_ARCSENS_B, -1, 0.51, 0.18)
		EDIT(ValueB, IDC_ARCSENS_B, 0.69, 0.31)
		NEXT_LINE
/*
		STATIC_TEXT(TextAngle, $STR_DISP_ARCSENS_ANGLE, -1, 0, 0.18)
		EDIT(ValueAngle, IDC_ARCSENS_ANGLE, 0.18, 0.31)
		class Rectangular : RscToolbox
		{
			idc = IDC_ARCSENS_RECT;
			x = LINE_X(0.51);
			y = LINE_Y;
			w = LINE_W(0.49);
			h = 0.038;

			strings[] =
			{
				$STR_DISP_ARCSENS_ELLIPSE,
				$STR_DISP_ARCSENS_RECT};
			rows = 1;
			columns = 2;
		};
		NEXT_LINE
*/
	
	END_BOX(SubBackground1)

	BEGIN_BOX

		STATIC_TEXT(TextActivation, $STR_DISP_ARCSENS_ACTIV, -1, 0, 0.18)
		COMBO(ValueActivation, IDC_ARCSENS_ACTIV, 0.18, 0.31)
/*
		class Repeating : RscToolbox
		{
			idc = IDC_ARCSENS_REPEATING;
			x = LINE_X(0.51);
			y = LINE_Y;
			w = LINE_W(0.49);
			h = 0.038;

			strings[] =
			{
				$STR_DISP_ARCSENS_ONCE,
				$STR_DISP_ARCSENS_REPEAT};
			rows = 1;
			columns = 2;
		};
*/
		NEXT_LINE

		class Presence : RscToolbox
		{
			idc = IDC_ARCSENS_PRESENCE;
			x = LINE_X(0);
			y = LINE_Y;
			w = LINE_W(1);
			h = 0.076;

			strings[] =
			{
				$STR_DISP_ARCSENS_PRESYES,
				$STR_DISP_ARCSENS_PRESNO,
				$STR_DISP_ARCSENS_DETWEST,
				$STR_DISP_ARCSENS_DETEAST,
				$STR_DISP_ARCSENS_DETGUERRILA,
				$STR_DISP_ARCSENS_DETCIVILIAN};
			rows = 2;
			columns = 3;
		};
		__EXEC(line_y = line_y + 1.5 * LINE_HEIGHT)
/*
		class Interruptable : RscToolbox
		{
			idc = IDC_ARCSENS_INTERRUPT;
			x = LINE_X(0);
			y = LINE_Y;
			w = LINE_W(0.25);
			h = 0.076;

			strings[] =
			{
				$STR_DISP_ARCSENS_COUNTDOWN,
				$STR_DISP_ARCSENS_TIMEOUT};
			rows = 2;
			columns = 1;
		};
		__EXEC(line_y = line_y + 0.25 * LINE_HEIGHT)

		STATIC_TEXT(TextTimeoutMin, $STR_DISP_ARCSENS_TIMEOUT_MIN, -1, 0.25, 0.125)
		EDIT(ValueTimeoutMin, IDC_ARCSENS_TIMEOUT_MIN, 0.375, 0.125)
		STATIC_TEXT(TextTimeoutMid, $STR_DISP_ARCSENS_TIMEOUT_MID, -1, 0.5, 0.125)
		EDIT(ValueTimeoutMid, IDC_ARCSENS_TIMEOUT_MID, 0.625, 0.125)
		STATIC_TEXT(TextTimeoutMax, $STR_DISP_ARCSENS_TIMEOUT_MAX, -1, 0.75, 0.125)
		EDIT(ValueTimeoutMax, IDC_ARCSENS_TIMEOUT_MAX, 0.875, 0.125)
		__EXEC(line_y = line_y + 1.25 * LINE_HEIGHT)
*/
	END_BOX(SubBackground2)

	BEGIN_BOX

		STATIC_TEXT(TextType, $STR_DISP_ARCSENS_TYPE, -1, 0, 0.18)
		COMBO(ValueType, IDC_ARCSENS_TYPE, 0.18, 0.31)
		STATIC_TEXT(TextText, $STR_DISP_ARCSENS_TEXT, -1, 0.51, 0.18)
		EDIT(ValueText, IDC_ARCSENS_TEXT, 0.69, 0.31)
		NEXT_LINE

	END_BOX(SubBackground3)

	LEFT_BUTTON(ButtonEffects,$STR_DISP_ARCSENS_EFFECTS,IDC_ARCSENS_EFFECTS,"",0.2,0,0)
	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

	// **Effects menu (tweak)**
class RscDisplayArcadeEffects
{
	DISPLAY(IDD_ARCADE_EFFECTS, 0.2, 0.2, 0.6, 0.72)
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		GroupActivation,
		Condition,
		GroupCamera,
		TextCamEffect,
		ValueCamEffect,
		TextCamEffectPos,
		ValueCamEffectPos,
		GroupSound,
		TextSound,
		ValueSound,
		TextVoice,
		ValueVoice,
		TextSoundEnv,
		ValueSoundEnv,
		TextSoundDet,
		ValueSoundDet,
		GroupMusic,
		TextMusic,
		ValueMusic,
		GroupTitles,
		TextTitleType,
		ValueTitleType,
		TextTitleEffect,
		ValueTitleEffect,
		TextTitle,
		ValueTitleText,
		ValueTitleRes,
		ValueTitleObj,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCEFF_TITLE, -1)

	class SubBackground : RscGroupBox2
	{
		x=0.22;
		y=0.3;
		w=0.56;
		h=0.52;
	};
	class GroupActivation : RscFrame
	{
		x = 0.235;
		y = 0.32;
		w = 0.53;
		h = 0.07
		text = $STR_DISP_ARCEFF_ACTIVATION;
	};
	class Condition : RscEdit
	{
		idc = IDC_ARCEFF_CONDITION;
		x = 0.240;
		y = 0.345;
		w = 0.52;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};
	class GroupCamera : RscFrame
	{
		x = 0.235;
		y = 0.40;
		w = 0.53;
		h = 0.07
		text = $STR_DISP_ARCEFF_CAMERA;
	};
	class TextCamEffect : RscText
	{
		x = 0.24;
		y = 0.42;
		w = 0.09;
		text = $STR_DISP_ARCEFF_CAMTYPE;
	};
	class ValueCamEffect : RscCombo		// edited (tweak)
	{
		idc = IDC_ARCEFF_CAMERA;
		x = 0.33;
		y = 0.42;
		w = 0.15;
		wholeHeight=0.5;		// added
	};
	class TextCamEffectPos : RscText
	{
		x = 0.50;
		y = 0.42;
		w = 0.09;
		text = $STR_DISP_ARCEFF_CAMPOS;
	};
	class ValueCamEffectPos : RscCombo		// edited (tweak)
	{
		idc = IDC_ARCEFF_CAMPOS;
		x = 0.59;
		y = 0.42;
		w = 0.15;
		wholeHeight=0.5;		// added
	};
	class GroupSound : RscFrame
	{
		x = 0.235;
		y = 0.48;
		w = 0.53;
		h = 0.12;
		text = $STR_DISP_ARCEFF_SOUNDS;
	};
	class TextSound : RscText
	{
		x = 0.24;
		y = 0.50;
		w = 0.09;
		text = $STR_DISP_ARCEFF_SOUND_ANON;
	};
	class ValueSound : RscCombo		// edited (tweak) *
	{
		idc = IDC_ARCEFF_SOUND;
		x = 0.33;
		y = 0.50;
		w = 0.15;
		wholeHeight=__EVAL(0.5 + AR_modifY);		// added
	};
	class TextVoice : RscText
	{
		x = 0.50;
		y = 0.50;
		w = 0.09;
		text = $STR_DISP_ARCEFF_VOICE;
	};
	class ValueVoice : RscCombo		// edited (tweak) *
	{
		idc = IDC_ARCEFF_VOICE;
		x = 0.59;
		y = 0.50;
		w = 0.15;
		wholeHeight=__EVAL(0.5 + AR_modifY);		// added
	};
	class TextSoundEnv : RscText
	{
		x = 0.24;
		y = 0.55;
		w = 0.09;
		text = $STR_DISP_ARCEFF_SOUND_ENV;
	};
	class ValueSoundEnv : RscCombo		// edited (tweak) *
	{
		idc = IDC_ARCEFF_SOUND_ENV;
		x = 0.33;
		y = 0.55;
		w = 0.15;
		wholeHeight=__EVAL(0.45 + AR_modifY);		// added
	};
	class TextSoundDet : RscText
	{
		x = 0.50;
		y = 0.55;
		w = 0.09;
		text = $STR_DISP_ARCEFF_SOUND_DET;
	};
	class ValueSoundDet : RscCombo		// edited (tweak) *
	{
		idc = IDC_ARCEFF_SOUND_DET;
		x = 0.59;
		y = 0.55;
		w = 0.15;
		wholeHeight=__EVAL(0.45 + AR_modifY);		// added
	};
	class GroupMusic : RscFrame
	{
		x = 0.235;
		y = 0.61;
		w = 0.53;
		h = 0.07;
		text = $STR_DISP_ARCEFF_MUSIC;
	};
	class TextMusic : RscText
	{
		x = 0.24;
		y = 0.63;
		w = 0.09;
		text = $STR_DISP_ARCEFF_TRACK;
	};
	class ValueMusic : RscCombo		// edited (tweak) *
	{
		idc = IDC_ARCEFF_MUSIC;
		x = 0.33;
		y = 0.63;
		w = 0.15;
		wholeHeight=__EVAL(0.37 + AR_modifY);		// added
	};
	class GroupTitles : RscFrame
	{
		x = 0.235;
		y = 0.69;
		w = 0.53;
		h = 0.12;
		text = $STR_DISP_ARCEFF_TITLES;
	};
	class TextTitleType : RscText
	{
		x = 0.24;
		y = 0.71;
		w = 0.09;
		text = $STR_DISP_ARCEFF_TITTYPE;
	};
	class ValueTitleType : RscCombo
	{
		idc = IDC_ARCEFF_TITTYPE;
		x = 0.33;
		y = 0.71;
		w = 0.15;
	};
	class TextTitleEffect : RscText
	{
		x = 0.50;
		y = 0.71;
		w = 0.09;
		text = $STR_DISP_ARCEFF_TITEFF;
	};
	class ValueTitleEffect : RscCombo
	{
		idc = IDC_ARCEFF_TITEFF;
		x = 0.59;
		y = 0.71;
		w = 0.15;
	};
	class TextTitle : RscText
	{
		idc = IDC_ARCEFF_TEXT_TITTEXT;
		x = 0.24;
		y = 0.76;
		w = 0.09;
		text = $STR_DISP_ARCEFF_TITTEXT;
	};
	class ValueTitleText : RscEdit
	{
		idc = IDC_ARCEFF_TITTEXT;
		x = 0.33;
		y = 0.76;
		w = 0.4;
		text = $STR_DISP_ERROR;
	};
	class ValueTitleRes : RscCombo		// edited (tweak) *
	{
		idc = IDC_ARCEFF_TITRES;
		x = 0.33;
		y = 0.76;
		w = 0.15;
		wholeHeight=__EVAL(0.24 + AR_modifY);		// added
	};
	class ValueTitleObj : RscCombo		// edited (tweak) *
	{
		idc = IDC_ARCEFF_TITOBJ;
		x = 0.33;
		y = 0.76;
		w = 0.15;
		wholeHeight=__EVAL(0.24 + AR_modifY);		// added
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.50;
		y = 0.845
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.647;
		y = 0.845
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayArcadeEffectsSimple
{
	DISPLAY(IDD_ARCADE_EFFECTS, 0.2, 0.27, 0.6, 0.46)
	controls[]=
	{
		Background,
		Title,
		SubBackground,
			// GroupCamera,
				// TextCamEffect,
				// ValueCamEffect,
				// TextCamEffectPos,
				// ValueCamEffectPos,
			GroupSound,
				TextSound,
				ValueSound,

				// TextVoice,
				// ValueVoice,
				// TextSoundEnv,
				// ValueSoundEnv,
				TextSoundDet,
				ValueSoundDet,
			GroupMusic,
				TextMusic,
				ValueMusic,
			GroupTitles,
//				TextTitleType,
//				ValueTitleType,
//				TextTitleEffect,
//				ValueTitleEffect,
				TextTitle,
				ValueTitleText,
//				ValueTitleRes,
//				ValueTitleObj,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCEFF_TITLE, -1)
	
	BEGIN_BOX
/*		
		BEGIN_FRAME

			STATIC_TEXT(TextCamEffect, $STR_DISP_ARCEFF_CAMTYPE, -1, 0, 0.18)
			COMBO(ValueCamEffect, IDC_ARCEFF_CAMERA, 0.18, 0.31)
			STATIC_TEXT(TextCamEffectPos, $STR_DISP_ARCEFF_CAMPOS, -1, 0.51, 0.18)
			COMBO(ValueCamEffectPos, IDC_ARCEFF_CAMPOS, 0.69, 0.31)
			NEXT_LINE

		END_FRAME(GroupCamera, $STR_DISP_ARCEFF_CAMERA)
*/
		BEGIN_FRAME

			STATIC_TEXT(TextSound, $STR_DISP_ARCEFF_SOUND_ANON, -1, 0, 0.18)
			COMBO(ValueSound, IDC_ARCEFF_SOUND, 0.18, 0.31)
/*
			STATIC_TEXT(TextVoice, $STR_DISP_ARCEFF_VOICE, -1, 0.51, 0.18)
			COMBO(ValueVoice, IDC_ARCEFF_VOICE, 0.69, 0.31)
			NEXT_LINE

			STATIC_TEXT(TextSoundEnv, $STR_DISP_ARCEFF_SOUND_ENV, -1, 0, 0.18)
			COMBO(ValueSoundEnv, IDC_ARCEFF_SOUND_ENV, 0.18, 0.31)
*/
			STATIC_TEXT(TextSoundDet, $STR_DISP_ARCEFF_SOUND_DET, -1, 0.51, 0.18)
			COMBO(ValueSoundDet, IDC_ARCEFF_SOUND_DET, 0.69, 0.31)
			NEXT_LINE
			
		END_FRAME(GroupSound, $STR_DISP_ARCEFF_SOUNDS)

		BEGIN_FRAME

			STATIC_TEXT(TextMusic, $STR_DISP_ARCEFF_TRACK, -1, 0, 0.18)
			COMBO(ValueMusic, IDC_ARCEFF_MUSIC, 0.18, 0.31)
			NEXT_LINE

		END_FRAME(GroupMusic, $STR_DISP_ARCEFF_MUSIC)

		BEGIN_FRAME
/*
			STATIC_TEXT(TextTitleType, $STR_DISP_ARCEFF_TITTYPE, -1, 0, 0.18)
			COMBO(ValueTitleType, IDC_ARCEFF_TITTYPE, 0.18, 0.31)
			STATIC_TEXT(TextTitleEffect, $STR_DISP_ARCEFF_TITEFF, -1, 0.51, 0.18)
			COMBO(ValueTitleEffect, IDC_ARCEFF_TITEFF, 0.69, 0.31)
			NEXT_LINE
*/
			STATIC_TEXT(TextTitle, $STR_DISP_ARCEFF_TITTEXT, IDC_ARCEFF_TEXT_TITTEXT, 0, 0.18)
			EDIT(ValueTitleText, IDC_ARCEFF_TITTEXT, 0.18, 0.82)
/*
			COMBO(ValueTitleRes, IDC_ARCEFF_TITRES, 0.18, 0.31)
			COMBO(ValueTitleObj, IDC_ARCEFF_TITOBJ, 0.18, 0.31)
*/
			NEXT_LINE

		END_FRAME(GroupTitles, $STR_DISP_ARCEFF_TITLES)

	END_BOX(SubBackground)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

	// **Waypoint menu (fix + tweak)**
class RscDisplayArcadeWaypoint
{
	idd = IDD_ARCADE_WAYPOINT;
	movingEnable = true;
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		TextType,
		ValueType,
		TextSequence,
		ValueSequence,
		TextDescription,
		ValueDescription,
		TextCombatMode,
		ValueCombatMode,
		TextFormation,
		ValueFormation,
		TextSpeed,
		ValueSpeed,
		TextCombat,
		ValueCombat,
		TextPlacement,
		ValuePlacement,
		TextHousePos,
		ValueHousePos,
		TextTimeout,
		TextTimeoutMin,
		ValueTimeoutMin,
		TextTimeoutMax,
		ValueTimeoutMax,
		TextTimeoutMid,
		ValueTimeoutMid,
		TextExpCond,
		ValueExpCond,
		TextExpActiv,
		ValueExpActiv,
		Show,
		TextExpScript,
		ValueExpScript,
		ButtonEffects,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x=0.2;
		y=0.1;
		w=0.6;
		h=0.8;
	};
	class SubBackground : RscGroupBox2		// edited (fix)
	{
		x=0.22;
		y=0.21;		// -0.01
		w=0.56;
		h=0.58;		// -0.02
	};
	class Title : RscTitle		// edited (fix)
	{
		idc = IDC_ARCWP_TITLE;
		x = 0.2;
		y=0.118;		// +0.004
		w = 0.6;
		text = $STR_DISP_ERROR;
	};
	class TextType : RscText
	{
		x = 0.25;
		y = 0.23;
		w = 0.15;
		text = $STR_DISP_ARCWP_TYPE;
	};
	class ValueType : RscCombo		// edited (tweak)
	{
		idc = IDC_ARCWP_TYPE;
		x = 0.40;
		y = 0.23;
		w = 0.35;
		wholeHeight=0.5;	// added
	};
	class TextSequence : RscText
	{
		x = 0.25;
		y = 0.28;
		w = 0.15;
		text = $STR_DISP_ARCWP_SEQ;
	};
	class ValueSequence : RscCombo
	{
		idc = IDC_ARCWP_SEQ;
		x = 0.40;
		y = 0.28;
		w = 0.35;
	};
	class TextDescription : RscText
	{
		x = 0.25;
		y = 0.33;
		w = 0.15;
		text = $STR_DISP_ARCWP_DESC;
	};
	class ValueDescription : RscEdit
	{
		idc = IDC_ARCWP_DESC;
		x = 0.40;
		y = 0.33;
		w = 0.35;
		text = $STR_DISP_ERROR;
	};
	class TextCombatMode : RscText
	{
		x = 0.25;
		y = 0.38;
		w = 0.10;
		text = $STR_DISP_ARCWP_SEMAPHORE;
	};
	class ValueCombatMode : RscCombo
	{
		idc = IDC_ARCWP_SEMAPHORE;
		x = 0.35;
		y = 0.38;
		w = 0.15;
	};
	class TextFormation : RscText
	{
		x = 0.50;
		y = 0.38;
		w = 0.10;
		text = $STR_DISP_ARCWP_FORM;
	};
	class ValueFormation : RscCombo
	{
		idc = IDC_ARCWP_FORM;
		x = 0.60;
		y = 0.38;
		w = 0.15;
	};
	class TextSpeed : RscText
	{
		x = 0.25;
		y = 0.43;
		w = 0.10;
		text = $STR_DISP_ARCWP_SPEED;
	};
	class ValueSpeed : RscCombo
	{
		idc = IDC_ARCWP_SPEED;
		x = 0.35;
		y = 0.43;
		w = 0.15;
	};
	class TextCombat : RscText
	{
		x = 0.50;
		y = 0.43;
		w = 0.10;
		text = $STR_DISP_ARCWP_COMBAT;
	};
	class ValueCombat : RscCombo
	{
		idc = IDC_ARCWP_COMBAT;
		x = 0.60;
		y = 0.43;
		w = 0.15;
	};
	class TextPlacement : RscText
	{
		x = 0.25;
		y = 0.48;
		w = 0.15;
		text = $STR_DISP_ARCWP_PLACE;
	};
	class ValuePlacement : RscEdit
	{
		idc = IDC_ARCWP_PLACE;
		x = 0.40;
		y = 0.48;
		w = 0.10;
		text = $STR_DISP_ERROR;
	};
	class TextHousePos : RscText
	{
		idc = IDC_ARCWP_HOUSEPOSTEXT;
		x = 0.50;
		y = 0.48;
		w = 0.15;
		text = $STR_DISP_ARCWP_HOUSEPOS;
	};
	class ValueHousePos : RscCombo
	{
		idc = IDC_ARCWP_HOUSEPOS;
		x = 0.65;
		y = 0.48;
		w = 0.10;
	};
	class TextTimeout : RscText
	{
		x = 0.25;
		y = 0.53;
		w = 0.10;
		text = $STR_DISP_ARCWP_TIMEOUT;
	};
	class TextTimeoutMin : RscText
	{
		x = 0.32;
		y = 0.53;
		w = 0.05;
		text = $STR_DISP_ARCWP_TIMEOUT_MIN;
	};
	class ValueTimeoutMin : RscEdit
	{
		idc = IDC_ARCWP_TIMEOUT_MIN;
		x = 0.37;
		y = 0.53;
		w = 0.08;
		text = $STR_DISP_ERROR;
	};
	class TextTimeoutMax : RscText		// edited (tweak)
	{
		x=0.62;		// +0.15
		y = 0.53;
		w = 0.05;
		text = $STR_DISP_ARCWP_TIMEOUT_MAX;
	};
	class ValueTimeoutMax : RscEdit		// edited (tweak)
	{
		idc = IDC_ARCWP_TIMEOUT_MAX;
		x=0.67;		// +0.15
		y = 0.53;
		w = 0.08;
		text = $STR_DISP_ERROR;
	};
	class TextTimeoutMid : RscText		// edited (tweak)
	{
		x=0.47;		// -0.15
		y = 0.53;
		w = 0.05;
		text = $STR_DISP_ARCWP_TIMEOUT_MID;
	};
	class ValueTimeoutMid : RscEdit		// edited (tweak)
	{
		idc = IDC_ARCWP_TIMEOUT_MID;
		x=0.52;		// -0.15
		y = 0.53;
		w = 0.08;
		text = $STR_DISP_ERROR;
	};
	class TextExpCond : RscText
	{
		x = 0.25;
		y = 0.58;
		w = 0.15;
		text = $STR_DISP_ARCWP_EXPCOND;
	};
	class ValueExpCond : RscEdit
	{
		idc = IDC_ARCWP_EXPCOND;
		x = 0.40;
		y = 0.58;
		w = 0.35;
		text = $STR_DISP_ERROR;
	};
	class TextExpActiv : RscText
	{
		x = 0.25;
		y = 0.63;
		w = 0.15;
		text = $STR_DISP_ARCWP_EXPACTIV;
	};
	class ValueExpActiv : RscEdit
	{
		idc = IDC_ARCWP_EXPACTIV;
		x = 0.40;
		y = 0.63;
		w = 0.35;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};
	class Show : RscToolbox
	{
		idc = IDC_ARCWP_SHOW;
		x = 0.25;
		y = 0.68;
		w = 0.50;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCWP_SHOW_NEVER,
			$STR_DISP_ARCWP_SHOW_EASY,
			$STR_DISP_ARCWP_SHOW_ALWAYS
		};
		rows = 1;
		columns = 3;
	};
	class TextExpScript : RscText
	{
		x = 0.25;
		y = 0.73;
		w = 0.15;
		text = $STR_DISP_ARCWP_SCRIPT;
	};
	class ValueExpScript : RscEdit
	{
		idc = IDC_ARCWP_SCRIPT;
		x = 0.40;
		y = 0.73;
		w = 0.35;
		text = $STR_DISP_ERROR;
	};

	class ButtonEffects : RscButtonSmall
	{
		idc = IDC_ARCWP_EFFECTS;
		x = 0.22;
		y = 0.81;
		text = $STR_DISP_ARCWP_EFFECTS;
	};
	class ButtonOK : RscButtonSmall		// edited (fix)
	{
		idc = IDC_OK;
		x=0.51;		// +0.03
		y = 0.81;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall		// edited (fix)
	{
		idc = IDC_CANCEL;
		x=0.66;		// +0.03
		y = 0.81;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayArcadeWaypointSimple
{
	DISPLAY(IDD_ARCADE_WAYPOINT, 0.2, 0.3, 0.6, 0.41)
	controls[]=
	{
		Background,
		Title,
		SubBackground,
			TextType,
			ValueType,

//			TextSequence,
//			ValueSequence,

			TextDescription,
			ValueDescription,
			TextCombatMode,
			ValueCombatMode,
			TextFormation,
			ValueFormation,
			// TextSpeed,
			// ValueSpeed,
			TextCombat,
			ValueCombat,
			// TextPlacement,
			// ValuePlacement,
			TextHousePos,
			// ValueHousePos,
			// TextTimeout,
			// TextTimeoutMin,
			// ValueTimeoutMin,
			// TextTimeoutMax,
			// ValueTimeoutMax,
			// TextTimeoutMid,
			// ValueTimeoutMid,
			// Show,
		ButtonEffects,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCSENS_TITLE, IDC_ARCSENS_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextType, $STR_DISP_ARCWP_TYPE, -1, 0, 0.3)
		COMBO(ValueType, IDC_ARCWP_TYPE, 0.3, 0.7)
		NEXT_LINE
/*
		STATIC_TEXT(TextSequence, $STR_DISP_ARCWP_SEQ, -1, 0, 0.3)
		COMBO(ValueSequence, IDC_ARCWP_SEQ, 0.3, 0.7)
		NEXT_LINE
*/
		STATIC_TEXT(TextDescription, $STR_DISP_ARCWP_DESC, -1, 0, 0.3)
		EDIT(ValueDescription, IDC_ARCWP_DESC, 0.3, 0.7)
		NEXT_LINE

		STATIC_TEXT(TextCombatMode, $STR_DISP_ARCWP_SEMAPHORE, -1, 0, 0.20)
		COMBO(ValueCombatMode, IDC_ARCWP_SEMAPHORE, 0.20, 0.29)
		STATIC_TEXT(TextFormation, $STR_DISP_ARCWP_FORM, -1, 0.51, 0.20)
		COMBO(ValueFormation, IDC_ARCWP_FORM, 0.71, 0.29)
		NEXT_LINE

/*
		STATIC_TEXT(TextSpeed, $STR_DISP_ARCWP_SPEED, -1, 0, 0.20)
		COMBO(ValueSpeed, IDC_ARCWP_SPEED, 0.20, 0.29)
*/
		STATIC_TEXT(TextCombat, $STR_DISP_ARCWP_COMBAT, -1, 0, 0.20)
		COMBO(ValueCombat, IDC_ARCWP_COMBAT, 0.20, 0.29)
		NEXT_LINE

/*
		STATIC_TEXT(TextPlacement, $STR_DISP_ARCWP_PLACE, -1, 0, 0.25)
		EDIT(ValuePlacement, IDC_ARCWP_PLACE, 0.25, 0.24)
*/
		STATIC_TEXT(TextHousePos, $STR_DISP_ARCWP_HOUSEPOS, IDC_ARCWP_HOUSEPOSTEXT, 0.51, 0.20)
//		COMBO(ValueHousePos, IDC_ARCWP_HOUSEPOS, 0.71, 0.29)
//		NEXT_LINE

/*
		STATIC_TEXT(TextTimeout, $STR_DISP_ARCWP_TIMEOUT, -1, 0, 0.16)
		STATIC_TEXT(TextTimeoutMin, $STR_DISP_ARCWP_TIMEOUT_MIN, -1, 0.16, 0.10)
		EDIT(ValueTimeoutMin, IDC_ARCWP_TIMEOUT_MIN, 0.26, 0.18)
		STATIC_TEXT(TextTimeoutMid, $STR_DISP_ARCWP_TIMEOUT_MID, -1, 0.44, 0.10)
		EDIT(ValueTimeoutMid, IDC_ARCWP_TIMEOUT_MID, 0.54, 0.18)
		STATIC_TEXT(TextTimeoutMax, $STR_DISP_ARCWP_TIMEOUT_MAX, -1, 0.72, 0.10)
		EDIT(ValueTimeoutMax, IDC_ARCWP_TIMEOUT_MAX, 0.82, 0.18)
		NEXT_LINE
	
		class Show : RscToolbox
		{
			idc = IDC_ARCWP_SHOW;
			x = LINE_X(0);
			y = LINE_Y;
			w = LINE_W(1);
			h = 0.038;

			strings[] =
			{
				$STR_DISP_ARCWP_SHOW_NEVER,
				$STR_DISP_ARCWP_SHOW_EASY,
				$STR_DISP_ARCWP_SHOW_ALWAYS
			};
			rows = 1;
			columns = 3;
		};
		NEXT_LINE
*/

	END_BOX(SubBackground)

	LEFT_BUTTON(ButtonEffects,$STR_DISP_ARCWP_EFFECTS,IDC_ARCWP_EFFECTS,"",0.2,0,0)
	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};







/* ---------------------- CHAT -----------------------*/

/*!
\patch 1.04 Date 07/16/2001 by Jirka
- Improved: design of chat channel
*/

	// Current channel
class RscDisplayChannel
{
	idd = IDD_CHANNEL;
	movingEnable = true;
	controls[]=
	{
		Channel
	};
	class Channel : RscText
	{
		idc = IDC_CHANNEL;
		#ifndef AR_CENTERHUD
			x=__EVAL(0.06 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.06;
			y=0.81;
		#endif
		w = 0.12;
		h = 0.04; 
		style = ST_CENTER;
		text = $STR_DISP_ERROR;
		colorBackground[] = {0, 0, 0, 0.75};
	};
};

/*!
\patch 1.04 Date 07/16/2001 by Jirka
- Improved: design of chat line
*/
	// Chat input
class RscDisplayChat
{
	idd = IDD_CHAT;
	movingEnable = true;
	controls[]=
	{
		Background,
		Line
	};
	class Background : RscText
	{
		#ifndef AR_CENTERHUD
			x=__EVAL(0.18 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.18;
			y=0.81;
		#endif
		w = 0.50;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Line : RscEdit
	{
		idc = IDC_CHAT;
		#ifndef AR_CENTERHUD
			x=__EVAL(0.18 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.18;
			y=0.81;
		#endif
		w = 0.50;
		text = "";
		colorBackground[] = {0, 0, 0, 0.5};
		colorText[] = {1, 1, 1, 1};
		autocomplete = "general";
	};
};

/*!
\patch 1.04 Date 07/16/2001 by Jirka
- Improved: design of voice chat
*/

	// Talking icon
class RscDisplayVoiceChat
{
	idd = IDD_VOICE_CHAT;
	movingEnable = true;
	controls[]=
	{
		Background,
		Picture
	};
	class Background : RscText
	{
		#ifndef AR_CENTERHUD
			x=__EVAL(0.03 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.03;
			y=0.81;
		#endif
		w = 0.03;
		h = 0.04;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Picture : RscPicture
	{
		idc = IDC_VOICE_CHAT;
		text = "voice3.paa";
		#ifndef AR_CENTERHUD
			x=__EVAL(0.03 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.03;
			y=0.81;
		#endif
		w = 0.03;
		h = 0.04;
		colorText[] = {1, 1, 1, 1};
	};
};





/* ---------------------- MISSION EDITOR -----------------------*/

class RscDisplayTemplateSave
{
	idd = IDD_TEMPLATE_SAVE;
	movingEnable = true;
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		TextName,
		ValueName,
		TextMode,
		ValueMode,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.28;
		y = 0.2;
		w = 0.46;
		h = 0.33;
	};
	class SubBackground : RscGroupBox2
	{
		x = 0.3;
		y = 0.3;
		w = 0.42;
		h = 0.13;
	};
	class Title : RscTitle
	{
		x = 0.28;
		y = 0.218;
		w = 0.46;
		h = 0.06;
		text = $STR_DISP_TEMPL_SAVE;
	};
	class TextName : RscText
	{
		x = 0.31;
		y = 0.31;
		w = 0.31;
		text = $STR_DISP_TEMPL_NAME;
	};
	class ValueName : RscEdit
	{
		idc = IDC_TEMPL_NAME;
		x = 0.48;
		y = 0.31;
		w = 0.225;
		text = $STR_DISP_ERROR;
	};
	class TextMode : RscText
	{
		x = 0.31;
		y = 0.36;
		w = 0.31;
		text = $STR_DISP_TEMPL_MODE;
	};
	class ValueMode : RscCombo
	{
		idc = IDC_TEMPL_MODE;
		x = 0.48;
		y = 0.36;
		w = 0.225;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.445;
		y = 0.45;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButton
	{
		idc = IDC_CANCEL;
		x = 0.591;
		y = 0.45;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayTemplateLoad
{
	DISPLAY(IDD_TEMPLATE_LOAD, 0.28, 0.20, 0.46, 0.31)
	controls[]=
	{
		Background,
		Title,
		SubBackground,
			TextIsland,
			ValueIsland,
			TextName,
			ValueName,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_TEMPL_LOAD, IDC_TEMPL_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextIsland, $STR_DISP_TEMPL_ISLAND, -1, 0, 0.3)
		COMBO(ValueIsland, IDC_TEMPL_ISLAND, 0.3, 0.7)
		NEXT_LINE

		STATIC_TEXT(TextName, $STR_DISP_TEMPL_NAME, -1, 0, 0.3)
		COMBO(ValueName, IDC_TEMPL_NAME, 0.3, 0.7)
		NEXT_LINE

	END_BOX(SubBackground)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

	// **Intel options in mission editor (fix + tweak)**
class RscDisplayIntel
{
	idd = IDD_INTEL;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,

		SubBackground,
	  SubtitleVisuals,
		TextBriefingName,
		ValueBriefingName,
		TextBriefingDescription,
		ValueBriefingDescription,
		
    SubBackground1,
    TextDate,
		ValueMonth,
		ValueDay,

		TextTime,
		ValueHour,
		ValueMinute,

		SubtitleVisuals1,
		ValueWeather,
		Bourka,
		Jasno,
		ValueFog,

		SubtitleVisuals2,
		ValueWeatherForecast,
		Bourka2,
		Jasno2,
		ValueFogForecast,

		SubtitleVisuals3,
		ValueResistance,
		East,
		West,

		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.2;
		y = 0.02;
		w = 0.64;
		h = 0.96; 
	};

	class Title : RscTitle
	{
		x = 0.2;
		y = 0.038;
		w = 0.64;
		h = 0.06;
		text = $STR_DISP_INTEL_TITLE;
	};

	class SubBackground : RscGroupBox2
	{
		x = 0.22;
		y = 0.12;
		w = 0.6;
		h = 0.2; 
	};
  class SubtitleVisuals : RscFrame
	{
		x = 0.235;
		y = 0.125;
		w = 0.57;
		h = 0.18;
		text = $STR_DISP_INTEL_BRIEFING;
	};
	class TextBriefingName : RscText
	{
		x = 0.24;
		y = 0.15;
		w = 0.1;
		h = 0.028; 
		text = $STR_DISP_INTEL_NAME;
	};
	class ValueBriefingName : RscEdit
	{
		idc = IDC_INTEL_BRIEFING_NAME;
		x = 0.35;
		y = 0.15;
		w = 0.445;
		h = 0.028; 
		text = $STR_DISP_ERROR;
	};
	class TextBriefingDescription : RscText
	{
		x = 0.24;
		y = 0.19;
		w = 0.11;
		h = 0.028; 
		text = $STR_DISP_INTEL_DESC;
	};
	class ValueBriefingDescription : RscEdit
	{
		idc = IDC_INTEL_BRIEFING_DESC;
		style = ST_MULTI;
		lineSpacing = 1;
		x = 0.35;
		y = 0.19;
		w = 0.445;
		h = 0.102; 
		text = $STR_DISP_ERROR;
	};

	class SubBackground1 : RscGroupBox2
	{
		x = 0.22;
		y = 0.345;
		w = 0.6;
		h = 0.5325; 
	};
	class TextDate : RscText
	{
		x = 0.23;
		y = 0.355;
		w = 0.05;
		h = 0.028; 
		text = $STR_DISP_INTEL_DATE;
	};
	class ValueMonth : RscCombo		// edited (tweak)
	{
		idc = IDC_INTEL_MONTH;
		x = 0.285;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
		wholeHeight=0.5;	// added
	};
	class ValueDay : RscCombo		// edited (tweak) *
	{
		idc = IDC_INTEL_DAY;
		x = 0.375;
		y = 0.355;
		w = 0.08;
		h = 0.028;
		wholeHeight=__EVAL(0.645 + AR_modifY * 2);	// added
	};
	class TextTime : RscText
	{
		x = 0.575;
		y = 0.355;
		w = 0.05;
		h = 0.028; 
		text = $STR_DISP_INTEL_TIME;
	};
	class ValueHour : RscCombo		// edited (tweak)
	{
		idc = IDC_INTEL_HOUR;
		x = 0.635;
		y = 0.355;
		w = 0.08;
		h = 0.028;
		wholeHeight=0.55;	// added
	};
	class ValueMinute : RscCombo		// edited (tweak)
	{
		idc = IDC_INTEL_MINUTE;
		x = 0.725;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
		wholeHeight=0.5;	// added
	};
	class SubtitleVisuals1 : RscFrame
	{
		x = 0.235;
		y = 0.385;
		w = 0.57;
		h = 0.18;
		text = $STR_DISP_INTEL_WEATHER;
	};
	class ValueWeather : RscSliderH
	{
		idc = IDC_INTEL_WEATHER;
		x = 0.3025;
		y = 0.43;
		w = 0.44;
	};
  class Bourka : RscPicture
	{
		text = "bourkasym.paa";
		x = 0.245;
		y = 0.41;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class Jasno : RscPicture
	{
		text = "jasnosym.paa";
		x = 0.7425;
		y = 0.4075;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class ValueFog : RscSliderH
	{
		idc = IDC_INTEL_FOG;
		x = 0.3025;
		y = 0.51;
		w = 0.44;
	};
	class SubtitleVisuals2 : RscFrame
	{
		x = 0.235;
		y = 0.565;
		w = 0.57;
		h = 0.18;
		text = $STR_DISP_INTEL_FORECAST;
	};
	class ValueWeatherForecast : RscSliderH
	{
		idc = IDC_INTEL_WEATHER_FORECAST;
		x = 0.3025;
		y = 0.61;
		w = 0.44;
	};
  class Bourka2 : RscPicture
	{
		text = "bourkasym.paa";
		x = 0.245;
		y = 0.59;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class Jasno2 : RscPicture
	{
		text = "jasnosym.paa";
		x = 0.7425;
		y = 0.5875;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class ValueFogForecast : RscSliderH
	{
		idc = IDC_INTEL_FOG_FORECAST;
		x = 0.3025;
		y = 0.69;
		w = 0.44;
	};

	class SubtitleVisuals3 : RscFrame
	{
		x = 0.235;
		y = 0.745;
		w = 0.57;
		h = 0.1;
		text = $STR_DISP_INTEL_RESISTANCE;
	};
/*
	class ValueResistance : RscSliderH
	{
		idc = IDC_INTEL_RESISTANCE;
		x = 0.3025;
		y = 0.795;
		w = 0.44;
	};
*/
	class ValueResistance : RscToolbox
	{
		idc = IDC_INTEL_RESISTANCE;
		x = 0.3025;
		y = 0.785;
		w = 0.44;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_INTEL_NONE_FRIENDLY,
			$STR_DISP_INTEL_WEST_FRIENDLY,
			$STR_DISP_INTEL_EAST_FRIENDLY,
			$STR_DISP_INTEL_BOTH_FRIENDLY
		};
		rows = 1;
		columns = 4;
	};
	class East : RscPicture
	{
		text = "eastsym.paa";
		x = 0.245;
		y = 0.77;
		w = 0.05;
		h = 0.068;
		colorText[] = {0.08, 0.08, 0.12, 0.7};
	};
	class West : RscPicture
	{
		text = "westsym.paa";
		x = 0.7475;
		y = 0.77;
		w = 0.05;
		h = 0.068;
		colorText[] = {0.08, 0.08, 0.12, 0.7};
	};
	
	class ButtonOK : RscButtonSmall		// edited (fix)
	{
		idc = IDC_OK;
		x = 0.535;
		y=0.9;						// +0.02
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall		// edited (fix)
	{
		idc = IDC_CANCEL;
		x = 0.69;
		y=0.9;						// +0.02
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayIntelSimple
{
	idd = IDD_INTEL;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,

		SubBackground,
	  SubtitleVisuals,
		TextBriefingName,
		ValueBriefingName,
		TextBriefingDescription,
		ValueBriefingDescription,
		
    SubBackground1,
    TextDate,
		ValueMonth,
		ValueDay,

		TextTime,
		ValueHour,
		ValueMinute,

		SubtitleVisuals1,
		ValueWeather,
		Bourka,
		Jasno,
		// ValueFog,

		SubtitleVisuals2,
		ValueWeatherForecast,
		Bourka2,
		Jasno2,
		// ValueFogForecast,

		SubtitleVisuals3,
		ValueResistance,
		East,
		West,

		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.2;
		y = 0.02;
		w = 0.64;
		h = 0.80; 
	};

	class Title : RscTitle
	{
		x = 0.2;
		y = 0.038;
		w = 0.64;
		h = 0.06;
		text = $STR_DISP_INTEL_TITLE;
	};

	class SubBackground : RscGroupBox2
	{
		x = 0.22;
		y = 0.12;
		w = 0.6;
		h = 0.2; 
	};
  class SubtitleVisuals : RscFrame
	{
		x = 0.235;
		y = 0.125;
		w = 0.57;
		h = 0.18;
		text = $STR_DISP_INTEL_BRIEFING;
	};
	class TextBriefingName : RscText
	{
		x = 0.24;
		y = 0.15;
		w = 0.1;
		h = 0.028; 
		text = $STR_DISP_INTEL_NAME;
	};
	class ValueBriefingName : RscEdit
	{
		idc = IDC_INTEL_BRIEFING_NAME;
		x = 0.35;
		y = 0.15;
		w = 0.445;
		h = 0.028; 
		text = $STR_DISP_ERROR;
	};
	class TextBriefingDescription : RscText
	{
		x = 0.24;
		y = 0.19;
		w = 0.11;
		h = 0.028; 
		text = $STR_DISP_INTEL_DESC;
	};
	class ValueBriefingDescription : RscEdit
	{
		idc = IDC_INTEL_BRIEFING_DESC;
		style = ST_MULTI;
		lineSpacing = 1;
		x = 0.35;
		y = 0.19;
		w = 0.445;
		h = 0.102; 
		text = $STR_DISP_ERROR;
	};

	class SubBackground1 : RscGroupBox2
	{
		x = 0.22;
		y = 0.345;
		w = 0.6;
		h = 0.3725; 
	};
	class TextDate : RscText
	{
		x = 0.23;
		y = 0.355;
		w = 0.05;
		h = 0.028; 
		text = $STR_DISP_INTEL_DATE;
	};
	class ValueMonth : RscCombo
	{
		idc = IDC_INTEL_MONTH;
		x = 0.285;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class ValueDay : RscCombo
	{
		idc = IDC_INTEL_DAY;
		x = 0.375;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class TextTime : RscText
	{
		x = 0.575;
		y = 0.355;
		w = 0.05;
		h = 0.028; 
		text = $STR_DISP_INTEL_TIME;
	};
	class ValueHour : RscCombo
	{
		idc = IDC_INTEL_HOUR;
		x = 0.635;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class ValueMinute : RscCombo
	{
		idc = IDC_INTEL_MINUTE;
		x = 0.725;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class SubtitleVisuals1 : RscFrame
	{
		x = 0.235;
		y = 0.385;
		w = 0.57;
		h = 0.10;
		text = $STR_DISP_INTEL_WEATHER;
	};
	class ValueWeather : RscSliderH
	{
		idc = IDC_INTEL_WEATHER;
		x = 0.3025;
		y = 0.43;
		w = 0.44;
	};
  class Bourka : RscPicture
	{
		text = "bourkasym.paa";
		x = 0.245;
		y = 0.41;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class Jasno : RscPicture
	{
		text = "jasnosym.paa";
		x = 0.7425;
		y = 0.4075;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
/*
	class ValueFog : RscSliderH
	{
		idc = IDC_INTEL_FOG;
		x = 0.3025;
		y = 0.51;
		w = 0.44;
	};
*/
	class SubtitleVisuals2 : RscFrame
	{
		x = 0.235;
		y = 0.485;
		w = 0.57;
		h = 0.10;
		text = $STR_DISP_INTEL_FORECAST;
	};
	class ValueWeatherForecast : RscSliderH
	{
		idc = IDC_INTEL_WEATHER_FORECAST;
		x = 0.3025;
		y = 0.53;
		w = 0.44;
	};
  class Bourka2 : RscPicture
	{
		text = "bourkasym.paa";
		x = 0.245;
		y = 0.51;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class Jasno2 : RscPicture
	{
		text = "jasnosym.paa";
		x = 0.7425;
		y = 0.5075;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
/*
	class ValueFogForecast : RscSliderH
	{
		idc = IDC_INTEL_FOG_FORECAST;
		x = 0.3025;
		y = 0.69;
		w = 0.44;
	};
*/
	class SubtitleVisuals3 : RscFrame
	{
		x = 0.235;
		y = 0.585;
		w = 0.57;
		h = 0.1;
		text = $STR_DISP_INTEL_RESISTANCE;
	};
/*
	class ValueResistance : RscSliderH
	{
		idc = IDC_INTEL_RESISTANCE;
		x = 0.3025;
		y = 0.795;
		w = 0.44;
	};
*/
	class ValueResistance : RscToolbox
	{
		idc = IDC_INTEL_RESISTANCE;
		x = 0.3025;
		y = 0.625;
		w = 0.44;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_INTEL_NONE_FRIENDLY,
			$STR_DISP_INTEL_WEST_FRIENDLY,
			$STR_DISP_INTEL_EAST_FRIENDLY,
			$STR_DISP_INTEL_BOTH_FRIENDLY
		};
		rows = 1;
		columns = 4;
	};
	class East : RscPicture
	{
		text = "eastsym.paa";
		x = 0.245;
		y = 0.61;
		w = 0.05;
		h = 0.068;
		colorText[] = {0.08, 0.08, 0.12, 0.7};
	};
	class West : RscPicture
	{
		text = "westsym.paa";
		x = 0.7475;
		y = 0.61;
		w = 0.05;
		h = 0.068;
		colorText[] = {0.08, 0.08, 0.12, 0.7};
	};
	
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.535;
		y = 0.74;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.69;
		y = 0.74;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Debug Console (tweak)**
class RscFDFDebugConsole // FDF debug console for editor
{
	idd = IDD_DEBUG;
	movingEnable = true;
	class Controls
	{
		class Background : RscBackground		// edited (tweak)
		{
			x=__EVAL(0.02 - AR_modifX);
			//y=0.77;
			y=0.824;
			w=__EVAL(0.44 + AR_modifX);
			h=0.146;
		};
		
		class SubBackground : RscGroupBox2		// edited (tweak)
		{
			x=__EVAL(0.03 - AR_modifX);
			y=0.834;
			w=__EVAL(0.42 + AR_modifX);
			h=0.126;
		};		
		class TextExpression : RscText		// edited (tweak)
		{
			x = __EVAL(0.03 - AR_modifX);
			y = 0.829;
			w = 0.43;
			text = "Expression:";
		};
		class ValueExpression : RscEdit		// edited (tweak)
		{
			IDC = 543261;
			x = __EVAL(0.035 - AR_modifX);
			y = 0.864;
			w = __EVAL(0.410 + AR_modifX);
			h = 0.03;
			text = "";
			autocomplete = "scripting";
		};	
		class ButtonExec : RscButtonSmall
		{
			idc = -1;
			x = 0.350;
			y = 0.904;
			w = 0.095;
			h = 0.045;
			text = "Execute";
			action = "call (ctrlText 543261);";
		};		
		
		class ButtonPause : RscButtonSmall		// edited (tweak)
		{
			idc = -1;
			x = __EVAL(0.035 - AR_modifX);
			y = 0.904;
			w = 0.045;
			h = 0.045;
			text = "||";
			action = "setacctime 0; ctrlSetText [543262, ""paused""];";
		};		
		class ButtonPlay : RscButtonSmall		// edited (tweak)
		{
			idc = -1;
			x = __EVAL(0.080 - AR_modifX);
			y = 0.904;
			w = 0.045;
			h = 0.045;
			text = ">";
			action = "setacctime 1; ctrlSetText [543262, "" ""];";
		};	
		class TextPause : RscText		// edited (tweak)
		{
			IDC = 543262;			
			x = __EVAL(0.03 - AR_modifX);
			y = 0.904;
			w = 0.42;
			h = 0.045;			
			style = ST_CENTER;
			font = FontS;			
			text = "paused";
			colorText[] = {1, 1, 1, 0.5};			
		};						
	};	
};
	
class RscDisplayDebug
{
	idd = IDD_DEBUG;
	movingEnable = true;
	/*
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		TextExpression,
		ValueExpression,
		HeaderVar,
		HeaderExp,
		HeaderRes,
		TextVar1,ValueExp1,ValueRes1,
		TextVar2,ValueExp2,ValueRes2,
		TextVar3,ValueExp3,ValueRes3,
		TextVar4,ValueExp4,ValueRes4,
		TextLog,ValueLog,
		ButtonA1,ButtonA2,ButtonA3,ButtonA4,ButtonA5,ButtonA6,ButtonA7,
		ButtonB1,ButtonB2,ButtonB3,ButtonB4,
		ButtonApply,
		ButtonOK,
		ButtonCancel
	};
	*/
	class Controls
	{
		class Background : RscBackground
		{
			x=0.2;
			y=0;
			w=0.6;
			h=1.0;
		};
		class SubBackground : RscGroupBox2
		{
			x=0.22;
			y=0.1;
			w=0.56;
			h=0.8;
		};
		class Title : RscTitle
		{
			idc = -1;		
			x = 0.2;
			y = 0.018;
			w = 0.6;
			h = 0.06;
			text = "Debug console";
		};
		class TextExpression : RscText
		{
			x = 0.23;
			y = 0.12;
			w = 0.10;
			text = "Expression:";
		};
		class ValueExpression : RscEdit
		{
			idc = IDC_DEBUG_EXP;
			x = 0.33;
			y = 0.12;
			w = 0.44;
			text = "";
			autocomplete = "scripting";
		};
		class HeaderVar : RscText
		{
			x = 0.23;
			y = 0.20;
			w = 0.09;
			text = "Variable";
		};
		class HeaderExp : RscText
		{
			x = 0.32;
			y = 0.20;
			w = 0.15;
			text = "Expression";
		};
		class HeaderRes : RscText
		{
			x = 0.47;
			y = 0.20;
			w = 0.30;
			text = "Result";
		};
		class TextVar1 : RscText
		{
			x = 0.23;
			y = 0.25;
			w = 0.09;
			text = "debug1";
		};
		class ValueExp1 : RscEdit
		{
			idc = IDC_DEBUG_EXP1;
			x = 0.32;
			y = 0.25;
			w = 0.15;
			text = "";
			autocomplete = "scripting";
		};
		class ValueRes1 : RscEdit
		{
			idc = IDC_DEBUG_RES1;
			x = 0.47;
			y = 0.25;
			w = 0.30;
			text = "";
			autocomplete = "scripting";
		};
		class TextVar2 : RscText
		{
			x = 0.23;
			y = 0.30;
			w = 0.09;
			text = "debug2";
		};
		class ValueExp2 : RscEdit
		{
			idc = IDC_DEBUG_EXP2;
			x = 0.32;
			y = 0.30;
			w = 0.15;
			text = "";
			autocomplete = "scripting";
		};
		class ValueRes2 : RscEdit
		{
			idc = IDC_DEBUG_RES2;
			x = 0.47;
			y = 0.30;
			w = 0.30;
			text = "";
			autocomplete = "scripting";
		};
		class TextVar3 : RscText
		{
			x = 0.23;
			y = 0.35;
			w = 0.09;
			text = "debug3";
		};
		class ValueExp3 : RscEdit
		{
			idc = IDC_DEBUG_EXP3;
			x = 0.32;
			y = 0.35;
			w = 0.15;
			text = "";
		};
		class ValueRes3 : RscEdit
		{
			idc = IDC_DEBUG_RES3;
			x = 0.47;
			y = 0.35;
			w = 0.30;
			text = "";
			autocomplete = "scripting";
		};
		class TextVar4 : RscText
		{
			x = 0.23;
			y = 0.40;
			w = 0.09;
			text = "debug4";
		};
		class ValueExp4 : RscEdit
		{
			idc = IDC_DEBUG_EXP4;
			x = 0.32;
			y = 0.40;
			w = 0.15;
			text = "";
			autocomplete = "scripting";
		};
		class ValueRes4 : RscEdit
		{
			idc = IDC_DEBUG_RES4;
			x = 0.47;
			y = 0.40;
			w = 0.30;
			text = "";
			autocomplete = "scripting";
		};

		class TextLog : RscText
		{
			x = 0.23;
			y = 0.72;
			w = 0.10;
			text = "Log:";
		};
		class ValueLog : RscListBox
		{
			idc = IDC_DEBUG_LOG;
			x = 0.33;
			y = 0.72;
			w = 0.44;
			h = 0.15;
		};

		class ButtonA1 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.25;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "All";
			action = """all"" diag_enable true";
		};
		class ButtonA2 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.32;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "No";
			action = """all"" diag_enable false";
		};
		class ButtonA3 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.39;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Combat";
			action = "diag_toggle ""combat""";
		};
		class ButtonA4 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.46;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Cost";
			action = "diag_toggle ""costmap""";
		};
		class ButtonA5 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.53;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Transp";
			action = "diag_toggle ""transparent""";
		};
		class ButtonA6 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.6;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Collis";
			action = "diag_toggle ""collision""";
		};
		class ButtonA7 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.67;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Path";
			action = "diag_toggle ""path""";
		};
		class ButtonA8 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.25;
			y = 0.55;
			w = 0.065;
			h = 0.05;
			text = "Force";
			action = "diag_toggle ""force""";
		};
		class ButtonA9 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.32;
			y = 0.55;
			w = 0.065;
			h = 0.05;
			text = "Anim";
			action = "diag_toggle ""animation""";
		};

		class ButtonB1 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.25;
			y = 0.60;
			w = 0.065;
			h = 0.05;
			text = "Normal";
			action = "diag_drawmode ""Normal""";
		};
		class ButtonB2 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.32;
			y = 0.60;
			w = 0.065;
			h = 0.05;
			text = "Fire";
			action = "diag_drawmode ""FireGeometry""";
		};
		class ButtonB3 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.39;
			y = 0.60;
			w = 0.065;
			h = 0.05;
			text = "View";
			action = "diag_drawmode ""ViewGeometry""";
		};
		class ButtonB4 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.46;
			y = 0.60;
			w = 0.065;
			h = 0.05;
			text = "Geom.";
			action = "diag_drawmode ""Geometry""";
		};

		class ButtonApply : RscButtonSmall
		{
			idc = IDC_DEBUG_APPLY;
			x = 0.35;
			y = 0.925;
			w = 0.13;
			h = 0.05;
			text = "Apply";
			soundClick[] = {"ui\ui_ok", 0.2, 1};
		};
		class ButtonOK : RscButtonSmall
		{
			idc = IDC_OK;
			x = 0.50;
			y = 0.925;
			w = 0.13;
			h = 0.05;
			text = $STR_DISP_OK;
			default = 1;
			soundClick[] = {"ui\ui_ok", 0.2, 1};
		};
		class ButtonCancel : RscButtonSmall
		{
			idc = IDC_CANCEL;
			x = 0.65;
			y = 0.925;
			w = 0.13;
			h = 0.05;
			text = $STR_DISP_CANCEL;
			soundClick[] = {"ui\ui_cc", 0.2, 1};
		};
	};
};
// End of rscDialog.hpp include








/* ---------------------- RESOURCE -----------------------*/	

// Include from rscScreen.hpp
#define FontIMPACT "impact"

class RscActiveMenu : RscActiveText
{
	color[] = {1, 1, 1, 1.0};
	//colorActive[] = {1, 0, 0, 1};
	//colorActive[] = {0.0, 0.357, 0.557, 1.0};
	colorActive[] = {0.09, 0.525, 0.773, 1.0};
	font = FontTITLEHalf;
	sizeEx = 0.05;
	default = false;
	soundClick[] = {"ui\ui_ok", 0.2, 1};
};

class RscTextMenu : RscText
{
	colorText[] = {1, 1, 1, 0.8};
	font = FontHTML;
	sizeEx = 0.7 * 0.048;
	h = 0.13;
};

class Rsc3DActiveMenu
{
	type = CT_3DACTIVETEXT;
	style = 0;
	color[] = {1, 1, 1, 1};
	//colorActive[] = {1, 0, 0, 1};
	colorActive[] = {0.09, 0.525, 0.773, 1.0};
	font = FontTITLEHalf;
	angle = 0;
	default = false;

	soundEnter[] = {"ui\ui_over", 0.2, 1};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};
};

class Rsc3DTextMenu
{
	type = CT_3DSTATIC;
	style = 0;
	color[] = {1, 1, 1, 0.8};
	font = FontHTML;
	angle = 0;
};

class RscObject
{
	type = CT_OBJECT;
	scale = 1.0;
	direction[] = {0, 0, 1};
	up[] = {0, 1, 0};
};

class RscObjNotebookText
{
	type = CT_3DSTATIC;
	style = ST_LEFT;
	idc = -1;
	//color[] = {0, 1, 0, 1};
	color[] = {0/255, 108/255, 169/255, 0.9};
	font = FontHTML;
	angle = 0;
	selection = "display";
	h = 0.05;
};

class RscObjNotebookEdit
{
	type = CT_3DEDIT;
	style = ST_LEFT;
	//colorText[] = {0, 1, 0, 1};
	colorText[] = {53/255, 99/255, 145/255, 0.9};
	//colorSelection[] = {0, 1, 0, 0.4};
	colorSelection[] = {53/255, 99/255, 145/255, 0.3};
	font = FontHTML;
	size = 0.8;	// 3D size
	angle = 0;
	selection = "display";
	autocomplete="";
	h = 0.05;
	text = $STR_DISP_ERROR;
};

class RscObjNotebookButton
{
	type = CT_3DACTIVETEXT;
	style = ST_LEFT;
	//color[] = {0, 1, 0, 0.5};
	//colorActive[] = {0, 1, 0, 1};
	color[] = {0/255, 108/255, 169/255, 0.5}; // FDF
	colorActive[] = {0/255, 108/255, 169/255, 1.0}; // FDF

	font = FontHTML;
	angle = 0;
	selection = "display";
	h = 0.05;

	soundEnter[] = {"ui\ui_over", 0.2, 1};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};

	default = false;
};

class RscObjNotebookListBox
{
	type = CT_3DLISTBOX;
	style = 0;
	selection = "display";
	angle = 0;
	size = 0.8;	// 3D size
	/*colorSelect[] = {0, 1, 0, 1};
	colorSelectBackground[] = {0, 1, 0, 0.2};
	colorText[] = {0, 1, 0, 0.5};*/


	colorSelect[] = {53/255, 99/255, 145/255, 1};
	colorSelectBackground[] = {53/255, 99/255, 145/255, 0.3};
	colorText[] = {53/255, 99/255, 145/255, 0.75};
	font = FontHTML;
};

// **added**
#define AddFDFBorder \
	class FDFL : RscPicture \
	{ \
		text = "\FDF_gfx\FDFlogo.paa"; \
		colorText[]={0.5,0.5,0.5,0.4}; \
		x = __EVAL(0.68 + AR_modifX); y = __EVAL(0.75 + AR_modifY); w = 0.31; h = 0.13; \
	}; \
	class ViivaYT : RscText \
	{ \
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON); \
		y = __EVAL(0.117 - AR_modifY); \
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2); \
		h = 0.007; \
		text = ; \
		colorBackground[] = {0.027*2, 0.227*2, 0.388*2, 1.0}; \
	}; \
	class ViivaAT : RscText \
	{ \
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON); \
		y = __EVAL(0.876 + AR_modifY); \
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2); \
		h = 0.007; \
		text = ; \
		colorBackground[] = {0.027*2, 0.227*2, 0.388*2, 1.0}; \
	}; \
	class Background3 : RscText \
	{ \
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON); \
		y = __EVAL(0.125 - AR_modifY); \
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2); \
		h = __EVAL(0.75 + AR_modifY * 2); \
		text = ; \
		colorBackground[] = {0, 0, 0, 0.5}; \
	}; \
	class Background4 : RscText \
	{ \
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON); \
		y = __EVAL(0.0 - AR_modifY); \
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2); \
		h = 0.125; \
		text = ; \
		colorBackground[] = {0, 0, 0, 1}; \
	}; \
	class Background5 : RscText \
	{ \
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON); \
		y = __EVAL(0.875 + AR_modifY); \
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2); \
		h = 0.125; \
		text = ; \
		colorBackground[] = {0, 0, 0, 1}; \
	}; \

#define Background1_2 \
	class Background1 : RscText \
	{ \
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON); \
		y = __EVAL(0.0 - AR_modifY); \
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2); \
		h = 0.125; \
		text = ; \
		colorBackground[] = {0, 0, 0, 0.5}; \
	}; \
	class Background2 : RscText \
	{ \
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON); \
		y = __EVAL(0.875 + AR_modifY); \
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2); \
		h = 0.125; \
		text = ; \
		colorBackground[] = {0, 0, 0, 0.5}; \
	};










/* ---------------------- MENUS -----------------------*/

	// Extra main menu functionality - mods, download, master server (added)
class MAINMENU_MODSLIST
{
	idd = 0;
	movingEnable = 1;
	controlsBackground[]={};
	controls[]=
	{
			Background, ListBox, Schedule, Master, Version,
			
			ScheduleBackground, Logo, ServerTitle, InstallationProgress, TimeDisplay,
			Text_left1, Text_right1, Text_red1,
			Text_left2, Text_right2, Text_red2,
			Text_left3, Text_right3, Text_red3,
			Text_left4, Text_right4, Text_red4,
			Text_left5, Text_right5,
			Text_left6, Text_right6,
			Text_left7, Text_right7,
			Text_left8, Text_right8,
			Text_left9, Text_right9
	};
	
	#define AR_MODS_X 0.4304 + 0.02 - AR_modifX
	#define AR_MODS_Y 0.124 - AR_modifY
	#define AR_MODS_W 1 + AR_modifX - (AR_MODS_X)
	#define AR_MODS_H 0.752 + AR_modifY*2
		
	class Background : RscBackground
	{
		style = 0
		idc = 6449
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y)
		w = __EVAL(AR_MODS_W)
		h = __EVAL(AR_MODS_H)
		colorBackground[]={0,0,0,0.6};		
	};
	
	class Listbox : RscListBox
	{
		idc = 6657
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y)
		w = __EVAL(AR_MODS_W)
		h = __EVAL(AR_MODS_H)
		colorText[] = {1,1,1, 0.65};	
		colorSelect[] = {0,0,0, 0.5};
		font = "tahomaB48";
		rowHeight = 0.028
		sizeEx = 0.028
	};
	
	class Schedule : RscActiveMenu
	{		
		idc = 6450
		style = 0 
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y - 0.057)
		w = 0.3;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		font = FontIMPACT;
		sizeEx = 0.05;
		text = "Schedule";
	};
	
	class Master : Schedule
	{
		idc = 6451
		y = __EVAL(AR_MODS_Y - 0.057 - 0.05)
		text="Master Server";
		color[]={0.75,0.75,0.75, 1};
	};

	class baseTXT
	{
		idc = -1
		type = 0
		style = 0
		text = ;
		colorBackground[] = {0,0,0, 0};
		colorText[] = {1,1,1, 1};
		font = "tahomaB48";
		sizeEx = 0.02
		lineSpacing = 1
		x=0; y=0; w=0; h=0;
	};

	// Background size
	__EXEC(AR_FRAME_W = 0.4304)
	__EXEC(AR_FRAME_X = AR_MODS_X - AR_FRAME_W - 0.02)
	__EXEC(AR_FRAME_Y = AR_MODS_Y)
	
	
	// Position of the text inside the background
	__EXEC(AR_FRAME_LOGOW        	= 0.07);
	__EXEC(AR_FRAME_LOGOH        	= AR_FRAME_LOGOW * 1.333333);
	__EXEC(AR_FRAME_TEXT_MARGINX 	= 0.01)
	__EXEC(AR_FRAME_TEXT_MARGINY 	= 0.015)
	__EXEC(AR_FRAME_TEXT_YVAR       = AR_FRAME_Y + AR_FRAME_TEXT_MARGINY)
	__EXEC(AR_FRAME_TEXT_TITLE_SIZE = 0.035)
	__EXEC(AR_FRAME_TEXT_SIZE 		= 0.025)
	__EXEC(AR_FRAME_TEXT_IDC 		= 6470)
	__EXEC(AR_FRAME_TEXT_YSPACE 	= 0.005);
	__EXEC(AR_FRAME_TEXT_WIDTH	 	= 0.085);


	class Logo : baseTXT
	{
		idc = 6461;
		style = 48;
		x = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX)
		y = __EVAL(AR_FRAME_TEXT_YVAR)
		w = __EVAL(AR_FRAME_LOGOW)
		h = __EVAL(AR_FRAME_LOGOH);
		color[]={1,1,1,1};
		//text = "\data\marker_smiley1.paa";
	};
	
	class ServerTitle : baseTXT
	{
		idc = 6462
		style = 16
		x = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX + AR_FRAME_LOGOW)
		y = __EVAL(AR_FRAME_TEXT_YVAR)
		w = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_LOGOW)
		h = __EVAL(AR_FRAME_LOGOH)
		sizeEx = __EVAL(AR_FRAME_TEXT_TITLE_SIZE - 0.005)
		//text = "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW";
	};

	__EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_Y + AR_FRAME_LOGOH + AR_FRAME_TEXT_MARGINY)


	// Macro for text elements
	class Text_left1 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Version:"; }; class Text_right1 : Text_left1 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left2 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Modfolders:"; }; class Text_right2 : Text_left2 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  4); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  4 + AR_FRAME_TEXT_YSPACE);
	class Text_left3 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Custom File:"; }; class Text_right3 : Text_left3 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left4 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Game time:"; }; class Text_right4 : Text_left4 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  4); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  4 + AR_FRAME_TEXT_YSPACE);
	class Text_left5 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Voice:"; }; class Text_right5 : Text_left5 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left6 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Languages:"; }; class Text_right6 : Text_left6 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left7 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Location:"; }; class Text_right7 : Text_left7 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left8 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Website:"; }; class Text_right8 : Text_left8 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left9 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Message:"; }; class Text_right9 : Text_left9 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  5); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  5 + AR_FRAME_TEXT_YSPACE);

	// Macro for red font text
	class Text_red1 :  Text_left1 { idc =  6472; colorText[] = {1,0,0,1}; };
	class Text_red2 :  Text_left2 { idc =  6482; colorText[] = {1,0,0,1}; };
	class Text_red3 :  Text_left3 { idc =  6492; colorText[] = {1,0,0,1}; };
	class Text_red4 :  Text_left4 { idc =  6502; colorText[] = {1,0,0,1}; };
	
	__EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_MARGINY);

		
	class ScheduleBackground : baseTXT
	{
		idc = 6460
		style = 80
		x = __EVAL(AR_FRAME_X)
		y = __EVAL(AR_FRAME_Y)
		w = __EVAL(AR_FRAME_W)
		h = __EVAL(AR_FRAME_TEXT_YVAR - AR_FRAME_Y)
		colorBackground[] = {0, 0.423, 0.662, 1};
		//text = __EVAL(AR_FRAME_TEXT_YVAR - AR_FRAME_Y)
	};
	
	class InstallationProgress : baseTXT
	{
		idc = 6463
		style = 16
		x = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX)
		y = __EVAL(AR_FRAME_Y + AR_FRAME_TEXT_MARGINY)
		w = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2)
		h = __EVAL(AR_FRAME_TEXT_YVAR - AR_FRAME_Y - AR_FRAME_TEXT_MARGINY*2)
		colorBackground[] = {0,0,0,0};
		//colorText[] = {153/255, 198/255, 142/255, 1};
		colorText[] = {0.9804,0.9725,0.8000, 1};
		sizeEx = 0.025
	}
	
	class TimeDisplay : baseTXT
	{
		idc = 6464
		style = 1 + 256
		x = __EVAL(AR_FRAME_X)
		y = __EVAL(AR_FRAME_Y + AR_FRAME_TEXT_YVAR - AR_FRAME_Y)
		w = __EVAL(AR_FRAME_W)
		h = 0.02
	};
	
	class Version : baseTXT {
		idc = 6465
		text = "0.5";
	}
};

	// Extra main menu functionality - input box (added)
class MAINMENU_INPUT
{
	idd = 0;
	movingEnable = 1;
	controlsBackground[]={};
	controls[]={Title, Input, Note};
	
	class Title : RscText
	{
		idc = 6900
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y)
		w = __EVAL(AR_MODS_W)
		h = 0.052
		colorText[]={1,1,1,1};
		text = "Enter Text:"
		font="tahomaB48";
		sizeEx=0.03;
	};
	
	class Input : RscEdit
	{
		idc = 6901
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y + 0.045)
		w = __EVAL(AR_MODS_W - 0.02)
		h = 0.04
		sizeEx = 0.03;
		autocomplete = "general";
		colorText[]={0.75,0.75,0.75,1};
		colorSelection[] = {1, 0, 0, 0.5};
		font="tahomaB48";
		text = ""
	};
	
	class Note : Title
	{
		idc = 6902
		style = 16 + 256;
		y = __EVAL(AR_MODS_Y + 0.045 + 0.04 + 0.01)
		sizeEx = 0.025;
		h = 0.075
		colorText[] = {0.9804,0.9725,0.8000, 1};
		text = "";
		lineSpacing = 1;
	};
};

	// **Main menu (aspect + tweak + fix)**
class RscDisplayMain
{
	idd = IDD_MAIN;
	movingEnable = true;
	controlsBackground[]=
	{
		Background1,
		Background2,
		Background3,
		Background4,

		ViivaYT,
		ViivaAT,
		ViivaYV,
		ViivaAV
	};
	// added condition for mod menu
	controls[]=
	{
		//FP1, FP2, FP3,

		FDFD1, FDFD2, FDFL, FDFTxt,

		//CM4, CM1, CM2, CM3,
		//BIS1, BIS2,

		Line1,
		Line2,

		Continue,
		Player,

		Game,
		SingleMission,
		Custom,

		Multiplayer,
		Options,
		Credits, // OMA
		Quit,


		//Date,
		//Version,
		AllMissions
		//Copy
		
		#ifdef AR_MODS_SHOW
		,Mods
		#endif
	};


	class copy : RscText		// edited  (fix centered)
	{
		style = ST_MULTI + ST_CENTER + ST_NO_RECT;
		lineSpacing = 1.0;
		text = $STR_CREDITS23;
		x = 0; y = __EVAL(0.93 + AR_modifY); w = 1; h = 0.7;
		colorText[] = {1, 1, 1, 0.5};
		font = FontS;
		sizeEx = 0.016;
	};

	class FP1 : RscPicture		// edited
	{
		text = "OFPlogo1.paa";
		colorText[]={0.23,0.3,0.08,0.75};
		x = 0.365; y = __EVAL(0.01 - AR_modifY); w = 0.09; h = 0.1;
	};
	class FP2 : RscPicture		// edited
	{
		text = "OFPlogo2.paa";
		colorText[]={0.23,0.3,0.08,0.75};
		x = 0.455; y = __EVAL(0.01 - AR_modifY); w = 0.09; h = 0.1;
	};
	class FP3 : RscPicture		// edited
	{
		text = "OFPlogo3.paa";
		colorText[]={0.23,0.3,0.08,0.75};
		x = 0.545; y = __EVAL(0.01 - AR_modifY); w = 0.09; h = 0.1;
	};

	class Background1 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.875 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.125 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = __EVAL(0.75 + AR_modifY * 2);
		text = ;
		//colorBackground[] = {0.027, 0.227, 0.388, 0.25}; // Blue
		colorBackground[] = {0.027, 0.227, 0.388, 0.11}; // Blue
	};
	class Background4 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.125 - AR_modifY);
		w = 0.33;
		h = __EVAL(0.75 + AR_modifY * 2);
		text = ;
		colorBackground[] = {0.016, 0.133, 0.231, 0.5};
	};

	class FDFD1 : RscPicture // detailia		// edited
	{
		text = "\FDF_gfx\blue.paa";
		colorText[]={1.0,1.0,1.0,1.0};
		x = __EVAL(0.33 - AR_modifX); y = __EVAL(0.117 - AR_modifY); w = 0.005; h = 0.007;
	};
	class FDFD2 : RscPicture		// edited
	{
		text = "\FDF_gfx\blue.paa";
		colorText[]={1.0,1.0,1.0,1.0};
		x = __EVAL(0.325 - AR_modifX); y = __EVAL(0.876 + AR_modifY); w = 0.005; h = 0.007;
	};

	class FDFL : RscPicture // Logo		// edited
	{
		text = "\FDF_gfx\FDFlogo.paa";
		colorText[]={1.0,1.0,1.0,1.0};
		x = __EVAL(0.68 + AR_modifX); y = __EVAL(0.75 + AR_modifY); w = 0.31; h = 0.13;
	};

	class FDFTxt : RscPicture // Logo		// edited
	{
	  	fadein=3;
		text = "\FDF_gfx\FDFTitle.paa";
		colorText[]={1.0,1.0,1.0,1.0};
		x = __EVAL(0.743 + AR_modifX); y = __EVAL(0.889 + AR_modifY); w = 0.250; h = 0.042;
	};

	class ViivaYV : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.117 - AR_modifY);
		w = 0.33;
		h = 0.007;
		text = ;
		colorBackground[] = {0.0, 0.357, 0.557, 1.0};
	};

	class ViivaAV : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.876 + AR_modifY);
		w = 0.33;
		h = 0.007;
		text = ;
		colorBackground[] = {0.0, 0.357, 0.557, 1.0};
	};

	class ViivaYT : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.117 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.007;
		text = ;
		colorBackground[] = {0.027, 0.227, 0.388, 1.0};
	};

	class ViivaAT : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.876 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.007;
		text = ;
		colorBackground[] = {0.027, 0.227, 0.388, 1.0};
	};



	class Line1 : RscText		// edited
	{
		style = ST_LINE;
		//style = ST_WITH_RECT;
		x = __EVAL(0.316 - AR_modifX);
		y = __EVAL(0.125 - AR_modifY);
		w = 0;
		h = __EVAL(0.75 + AR_modifLine1);
		text = ;
		colorBackground[] = {1, 1, 1, 1};
		color[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 1};
	};
	class Line2 : RscText		// edited
	{
		style = ST_LINE;
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.22 - AR_modifY);
		w = 0.33;
		h = 0;
		text = ;
		colorBackground[] = {1, 1, 1, 1};
		color[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 1};
	};
	class Continue : RscActiveMenu
	{
		idc = IDC_MAIN_CONTINUE;
		x = 0.05;
		y = 0.155;
		w = 0.0;
		h = 0.0;
		font = FontTITLE;
		sizeEx = 0.57 * 0.098;
		text = $STR_DISP_MAIN_CONTINUE;
	};
	class Player : RscActiveMenu		// edited
	{
		color[] = {1, 1, 1, 0.8};
		style = ST_RIGHT;
		idc = IDC_MAIN_PLAYER;
		x = __EVAL(0.00 - AR_modifX);
		y = __EVAL(0.145 - AR_modifY);
		w = 0.30;
		h = 0.05;
		//font = FontTITLE;
		font = FontIMPACT;
		sizeEx = 0.57 * 0.098;
		text = $STR_DISP_ERROR;
		default = 1;
	};
	class Game : RscActiveMenu		// edited
	{
		color[] = {1, 1, 1, 0.8};
		style = ST_RIGHT;
		//font = FontTITLE;
		font = FontIMPACT;
		sizeEx = 0.57 * 0.098;
		idc = IDC_MAIN_GAME;
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.24 - AR_modifY);
		w = 0.30;
		h = 0.05;
		text = $STR_DISP_MAIN_GAME;
	};
	class SingleMission : RscActiveMenu		// edited
	{
		color[] = {1, 1, 1, 0.8};

		style = ST_RIGHT;
		font = FontIMPACT;
		sizeEx = 0.57 * 0.098;
		idc = IDC_MAIN_SINGLE;
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.305 - AR_modifY);
		w = 0.30;
		h = 0.05;
		text = $STR_DISP_MAIN_SINGLE;
	};
	class Custom : RscActiveMenu		// edited
	{
		color[] = {1, 1, 1, 0.8};

		style = ST_RIGHT;
		font = FontIMPACT;
		sizeEx = 0.57 * 0.098;
		idc = IDC_MAIN_EDITOR;
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.37 - AR_modifY);
		w = 0.30;
		h = 0.05;
		text = $STR_DISP_MAIN_CUSTOM;
	};
	class Multiplayer : RscActiveMenu		// edited
	{
		color[] = {1, 1, 1, 0.8};

		style = ST_RIGHT;
		font = FontIMPACT;
		sizeEx = 0.57 * 0.098;
		idc = IDC_MAIN_MULTIPLAYER;
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.435 - AR_modifY);
		w = 0.30;
		h = 0.05;
		text = $STR_DISP_MAIN_MULTI;
	};

	class Options : RscActiveMenu		// edited
	{
		color[] = {1, 1, 1, 0.8};

		style = ST_RIGHT;
		font = FontIMPACT;
		sizeEx = 0.57 * 0.098;
		idc = IDC_MAIN_OPTIONS;
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.50 - AR_modifY);
		w = 0.30;
		h = 0.05;
		text = $STR_DISP_MAIN_OPTIONS;
	};

	class Credits : RscActiveMenu		// edited
	{
		color[] = {1, 1, 1, 0.8};

		style = ST_RIGHT;
		font = FontIMPACT;
		idc = -1;
		action = "[] exec ""\scripts\credits.sqs"";";
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.565 - AR_modifY);
		w = 0.30;
		h = 0.05;
		sizeEx = 0.57 * 0.098;
		text = $STR_FDF_DISP_MAIN_CREDITS;
	};

	class Quit : RscActiveMenu		// edited
	{
		color[] = {1, 1, 1, 0.8};

		style = ST_RIGHT;
		font = FontIMPACT;
		idc = IDC_MAIN_QUIT;
		x = __EVAL(0.0 - AR_modifX);
		y = __EVAL(0.63 - AR_modifY);
		w = 0.30;
		h = 0.05;
		sizeEx = 0.57 * 0.098;
		text = $STR_FDF_DISP_MAIN_QUIT;
	};


	class Date : RscText
	{
		idc = IDC_MAIN_DATE;
		x = 0.4;
		y = 0.17;
		w = 0.2;
		h = 0.05;
		style = ST_CENTER;
		font = FontS;
		sizeEx = 0.02;
		text = $STR_DISP_ERROR;
		colorText[] = {1, 1, 1, 0.5};
	};
	class Version : RscText		// edited
	{
		idc = IDC_MAIN_VERSION;
		x = 0.4;
		y = __EVAL(0.09 - AR_modifY);
		w = 0.2;
		h = 0.05;
		style = ST_CENTER;
		font = FontS;
		sizeEx = 0.016;
		text = $STR_DISP_ERROR;
		colorText[] = {1, 1, 1, 0.5};
	};
	class AllMissions : RscActiveMenu
	{
		idc = IDC_MAIN_CUSTOM;
		x = 0.4;
		y = 0.935;
		w = 0.52;
		h = 0.03;
		font = FontTITLEHalf;
		sizeEx = 0.5 * 0.05;
		colorText[] = {1, 1, 1, 0.25};
		text = $STR_DISP_MAIN_DESIGN;
	};

	class Mods : Player	// added (tweak)
		{
		idc = -1;
		y = __EVAL(0.8 + AR_modifY);
		text = "MODS";
		colorBackground[] = {0,0,0,0};
		colorText[] = {0,0,0,1};
		#define AR_MODS_CHECK if(localize {STR_USRACT_CHEAT_1}!={FWATCH})then{titleText[{Requires Fwatch 1.16},{PLAIN DOWN},0.1]}else{AR_MODS_EXELINE}
		#define AR_MODS_EXELINE [##AR_MODS_X##,##AR_MODS_Y##,##AR_MODS_W##,##AR_MODS_H##,[{movetop}],[{extendy},-0.114]] exec {..\fwatch\data\MainMenu.sqs}
		action = AR_MODS_CHECK
		};
};

class RscDisplayMainVBS1
{
	idd = IDD_MAIN;
	movingEnable = true;
	controlsBackground[]=
	{
		Background1,
		Background2,
		Background3
	};
	controls[]=
	{
		VBS1,

		Line1,
		Line2,

		Continue,
		Player,

		Game,
		SingleMission,
		Multiplayer,

		Custom,
		Options,
		Quit,

		//Date,
		Version,
		AllMissions,
		Copy
	};


	class copy : RscText
	{
		style = ST_MULTI + ST_CENTER + ST_NO_RECT;
		lineSpacing = 1.0;
		text = $STR_CREDITS23;
		x = 0.03; y = 0.93; w = 0.9; h = 0.7;
		colorText[] = {1, 1, 1, 0.5};
		font = FontS;
		sizeEx = 0.016;
	};

	class VBS1 : RscText
	{
		style = ST_CENTER;
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = "VBS1";
		font = FontTITLE;
		colorText[] = {1, 1, 1, 0.5};
		sizeEx = 0.6 * 0.098;
	};

	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Line1 : RscText
	{
		style = ST_LINE;
		//style = ST_WITH_RECT;
		x = 0.7;
		y = 0.125;
		w = 0;
		h = 0.75;
		text = ;
		colorBackground[] = {1, 1, 1, 1};
		color[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 1};
	};
	class Line2 : RscText
	{
		style = ST_LINE;
		x = 0.0;
		y = 0.46;
		w = 1;
		h = 0;
		text = ;
		colorBackground[] = {1, 1, 1, 1};
		color[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 1};
	};
	class Continue : RscActiveMenu
	{
		idc = IDC_MAIN_CONTINUE;
		x = 0.05;
		y = 0.155;
		w = 0.0;
		h = 0.0;
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		text = $STR_DISP_MAIN_CONTINUE;
	};
	class Player : RscActiveMenu
	{
		idc = IDC_MAIN_PLAYER;
		x = 0.02;
		y = 0.145;
		w = 0.5;
		h = 0.05;
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		text = $STR_DISP_ERROR;
	};
	class Game : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_GAME;
		x = 0.72;
		y = 0.145;
		w = 0.25;
		h = 0.05;
		text = $STR_DISP_MAIN_GAME;
	};
	class SingleMission : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_SINGLE;
		x = 0.72;
		y = 0.33;
		w = 0.52;
		h = 0.05;
		text = $STR_DISP_MAIN_SINGLE;
		default = 1;
	};
	class Multiplayer : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_MULTIPLAYER;
		x = 0.72;
		y = 0.39;
		w = 0.52;
		h = 0.05;
		text = $STR_DISP_MAIN_MULTI;
	};
	class Custom : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		style = ST_RIGHT;
		idc = IDC_MAIN_EDITOR;
		x = 0.48;
		y = 0.48;
		w = 0.2;
		h = 0.05;
		text = $STR_DISP_MAIN_CUSTOM;
	};
	class Options : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_OPTIONS;
		style = ST_RIGHT;
		x = 0.48;
		y = 0.54;
		w = 0.2;
		h = 0.05;
		text = $STR_DISP_MAIN_OPTIONS;
	};
	class Quit : RscActiveMenu
	{
		font = FontTITLE;
		idc = IDC_MAIN_QUIT;
		x = 0.72;
		y = 0.8;
		w = 0.20;
		h = 0.05;
		sizeEx = 0.6 * 0.098;
		text = $STR_DISP_MAIN_QUIT;
	};


	class Date : RscText
	{
		idc = IDC_MAIN_DATE;
		x = 0.4;
		y = 0.17;
		w = 0.2;
		h = 0.05;
		style = ST_CENTER;
		font = FontS;
		sizeEx = 0.02;
		text = $STR_DISP_ERROR;
		colorText[] = {1, 1, 1, 0.5};
	};
	class Version : RscText
	{
		idc = IDC_MAIN_VERSION;
		x = 0.4;
		y = 0.09;
		w = 0.2;
		h = 0.05;
		style = ST_CENTER;
		font = FontS;
		sizeEx = 0.016;
		text = $STR_DISP_ERROR;
		colorText[] = {1, 1, 1, 0.5};
	};
	class AllMissions : RscActiveMenu
	{
		idc = IDC_MAIN_CUSTOM;
		x = 0.4;
		y = 0.935;
		w = 0.52;
		h = 0.03;
		font = FontTITLEHalf;
		sizeEx = 0.5 * 0.05;
		colorText[] = {1, 1, 1, 0.25};
		text = $STR_DISP_MAIN_DESIGN;
	};
};

	// **Single mission selection screen (aspect + tweak)**
class RscDisplaySingleMission
{
	idd = IDD_SINGLE_MISSION;
	movingEnable = true;

	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced

	objects[]=
	{
		Notepad
	};
	class Notepad : RscObject		// edited subclass
	{
		model = "blok_selmis2.p3d";
		idc = IDC_SINGLE_MISSION_PAD;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = false;
		animSpeed = 1;
		animation = "blok_mis.rtm"
		position[] = {0.20, 0.02, 1.2};
		direction[] = {0, -sin 15, cos 15};
		up[] = {0, cos 15, sin 15};
		positionBack[] = {0.3, 0.10, 1.40};
		inBack = false;
		enableZoom = true;
		zoomDuration = 0.5;
		scale=2;
		controls[]={Missions, Overview};
		class Missions		// edited (tweak)
		{
			idc = IDC_SINGLE_MISSION;
			type = CT_3DLISTBOX;
			style = 0;
			selection = "papir";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			rows=13;	// + 4 rows
			size = 0.6;	// 3D size
			colorSelect[] = {0, 0, 0, 1};
			colorSelectBackground[] = {0, 0, 0, 0.2};
			colorText[] = {0.2, 0.2, 0.2, 1};
			font = FontHTML;
		};
		class Overview : RscHTML
		{
			idc = IDC_SINGLE_OVERVIEW;
			type = CT_3DHTML;
			selection = "papir2";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			size = 0.30;	// 3D size
			filename =;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDifficulty,
		ButtonLoad,
		ButtonOK,
		ButtonCancel
	};

	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_SINGLE_TITLE;
	};
	class ButtonDifficulty : RscActiveMenu		// edited
	{
		idc = IDC_SINGLE_DIFF;
		x = 0.05;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		text = $STR_DISP_ERROR;
		soundClick[] = {"", 0, 1};
	};
	class ButtonLoad : RscActiveMenu		// edited
	{
		idc = IDC_SINGLE_LOAD;
		x = 0.4;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.3;
		h = 0.05;
		text = $STR_DISP_ERROR;
		soundClick[] = {"", 0, 1};
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_ERROR;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.7;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};

};

	// **Options**
class RscDisplayOptions
{
	idd = IDD_OPTIONS;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = IDC_OPTIONS_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			Video,
			Audio,
			Configure,
			Difficulty
		};
		class Video : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_VIDEO;
			style = ST_CENTER;
			x = 0;
			y = 0.05;
			w = 1;
			h = 0.15;
			text = $STR_DISP_OPTIONS_VIDEO;
// text = "ABC Ʈ   ġ ϰ  , ư     ִ. ,   ۾ Ȯϱ    ƿ ִ ̴.";
		};
		class Audio : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_AUDIO;
			style = ST_CENTER;
			x = 0;
			y = 0.30;
			w = 1;
			h = 0.15;
			text = $STR_DISP_OPTIONS_AUDIO;
		};
		class Configure : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_CONFIGURE;
			style = ST_CENTER;
			x = 0;
			y = 0.55;
			w = 1;
			h = 0.15;
			text = $STR_DISP_OPTIONS_CONFIGURE;
		};
		class Difficulty : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_DIFFICULTY;
			style = ST_CENTER;
			x = 0;
			y = 0.80;
			w = 1;
			h = 0.15;
			text = $STR_DISP_OPTIONS_DIFFICULTY;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonCredits,
		ButtonClose
	};

	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_TITLE;
	};
	class ButtonCredits : RscActiveMenu		// edited
	{
		idc = IDC_OPTIONS_CREDITS;
		x = 0.05;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_MAIN_CREDITS;
	};
	class ButtonClose : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_CLOSE;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};







/* ---------------------- RESOURCE -----------------------*/	

class RscOptionText : RscObjNotebookText
{
	style = ST_RIGHT;
	x = 0.5;
	w = 0.3;
};
class RscOptionValue : RscObjNotebookText
{
	style = ST_RIGHT;
	x = 0.8;
	w = 0.1;
	text = $STR_DISP_ERROR;
};
class RscOptionSlider
{
	type = CT_3DSLIDER;
	style = SL_HORZ;
	x = 0.1;
	w = 0.8;
	h = 0.05;
	//color[] = {0, 1, 0, 1};
	color[] = {0.09, 0.525, 0.773, 1.0}; // FDF
	angle = 0;
	selection = "display";
};






/* ---------------------- GAME OPTIONS -----------------------*/

	// **Graphics**
class RscDisplayOptionsVideo
{
	idd = IDD_OPTIONS_VIDEO;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextResolution,
			ValueResolution,
			TextRefresh,
			ValueRefresh,
			TextHWTL,
			ValueHWTL,
			TextMultitexturing,
			ValueMultitexturing,
			TextWBuffer,
			ValueWBuffer,
			TextObjectShadows,
			ValueObjectShadows,
			TextVehicleShadows,
			ValueVehicleShadows,
			TextCloudlets,
			ValueCloudlets,
			TextBlood,
			ValueBlood,
			TextBrightness,
			ValueBrightness,
			SliderBrightness,
			TextGamma,
			ValueGamma,
			SliderGamma,
			TextFrameRate,
			ValueFrameRate,
			SliderFrameRate,
			TextVisualQuality,
			ValueVisualQuality,
			SliderVisualQuality,
			TextVisibility,
			ValueVisibility,
			SliderVisibility,
			TextTerrain,
			ValueTerrain
		};

		class TextResolution : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.45;
			text = $STR_DISP_OPT_RESOLUTION;
		};
		class ValueResolution : RscObjNotebookListBox
		{
			idc = IDC_OPTIONS_RESOLUTION;
			x = 0.025;
			y = 0.083;
			w = 0.45;
			h = 0.20;
			rows = 4;
			size = 0.9;	// 3D size
		};
		class TextRefresh : RscObjNotebookText
		{
			x = 0.025;
			y = 0.283;
			w = 0.45;
			text = $STR_DISP_OPT_REFRESH;
		};
		class ValueRefresh : RscObjNotebookListBox
		{
			idc = IDC_OPTIONS_REFRESH;
			x = 0.025;
			y = 0.333;
			w = 0.45;
			h = 0.20;
			rows = 4.5;
			size = 0.9;	// 3D size
		};

		class TextHWTL : RscObjNotebookText
		{
			x = 0.025;
			y = 0.567;
			w = 0.30;
			text = $STR_DISP_OPT_HWTL;
		};
		class ValueHWTL : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_HWTL;
			x = 0.325;
			y = 0.567;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextMultitexturing : RscObjNotebookText
		{
			x = 0.025;
			y = 0.617;
			w = 0.30;
			text = $STR_DISP_OPT_MULTITEXTURING;
		};
		class ValueMultitexturing : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_MULTITEXTURING;
			x = 0.325;
			y = 0.617;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextWBuffer : RscObjNotebookText
		{
			x = 0.025;
			y = 0.667;
			w = 0.30;
			text = $STR_DISP_OPT_WBUFFER;
		};
		class ValueWBuffer : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_WBUFFER;
			x = 0.325;
			y = 0.667;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};

		class TextObjectShadows : RscObjNotebookText
		{
			x = 0.025;
			y = 0.733;
			w = 0.30;
			text = $STR_DISP_OPT_OBJSHADOWS;
		};
		class ValueObjectShadows : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_OBJSHADOWS;
			x = 0.325;
			y = 0.733;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextVehicleShadows : RscObjNotebookText
		{
			x = 0.025;
			y = 0.783;
			w = 0.30;
			text = $STR_DISP_OPT_VEHSHADOWS;
		};
		class ValueVehicleShadows : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_VEHSHADOWS;
			x = 0.325;
			y = 0.783;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextCloudlets : RscObjNotebookText
		{
			x = 0.025;
			y = 0.833;
			w = 0.30;
			text = $STR_DISP_OPT_CLOUDLETS;
		};
		class ValueCloudlets : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_CLOUDLETS;
			x = 0.325;
			y = 0.833;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};

		class TextBlood : RscObjNotebookText
		{
			idc = IDC_OPTIONS_BLOOD_TEXT;
			x = 0.025;
			y = 0.917;
			w = 0.30;
			text = $STR_DISP_OPT_BLOOD;
		};
		class ValueBlood : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_BLOOD;
			x = 0.325;
			y = 0.917;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};

		class TextBrightness : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.033;
			text = $STR_DISP_OPT_BRIGHT;
		};
		class ValueBrightness : RscOptionValue
		{
			idc = IDC_OPTIONS_BRIGHT_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.033;
		};
		class SliderBrightness : RscOptionSlider
		{
			idc = IDC_OPTIONS_BRIGHT_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.083;
		};
		class TextGamma : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.173;
			text = $STR_DISP_OPT_GAMMA;
		};
		class ValueGamma : RscOptionValue
		{
			idc = IDC_OPTIONS_GAMMA_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.173;
		};
		class SliderGamma : RscOptionSlider
		{
			idc = IDC_OPTIONS_GAMMA_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.223;
		};
		class TextFrameRate : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.313;
			text = $STR_DISP_OPT_FRAMERATE;
		};
		class ValueFrameRate : RscOptionValue
		{
			idc = IDC_OPTIONS_RATE_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.313;
		};
		class SliderFrameRate : RscOptionSlider
		{
			idc = IDC_OPTIONS_RATE_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.363;
		};
		class TextVisualQuality : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.453;
			text = $STR_DISP_OPT_QUALITY;
		};
		class ValueVisualQuality : RscOptionValue
		{
			idc = IDC_OPTIONS_QUALITY_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.453;
		};
		class SliderVisualQuality : RscOptionSlider
		{
			idc = IDC_OPTIONS_QUALITY_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.503;
		};
		class TextVisibility : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.593;
			text = $STR_DISP_OPT_VISIBILITY;
		};
		class ValueVisibility : RscOptionValue
		{
			idc = IDC_OPTIONS_VISIBILITY_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.593;
		};
		class SliderVisibility : RscOptionSlider
		{
			idc = IDC_OPTIONS_VISIBILITY_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.643;
		};

		class TextTerrain : RscObjNotebookText
		{
			x = 0.525;
			y = 0.717;
			w = 0.45;
			text = $STR_DISP_OPT_TERRAIN;
		};
		class ValueTerrain : RscObjNotebookListBox
		{
			idc = IDC_OPTIONS_TERRAIN;
			x = 0.525;
			y = 0.767;
			w = 0.45;
			h = 0.20;
			rows = 4;
			size = 0.9;	// 3D size
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonCancel,
		ButtonOK
	};

	Background1_2		// replaced
	
	class Title : RscText
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_VIDEO;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.09;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.6;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Audio**
class RscDisplayOptionsAudio
{
	idd = IDD_OPTIONS_AUDIO;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextMusic,
			ValueMusic,
			SliderMusic,
			TextEffects,
			ValueEffects,
			SliderEffects,
			TextVoices,
			ValueVoices,
			SliderVoices,
/*
			TextSampling,
			ValueSampling,
*/
			TextHWAcc,
			ValueHWAcc,
			TextEAX,
			ValueEAX,
			TextSingleVoice,
			ValueSingleVoice
		};

		class TextEffects : RscOptionText
		{
			y = 0.1;
			text = $STR_DISP_OPT_EFFECTS;
		};

		class ValueEffects : RscOptionValue
		{
			idc = IDC_OPTIONS_EFFECTS_VALUE;
			y = 0.1;
		};
		class SliderEffects : RscOptionSlider
		{
			idc = IDC_OPTIONS_EFFECTS_SLIDER;
			y = 0.15;
		};

		class TextVoices : RscOptionText
		{
			y = 0.22;
			text = $STR_DISP_OPT_VOICES;
		};
		class ValueVoices : RscOptionValue
		{
			idc = IDC_OPTIONS_VOICES_VALUE;
			y = 0.22;
		};
		class SliderVoices : RscOptionSlider
		{
			idc = IDC_OPTIONS_VOICES_SLIDER;
			y = 0.27;
		};

		class TextMusic : RscOptionText
		{
			y = 0.34;
			text = $STR_DISP_OPT_MUSIC;
		};
		class ValueMusic : RscOptionValue
		{
			idc = IDC_OPTIONS_MUSIC_VALUE;
			y = 0.34;
		};
		class SliderMusic : RscOptionSlider
		{
			idc = IDC_OPTIONS_MUSIC_SLIDER;
			y = 0.39;
		};
/*
		class TextSampling : RscObjNotebookText
		{
			x = 0.025;
			y = 0.48;
			w = 0.45;
			text = $STR_DISP_OPT_SAMPLING;
		};
		class ValueSampling : RscObjNotebookListBox
		{
			idc = IDC_OPTIONS_SAMPLING;
			x = 0.025;
			y = 0.53;
			w = 0.45;
			h = 0.25;
			rows = 4.5;
			size = 0.9;	// 3D size
		};
*/

		class TextHWAcc : RscObjNotebookText
		{
			x = 0.22;
			y = 0.55;
			w = 0.40;
			text = $STR_DISP_OPT_HWACC;
		};
		class ValueHWAcc : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_HWACC;
			x = 0.62;
			y = 0.55;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextEAX : RscObjNotebookText
		{
			x = 0.22;
			y = 0.60;
			w = 0.40;
			text = $STR_DISP_OPT_EAX;
		};
		class ValueEAX : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_EAX;
			x = 0.62;
			y = 0.60;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextSingleVoice : RscObjNotebookText
		{
			x = 0.22;
			y = 0.65;
			w = 0.40;
			text = $STR_DISP_OPT_SINGLE_VOICE;
		};
		class ValueSingleVoice : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_SINGLE_VOICE;
			x = 0.62;
			y = 0.65;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonCancel,
		ButtonOK
	};

	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_AUDIO;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.09;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.6;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Difficulty**
class RscDisplayDifficulty
{
	idd = IDD_DIFFICULTY;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextName,
			TextCadet,
			TextVeteran,
			ValueDifficulties,
			EnableSubtitles,
			EnableRadio
		};

		class TextName : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = /*0.95 */ 0.95 * 0.6;
			text = $STR_DISP_DIFF_NAME;
		};
		class TextCadet : RscObjNotebookText
		{
			x = 0.025 + /*0.95 */ 0.95 * 0.6;
			y = 0.033;
			w = /*0.95 */ 0.95 * 0.2;
			text = $STR_DISP_DIFF_CADET;
		};
		class TextVeteran : RscObjNotebookText
		{
			x = 0.025 + /*0.95 */ 0.95 * 0.8;
			y = 0.033;
			w = /*0.95 */ 0.95 * 0.2;
			text = $STR_DISP_DIFF_VETERAN;
		};
		class ValueDifficulties : RscObjNotebookListBox
		{
			idc = IDC_DIFFICULTIES_DIFFICULTIES;
			x = 0.025;
			y = 0.1;
			w = 0.95;
			h = 0.767;
			rows = 0.767 / 0.05;
			size = 0.9;	// 3D size
		};
		class EnableSubtitles : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_SUBTITLES;
			style = ST_CENTER;
			x = 0.1;
			y = 0.917;
			w = 0.4;
			text = $STR_DISP_ERROR;
		};
		class EnableRadio : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_RADIO;
			style = ST_CENTER;
			x = 0.5;
			y = 0.917;
			w = 0.4;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDefault,
		ButtonCancel,
		ButtonOK
	};

	Background1_2		// replaced

	class Title : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_DIFFICULTY;
	};
	class ButtonDefault : RscActiveMenu		// edited
	{
		idc = IDC_DIFFICULTIES_DEFAULT;
		x = 0.05;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_DEFAULT;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.6;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.09;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Controls**
class RscDisplayConfigure
{
	idd = IDD_CONFIGURE;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextName,
			TextKeys,
			ValueKeys,
			TextReserved,
			TextMouseSens,
			TextXAxis,
			ValueXAxis,
			TextYAxis,
			ValueYAxis,
			ValueYReversed,
			TextButtons,
			ValueButtons,
			ValueJoystick
		};
		class TextName : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.95 * 0.95 * 0.4;
			text = $STR_DISP_CONF_NAME;
		};
		class TextKeys : RscObjNotebookText
		{
			x = 0.025 + 0.95 * 0.95 * 0.4;
			y = 0.033;
			w = 0.95 * 0.95 * 0.6;
			text = $STR_DISP_CONF_KEYS;
		};
		class ValueKeys : RscObjNotebookListBox
		{
			idc = IDC_CONFIG_KEYS;
			x = 0.025;
			y = 0.1;
			w = 0.95;
			h = 0.567;
			rows = 10.8;
			size = 0.9;	// 3D size
		};
		class TextReserved : RscObjNotebookText
		{
			x = 0.025;
			y = 0.667;
			w = 0.95;
			text = $STR_DISP_CONF_RES;
		};
		class TextMouseSens
		{
			type = CT_3DSTATIC;
			style = ST_FRAME;
			idc = -1;
			//color[] = {0, 1, 0, 1};
			color[] = {53/255, 99/255, 145/255, 1.0};
			font = FontHTML;
			angle = 0;
			selection = "display";
			x = 0.0;
			y = 0.767;
			w = 0.6;
			h = 0.2;
			h2 = 0.05;
			text = $STR_DISP_CONF_SENS;
		};
		class TextXAxis : RscObjNotebookText
		{
			x = 0.05;
			y = 0.817;
			w = 0.15;
			text = $STR_DISP_CONF_XAXIS;
		};
		class ValueXAxis
		{
			type = CT_3DSLIDER;
			idc = IDC_CONFIG_XAXIS;
			style = SL_HORZ;
			x = 0.2;
			y = 0.827;
			w = 0.35;
			h = 0.03;
			//color[] = {0, 1, 0, 1};
			Color[] = {53/255, 99/255, 145/255, 1.0};
			angle = 0;
			selection = "display";
		};
		class TextYAxis : RscObjNotebookText
		{
			x = 0.05;
			y = 0.867;
			w = 0.15;
			text = $STR_DISP_CONF_YAXIS;
		};
		class ValueYAxis
		{
			type = CT_3DSLIDER;
			idc = IDC_CONFIG_YAXIS;
			style = SL_HORZ;
			x = 0.2;
			y = 0.877;
			w = 0.35;
			h = 0.03;
			//color[] = {0, 1, 0, 1};
			Color[] = {53/255, 99/255, 145/255, 1.0};
			angle = 0;
			selection = "display";
		};
		class ValueYReversed : RscObjNotebookButton
		{
			idc = IDC_CONFIG_YREVERSED;
			style = ST_CENTER;
			x = 0.6;
			y = 0.767;
			w = 0.35;
			text = $STR_DISP_ERROR;
		};
		class TextButtons : RscObjNotebookText
		{
			x = 0.6;
			y = 0.817;
			w = 0.30;
			text = $STR_DISP_CONF_MOUSE_BUTTON;
		};
		class ValueButtons : RscObjNotebookButton
		{
			idc = IDC_CONFIG_BUTTONS;
			style = ST_CENTER;
			x = 0.90;
			y = 0.817;
			w = 0.075;
			text = $STR_DISP_ERROR;
		};
		class ValueJoystick : RscObjNotebookButton
		{
			idc = IDC_CONFIG_JOYSTICK;
			style = ST_CENTER;
			x = 0.6;
			y = 0.867;
			w = 0.35;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDefault,
		ButtonCancel,
		ButtonOK
	};

	Background1_2		// replaced

	class Title : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_CONFIGURE;
	};
	class ButtonDefault : RscActiveMenu		// edited
	{
		idc = IDC_CONFIG_DEFAULT;
		x = 0.05;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_DEFAULT;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.6;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};







/* ---------------------- MULTIPLAYER -----------------------*/

	// **Server browser (aspect + tweak)**
class RscDisplayMultiplayer
{
	idd = IDD_MULTIPLAYER;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = IDC_MULTI_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1;
		animation = "notebook.rtm"
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		positionBack[] = {0, -0.04, 0.6};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			IconServer,
			ColumnServer,
			IconMission,
			ColumnMission,
			IconState,
			ColumnState,
			IconPlayers,
			ColumnPlayers,
			IconPing,
			ColumnPing,
			FilterServer,
			FilterMission,
			FilterPlayers,
			FilterPing,
			ValueSessions,
			ButtonDPlay,
			ButtonInternet,
			ButtonRemote,
			ButtonPassword,
			ButtonRefresh,
			ButtonFilter,
			ButtonPort
		};
#define W_ICON		0.015
#define W_COLUMNS	0.9025
		class TitleIcon : RscObjNotebookText
		{
			y = 0.043;
			w = W_ICON;
			h = 0.02;
			style = ST_PICTURE;
			text = "\misc\sipkad.paa";
		};
		class TitleColumn : RscObjNotebookButton
		{
			y = 0.033;
			h = 0.04;
		};
		class FilterColumn : RscObjNotebookText
		{
			y = 0.073;
			h = 0.04;
			text = STR_DISP_ERROR;
		};

		class IconServer : TitleIcon
		{
			idc = IDC_MULTI_SERVER_ICON;
			x = 0.025;
		};
		class ColumnServer : TitleColumn
		{
			idc = IDC_MULTI_SERVER_COLUMN;
			text = $STR_MP_SERVER;
			x = 0.025 + W_ICON;
			w = 0.38 * W_COLUMNS - W_ICON;
		};
		class FilterServer : FilterColumn
		{
			idc = IDC_MULTI_SERVER_FILTER;
			x = 0.025;
			w = 0.38 * W_COLUMNS;
		};
		class IconMission : TitleIcon
		{
			idc = IDC_MULTI_MISSION_ICON;
			x = 0.025 + 0.38 * W_COLUMNS;
		};
		class ColumnMission : TitleColumn
		{
			idc = IDC_MULTI_MISSION_COLUMN;
			text = $STR_SECTION_MISSION;
			x = 0.025 + 0.38 * W_COLUMNS + W_ICON;
			w = 0.3 * W_COLUMNS - W_ICON;
		};
		class FilterMission : FilterColumn
		{
			idc = IDC_MULTI_MISSION_FILTER;
			x = 0.025 + 0.38 * W_COLUMNS;
			w = 0.3 * W_COLUMNS;
		};
		class IconState : TitleIcon
		{
			idc = IDC_MULTI_STATE_ICON;
			x = 0.025 + 0.68 * W_COLUMNS;
		};
		class ColumnState : TitleColumn
		{
			idc = IDC_MULTI_STATE_COLUMN;
			text = $STR_MENU_STATUS;
			x = 0.025 + 0.68 * W_COLUMNS + W_ICON;
			w = 0.12 * W_COLUMNS - W_ICON;
		};
		class IconPlayers : TitleIcon
		{
			idc = IDC_MULTI_PLAYERS_ICON;
			x = 0.025 + 0.8 * W_COLUMNS;
		};
		class ColumnPlayers : TitleColumn
		{
			idc = IDC_MULTI_PLAYERS_COLUMN;
			text = $STR_MPTABLE_PLAYERS;
			x = 0.025 + 0.8 * W_COLUMNS + W_ICON;
			w = 0.12 * W_COLUMNS - W_ICON;
		};
		class FilterPlayers : FilterColumn
		{
			idc = IDC_MULTI_PLAYERS_FILTER;
			x = 0.025 + 0.8 * W_COLUMNS;
			w = 0.12 * W_COLUMNS;
		};
		class IconPing : TitleIcon
		{
			idc = IDC_MULTI_PING_ICON;
			x = 0.025 + 0.92 * W_COLUMNS;
		};
		class ColumnPing : TitleColumn
		{
			idc = IDC_MULTI_PING_COLUMN;
			text = $STR_DISP_MULTI_PING;
			x = 0.025 + 0.92 * W_COLUMNS + W_ICON;
			w = 0.08 * W_COLUMNS - W_ICON;
		};
		class FilterPing : FilterColumn
		{
			idc = IDC_MULTI_PING_FILTER;
			x = 0.025 + 0.92 * W_COLUMNS;
			w = 0.08 * W_COLUMNS;
		};
		class ValueSessions : RscObjNotebookListBox
		{
			idc = IDC_MULTI_SESSIONS;
			x = 0.025;
			y = 0.113;
			w = 0.95;
			h = 0.75;
			rows = 9;
		};
		class ButtonDPlay : RscObjNotebookButton
		{
			idc = IDC_MULTI_DPLAY;
			text = $STR_DISP_ERROR;
			x = 0.025;
			y = 0.867;
			w = 0.40;
		};
		class ButtonInternet : RscObjNotebookButton
		{
			idc = IDC_MULTI_INTERNET;
			x = 0.425;
			y = 0.867;
			w = 0.30;
			text = $STR_DISP_ERROR;
		};
		class ButtonRemote : RscObjNotebookButton
		{
			idc = IDC_MULTI_REMOTE;
			x = 0.725;
			y = 0.867;
			w = 0.15;
			text = $STR_MULTI_REMOTE;
		};
		class ButtonPassword : RscObjNotebookButton
		{
			idc = IDC_MULTI_PASSWORD;
			text = $STR_DISP_ERROR;
			x = 0.025;
			y = 0.917;
			w = 0.40;
		};
		class ButtonRefresh : RscObjNotebookButton
		{
			idc = IDC_MULTI_REFRESH;
			text = $STR_DISP_MULTI_REFRESH;
			x = 0.425;
			y = 0.917;
			w = 0.15;
		};
		class ButtonFilter : RscObjNotebookButton
		{
			idc = IDC_MULTI_FILTER;
			text = $STR_DISP_MULTI_FILTER;
			x = 0.575;
			y = 0.917;
			w = 0.15;
		};
		class ButtonPort : RscObjNotebookButton
		{
			idc = IDC_MULTI_PORT;
			text = $STR_DISP_PORT_TITLE;
			x = 0.725;
			y = 0.917;
			w = 0.25;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		GameSpy,
		GameSpyBackground,	// added
		Smiley,				// added
		PoweredBy,			// added
		Power,				// added
		Server,				// added
		Progress,
		ButtonCancel,
		ButtonJoin,
		ButtonNew
	};
	
	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		idc = IDC_MULTI_TITLE;
		style = ST_CENTER;
		x = 0.0;
		y = __EVAL(0.02 - AR_modifY);
		w = 1.0;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_ERROR;
	};
	class GameSpy : RscPicture		// edited
	{
		idc = IDC_MULTI_GAMESPY;
		text = "\misc\GameSpy.pac";
		//colorText[]={0.23,0.3,0.08,0.75};
		colorText[]={1, 1, 1, 1};
		x = 0.05; y = __EVAL(0.9 + AR_modifY); w = 0.16; h = 0.053;
	};
	
	
	class GameSpyBackground : GameSpy	// added (tweak)
	{
		idc = -1;
		style = 0;
		colorBackground[]={0,0,0,1};
		text = "";
	};
	class Smiley : GameSpy	// added (tweak)
	{
		idc = -1
		text = "\data\marker_smiley1.paa";
		w = 0.04;
	};
	class PoweredBy : RscText	// added (tweak)
	{
		style = 0;
		text = "P O W E R E D  B Y ";
		font = "tahomaB48";
		colorText[] = {1,1,1,1};
		colorBackground[] = {0,0,0,0};
		x = 0.086;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.13;
		h = 0.02;	
		sizeEx = 0.015;
	};
	class Power : PoweredBy		// added (tweak)
	{
		text = "Power";
		colorText[] = {0.3216,0.8431,0.3294,1};
		y = __EVAL(0.92 + AR_modifY);
		w = 0.07;
		h = 0.033;	
		sizeEx = 0.029;
	};
	class Server : Power		// added (tweak)
	{
		x = 0.145;
		w = 0.0645;
		colorText[]={1,1,1,1};
		text = "Server"
	};
	
	
	class Progress		// edited
	{
		type = CT_PROGRESS;
		style = 0;
		idc = IDC_MULTI_PROGRESS;
		x = 0.05; y = __EVAL(0.96 + AR_modifY); w = 0.16; h = 0.02;
		colorFrame[] = {1, 1, 1, 1};
		colorBar[] = {1, 1, 1, 0.5};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		style = ST_CENTER;
		x = 0.55;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonJoin : RscActiveMenu		// edited
	{
		idc = IDC_MULTI_JOIN;
		text = $STR_DISP_MULTI_JOIN;
		style = ST_CENTER;
		x = 0.70;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonNew : RscActiveMenu		// edited
	{
		idc = IDC_MULTI_NEW;
		text = $STR_DISP_MULTI_NEW;
		style = ST_CENTER;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

	// **Change port**
class RscDisplayPort
{
	idd = IDD_PORT;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextPort,
			ValuePort,
		};
		class TextPort : RscObjNotebookText
		{
			x = 0.3;
			y = 0.45;
			w = 0.4;
			text = $STR_DISP_IP_PORT;
		};
		class ValuePort : RscObjNotebookEdit
		{
			idc = IDC_PORT_PORT;
			x = 0.3;
			y = 0.50;
			w = 0.4;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	
	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_PORT_TITLE;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;

		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Change password**
class RscDisplayPassword
{
	idd = IDD_PASSWORD;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextPassword,
			ValuePassword,
		};
		class TextPassword : RscObjNotebookText
		{
			x = 0.3;
			y = 0.45;
			w = 0.4;
			text = $STR_DISP_PASSWORD;
		};
		class ValuePassword : RscObjNotebookEdit
		{
			idc = IDC_PASSWORD;
			x = 0.3;
			y = 0.50;
			w = 0.4;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	
	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_PASSWORD_TITLE;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;

		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Change IP address**
class RscDisplayIPAddress
{
	idd = IDD_IP_ADDRESS;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextAddress,
			ValueAddress,
			TextPort,
			ValuePort
		};
		class TextAddress : RscObjNotebookText
		{
			x = 0.3;
			y = 0.40;
			w = 0.4;
			text = $STR_DISP_IP_ADDRESS;
		};
		class ValueAddress : RscObjNotebookEdit
		{
			idc = IDC_IP_ADDRESS;
			x = 0.3;
			y = 0.45;
			w = 0.4;
		};
		class TextPort : RscObjNotebookText
		{
			x = 0.3;
			y = 0.50;
			w = 0.4;
			text = $STR_DISP_IP_PORT;
		};
		class ValuePort : RscObjNotebookEdit
		{
			idc = IDC_IP_PORT;
			x = 0.3;
			y = 0.55;
			w = 0.4;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	
	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_IP_TITLE;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Change filter**
class RscDisplayFilter
{
	idd = IDD_FILTER;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextServer,
			ValueServer,
			TextMission,
			ValueMission,
			TextMaxPing,
			ValueMaxPing,
			TextMinPlayers,
			ValueMinPlayers,
			TextMaxPlayers,
			ValueMaxPlayers,
			FullServers,
			PasswordedServers
		};
		class TextServer : RscObjNotebookText
		{
			x = 0.025;
			y = 0.10;
			w = 0.275;
			text = $STR_DISP_FILTER_SERVER;
		};
		class ValueServer : RscObjNotebookEdit
		{
			idc = IDC_FILTER_SERVER;
			x = 0.300;
			y = 0.10;
			w = 0.4;
		};
		class TextMission : RscObjNotebookText
		{
			x = 0.025;
			y = 0.17;
			w = 0.275;
			text = $STR_DISP_FILTER_MISSION;
		};
		class ValueMission : RscObjNotebookEdit
		{
			idc = IDC_FILTER_MISSION;
			x = 0.300;
			y = 0.17;
			w = 0.4;
		};
		class TextMaxPing : RscObjNotebookText
		{
			x = 0.025;
			y = 0.24;
			w = 0.275;
			text = $STR_DISP_FILTER_MAXPING;
		};
		class ValueMaxPing : RscObjNotebookEdit
		{
			idc = IDC_FILTER_MAXPING;
			x = 0.300;
			y = 0.24;
			w = 0.4;
		};
		class TextMinPlayers : RscObjNotebookText
		{
			x = 0.025;
			y = 0.31;
			w = 0.275;
			text = $STR_DISP_FILTER_MINPLAYERS;
		};
		class ValueMinPlayers : RscObjNotebookEdit
		{
			idc = IDC_FILTER_MINPLAYERS;
			x = 0.300;
			y = 0.31;
			w = 0.4;
		};
		class TextMaxPlayers : RscObjNotebookText
		{
			x = 0.025;
			y = 0.38;
			w = 0.275;
			text = $STR_DISP_FILTER_MAXPLAYERS;
		};
		class ValueMaxPlayers : RscObjNotebookEdit
		{
			idc = IDC_FILTER_MAXPLAYERS;
			x = 0.300;
			y = 0.38;
			w = 0.4;
		};
		class FullServers : RscObjNotebookButton
		{
			idc = IDC_FILTER_FULL;
			text = $STR_DISP_ERROR;
			x = 0.025;
			y = 0.50;
			w = 0.5;
		};
		class PasswordedServers : RscObjNotebookButton
		{
			idc = IDC_FILTER_PASSWORDED;
			text = $STR_DISP_ERROR;
			x = 0.025;
			y = 0.57;
			w = 0.5;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDefault,
		ButtonOK,
		ButtonCancel
	};
	
	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_FILTER_TITLE;
	};
	class ButtonDefault : RscActiveMenu		// edited
	{
		idc = IDC_FILTER_DEFAULT;
		text = $STR_DISP_DEFAULT;
		x = 0.10;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.70;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Mission selection (aspect + tweak) **
class RscDisplayServer
{
	idd = IDD_SERVER;
	movingEnable = true;

	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextIslands,
			ValueIslands,
			TextMissions,
			ValueMissions
		};
		class TextIslands : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.3;
			text = $STR_DISP_SERVER_ISLAND;
		};
		class ValueIslands : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_SERVER_ISLAND;
			x = 0.025;
			y = 0.1;
			w = 0.37;
			h = 0.867;
			rows = 8;		// 7 in FDF,	5 in original
			size = 0.4;	// 3D size
		};
		class TextMissions : RscObjNotebookText
		{
			x = 0.425;
			y = 0.033;
			w = 0.225;
			text = $STR_DISP_SERVER_MISSION;
		};
		class ValueMissions : RscObjNotebookListBox
		{
			idc = IDC_SERVER_MISSION;
			x = 0.425;
			y = 0.1;
			w = 0.55;
			h = 0.867;
			rows = 20;		// +5 rows
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDifficulty,
		ButtonEditor,
		ButtonCancel,
		ButtonOK
	};
	
	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_SERVER_TITLE;
	};
	class ButtonDifficulty : RscActiveMenu		// edited
	{
		idc = IDC_SERVER_DIFF;
		x = 0.05;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		text = $STR_DISP_ERROR;
		soundClick[] = {"", 0, 1};
	};
	class ButtonEditor : RscActiveMenu		// edited
	{
		idc = IDC_SERVER_EDITOR;
		x = 0.45;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_EDIT;
		soundClick[] = {"", 0, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited (aspect + tweak)
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = __EVAL(0.9 + AR_modifY);
		w=0.09;		// -0.06
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

	// **Mission selection with list of players (aspect + tweak)**
class RscDisplayRemoteMissions : RscDisplayServer
{
	controls[]=
	{
		Background1,
		Background2,
		Title,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonDifficulty,
		ButtonEditor,
		ButtonCancel,
		ButtonOK
	};
	class PlayersTitleBackground : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y = 0.700;
			w=__EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y = 0.700;
			w=__EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y = 0.725;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.125 + AR_PlayerListY);		// +0.05
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox		// edited (tweak)
	{
		idc = IDC_SERVER_PLAYERS;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);		// +0.03
			y = 0.725;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.125 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
	class ButtonCancel : RscActiveMenu		// edited (aspect + tweak)
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_DISCONNECT;
		x = 0.65;
		y = __EVAL(0.9 + AR_modifY);
		w=0.096;	// -0.054
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Mission Wizard template selection (aspect + tweak)**
class RscDisplayWizardTemplate
{
	idd = IDD_WIZARD_TEMPLATE;
	movingEnable = true;

	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextTemplates,
			ValueTemplates,
			TextOverview,
			ValueOverview,
			TextName,
			ValueName
		};
		class TextTemplates : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.3;
			text = $STR_DISP_MPW_TEMPLATE;
		};
		class ValueTemplates : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_WIZT_TEMPLATES;
			x = 0.025;
			y = 0.1;
			w = 0.45;
			h = 0.78;
			rows=11;		// +2 rows
		};
		class TextOverview : RscObjNotebookText
		{
			x = 0.525;
			y = 0.033;
			w = 0.225;
			text = $STR_DISP_MPW_DESCRIPTION;
		};
		class ValueOverview : RscHTML
		{
			idc = IDC_WIZT_OVERVIEW;
			type = CT_3DHTML;
			selection = "display";
			x = 0.525;
			y = 0.1;
			w = 0.45;
			h = 0.78;
			angle = 0;
			size = 0.35;	// 3D size
			filename =;

			colorBackground[] = {0, 0, 0, 0};
			colorText[] = {0, 1, 0, 1};
			colorBold[] = {0, 1, 0, 0.5};
			colorLink[] = {0, 1, 0, 1};
			colorLinkActive[] = {0, 1, 0, 1};
		};
		class TextName : RscObjNotebookText
		{
			x = 0.025;
			y = 0.917;
			w = 0.25;
			text = $STR_DISP_MPW_NAME;
		};
		class ValueName : RscObjNotebookEdit
		{
			idc = IDC_WIZT_NAME;
			x = 0.275;
			y = 0.917;
			w = 0.7;
			text = "Mission1";
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonCancel,
		ButtonOK
	};
	
	Background1_2		// replaced
	
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_MPW_TITLE;
	};
	class ButtonCancel : RscActiveMenu		// edited (aspect + tweak)
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = __EVAL(0.9 + AR_modifY);
		w=0.09;		// -0.06
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y =__EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

	// **Mission Wizard map screen (aspect + tweak + fix)**
class RscDisplayWizardMap
{
	idd = IDD_WIZARD_MAP;
	movingEnable = false;

	controlsBackground[]=
	{
		Background,
		Map
	};
	class Background : RscText		// edited
	{
		x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(1 + AR_modifY * 2);
		text = "";
		colorBackground[] = {0, 0, 0, 1};
	};
	class Map : RscMapControl		// edited
	{
		moveOnEdges=true;
		x=__EVAL(0 - AR_modifX_map - AR_modifX_2NDMON_map);
		y=__EVAL(0.125 - AR_modifY_map);
		w=__EVAL(1 + AR_modifX_map * 2 + AR_modifX_2NDMON_map * 2);
		h=__EVAL(0.75 + AR_modifY_map * 2);
	};

	controls[]=
	{
		Background3,
		Background4,
//		ButtonEdit,
		ButtonCancel,
		ButtonFinish
	};
	class Background3 : RscText		// edited
	{
		style = ST_CENTER;
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h = 0.125;
		text = $STR_DISP_MPW_TITLE;
		font = FontTITLE;
		sizeEx = 0.098;
		colorText[] = {1, 1, 1, 1};
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.875 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
/*	class ButtonEdit : RscActiveMenu
	{
		idc = IDC_WIZM_EDIT;
		x = 0.55;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_EDIT;
	};
*/
	class ButtonCancel : RscActiveMenu		// edited (aspect + tweak + fix)
	{
		idc = IDC_CANCEL;
		x=0.65;		// -0.05 (fix)
		y = __EVAL(0.90 + AR_modifY);
		w=0.09;		// -0.06
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {53/255, 99/255, 145/255, 1.0};
		text = $STR_DISP_CANCEL;
	};
	class ButtonFinish : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		x = 0.85;
		y = __EVAL(0.90 + AR_modifY);
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {53/255, 99/255, 145/255, 1.0};
		text = $STR_DISP_MPW_FINISH;
		default = true;
	};
};

	// **Client screen (aspect + tweak)**
class RscDisplayClient
{
	idd = IDD_CLIENT;
	movingEnable = true;
	controls[]=
	{
		Background,
		FDFl,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players
	};

	class FDFL : RscPicture		// added (tweak)
	{
		text = "\FDF_gfx\FDFlogo.paa";
		colorText[]={0.5,0.5,0.5,0.4};
		x = __EVAL(0.68 + AR_modifX); y = __EVAL(0.75 + AR_modifY); w = 0.31; h = 0.13;
	};
	

	class Background : RscText		// edited
	{
		idc = IDC_CLIENT_TEXT;
		style = ST_CENTER;
		x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(1 + AR_modifY * 2);
		text = $STR_DISP_CLIENT_TEXT;
		font = FontTITLE;
		sizeEx = 0.098;
		colorText[] = {1, 1, 1, 1};
		colorBackground[] = {0, 0, 0, 1.0};
	};
	class PlayersTitleBackground : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.3;	// -0.4
			w=__EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);		
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.3;	// -0.4
			w=__EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.325;	// -0.4
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.525 + AR_PlayerListY);	// +0.4
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);			
		#endif
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox		// edited (tweak)
	{
		idc = IDC_CLIENT_PLAYERS;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.3225;		// -0.4
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.525 + AR_PlayerListY);	// +0.4
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.0225);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
}

	// **Lobby (aspect + tweak)**
class RscDisplayMultiplayerSetup
{
	idd = IDD_MP_SETUP;
	movingEnable = true;

	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, __EVAL(-0.182 + AR_notebookY), 0.25};		// edited
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1.05;
		controls[] =
		{
			FrameHeader,
			TextMission,
			ValueMission,
			TextIsland,
			ValueIsland,
			TextDescription,
			ValueDescription,
			TextSide,
			ButtonWest,
			ButtonEast,
			ButtonGuerrila,
			ButtonCivilian,
			TextRoles,
			ValueRoles,
			TextParam1,
			ValueParam1,
			TextParam2,
			ValueParam2,
			TextPool,
			ValuePool,
			TextMessage,
			ButtonEnableAll,
			ButtonLock
		};
		class Frame : RscObjNotebookText
		{
			style = ST_BACKGROUND;
			//colorBackground[] = {0, 1, 0, 0.2};
			colorBackground[] = {0.027, 0.227, 0.388, 0.2}; // FDF
			text = "";
		};
		class FrameHeader : Frame
		{
			x = 0.025;
			y = 0.014;
			w = 0.95;
			h = 0.1;
		};
		class TextMission : RscObjNotebookText		// edited (tweak)
		{
			x = 0.035;		// - 0.015
			y = 0.022;		// 0.014 in FDF	0.033 in original
			w = 0.15;
			h=0.035;	// added
			color[]={0.8,0.8,0.8,1};	// added
			text = $STR_DISP_SRVSETUP_NAME;
		};
		class ValueMission : RscObjNotebookText		// edited (tweak)
		{
			idc = IDC_MPSETUP_NAME;
			x = 0.130;		// 0.2 in FDF		0.205 in original
			y = 0.018;		// 0.014 in FDF	0.033 in original
			w = 0.46;		// + 0.07
			h=0.04;	// added
			text = $STR_DISP_ERROR;
		};
		class TextIsland : RscObjNotebookText		// edited (tweak)
		{
			x = 0.600;
			y = 0.022;		// 0.014 in FDF	0.033 in original
			w = 0.12;
			h=0.035;	// added
			color[]={1,1,1,1};	// added
			text = $STR_DISP_SRVSETUP_ISLAND;
		};
		class ValueIsland : RscObjNotebookText		// edited (tweak)
		{
			idc = IDC_MPSETUP_ISLAND;
			x=0.675;		// -0.05
			y = 0.018;		// 0.014 in FDF	0.033 in original
			w=0.3;		// +0.06
			h=0.04;	// added
			text = $STR_DISP_ERROR;
		};
		class TextDescription : RscObjNotebookText		// edited (tweak)
		{
			x=0.035;		// -0.015
			y = 0.069;		// 0.064 in FDF	0.083 in original
			w = 0.15;
			h = 0.035;		// 0.036 in FDF	0.04 in original
			color[]={1,1,1,1};	// added
			text = $STR_DISP_SRVSETUP_DESC;
		};
		class ValueDescription : RscObjNotebookText		// edited (tweak)
		{
			idc = IDC_MPSETUP_DESC;
			x = 0.17;		// 0.2 in FDF		0.225 in original
			y = 0.068;		// 0.064 in FDF	0.083 in original
			w=0.8;		// +0.05
			h = 0.036;		// 0.036 in FDF	0.04 in original
			text = $STR_DISP_ERROR;
		};

		class TextSide : RscObjNotebookText
		{
			x = 0.025;
			y = 0.125;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MPSETUP_SIDE;
		};
		class ButtonSide : RscObjNotebookButton
		{
			style = ST_CENTER;

			color[] = {30/255, 146/255, 211/255, 0.7}; // FDFx
			colorActive[] = {30/255, 146/255, 211/255, 1};
			colorDisabled[] = {30/255, 146/255, 211/255, 0.4};
			colorShade[] = {30/255, 146/255, 211/255, 0.3};

			/*
			color[] = {0, 1, 0, 0.7}; // FDFx
			colorActive[] = {0, 1, 0, 1};
			colorDisabled[] = {0, 1, 0, 0.4};
			colorShade[] = {0, 1, 0, 0.3};
			*/
			pictureWidth = 0.72;
			pictureHeight = 1.0;
			textHeight = 0.3;
			x = 0.025;
			w = 0.125;
			h = 0.12;
		};
		class ButtonWest : ButtonSide
		{
			idc = IDC_MPSETUP_WEST;
			y = 0.165;
			text = $STR_WEST;
			picture = "\misc\usa.paa";
			// tooltip = $STR_WEST;
		};
		class ButtonEast : ButtonSide
		{
			idc = IDC_MPSETUP_EAST;
			y = 0.295;
			text = $STR_EAST;
			picture = "\misc\russia.paa";
			// tooltip = $STR_EAST;
		};
		class ButtonGuerrila : ButtonSide
		{
			idc = IDC_MPSETUP_GUERRILA;
			y = 0.425;
			text = $STR_GUERRILA;
			picture = "\misc\resist.paa";
			// tooltip = $STR_GUERRILA;
		};
		class ButtonCivilian : ButtonSide
		{
			idc = IDC_MPSETUP_CIVILIAN;
			y = 0.555;
			text = $STR_CIVILIAN;
			picture = "\misc\civil.paa";
			// tooltip = $STR_CIVILIAN;
		};

		class ButtonEnableAll : RscObjNotebookButton
		{
			idc = IDC_MPSETUP_ENABLE_ALL;
			style = ST_PICTURE;
			x = 0.025;
			y = 0.772;
			w = 0.05;
			h = 0.067;
			text = "";
		};
		class ButtonLock : RscObjNotebookButton
		{
			idc = IDC_MPSETUP_LOCK;
			style = ST_PICTURE;
			x = 0.075;
			y = 0.772;
			w = 0.05;
			h = 0.067;
			text = "";
		};

		class TextRoles : RscObjNotebookText
		{
			idc = IDC_MPSETUP_ROLES_TITLE;
			x = 0.15;
			y = 0.125;
			w = 0.5;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class ValueRoles : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_MPSETUP_ROLES;
			x = 0.15;
			y = 0.165;
			w = 0.5;
			h = 0.565;
			rows = 8;		// 7 in FDF		6 in original
			/*
			colorBackground[] = {0, 1, 0, 0.15};
			colorSelectBackground[] = {0, 1, 0, 0.3};*/
			colorBackground[] = {0.027, 0.227, 0.388, 0.35}; // FDF
			colorSelectBackground[] = {0.027, 0.227, 0.388, 0.6}; // FDF
		};
		class TextParam1 : RscObjNotebookText
		{
			idc = IDC_MPSETUP_PARAM1_TITLE;
			x = 0.15;
			y = 0.732;
			w = 0.24;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class ValueParam1 : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_MPSETUP_PARAM1;
			x = 0.15;
			y = 0.772;
			w = 0.24;
			h = 0.14;
			rows=4;	// +1 row
		};
		class TextParam2 : RscObjNotebookText
		{
			idc = IDC_MPSETUP_PARAM2_TITLE;
			x = 0.41;
			y = 0.732;
			w = 0.24;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class ValueParam2 : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_MPSETUP_PARAM2;
			x = 0.41;
			y = 0.772;
			w = 0.24;
			h = 0.14;
			rows=4;	// +1 row
		};

		class TextPool : RscObjNotebookText
		{
			x = 0.675;
			y = 0.125;
			w = 0.3;
			h = 0.04;
			text = $STR_DISP_SRVSIDE_POOL;
		};
		class ValuePool : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_MPSETUP_POOL;
			x = 0.675;
			y = 0.165;
			w = 0.3;
			h = 0.747;
			rows=20;		// + 5 rows
		};

		class TextMessage : Frame
		{
			idc = IDC_MPSETUP_MESSAGE;
			style = ST_BACKGROUND + ST_CENTER;
			x = 0.025;
			y = 0.925;
			w = 0.95;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonKick,
		ButtonCancel,
		ButtonOK
	};

	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_MPSETUP_TITLE;
	};
	class ButtonKick : RscActiveMenu		// edited
	{
		idc = IDC_MPSETUP_KICK;
		text = $STR_DISP_MP_KICKOFF;
		//x = 0.05;
		x = 0.65; // FDF
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;

		x = 0.05; // FDF
		//x = 0.65;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

	// **In-Game list of players**
class RscDisplayMPPlayers
{
	idd = IDD_MP_PLAYERS;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextMission,
			ValueMission,
			TextIsland,
			ValueIsland,
			TextTime,
			ValueTime,
			ValueRest,

			TextPlayers,
			ValuePlayers,

			TextPlayer,
			ValuePlayer,
			TextPlayerName,
			ValuePlayerName,
			TextPlayerMail,
			ValuePlayerMail,
			TextPlayerICQ,
			ValuePlayerICQ,
			TextPlayerRemark,
			ValuePlayerRemark,

			TextSquad,
			ValueSquad,
			TextSquadName,
			ValueSquadName,
			TextSquadId,
			ValueSquadId,
			TextSquadMail,
			ValueSquadMail,
			TextSquadWeb,
			ValueSquadWeb,
			TextSquadPicture,
			ValueSquadPicture,
			TextSquadTitle,
			ValueSquadTitle,

			PingTitle, PingMinValue, PingAvgValue, PingMaxValue,
			BandwidthTitle, BandwidthMinValue, BandwidthAvgValue, BandwidthMaxValue,
			DesyncTitle, DesyncValue
		};

		class TextNormal: RscObjNotebookText
		{
		};
		class TextSmall: RscObjNotebookText
		{
		};

		class TextMission : TextNormal
		{
			x = 0.025;
			y = 0.033;
			w = 0.12;
			text = $STR_DISP_SRVSETUP_NAME;
		};
		class ValueMission : TextNormal
		{
			idc = IDC_MP_PL_MISSION;
			x = 0.145;
			y = 0.033;
			w = 0.23;
			text = $STR_DISP_ERROR;
		};
		class TextIsland : TextNormal
		{
			x = 0.40;
			y = 0.033;
			w = 0.1;
			text = $STR_DISP_SRVSETUP_ISLAND;
		};
		class ValueIsland : TextNormal
		{
			idc = IDC_MP_PL_ISLAND;
			x = 0.50;
			y = 0.033;
			w = 0.2;
			text = $STR_DISP_ERROR;
		};
		class TextTime : TextNormal
		{
			x = 0.625;
			y = 0.033;
			w = 0.1;
			text = $STR_DISP_MP_PL_TIME;
		};
		class ValueTime : TextNormal
		{
			idc = IDC_MP_PL_TIME;
			x = 0.725;
			y = 0.033;
			w = 0.10;
			text = $STR_DISP_ERROR;
		};
		class ValueRest : TextNormal
		{
			idc = IDC_MP_PL_REST;
			x = 0.825;
			y = 0.033;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};

		class TextPlayers : TextNormal
		{
			x = 0.025;
			y = 0.083;
			w = 0.25;
			h = 0.04;
			text = $STR_DISP_MP_PLAYERS;
		};
		class ValuePlayers : RscObjNotebookListBox
		{
			idc = IDC_MP_PLAYERS;
			x = 0.025;
			y = 0.133;
			w = 0.25;
			h = 0.833;
			size = 0.9;	// 3D size
			rows = 18.5;
		};

		class TextPlayer : TextNormal
		{
			x = 0.3;
			y = 0.083;
			w = 0.15;
			h = 0.06;
			text = $STR_DISP_MP_PL;
		};
		class ValuePlayer : TextNormal
		{
			idc = IDC_MP_PL;
			x = 0.45;
			y = 0.083;
			w = 0.525;
			h = 0.06;
			text = $STR_DISP_ERROR;
		};
		class TextPlayerName : TextNormal
		{
			x = 0.325;
			y = 0.153;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_PL_NAME;
		};
		class ValuePlayerName : TextNormal
		{
			idc = IDC_MP_PL_NAME;
			x = 0.45;
			y = 0.153;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextPlayerMail : TextNormal
		{
			x = 0.325;
			y = 0.203;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_PL_MAIL;
		};
		class ValuePlayerMail : TextNormal
		{
			idc = IDC_MP_PL_MAIL;
			x = 0.45;
			y = 0.203;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextPlayerICQ : TextNormal
		{
			x = 0.325;
			y = 0.253;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_PL_ICQ;
		};
		class ValuePlayerICQ : TextNormal
		{
			idc = IDC_MP_PL_ICQ;
			x = 0.45;
			y = 0.253;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextPlayerRemark : TextSmall
		{
			x = 0.325;
			y = 0.303;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_PL_REMARK;
		};
		class ValuePlayerRemark : TextSmall
		{
			idc = IDC_MP_PL_REMARK;
			x = 0.45;
			y = 0.303;
			w = 0.525;
			h = 0.20;
			text = $STR_DISP_ERROR;
			style = ST_MULTI;
			lines = 5;
		};

		class TextSquad : TextNormal
		{
			x = 0.3;
			y = 0.513;
			w = 0.15;
			h = 0.06;
			text = $STR_DISP_MP_SQ;
		};
		class ValueSquad : TextNormal
		{
			idc = IDC_MP_SQ;
			x = 0.45;
			y = 0.513;
			w = 0.525;
			h = 0.06;
			text = $STR_DISP_ERROR;
		};
		class TextSquadName : TextNormal
		{
			x = 0.325;
			y = 0.583;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_NAME;
		};
		class ValueSquadName : TextNormal
		{
			idc = IDC_MP_SQ_NAME;
			x = 0.45;
			y = 0.583;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextSquadId : TextNormal
		{
			x = 0.325;
			y = 0.633;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_ID;
		};
		class ValueSquadId : TextNormal
		{
			idc = IDC_MP_SQ_ID;
			x = 0.45;
			y = 0.633;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextSquadMail : TextNormal
		{
			x = 0.325;
			y = 0.683;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_MAIL;
		};
		class ValueSquadMail : TextNormal
		{
			idc = IDC_MP_SQ_MAIL;
			x = 0.45;
			y = 0.683;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextSquadWeb : TextNormal
		{
			x = 0.325;
			y = 0.733;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_WEB;
		};
		class ValueSquadWeb : TextNormal
		{
			idc = IDC_MP_SQ_WEB;
			x = 0.45;
			y = 0.733;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextSquadPicture : TextNormal
		{
			x = 0.325;
			y = 0.783;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_PICTURE;
		};
		class ValueSquadPicture : TextNormal
		{
			idc = IDC_MP_SQ_PICTURE;
			style = ST_PICTURE;
			x = 0.45;
			w = 0.093;
			y = 0.783;
			h = 0.124;
			text = "";
			color[] = {1, 1, 1, 1};
		};
		class TextSquadTitle : TextNormal
		{
			x = 0.325;
			y = 0.917;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_TITLE;
		};
		class ValueSquadTitle : TextNormal
		{
			idc = IDC_MP_SQ_TITLE;
			x = 0.45;
			w = 0.525;
			y = 0.917;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};

		class PingTitle: TextNormal
		{
			x = 0.325;
			w = 0.150;
			y = 0.350;
			h = 0.04;
			text = $STR_DISP_MP_PING;
		};
		class PingMinValue: TextNormal
		{
			y = 0.350;
			h = 0.04;
			x = 0.48;
			w = 0.05;
			idc = IDC_MP_PL_MINPING;
			text = $STR_DISP_ERROR;
		};
		class PingAvgValue: TextNormal
		{
			idc = IDC_MP_PL_AVGPING;
			y = 0.350;
			h = 0.04;
			x = 0.58;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
		class PingMaxValue: TextNormal
		{
			y = 0.350;
			h = 0.04;
			x = 0.68;
			w = 0.05;
			idc = IDC_MP_PL_MAXPING;
			text = $STR_DISP_ERROR;
		};
		class BandwidthTitle: TextNormal
		{
			x = 0.325;
			w = 0.150;
			y = 0.400;
			h = 0.04;
			text = $STR_DISP_MP_BANDWIDTH;
		};
		class BandwidthMinValue: TextNormal
		{
			idc = IDC_MP_PL_MINBAND;
			y = 0.400;
			h = 0.04;
			x = 0.48;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
		class BandwidthAvgValue: TextNormal
		{
			idc = IDC_MP_PL_AVGBAND;
			y = 0.400;
			h = 0.04;
			x = 0.58;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
		class BandwidthMaxValue: TextNormal
		{
			idc = IDC_MP_PL_MAXBAND;
			y = 0.400;
			h = 0.04;
			x = 0.68;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
		class DesyncTitle: TextNormal
		{
			x = 0.325;
			w = 0.150;
			y = 0.450;
			h = 0.04;
			text = $STR_DISP_MP_DESYNC;
		};
		class DesyncValue: TextNormal
		{
			idc = IDC_MP_PL_DESYNC;
			y = 0.450;
			h = 0.04;
			x = 0.48;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonKickOff,
		ButtonBan,
		ButtonCancel
	};

	Background1_2		// replaced

	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_MP_PLAYERS_TITLE;
	};
	class ButtonKickOff : RscActiveMenu		// edited
	{
		idc = IDC_MP_KICKOFF;
		text = $STR_DISP_MP_KICKOFF;
		x = 0.00;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
	};
	class ButtonBan : RscActiveMenu		// edited
	{
		idc = IDC_MP_BAN;
		text = $STR_DISP_MP_BAN;
		x = 0.25;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CLOSE;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

	// **Join in progress**
class RscDisplayClientWait : RscDisplayMPPlayers
{
	idd = IDD_CLIENT_WAIT;
	class Title : RscText		// edited
	{
		idc = IDC_CLIENT_WAIT_TITLE;
		style = ST_CENTER;
		x = 0;
		y = __EVAL(0.02 - AR_modifY);
		w = 1;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_CLIENT_WAIT_TEXT;
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

	// **Map Screen**
class RscDisplayMainMap
{
	idd = IDD_MAIN_MAP;
	movingEnable = false;

	controlsBackground[]=
	{
		Background,
		Map
	};
	class Background : RscText		// edited
	{
		x = __EVAL(0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h = __EVAL(1 + AR_modifY * 2);
		text = "";
		colorBackground[] = {0, 0, 0, 1};
	};
	class Map : RscMapControl		// edited
	{
		moveOnEdges=true;
		x=__EVAL(0 - AR_modifX_map - AR_modifX_2NDMON_map);
		y=__EVAL(0 - AR_modifY_map);
		w=__EVAL(1 + AR_modifX_map * 2 + AR_modifX_2NDMON_map * 2);
		h=__EVAL(1 + AR_modifY_map * 2);
		class Command
		{
			icon = "order";
			color[] = {0, 0, 0, 1};
			size = 12;
		};
		class ActiveMarker
		{
			color[] = {0.9, 0.0, 0.0, 1};
			size = 50;
		};
	};

	objects[]=
	{
		Watch,
		Compass,
		WalkieTalkie,
		Notepad,
		Warrant,
		GPS
	};
	class Watch : RscObject
	{
		idc = IDC_MAP_WATCH;
		type = CT_OBJECT_ZOOM;
		model = "kosei.p3d";
		position[] = {0.079, 0.044, 0.21};
		positionBack[] = {0.238, 0.158, 0.525};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
	};
	class Compass : RscObject
	{
		idc = IDC_MAP_COMPASS;
		type = CT_OBJECT_ZOOM;
		model = "kompas.p3d";
		position[] = {0.026, 0.047, 0.20};
		direction[] = {0, 1, 0};
		up[] = {0, 0, -1};
		positionBack[] = {0.178, 0.145, 0.50};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
	};
	class WalkieTalkie : RscObject
	{
		idc = IDC_MAP_WALKIE_TALKIE;
		type = CT_OBJECT_CONTAINER;
		model = "vysilacka.p3d";
		position[] = {0.094, -0.043, 0.25};
		scale = 1.3;
		direction[] = {0, 1, 0};
		up[] = {0, 0, -1};
		positionBack[] = {0.280, -0.155, 0.625};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
		controls[]=
		{
			RadioAlpha,
			RadioBravo,
			RadioCharlie,
			RadioDelta,
			RadioEcho,
			RadioFoxtrot,
			RadioGolf,
			RadioHotel,
			RadioIndia,
			RadioJuliet
		};
		class RscRadioText : RscActiveText
		{
			color[] = {0.5, 0.5, 0.5, 1};
			colorActive[] = {0, 0, 0, 1};
			font = FontMAIN;
			sizeEx = 0.6 * 0.05;
			x = 0;
			w = 1;
			h = 0.1;
			selection = "papir";
			text = $STR_DISP_ERROR;
		};
		class RadioAlpha : RscRadioText
		{
			idc = IDC_RADIO_ALPHA;
			y = 0;
		};
		class RadioBravo : RscRadioText
		{
			idc = IDC_RADIO_BRAVO;
			y = 0.1;
		};
		class RadioCharlie : RscRadioText
		{
			idc = IDC_RADIO_CHARLIE;
			y = 0.2;
		};
		class RadioDelta : RscRadioText
		{
			idc = IDC_RADIO_DELTA;
			y = 0.3;
		};
		class RadioEcho : RscRadioText
		{
			idc = IDC_RADIO_ECHO;
			y = 0.4;
		};
		class RadioFoxtrot : RscRadioText
		{
			idc = IDC_RADIO_FOXTROT;
			y = 0.5;
		};
		class RadioGolf : RscRadioText
		{
			idc = IDC_RADIO_GOLF;
			y = 0.6;
		};
		class RadioHotel : RscRadioText
		{
			idc = IDC_RADIO_HOTEL;
			y = 0.7;
		};
		class RadioIndia : RscRadioText
		{
			idc = IDC_RADIO_INDIA;
			y = 0.8;
		};
		class RadioJuliet : RscRadioText
		{
			idc = IDC_RADIO_JULIET;
			y = 0.9;
		};
	};
	class Notepad : RscObject
	{
		idc = IDC_MAP_NOTEPAD;
		type = CT_OBJECT_CONTAINER;
		model = "blok.p3d";
		position[] = {-0.114,-0.0103,0.32};
		scale = 0.75;
		positionBack[] = {-0.325, 0.197, 0.80};
		inBack = false;
		enableZoom = true;
		zoomDuration = 0.5;
		controls[]=
		{
			Name,
			Bookmark1,
			Bookmark2,
			Bookmark3,
			Bookmark4,
//			BookmarkA,
//			BookmarkB,
			Briefing
		};
		class Name : RscText
		{
			idc = IDC_MAP_NAME;
			style = ST_CENTER;
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			selection = "jmeno mise";
			text = $STR_DISP_ERROR;
			colorText[] = {0, 0, 0, 1};
			font = FontHTML;
			sizeEx = 0.8 * 0.048;
		};
		class RscBookmarkText : RscActiveText
		{
			style = ST_CENTER;
			color[] = {0, 0, 0, 1};
			colorActive[] = {1, 1, 1, 1};
			font = FontHTML;
			sizeEx = 0.5 * 0.048;
			x = 0;
			y = 0;
			w = 1;
			h = 1;
		};
		class Bookmark1 : RscBookmarkText
		{
			idc = IDC_MAP_PLAN;
			selection = "zalozka1";
//			text = $STR_DISP_ERROR;
			text = $STR_MAP_PLAN;
		};
		class Bookmark2 : RscBookmarkText
		{
			idc = IDC_MAP_NOTES;
			selection = "zalozka2";
//			text = $STR_DISP_ERROR;
			text = $STR_MAP_NOTES;
		};
		class Bookmark3 : RscBookmarkText
		{
			idc = IDC_MAP_GEAR;
			selection = "zalozka3";
//			text = $STR_DISP_ERROR;
			text = $STR_MAP_GEAR;
		};
		class Bookmark4 : RscBookmarkText
		{
			idc = IDC_MAP_GROUP;
			selection = "zalozka4";
//			text = $STR_DISP_ERROR;
			text = $STR_MAP_GROUP;
		};
/*
		class BookmarkA : RscBookmarkText
		{
			idc = IDC_MAP_BRIEFING;
			style = ST_VCENTER;
			selection = "zalozka modra";
			text = $STR_DISP_MAP_BRIEFING;
		};
		class BookmarkB : RscBookmarkText
		{
			idc = IDC_MAP_DEBRIEFING;
			style = ST_VCENTER;
			selection = "zalozka hneda";
			text = $STR_DISP_MAP_DEBRIEFING;
		};
*/
		class Briefing : RscHTML
		{
			idc = IDC_BRIEFING;
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			selection = "papir";
			filename = ;
		};
	};
	class Warrant : RscObject
	{
		idc = IDC_MAP_WARRANT;
		type = CT_OBJECT_CONTAINER;
		model = "karta.p3d";
		position[] = {0.073, -0.025, 0.4};
		scale = 0.7;
		positionBack[] = {0.368, 0.193, 1.0};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
		controls[]=
		{
			Warrant
		};
		class Warrant
		{
			type = CT_USER;
			style = 0;
			idc = IDC_WARRANT;
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			selection = "karta";
			font = FontHTML;
			sizeEx = 0.5 * 0.048;
			color[] = {0, 0, 0, 1};
		};
	};
	class GPS : RscObject
	{
		idc = IDC_MAP_GPS;
		type = CT_OBJECT_CONTAINER;
		model = "gps.p3d";
		position[] = {0, 0, 0.45};
		scale = 2.0;
		direction[] = {0, 1, 0};
		up[] = {0, 0, -1};
		positionBack[] = {0, 0, 1.125};
		inBack = false;
		enableZoom = true;
		zoomDuration = 0.5;
		controls[] =
		{
			GPS
		};
		class GPS : RscText
		{
			style = ST_CENTER;
			idc = IDC_GPS;
			selection = "display";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			font = FontHTML;
			sizeEx = 0.8 * 0.048;
			colorText[] = {0.33, 0.52, 0.43, 1};
			text = "";
		};
	};

	controls[]=
	{
	};
};

class RscDisplayGetReady : RscDisplayMainMap
{
	idd = IDD_INTEL_GETREADY;
	controlsBackground[]=
	{
		Background,
		Map2
	};
	class Map2 : Map
	{
		/*y = 0.125;
		h = 0.75;*/ // FDF
	};

	controls[]=
	{
		//Background3,
		//Background4,
		ButtonsBackgroundBorder,
		ButtonsBackground,
		ActionsTitleBackground,
		ActionsTitleBackground2,	

		ButtonContinue,
		ButtonCancel
	};

	class Background3 : RscText
	{
		idc = IDC_GETREADY_TITLE;
		style = ST_CENTER;
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = $STR_DISP_ERROR;
		font = FontTITLE;
		sizeEx = 0.098;
		colorText[] = {1, 1, 1, 1};
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	
	

	class ButtonsBackground : RscText
	{
		x = 0.75;
		y = 0.96;
		w = 0.25;
		h = 0.04;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};

	class ButtonsBackgroundBorder : RscText
	{
		x = 0.75;
		y = 0.96;
		w = 0.25;
		h = 0.04;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
		style = ST_WITH_RECT;
	};

	class ActionsTitleBackground : RscText
	{
		x = 0.75;
		y = 0.945;
		w = 0.25;
		h = 0.015;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class ActionsTitleBackground2 : RscText
	{
		x = 0.75;
		y = 0.945;
		w = 0.25;
		h = 0.015;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
		style = ST_LEFT + ST_WITH_RECT;
	};	
	
	class ButtonContinue : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.89;
		y = 0.96;
		w = 0.10;
		h = 0.04;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {0.09, 0.525, 0.773, 1.0};
		text = $STR_DISP_CONTINUE;
		default = true;
		sizeEx = 0.04;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.80;
		y = 0.96
		w = 0.10;
		h = 0.04;

		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {0.09, 0.525, 0.773, 1.0};
		text = $STR_DISP_CANCEL;
		sizeEx = 0.04;
	};	
	/*
	class ButtonContinue : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {53/255, 99/255, 145/255, 1.0};
		text = $STR_DISP_CONTINUE;
		default = true;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {53/255, 99/255, 145/255, 1.0};
		text = $STR_DISP_CANCEL;
	};*/
};

/*!
\patch 1.04 Date 07/16/2001 by Jirka
- Improved: design of server briefing dialog
*/

	// **Briefing MP Server ( tweak)**
class RscDisplayServerGetReady : RscDisplayGetReady
{
	idd = IDD_SERVER_GET_READY;
	controls[]=
	{
		//Background3,
		//Background4,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonsBackgroundBorder,
		ButtonsBackground,
		ButtonContinue,
		ButtonCancel,
		ActionsTitleBackground,
		ActionsTitleBackground2
	};


	class PlayersTitleBackground : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x = 0.75;
			y = __EVAL(0.745 - AR_PlayerListY);
			w = __EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x = 0.75;
			y = __EVAL(0.745 - AR_PlayerListY);
			w = __EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x = 0.75;
			y = __EVAL(0.770 - AR_PlayerListY);
			w = __EVAL(0.25 + AR_PlayerListX);
			h = __EVAL(0.190 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);			
		#endif
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox		// edited (tweak)
	{
		idc = IDC_SERVER_READY_PLAYERS;
		#ifndef AR_TRIPLEHEAD
			x = 0.75;
			y = __EVAL(0.770 - AR_PlayerListY);
			w = __EVAL(0.25 + AR_PlayerListX);
			h = __EVAL(0.175 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};

	class ButtonsBackground : RscText		// edited (tweak)
	{
		x = 0.75;
		y = 0.96;
		w = __EVAL(0.25 + AR_PlayerListX);
		h = 0.04;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};

	class ButtonsBackgroundBorder : RscText		// edited (tweak)
	{
		x = 0.75;
		y = 0.96;
		w = __EVAL(0.25 + AR_PlayerListX);
		h = 0.04;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
		style = ST_WITH_RECT;
	};

	class ActionsTitleBackground : RscText		// edited (tweak)
	{
		x = 0.75;
		y = 0.945;
		w = __EVAL(0.25 + AR_PlayerListX);
		h = 0.015;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class ActionsTitleBackground2 : RscText		// edited (tweak)
	{
		x = 0.75;
		y = 0.945;
		w = __EVAL(0.25 + AR_PlayerListX);
		h = 0.015;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
		style = ST_LEFT + ST_WITH_RECT;
	};



	class ButtonContinue : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.89;
		y = 0.96;
		w = 0.10;
		h = 0.04;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {0.09, 0.525, 0.773, 1.0};
		text = $STR_DISP_SERVER_READY;
		default = true;
		sizeEx = 0.04;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.80;
		y = 0.96;
		w = 0.10;
		h = 0.04;

		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {0.09, 0.525, 0.773, 1.0};
		text = $STR_DISP_CANCEL;
		sizeEx = 0.04;
	};
};

	// **Briefing MP Client ( tweak)**
class RscDisplayClientGetReady : RscDisplayGetReady
{
	idd = IDD_CLIENT_GET_READY;
	controls[]=
	{
		//Background3,
		//Background4,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonsBackgroundBorder,
		ButtonsBackground,
		ButtonContinue,
		ButtonCancel,
		ActionsTitleBackground,
		ActionsTitleBackground2
	};


	class PlayersTitleBackground : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x = 0.75;
			y = __EVAL(0.745 - AR_PlayerListY);
			w = __EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x = 0.75;
			y = __EVAL(0.745 - AR_PlayerListY);
			w = __EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText		// edited (tweak)
	{
		#ifndef AR_TRIPLEHEAD
			x = 0.75;
			y = __EVAL(0.770 - AR_PlayerListY);
			w = __EVAL(0.25 + AR_PlayerListX);
			h = __EVAL(0.190 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox		// edited (tweak)
	{
		idc = IDC_SERVER_READY_PLAYERS;
		#ifndef AR_TRIPLEHEAD
			x = 0.75;
			y = __EVAL(0.770 - AR_PlayerListY);
			w = __EVAL(0.25 + AR_PlayerListX);
			h = __EVAL(0.175 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};

	class ButtonsBackground : RscText		// edited (tweak)
	{
		x = 0.75;
		y = 0.96;
		w = __EVAL(0.25 + AR_PlayerListX);
		h = 0.04;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};

	class ButtonsBackgroundBorder : RscText		// edited (tweak)
	{
		x = 0.75;
		y = 0.96;
		w = __EVAL(0.25 + AR_PlayerListX);
		h = 0.04;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
		style = ST_WITH_RECT;
	};

	class ActionsTitleBackground : RscText		// edited (tweak)
	{
		x = 0.75;
		y = 0.945;
		w = __EVAL(0.25 + AR_PlayerListX);
		h = 0.015;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class ActionsTitleBackground2 : RscText		// edited (tweak)
	{
		x = 0.75;
		y = 0.945;
		w = __EVAL(0.25 + AR_PlayerListX);
		h = 0.015;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
		style = ST_LEFT + ST_WITH_RECT;
	};



	class ButtonContinue : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.89;
		y = 0.96;
		w = 0.10;
		h = 0.04;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {0.09, 0.525, 0.773, 1.0};
		text = $STR_DISP_SERVER_READY;
		default = true;
		sizeEx = 0.04;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.80;
		y = 0.96;
		w = 0.10;
		h = 0.04;

		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {0.09, 0.525, 0.773, 1.0};
		text = $STR_DISP_CANCEL;
		sizeEx = 0.04;
	};


	/*
	controls[]=
	{
		Background3,
		Background4,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonContinue,
		ButtonCancel
	};
	class PlayersTitleBackground : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText
	{
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox
	{
		idc = IDC_CLIENT_READY_PLAYERS;
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
	class ButtonContinue : RscActiveMenu
	{
		default = 1;
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CLIENT_READY;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;

		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_DISCONNECT;
	};*/
};

	// **Debriefing (aspect + tweak)**
class RscDisplayDebriefing
{
	idd = IDD_DEBRIEFING;
	movingEnable = false;

	class FDFL : RscPicture		// added (tweak)
	{
		text = "\FDF_gfx\FDFlogo.paa";
		colorText[]={0.5,0.5,0.5,0.4};
		x = __EVAL(0.68 + AR_modifX); y = __EVAL(0.75 + AR_modifY); w = 0.31; h = 0.13;
	};
	class ViivaYT : RscText		// added (tweak)
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.117 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.007;
		text = ;
		colorBackground[] = {0.027*2, 0.227*2, 0.388*2, 1.0};
	};
	class ViivaAT : RscText		// added (tweak)
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.876 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.007;
		text = ;
		colorBackground[] = {0.027*2, 0.227*2, 0.388*2, 1.0};
	};
	
	objects[]=
	{
		Notepad,
		Statistics
	};
	class Notepad : RscObject
	{
		model = "blok_selmis2.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = false;
		animSpeed = 1;
		animation = "blok_mis.rtm"
		position[] = {0.20, 0.02, 1.2};
		direction[] = {0, -sin 15, cos 15};
		up[] = {0, cos 15, sin 15};
		positionBack[] = {0.3, 0.10, 1.40};
		inBack = false;
		enableZoom = true;
		zoomDuration = 0.5;
		scale=2;
		controls[]={Left, Right};
		class Left : RscHTML
		{
			idc = IDC_DEBRIEFING_LEFT;
			type = CT_3DHTML;
			selection = "papir";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			size = 0.35;	// 3D size
			filename =;
			colorLink[] = {0, 0, 0, 1};
			colorLinkActive[] = {0, 0, 0, 1};
		};
		class Right : RscHTML
		{
			idc = IDC_SINGLE_OVERVIEW;
			type = CT_3DHTML;
			selection = "papir2";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			size = 0.35;	// 3D size
			filename =;
			colorLink[] = {0.2, 0.2, 0.4, 1};
			colorLinkActive[] = {0.4, 0.17, 0.24, 1};
		};
	};
	class Statistics : RscObject
	{
		model = "desky.p3d";
		idc = IDC_DEBRIEFING_PAD2;
		type = CT_OBJECT_CONTAINER;
		position[] = {-0.275, 0.024, 1.1};
		direction[] = {0, -0.259, 0.966};
		up[] = {0, 0.966, 0.259};
		positionBack[] = {-0.275, 0.024, 1.1};
		inBack = false;
		enableZoom = false;
		zoomDuration = 0.5;
		scale=2;
		controls[]={Statistics};
		class Statistics : RscHTML
		{
			idc = IDC_DEBRIEFING_STAT;
			type = CT_3DHTML;
			selection = "papir";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			size = 0.34;	// 3D size
			filename =;
			colorLink[] = {0.2, 0.2, 0.4, 1};
			colorLinkActive[] = {0.4, 0.17, 0.24, 1};
		};
	};
	controlsBackground[]=
	{
		Background1,
		Background2,
		FDFL,
		ViivaYT,
		ViivaAT,
	};
	class Background1 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.875 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	controls[]=
	{
		Background3,
		Background4,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonRestart,
		ButtonContinue
	};
	class Background3 : RscText		// edited
	{
		style = ST_CENTER;
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = $STR_DISP_DEBRIEFING;
		font = FontTITLE;
		sizeEx = 0.098;
		colorText[] = {1, 1, 1, 1};
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.875 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class PlayersTitleBackground : RscText		// edited (tweak)
	{
		idc = IDC_DEBRIEFING_PLAYERS_TITLE_BG;
		#ifndef AR_TRIPLEHEAD
			x = __EVAL(0.0 - AR_modifX);
			y=0.775; // -0.05
			w=__EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText		// edited (tweak)
	{
		idc = IDC_DEBRIEFING_PLAYERS_TITLE;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.0 - AR_modifX);
			y=0.775;	// -0.05
			w=__EVAL(0.25 + AR_PlayerListX);
			h = 0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText		// edited (tweak)
	{
		idc = IDC_DEBRIEFING_PLAYERS_BG;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.0 - AR_modifX);
			y=0.8;	// -0.05
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.175 + AR_PlayerListY);	// +0.05
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox		// edited (tweak)
	{
		idc = IDC_DEBRIEFING_PLAYERS;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.0 - AR_modifX);
			y=0.8;	// -0.05
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.175 + AR_PlayerListY);	// +0.05
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
	class ButtonRestart : RscActiveMenu		// edited
	{
		idc = IDC_DEBRIEFING_RESTART;
		x = 0.70;
		y=__EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {0.09, 0.525, 0.773, 1.0}; // FDF
		text = $STR_DISP_DEBRIEFING_RESTART;
	};
	class ButtonContinue : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.85;
		y=__EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		//colorActive[] = {1, 0, 0, 1};
		colorActive[] = {0.09, 0.525, 0.773, 1.0}; // FDF
		text = $STR_DISP_CONTINUE;
		default = false;
	};
};







/* ---------------------- GAME MENUS -----------------------*/

	// **Island selection screen (aspect + tweak)**
class RscDisplaySelectIsland
{
	idd = IDD_SELECT_ISLAND;
	movingEnable = true;
	controlsBackground[]=
	{

		Background3,
		Background4,
		Background5,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	AddFDFBorder		// replaced
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = IDC_SELECT_ISLAND_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1;
		animation = "notebook.rtm"
		position[]={-0.025, __EVAL(-0.163 + AR_notebookY) ,0.3};			// edited (tweak)
		direction[] = {sin 10, sin 20 * cos 10, cos 20 * cos 10};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.7};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[]={Islands};
		class Islands : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_SELECT_ISLAND;
			x = 0.025;
			y = 0.033;
			w = 0.95;
			h = 0.933;
			rows=10;			// +5 rows
			size = 0.7;	// 3D size
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonWizard,
		ButtonCancel,
		ButtonOK
	};

	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_SELECT_ISLAND;
	};
	class ButtonWizard : RscActiveMenu		// edited
	{
		idc = IDC_SELECT_ISLAND_WIZARD;
		text = $STR_DISP_MPW_TITLE;
		x = 0.05;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.35;
		h = 0.05;
		soundClick[] = {"", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.6;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;

		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

	// **Profiles (aspect + tweak)**
class RscDisplayLogin
{
	idd = IDD_LOGIN;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT,ViivaAT,FDFl		// added (tweak)
	};

	AddFDFBorder		// replaced (tweak)
	
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = IDC_LOGIN_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1;
		animation = "notebook.rtm"
		position[] = {0, __EVAL(-0.175 + AR_notebookY), 0.25};		// edited
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		positionBack[] = {0, -0.04, 0.6};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextUser,
			ValueUser,
			ButtonNew,
			ButtonEdit,
			ButtonDelete
		};
		class TextUser : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.45;
			text = $STR_DISP_LOGIN_USER;
		};
		class ValueUser : RscObjNotebookListBox
		{
			idc = IDC_LOGIN_USER;
			x = 0.025;
			y = 0.1;
			w = 0.45;
			h = 0.867;
			rows = 10;
		};
		class ButtonNew : RscObjNotebookButton
		{
			idc = IDC_LOGIN_NEW;
			x = 0.525;
			y = 0.1;
			w = 0.45;
			h = 0.08;
			text = $STR_DISP_NEW;
		};
		class ButtonEdit : RscObjNotebookButton
		{
			idc = IDC_LOGIN_EDIT;
			x = 0.525;
			y = 0.2;
			w = 0.45;
			h = 0.08;
			text = $STR_DISP_EDIT;
		};
		class ButtonDelete : RscObjNotebookButton
		{
			idc = IDC_LOGIN_DELETE;
			x = 0.525;
			y = 0.3;
			w = 0.45;
			h = 0.08;
			text = $STR_DISP_DELETE;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	
	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_LOGIN_TITLE;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		style = ST_CENTER;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = true;
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		style = ST_CENTER;
		x = 0.70;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Profile edit (aspect + tweak)**
class RscDisplayNewUser
{
	idd = IDD_NEW_USER;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5,
		ViivaYT,ViivaAT,FDFl		// added (tweak)
	};

	AddFDFBorder		// replaced (tweak)
	
	objects[]=
	{
		Head,
		Notebook
	};
	class Head : RscObject		// edited
	{
		model = "hlavaw.p3d";
		modelWoman = "\o\char\civilistka_head.p3d";
		idc = IDC_NEW_USER_HEAD;
		type = CT_OBJECT;
		position[] = {-0.021, __EVAL(-0.006 + AR_headY), 0.15};		// edited
		direction[] = {0, 0, 0};
		up[] = {0, 0, 0};
		scale = 0.19;
	}
	class Notebook : RscObject		// edited
	{
		model = "notebook.p3d";
		idc = IDC_NEW_USER_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = true;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, __EVAL(-0.175 + AR_notebookY), 0.25};		// edited
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextName,
			ValueName,
			ValueId,
			HeadArea,
			TextFace,
			ValueFace,
			TextGlasses,
			ValueGlasses,
			TextSpeaker,
			ValueSpeaker,
			TextPitch,
			ValuePitch,
			TextSquad,
			ValueSquad
		};
		class TextName : RscObjNotebookText			// edited (tweak)
		{
			x = 0.025;
			y=0.013;	// -0.02
			w = 0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text = $STR_DISP_NEW_USER_NAME;
		};
		class ValueName : RscObjNotebookEdit		// edited (tweak)
		{
			idc = IDC_LOGIN_USER;
			x = 0.025;
			y=0.056;	// -0.027
			w = 0.45;
			h = 0.06;
		};
		class ValueId : RscObjNotebookText		// edited (tweak)
		{
			idc = IDC_NEW_USER_ID;
			x = 0.025;
			y=0.123;	// -0.02
			w = 0.45;
			h = 0.04		// added
			text = STR_DISP_ERROR;
		};
		class HeadArea : RscObjNotebookText
		{
			idc = IDC_NEW_USER_HEAD_AREA;
			x = 0.025;
			y = 0.143;
			w = 0.45;
			h = 0.967 - 0.143;
			text = "";
		};
		class TextFace : RscObjNotebookText		// edited (tweak)
		{
			x=0.525;
			y=0.013;	// -0.02
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text = $STR_DISP_NEW_USER_FACE;
		};
		class ValueFace : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_NEW_USER_FACE;
			x=0.525;
			y=0.056;	// -0.027
			w=0.45;
			h=0.395;		// +0.215
			rows = 11;		// FDF - 4	original - 3
		};
		class TextGlasses : RscObjNotebookText		// edited (tweak)
		{
			x=0.525;
			y=0.476;		// +0.193
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text = $STR_DISP_NEW_USER_GLASSES;
		};
		class ValueGlasses : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_NEW_USER_GLASSES;
			x = 0.525;
			y=0.521;		// +0.188
			w = 0.45;
			h = 0.12;		// FDF - 0.18		original - 0.12
			rows = 3;		// FDF - 4		original - 2
		};
		class TextSpeaker : RscObjNotebookText		// edited (tweak)
		{
			x = 0.525;
			y = 0.666;		// FDF - 0.523	original - 0.473
			w = 0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text = $STR_DISP_NEW_USER_SPEAKER;
		};
		class ValueSpeaker : RscObjNotebookListBox		// edited (tweak)
		{
			idc = IDC_NEW_USER_SPEAKER;
			x = 0.525;
			y = 0.711;		// FDF - 0.673	original - 0.523
			w = 0.45;
			h = 0.15;		// FDF - 0.18		original - 0.12
			rows = 4;		// FDF - 4		original - 2
		};
		class TextPitch : RscObjNotebookText		// edited (tweak)
		{
			x = 0.525;
			y = 0.886;		// FDF - 0.763	original - 0.663
			w = 0.45;
			h = 0.04;
			color[]={1,1,1,1};	// added
			text = $STR_DISP_NEW_USER_PITCH;
		};
		class ValuePitch		// edited (tweak)
		{
			type = CT_3DSLIDER;
			idc = IDC_NEW_USER_PITCH;
			style = SL_HORZ;
			x = 0.525;
			y = 0.936;		// FDF - 0.813	original - 0.713
			w = 0.45;
			h=0.04;		// -0.01
			//color[] = {0, 1, 0, 1};
			color[] = {0.09, 0.525, 0.773, 1.0}; // FDF
			angle = 0;
			selection = "display";
		};
		class TextSquad : RscObjNotebookText		// edited (tweak)
		{
			idc = IDC_NEW_USER_SQUAD_TEXT;
			x=0.025;	// -0.5
			y=0.886;	// +0.02
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text = $STR_DISP_NEW_USER_SQUAD;
		};
		class ValueSquad : RscObjNotebookEdit		// edited (tweak)
		{
			idc = IDC_NEW_USER_SQUAD;
			x=0.025;	// -0.5
			y=0.926;	// +0.01
			w=0.45;
			h=0.05;		// -0.01
			size=0.7;	// added
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	
	Background1_2		// replaced
	
	class Title : RscText		// edited
	{
		idc = IDC_NEW_USER_TITLE;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_ERROR;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		style = ST_CENTER;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = true;
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		style = ST_CENTER;
		x = 0.70;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

	// **Campaign screen (aspect + tweak)**
class RscDisplayCampaignLoad
{
	idd = IDD_CAMPAIGN_LOAD;
	movingEnable = false;
	controls[]=
	{
		ButtonCancel,
		ButtonOK,
		ButtonReplay,
		ButtonDifficulty


	};
	class ButtonDifficulty : RscActiveMenu		// edited
	{
		idc = IDC_CAMPAIGN_DIFF;
		x = 0.05;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		text = $STR_DISP_ERROR;
		soundClick[] = {"", 0, 1};
	};
	class ButtonReplay : RscActiveMenu		// edited
	{
		idc = IDC_CAMPAIGN_REPLAY;
		x = 0.45;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.25;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CAMPAIGN_REPLAY;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = true;
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_ERROR;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};

	controlsBackground[]=
	{
		Background1,
		Background2,
		Background3,
		Background4,Background5,ViivaYT,ViivaAT,FDFl		// added (tweak)
	};
	class Background1 : RscText		// edited
	{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText		// edited
	{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.875 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	AddFDFBorder		// replaced (tweak)
	
	objects[]=
	{
		Book
	};
	class Book : RscObject		// edited (tweak)
	{
		model = "kniha6.p3d";
		animation = "kniha2.rtm";
		idc = IDC_CAMPAIGN_BOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 0.5;
		positionBack[] = {-0.5, 0.3, 1.5};	// starting position
		position[] = {0.135, 0.0, 0.8};				// +0.035
		direction[] = {0, -sin 15, cos 15};
		up[] = {0, cos 15, sin 15};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1.0;
		scale=1.0;
		controls[]=
		{
			Title1,
			Title,
			Prev,
			Campaign,
			Next,
			Contents,
			History,
			Mission,
			Description,
			Date,
			Score,
			Duration,
			Casualties,
			KillsTitle,
			EnemyRow,
			FriendlyRow,
			CivilianRow,
			InfantryColumn,
			SoftColumn,
			ArmoredColumn,
			AircraftColumn,
			TotalColumn,
			EInf, ESoft, EArm, EAir, ETot,
			FInf, FSoft, FArm, FAir, FTot,
			CInf, CSoft, CArm, CAir, CTot,
		};
		class Title1 : Rsc3DTextMenu
		{
			color[]=Gold;
			font = FontBOOK;
			idc = -1;
			selection = "cover";
			x = 0.0;
			y = 0.2;
			w = 1.0;
			h = 0.15;
			text = $STR_DISP_CAMPAIGN_FLASHPOINT;
			style = ST_CENTER;
		};
		class Title : Rsc3DTextMenu
		{
			color[]={0, 0, 0, 1};
			font = FontBOOK;
			idc = -1;
			selection = "1.strana";
			x = 0.0;
			y = 0.2;
			w = 1.0;
			h = 0.12;
			text = $STR_DISP_CAMPAIGN_FLASHPOINT;
			style = ST_CENTER;
		};
		class Campaign : Rsc3DTextMenu
		{
			idc = IDC_CAMPAIGN_CAMPAIGN;
			color[] = {0, 0, 0, 1};
			font = FontBOOK;
			selection = "2.strana";
			x = 0.1;
			y = 0.0;
			w = 0.8;
			h = 0.08;
			text = $STR_DISP_ERROR;
			style = ST_CENTER;
		};
		class Prev : Rsc3DActiveMenu
		{
			idc = IDC_CAMPAIGN_PREV;
			color[] = {1, 1, 1, 0.6};
			colorActive[] = {1, 1, 1, 1};
			font = FontBOOK;
			selection = "2.strana";
			x = 0.0;
			y = 0.0;
			w = 0.1;
			h = 0.08;
			text = "sipka_left.paa";
			style = ST_PICTURE;
		};
		class Next : Rsc3DActiveMenu
		{
			idc = IDC_CAMPAIGN_NEXT;
			color[] = {1, 1, 1, 0.6};
			colorActive[] = {1, 1, 1, 1};
			font = FontBOOK;
			selection = "2.strana";
			x = 0.9;
			y = 0.0;
			w = 0.1;
			h = 0.08;
			text = "sipka_right.paa";
			style = ST_PICTURE;
		};
		class Contents : Rsc3DTextMenu
		{
			idc = -1;
			color[]={0, 0, 0, 1};
			font = FontBOOK;
			selection = "2.strana";
			x = 0.02;
			y = 0.1;
			w = 0.96;
			h = 0.06;
			text = $STR_DISP_CAMPAIGN_CONTENTS;
			style = ST_LEFT;
		};
		class History
		{
			type = CT_3DLISTBOX;
			idc = IDC_CAMPAIGN_HISTORY;
			style = 0;
			selection = "2.strana";
			x = 0.02;
			y = 0.16;
			w = 0.96;
			h = 0.84;
			angle = 0;
			rows = 14;
			size = 1;	// 3D size
			colorSelect[] = {0, 0, 0, 1};
			colorSelectBackground[] = {0, 0, 0, 0.2};
			colorText[] = {0.2, 0.2, 0.2, 1};
			font = FontBOOK;
		};
		class Mission : Rsc3DTextMenu
		{
			idc = IDC_CAMPAIGN_MISSION;
			color[] = {0, 0, 0, 1};
			font = FontBOOK;
			selection = "3.strana";
			x = 0.0;
			y = 0.0;
			w = 1.0;
			h = 0.08;
			text = $STR_DISP_ERROR;
			style = ST_CENTER;
		};
		class Description : RscHTML
		{
			type = CT_3DHTML;
			idc = IDC_CAMPAIGN_DESCRIPTION;
			selection = "3.strana";
			x = 0;
			y = 0.1;
			w = 1;
			h = 0.4;
			angle = 0;
			size = 0.54// 3D size
			filename = ;
			colorLink[] = {0.2, 0.2, 0.4, 1};
			colorLinkActive[] = {0.4, 0.17, 0.24, 1};
		};
		class BookText : Rsc3DTextMenu
		{
			idc = -1;
			color[]={0, 0, 0, 1};
			font = FontBOOK;
			selection = "3.strana";
			x = 0.05;
			h = 0.04
			w = 0.90;
			text = "";
			style = ST_LEFT;
		};

		class Date : BookText
		{
			idc = IDC_CAMPAIGN_DATE;
			y = 0.64
			text = $STR_DISP_ERROR;
		};
		class Score : BookText
		{
			idc = IDC_CAMPAIGN_SCORE;
			y = 0.68
			text = $STR_DISP_ERROR;
		};
		class Duration : BookText
		{
			idc = IDC_CAMPAIGN_DURATION;
			y = 0.72
			text = $STR_DISP_ERROR;
		};
		class Casualties : BookText
		{
			idc = IDC_CAMPAIGN_CASUALTIES;
			y = 0.76
			text = $STR_DISP_ERROR;
		};

		class BookTableRowTitle : BookText
		{
			x = 0.05;
			w = 0.15;
			style = ST_CENTER + ST_WITH_RECT;
		};
		class BookTableItem : BookText
		{
			w = 0.15;
			style = ST_CENTER + ST_WITH_RECT;
		};

		class KillsTitle : BookTableRowTitle
		{
			idc = IDC_CAMPAIGN_KILLS_TITLE;
			y = 0.84;
			text = $STR_CAMPAIGN_KILLS;
		};
		class EnemyRow : BookTableRowTitle
		{
			idc = IDC_CAMPAIGN_ENEMY_ROW;
			y = 0.88;
			text = $STR_DISP_CAMPAIGN_ENEMY;
		};
		class FriendlyRow : BookTableRowTitle
		{
			idc = IDC_CAMPAIGN_FRIENDLY_ROW;
			y = 0.92;
			text = $STR_DISP_CAMPAIGN_FRIENDLY;
		};
		class CivilianRow : BookTableRowTitle
		{
			idc = IDC_CAMPAIGN_CIVILIAN_ROW;
			y = 0.96;
			text = $STR_DISP_CAMPAIGN_CIVILIAN;
		};
		class InfantryColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_INFANTRY_COLUMN;
			x = 0.20;
			y = 0.84;
			text = $STR_MPTABLE_INFANTRY;
		};
		class SoftColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_SOFT_COLUMN;
			x = 0.35;
			y = 0.84;
			text = $STR_MPTABLE_SOFT;
		};
		class ArmoredColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_ARMORED_COLUMN;
			x = 0.50;
			y = 0.84;
			text = $STR_MPTABLE_ARMORED;
		};
		class AircraftColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_AIRCRAFT_COLUMN;
			x = 0.65;
			y = 0.84;
			text = $STR_MPTABLE_AIR;
		};
		class TotalColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_TOTAL_COLUMN;
			x = 0.80;
			y = 0.84;
			text = $STR_MPTABLE_TOTAL;
		};
		class EInf : BookTableItem
		{
			idc = IDC_CAMPAIGN_EINF;
			x = 0.20;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class ESoft : BookTableItem
		{
			idc = IDC_CAMPAIGN_ESOFT;
			x = 0.35;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class EArm : BookTableItem
		{
			idc = IDC_CAMPAIGN_EARM;
			x = 0.50;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class EAir : BookTableItem
		{
			idc = IDC_CAMPAIGN_EAIR;
			x = 0.65;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class ETot : BookTableItem
		{
			idc = IDC_CAMPAIGN_ETOT;
			x = 0.80;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class FInf : BookTableItem
		{
			idc = IDC_CAMPAIGN_FINF;
			x = 0.20;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class FSoft : BookTableItem
		{
			idc = IDC_CAMPAIGN_FSOFT;
			x = 0.35;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class FArm : BookTableItem
		{
			idc = IDC_CAMPAIGN_FARM;
			x = 0.50;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class FAir : BookTableItem
		{
			idc = IDC_CAMPAIGN_FAIR;
			x = 0.65;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class FTot : BookTableItem
		{
			idc = IDC_CAMPAIGN_FTOT;
			x = 0.80;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class CInf : BookTableItem
		{
			idc = IDC_CAMPAIGN_CINF;
			x = 0.20;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
		class CSoft : BookTableItem
		{
			idc = IDC_CAMPAIGN_CSOFT;
			x = 0.35;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
		class CArm : BookTableItem
		{
			idc = IDC_CAMPAIGN_CARM;
			x = 0.50;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
		class CAir : BookTableItem
		{
			idc = IDC_CAMPAIGN_CAIR;
			x = 0.65;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
		class CTot : BookTableItem
		{
			idc = IDC_CAMPAIGN_CTOT;
			x = 0.80;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
	};
};

	// **Campaign revert (aspect + tweak)**
class RscDisplayRevert
{
	idd = IDD_REVERT;
	movingEnable = false;
	controls[]=
	{
		ButtonOK,
		ButtonCancel
	};
	class ButtonOK : RscActiveMenu		// edited
	{
		idc = IDC_OK;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_OK;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = true;
	};
	class ButtonCancel : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};

	controlsBackground[]=
	{
		Background1,
		Background2,
		Background3,
		Background4,Background5,ViivaYT,ViivaAT,FDFl		// added (tweak)
	};
	class Background1 : RscText		// edited
	{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText		// edited
	{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.875 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	AddFDFBorder		// replaced (tweak)
	
	objects[]=
	{
		Book
	};
	class Book : RscObject
	{
		model = "kniha6.p3d";
		animation = "kniha2.rtm";
		idc = IDC_REVERT_BOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 0.5;
		animPhase = 0.6;
		positionBack[] = {-0.5, 0.3, 1.5};	// starting position
		position[] = {0.135, 0.0, 0.8};				// +0.035
		direction[] = {0, -sin 15, cos 15};
		up[] = {0, cos 15, sin 15};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1.0;
		scale=1.0;
		controls[]=
		{
			Title,
			Question
		};
		class Title : Rsc3DTextMenu
		{
			idc = IDC_REVERT_TITLE;
			color[] = {0, 0, 0, 1};
			font = FontBOOK;
			selection = "3.strana";
			x = 0.0;
			y = 0.0;
			w = 1.0;
			h = 0.08;
			text = $STR_SURE;
			style = ST_CENTER;
		};
		class Question : Rsc3DTextMenu
		{
			idc = IDC_REVERT_QUESTION;
			style = ST_MULTI;
			color[] = {0, 0, 0, 1};
			font = FontBOOK;
			selection = "3.strana";
			x = 0;
			y = 0.1;
			w = 1;
			h = 0.9;
			text = $STR_DISP_REVERT_QUESTION;
			lines = 18;
		};
	};
};







/* ---------------------- RESOURCE -----------------------*/	

class RscDisplayEmpty
{
	movingEnable = false;
	controls[]=
	{
	};
};

class RscDisplayCampaign : RscDisplayEmpty
{
	idd = IDD_CAMPAIGN;
};

class RscDisplayMission : RscDisplayEmpty
{
	idd = IDD_MISSION;
	objects[]=
	{
		Compass,
		Watch
	};
	class Compass : RscObject
	{
		idc = IDC_MAP_COMPASS;
		type = CT_OBJECT_ZOOM;
		model = "kompas.p3d";
		position[] = {0.026, 0.047, 0.20};
		direction[] = {0, 1, 1.1};
		up[] = {0, 0, -1};
		positionBack[] = {0.0, -0.05, 0.22};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
	};
	class Watch : RscObject
	{
		idc = IDC_MAP_WATCH;
		type = CT_OBJECT_ZOOM;
		model = "kosei.p3d";
		position[] = {0.026, 0.047, 0.20};
		positionBack[] = {0.05, -0.05, 0.22};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
	};
};

class RscDisplayIntro : RscDisplayEmpty
{
	idd = IDD_INTRO;
};

class RscDisplayOutro : RscDisplayEmpty
{
	idd = IDD_OUTRO;
};

class RscDisplayAward : RscDisplayEmpty
{
	idd = IDD_AWARD;
};







/* ---------------------- GAME MENUS -----------------------*/

	// **In-game pause**
class RscDisplayInterrupt
{
	idd = IDD_INTERRUPT;
	movingEnable = false;
	controls[]=
	{
		Background1,
		Background2,
		Background3,
		Title,
		ButtonOptions,
		ButtonLoad,
		ButtonSave,
		ButtonRetry,
		ButtonAbort,
		ButtonContinue,
		ViivaYT, // FDF
		ViivaAT,
		FDFl
	};

	class FDFL : RscPicture // Logo		// edited
	{
		text = "\FDF_gfx\FDFlogo.paa";
		colorText[]={0.5,0.5,0.5,0.4};
		x = __EVAL(0.68 + AR_modifX); y = __EVAL(0.75 + AR_modifY); w = 0.31; h = 0.13;
	};

	class ViivaYT : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.117 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.007;
		text = ;
		colorBackground[] = {0.027, 0.227, 0.388, 1.0};
	};

	class ViivaAT : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.876 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.007;
		text = ;
		colorBackground[] = {0.027, 0.227, 0.388, 1.0};
	};

	class Background1 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.875 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.125 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = __EVAL(0.75 + AR_modifY * 2);
		text = ;

		colorBackground[] = {0.027, 0.227, 0.388, 0.11}; // Blue
		//colorBackground[] = {0, 0, 0, 0.5};
	};


	class Title : RscText		// edited
	{
		idc = IDC_INT_TITLE;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_ERROR;
	};

	class ButtonOptions : RscActiveMenu		// edited
	{
		idc = IDC_INT_OPTIONS;
		x = __EVAL(0.05 - AR_modifX);
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_OPTIONS;
	};
	class ButtonLoad : RscActiveMenu		// edited
	{
		idc = IDC_INT_LOAD;
		x = __EVAL(0.2 - AR_modifX);
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_LOAD;
	};
	class ButtonSave : RscActiveMenu		// edited
	{
		idc = IDC_INT_SAVE;
		x = __EVAL(0.2 - AR_modifX);
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_SAVE;
	};
	class ButtonRetry : RscActiveMenu		// edited
	{
		idc = IDC_INT_RETRY;
		x = __EVAL(0.55 + AR_modifX);
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_RETRY;
	};
	class ButtonAbort : RscActiveMenu		// edited
	{
		idc = IDC_INT_ABORT;
		x = __EVAL(0.7 + AR_modifX);
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_ABORT;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
		}; 
	
	class ButtonContinue : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = __EVAL(0.85 + AR_modifX);
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_CONTINUE;
		default = true;
	};
};

	// **Death screen**
class RscDisplayMissionEnd
{
	idd = IDD_MISSION_END;
	movingEnable = true;
	controls[]=
	{
		Background1,
		Background2,
		Background3,
		Title,
		Subtitle,
		Quotation,
		Author,
		ButtonLoad,
		ButtonRetry,
		ButtonAbort,
		ViivaYT, // FDF
		ViivaAT
	};

	class ViivaYT : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.117 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.007;
		text = ;
		colorBackground[] = {0.027, 0.227, 0.388, 1.0};
	};

	class ViivaAT : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.876 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.007;
		text = ;
		colorBackground[] = {0.027, 0.227, 0.388, 1.0};
	};

	class Background1 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.875 + AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.125 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h = __EVAL(0.75 + AR_modifY  * 2);
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};

	class Title : RscText		// edited
	{
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 0, 0, 1};
		sizeEx = 0.098;
		text = $STR_MISSION_KILLED;
	};

	class Subtitle : RscText
	{
		idc = IDC_ME_SUBTITLE;
		style = ST_RIGHT;
		x = 0.69;
		y = 0.07;
		w = 0.3;
		h = 0.05;
		font = FontTITLEHalf;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 1.6 * 0.05;
		text = $STR_DISP_ERROR;
	};

	class Quotation: RscText
	{
		idc = IDC_ME_QUOTATION;
		style = ST_MULTI;
		lineSpacing = 1;
		x = 0.15;
		y = 0.88 - 0.125;
		w = 0.6;
		h = 0.12;
		font = FontTITLEHalf;
		sizeEx = 0.8 * 0.05;
		colorText[] = {1, 1, 1, 1};
		text = $STR_DISP_ERROR;
	};
	class Author: RscText
	{
		idc = IDC_ME_AUTHOR;
		style = ST_RIGHT;
		x = 0.2;
		y = 0.92 - 0.125;
		w = 0.7;
		h = 0.1;
		font = FontTITLEHalf;
		sizeEx = 0.8 * 0.05;
		colorText[] = {1, 1, 1, 1};
		text = $STR_DISP_ERROR;
	};

	class ButtonLoad : RscActiveMenu		// edited
	{
		idc = IDC_ME_LOAD;
		x = 0.05;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_ME_LOAD;
	};
	class ButtonRetry : RscActiveMenu		// edited
	{
		idc = IDC_ME_RETRY;
		x = 0.70;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_ME_RETRY;
		default = true;
	};
	class ButtonAbort : RscActiveMenu		// edited
	{
		idc = IDC_CANCEL;
		x = 0.85;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_ME_ABORT;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};






/* ---------------------- SPECTATING SCRIPT -----------------------*/	

class RscObjListBox
{
	type = CT_LISTBOX;
	font = FontTITLEHalf;
	style = 4;
	selection = "display";
	angle = 0;
	size = 0.8;	// 3D size
	color[] = {0, 0, 0, 0};
	colorSelect[] = {0, 1, 0, 1};
	colorSelectBackground[] = {0, 1, 0, 0.2};
	colorText[] = {0, 1, 0, 0.5};
};

// FDF mod spectator
// Include from rscSpectate.hpp
//
// Spectating script v1.4 for FDF mod by Kegetys
//

	// **1st person spectating**
class RscFDFDlgSpectateDeath1st
{
	idd = 821151552;
	movingEnable = true;
	controlsBackground[]=
	{
		Background1
	};
	class Background1 : RscText		// edited
	{
		idc = 1047001;
		style = ST_HUD_BACKGROUND;
		x = 0.375;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.25;
		h = 0.04;		
		
		text = ;
		colorBackground[] = {0, 0, 0, 0.8};
	};
	
	controls[]=
	{
		TitleS,
		Title,
		ButtonNEXT,
		ButtonPREV,
		PlrName
	};
	
	class Title : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.375;
		y = __EVAL(0.02 - AR_modifY);
		w = 0.25;
		h = 0.04;
		font = FontTITLEHalf;
		//colorText[] = {1, 0, 0, 1};
		colorText[] = {0/255, 108/255, 169/255, 1.0};
		sizeEx = 0.038;
		text = "SPECTATING";
	};	
	
	class TitleS : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.375+0.002;
		y = __EVAL(0.02+0.002 - AR_modifY);
		w = 0.25;
		h = 0.04;
		font = FontTITLEHalf;
		colorText[] = {0, 0, 0, 0.8};
		sizeEx = 0.038;
		text = "SPECTATING";
	};		
	
	class ButtonNEXT : RscActiveMenu		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.575;
		y = __EVAL(0.021 - AR_modifY);
		w = 0.02;
		h = 0.031;		
		text = ">";
		default = 0;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		action = "1 exec ""nextCam.sqs""";
	};	
		
	class ButtonPREV : RscActiveMenu		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.4;
		y = __EVAL(0.021 - AR_modifY);
		w = 0.02;
		h = 0.036;		
		text = "<";
		default = 0;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		action = "-1 exec ""nextCam.sqs""";
	};
	
	class PlrName : RscText		// edited
	{
		idc = 116969;
		style = ST_CENTER;
		x = 0.375;
		y = __EVAL(0.060 - AR_modifY);
		w = 0.25;
		h = 0.02;
		font = FontM;
		
		colorText[] = {0, 0, 0, 0.6};
		color[] = {0, 0, 0, 0.6};
		colorActive[] = {0, 0, 0, 0.6};
		
			
/*		colorText[] = {1, 0, 0, 1};
		color[] = {1, 0, 0, 1};		
		colorActive[] = {1, 0.2, 0.2, 1};			*/
		//sizeEx = 0.05;
		text = "Unknown";
				
	};			
	
};

	// **Spectating menu (aspect + tweak)**
class RscFDFDlgSpectateDeath
{
	idd = 821151551;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5,
		BackgroundMenu,
		BackgroundList	
	};
	class Background4 : RscText		// edited
	{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.065;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText		// edited
	{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.935 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h = 0.065;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class BackgroundMenu : RscText		// edited
	{
		idc = 1046006;
		style = ST_HUD_BACKGROUND;
		x=__EVAL(0.02 - AR_modifX);
		y=__EVAL(0.055 - AR_modifY);
		w = 0.120;
		h = 0.230;
		text = ;
		colorBackground[] = {0, 0, 0, 0.8};
	};	
	class BackgroundList : RscText		// edited (aspect + tweak)
	{
		idc = 1047001;
		style = ST_HUD_BACKGROUND;
		x = 0.84;
		y = __EVAL(0.055 - AR_modifY);
		w = __EVAL(0.14 + AR_modifX);
		h = 0.46;					// +0.2
		
		text = ;
		colorBackground[] = {0, 0, 0, 0.8};
	};		

	controls[]=
	{
		Title,
		ButtonPREV,
		ButtonNEXT,
		Spectation,
		PlrName,
		menu,
		menu2,
		MenuPlrs,
		MenuPlrs2,
		MenuItem1,
		MenuItem2,
		MenuItem3,
		MenuItem4,
		MenuItem5,
		MenuItem6,
		MenuItem7,
		MenuSlider,
		MenuLine,
		MenuLine2,
		MenuSliderLTR1,		
		MenuSliderLTR2,		
		MenuSliderLTR3,		
		MenuSliderLTR4,		
		MenuSliderLTR5,		
		MenuSliderLTR6,		
		MenuSliderLTR7,		
		MenuSliderLTR8,		
		ListBox
		
	};
	
	class ListBox : RscObjListBox		// edited (aspect + tweak)
	{
		idc = 1047002;
		x = 0.85;
		y = __EVAL(0.075 - AR_modifY);
		w = __EVAL(0.12 + AR_modifX);
		h = 0.42;				// +0.2
		rows = 5;
		rowHeight = 0.01;
		size = 0.56;	// 3D size
	
		colorText[] = {1, 1, 1, 0.6};
		colorSelect[] = {0.3, 0.5, 1, 1};		
		colorSelectBackground[] = {0, 1, 0, 0.2};
	};
		
	class Title : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = __EVAL(-0.015 - AR_modifY);
		w = 0.6;
		h = 0.1;
		font = FontTITLEHalf;
		colorText[] = {1, 0, 0, 1};
		sizeEx = 0.048;
		text = "YOU ARE DEAD";
	};

	class ButtonNEXT : RscActiveMenu		// edited
	{
		idc = -1;
		x=__EVAL(0.9 + AR_modifX);
		y=__EVAL(0.94 + AR_modifY);
		w = 0.15;
		h = 0.05;		
		text = "Next >>";
		default = 0;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		action = "1 exec ""nextCam.sqs""";
	};	
		
	class ButtonPREV : RscActiveMenu		// edited
	{
		idc = -1;
		x=__EVAL(0.55 + AR_modifX);
		y=__EVAL(0.94 + AR_modifY);
		w = 0.15;
		h = 0.05;		
		text = "<< Previous";
		default = 0;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		action = "-1 exec ""nextCam.sqs""";
	};

	
	class Spectation : RscText		// edited
	{
		idc = -1;
		style = ST_CENTER;
		x=__EVAL(0.7 + AR_modifX);
		y=__EVAL(0.94 + AR_modifY);
		w = 0.15;
		h = 0.05;
		font = FontTITLEHalf;
		
		colorText[] = {0/255, 108/255, 169/255, 1.0}; // FDF
				
		sizeEx = 0.05;
		text = "- Spectating -";		
	};	

	class PlrName : RscText		// edited
	{
		idc = 116969;
		style = ST_CENTER;
		x=__EVAL(0.1 - AR_modifX);
		y=__EVAL(0.94 + AR_modifY);
		w=__EVAL(0.15 + AR_modifX);
		h = 0.05;
		font = FontTITLEHalf;
		
		colorText[] = {0/255, 108/255, 169/255, 1.0}; // FDF
		color[] = {0/255, 108/255, 169/255, 1.0}; // FDF
		colorActive[] = {0/255, 108/255, 169/255, 1.0}; // FDF
			
/*		colorText[] = {1, 0, 0, 1};
		color[] = {1, 0, 0, 1};		
		colorActive[] = {1, 0.2, 0.2, 1};			*/
		sizeEx = 0.05;
		text = "Unknown";
				
	};	
			
	class Menu : RscActiveMenu		// edited
	{
		idc = 1046007;
		x=__EVAL(0.03 - AR_modifX);
		y=__EVAL(0.02 - AR_modifY);
		w = 0.15;
		h = 0.025;
		text = "view menu";
		default = 0;
		angle = 90;
		colorActive[] = {0.4, 0.8, 1, 1};		
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		action = "ctrlShow [1046001,false];ctrlShow [1046002,false];ctrlShow [1046003,false];ctrlShow [1046004,false];ctrlShow [1046005,false];ctrlShow [1046006,false];ctrlShow [1046007,false];ctrlShow [1046008,true];ctrlShow [1046009,false];ctrlShow [1046010,false];ctrlShow [1046011,false];ctrlShow [1046012,false];ctrlShow [1046013,false];ctrlShow [1046014,false];ctrlShow [1046015,false];ctrlShow [1046016,false];ctrlShow [1046017,false];ctrlShow [1046018,false];ctrlShow [1046019,false];ctrlShow [1046020,false];ctrlShow [1046021,false];ctrlShow [1046022,false]";
		sizeEx = 0.028;
	};	
	
	class Menu2 : Menu
	{
		idc = 1046008;
		color[] = {1.0, 1.0, 1.0, 0.4};
		colorActive[] = {0.3, 0.5, 1, 1};
		action = "ctrlShow [1046001,true];ctrlShow [1046002,true];ctrlShow [1046003,true];ctrlShow [1046004,true];ctrlShow [1046005,true];ctrlShow [1046006,true];ctrlShow [1046007,true];ctrlShow [1046008,false];ctrlShow [1046009,true];ctrlShow [1046010,true];ctrlShow [1046011,true];ctrlShow [1046012,true];ctrlShow [1046013,true];ctrlShow [1046014,true];ctrlShow [1046015,true];ctrlShow [1046016,true];ctrlShow [1046017,true];ctrlShow [1046018,true];ctrlShow [1046019,true];ctrlShow [1046020,true];ctrlShow [1046021,true];ctrlShow [1046022,true]";
	};		
	
	class MenuPlrs : RscActiveMenu		// edited
	{		
		idc = 1048001;
		x=__EVAL(0.92 + AR_modifX);
		y=__EVAL(0.02 - AR_modifY);
		w = 0.15;
		h = 0.025;
		text = "namelist";
		default = 0;
		angle = 90;
		colorActive[] = {0.4, 0.8, 1, 1};		
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		action = "ctrlShow [1047002,false];ctrlShow [1047001,false];ctrlShow [1048001,false];ctrlShow [1048002,true];";
		sizeEx = 0.028;
	};	
	class MenuPlrs2 : MenuPlrs
	{
		idc = 1048002;
		color[] = {1.0, 1.0, 1.0, 0.4};
		colorActive[] = {0.3, 0.5, 1, 1};
		action = "ctrlShow [1047002,true];ctrlShow [1047001,true];ctrlShow [1048001,true];ctrlShow [1048002,false];";
	};			
	
	class MenuItem1 : RscActiveMenu		// edited
	{
		idc = 1046001;
		x=__EVAL(0.03 - AR_modifX);
		y=__EVAL(0.073 - AR_modifY);
		w = 0.08;
		h = 0.025;
		text = "close view";
		default = 0;
		angle = 90;
		colorText[] = {1, 1, 1, 0.6};
		colorActive[] = {0.3, 0.5, 1, 1};		
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		action = "DeathCam camSetFOV 0.976;DeathCam camSetTarget vehicle DeathCamCurCamTarget;DeathCamComSpeed = 0.4;DeathCamRelPos = [0,-2,0.3];DeathCamTarHeight = 1.7;DeathCamCineViewSpecial = 0;DeathCamExit = false";
		sizeEx = 0.028;
	};		
	
	class MenuItem2 : MenuItem1		// edited
	{
		idc = 1046002;
		y = __EVAL(0.073 + (1*0.028) - AR_modifY);
		text = "far view";		
		action = "DeathCam camSetFOV 0.976;DeathCam camSetTarget vehicle DeathCamCurCamTarget;DeathCamComSpeed = 1.9;DeathCamRelPos = [0,-8,2.5];DeathCamTarHeight = 1.5;DeathCamCineViewSpecial = 0;";
	}
	class MenuItem3 : MenuItem1		// edited
	{
		idc = 1046003;
		y = __EVAL(0.073 + (2*0.028) - AR_modifY);
		text = "front view";		
		action = "DeathCam camSetFOV 0.976;DeathCam camSetTarget vehicle DeathCamCurCamTarget;DeathCamComSpeed = 0.1;DeathCamRelPos = [0,4.0,0.02];DeathCamTarHeight = 1.7;DeathCamCineViewSpecial = 0;";
	}	
	class MenuItem4 : MenuItem1		// edited
	{
		idc = 1046004;
		y = __EVAL(0.073 + (3*0.028) - AR_modifY);
		text = "top view";		
		action = "DeathCam camSetFOV 0.976;DeathCam camSetTarget [0,0,-99999999.99];DeathCamComSpeed = 0.05;DeathCamRelPos = [0,0.1,50.0];DeathCamTarHeight = 1.7;DeathCamCineViewSpecial = 2;";
	}		
	class MenuItem5 : MenuItem1		// edited
	{
		idc = 1046005;
		y = __EVAL(0.073 + (4*0.028) - AR_modifY);
		text = "cinematic view";
		action = "DeathCam camSetFOV 0.976;DeathCam camSetTarget vehicle DeathCamCurCamTarget;DeathCamRelPos = [3,70.1,10.0];DeathCam camSetRelPos DeathCamRelPos;DeathCamComSpeed = 0;DeathCamCineViewSpecial = 1;";
	}
	
	class MenuItem6 : MenuItem1		// edited
	{
		idc = 1046020;
		y = __EVAL(0.073 + (5*0.028) - AR_modifY);
		text = "1st person view";
		action = "DeathCamCineViewSpecial = 3;";
	}	
	
	class MenuItem7 : MenuItem1		// edited
	{
		idc = 1046021;
		y = __EVAL(0.251 - AR_modifY);
		w = 0.1;
		text = "missile cam: enabled";
		action = "DeathCamMissileCamEnabled = !DeathCamMissileCamEnabled;if(DeathCamMissileCamEnabled) then {ctrlSetText[1046021,""missile cam: enabled""]} else {ctrlSetText[1046021,""missile cam: disabled""]}";		
	}		
	
	class MenuLine : RscText		// edited
	{
		idc = 1046011;	
		style = ST_LINE;
		x=__EVAL(0.113 - AR_modifX);
		y=__EVAL(0.0 - AR_modifY);
		w = 0;
		h = 0.247;
		text = ;
		colorBackground[] = {1, 1, 1, 1};
		color[] = {1, 1, 1, 1};
		colorText[] = {0, 0, 0, 1};
	};	
	
	class MenuLine2 : RscText		// edited
	{
		idc = 1046022;	
		style = ST_LINE;
		x=__EVAL(0.02 - AR_modifX);
		y=__EVAL(0.246 - AR_modifY);
		w = 0.120;
		h = 0;
		text = ;
		colorBackground[] = {1, 1, 1, 1};
		color[] = {1, 1, 1, 1};
		colorText[] = {0, 0, 0, 1};			
	};			
	
	class MenuSlider : RscSliderV		// edited
	{
		idc = 1046010;
		x=__EVAL(0.12 - AR_modifX);
		y=__EVAL(0.08 - AR_modifY);
		w = 0.015;
		h = 0.15;
		color[] = {1, 1, 1, 0.8};
	}	
	
	class MenuSliderLTR1 : RscText		// edited
	{
		idc = 1046012;	
		x=__EVAL(0.1145 - AR_modifX);
		y=__EVAL(0.1045 - AR_modifY);
		w = 0.015;
		h = 0.01;
		text = "D";
		color[] = {1, 1, 1, 1};		
		colorText[] = {1, 1, 1, 0.2};
		sizeEx = 0.018;				
	};	

	class MenuSliderLTR2 : MenuSliderLTR1		// edited
	{
		idc = 1046013;
		x=__EVAL(0.115 - AR_modifX);
		y=__EVAL(0.1175 - AR_modifY);
		text = "I";
	};			

	class MenuSliderLTR3 : MenuSliderLTR1		// edited
	{
		idc = 1046014;	
		y = __EVAL(0.1305 - AR_modifY);
		text = "S";
	};			

	class MenuSliderLTR4 : MenuSliderLTR1		// edited
	{
		idc = 1046015;	
		y = __EVAL(0.1435 - AR_modifY);
		text = "T";
	};			

	class MenuSliderLTR5 : MenuSliderLTR1		// edited
	{
		idc = 1046016;	
		y = __EVAL(0.1565 - AR_modifY);
		text = "A";
	};			

	class MenuSliderLTR6 : MenuSliderLTR1		// edited
	{
		idc = 1046017;	
		y = __EVAL(0.1695 - AR_modifY);
		text = "N";
	};			


	class MenuSliderLTR7 : MenuSliderLTR1		// edited
	{
		idc = 1046018;	
		y = __EVAL(0.1830 - AR_modifY);
		text = "C";
	};			


	class MenuSliderLTR8 : MenuSliderLTR1		// edited
	{
		idc = 1046019;	
		y = __EVAL(0.1960 - AR_modifY);
		text = "E";
	};			
	
};// End of rscSpectate.hpp include
// End of rscScreen.hpp include






/* ---------------------- RESOURCE -----------------------*/	

// Include from rscIGUI.hpp

class RscTitlesText
{
	fontBasic = FontMAIN;
	sizeExBasic = 0.9 * 0.05;

	fontDown = FontMAIN;
	sizeExDown = 0.9 * 0.05;
};

class RscIGText : RscText
{
	h = 0.02; 
	colorText[] = {0.8, 0.8, 0.8, 1};
  font = "tahomaB24";
	sizeEx = 0.02;
	style = ST_LEFT + ST_SHADOW;
};

class RscIGProgress
{
	type = CT_PROGRESS;
	style = 0;
	idc = -1;
	h = 0.018;
	colorFrame[] = {0.8, 0.8, 0.8, 0.75};
	colorBar[] = {0.8, 0.8, 0.8, 0.5};
};







/* ---------------------- GAME UI -----------------------*/

class RscDisplayHintC
{
	idd = IDD_HINTC;
	movingEnable = false;
	controls[]=
	{
		Background,
		Hint,
		Continue
	};
	class Background
	{
		type = CT_STATIC;
		idc = IDC_HINTC_BG;
		style = ST_HUD_BACKGROUND;
		x = 0.35;
		y = 0.40;
		w = 0.30;
		h = 0.06;
		text = "";
		colorBackground[] = {0, 0, 0, 0.8};
		colorText[] = {0, 0, 0, 0};
		font = FontS;
		sizeEx = 0;
	};
	class Hint : RscIGText
	{
		idc = IDC_HINTC_HINT;
		style = ST_MULTI + ST_SHADOW;
		lineSpacing = 1;
		x = 0.36;
		y = 0.41;
		w = 0.28;
		text = STR_DISP_ERROR;
	};
	class Continue : RscActiveText
	{
		idc = IDC_CANCEL;
		style = ST_RIGHT;
		font = "tahomaB24";
		sizeEx = 0.02;
		x = 0.50;
		y = 0.43;
		w = 0.14;
		h = 0.02; 
		text = $STR_DISP_HINTC_CONTINUE;
		color[] = {0.8, 0.8, 0.8, 1};
		colorActive[] = {0.8, 0.8, 0, 1};
	};
};

	// **Weapon info, fuel, hint etc.**
class RscInGameUI
{
	unitInfoTypes[] =
	{
		RscUnitInfoSoldier,	// soldier,
		RscUnitInfoTank,		// tank
		RscUnitInfo,				// car
		RscUnitInfo,				// ship
		RscUnitInfoAir,	  	// airplane
		RscUnitInfoAir// helicopter
	};

	class RscUnitInfoSoldier		// edited
	{
		idd = IDD_UNITINFO;
		movingEnable = false;
		controls[]=
		{
			Background,
			Weapon,
			Ammo
		};
		class Background		// edited
		{
			type = CT_STATIC;
			idc = IDC_IGUI_BG;
			style = ST_HUD_BACKGROUND;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.02 - AR_modifX);
				y=__EVAL(0.02 - AR_modifY);
			#else
				x=0.02
				y=0.02
			#endif
			w = 0.20;
			h = 0.04; //h = 0.23; 
			text = "";
			colorBackground[] = {0, 0, 0, 0.8};
			colorText[] = {0, 0, 0, 0};
			font = FontS;
			sizeEx = 0;
		};
		class Time : RscIGText
		{
			idc = IDC_IGUI_TIME;
			x = 0.025;
			y = 0.025;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Date : RscIGText
		{
			idc = IDC_IGUI_DATE;
			style = ST_RIGHT + ST_SHADOW;
			x = 0.025;
			y = 0.025;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Name : RscIGText
		{
			idc = IDC_IGUI_NAME;
			x = 0.025;
			y = 0.055;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Unit : RscIGText
		{
			idc = IDC_IGUI_UNIT;
			x = 0.025;
			y = 0.075;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		/*
		class TextExp : RscIGText
		{
			idc = IDC_IGUI_TEXT_EXP;
			x = 0.025;
			y = 0.105;
			w = 0.190;
			text = $STR_UI_EBAR;
		};
		class ValueExp : RscIGProgress
		{
			idc = IDC_IGUI_VALUE_EXP;
			x = 0.115;
			y = 0.106;
			w = 0.100;
		};
		class Formation : RscIGText
		{
			idc = IDC_IGUI_FORMATION;
			x = 0.025;
			y = 0.135;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class CombatMode : RscIGText
		{
			idc = IDC_IGUI_COMBAT_MODE;
			x = 0.025;
			y = 0.155;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class TextHealth : RscIGText
		{
			idc = IDC_IGUI_TEXT_HEALTH;
			x = 0.025;
			y = 0.04; //y = 0.185;
			w = 0.190;
			text = $STR_UI_HBAR;
		};
		class ValueHealth : RscIGProgress
		{
			idc = IDC_IGUI_VALUE_HEALTH;
			x = 0.115;
			y = 0.041; // y = 0.186;
			w = 0.100;
		};
		*/
		class Weapon : RscIGText		// edited
		{
					
			idc = IDC_IGUI_WEAPON;
			#ifndef AR_CENTERHUD
				x = __EVAL(0.025 - AR_modifX);
				y = __EVAL(0.033 - AR_modifY); // y = 0.225;
			#else
				x=0.025
				y=0.033
			#endif
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Ammo : RscIGText		// edited
		{
			idc = IDC_IGUI_AMMO;
			style = ST_RIGHT + ST_SHADOW;
			#ifndef AR_CENTERHUD
				x = __EVAL(0.025 - AR_modifX);
				y = __EVAL(0.033 - AR_modifY); // y = 0.225;
			#else
				x=0.025
				y=0.033
			#endif
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
	};

	class RscUnitInfoTank		// edited
	{
		idd = IDD_UNITINFO;
		movingEnable = false;
		controls[]=
		{
			Background,
			Weapon,
			Ammo
		};
		class Background		// edited
		{
			type = CT_STATIC;
			idc = IDC_IGUI_BG;
			style = ST_HUD_BACKGROUND;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.02 - AR_modifX);
				y=__EVAL(0.02 - AR_modifY);
			#else
				x=0.02
				y=0.02
			#endif
			w = 0.20;
			h = 0.195;
			text = "";
			colorBackground[] = {0, 0, 0, 0.8};
			colorText[] = {0, 0, 0, 0};
			font = FontS;
			sizeEx = 0;
		};
		class Weapon : RscIGText		// edited
		{
			idc = IDC_IGUI_WEAPON;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.185 - AR_modifY);
			#else
				x=0.025
				y=0.185
			#endif
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Ammo : RscIGText		// edited
		{
			idc = IDC_IGUI_AMMO;
			style = ST_RIGHT + ST_SHADOW;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.185 - AR_modifY);
			#else
				x=0.025
				y=0.185
			#endif
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
	};

	class RscUnitInfo		// edited
	{
		idd = IDD_UNITINFO;
		movingEnable = false;
		controls[]=
		{
			Background,
			ValueArmor,
			ValueFuel,
			//Time,
			//Date,
			//Name,
			//Unit,
			//Vehicle,
			Speed,
			Alt,
			//TextExp,
			//ValueExp,
			//CombatMode,
			//Formation,
			//TextHealth,
			//ValueHealth,
			TextArmor,
			TextFuel,
			//CargoMan,
			//CargoFuel,
			//CargoRepair,
			//CargoAmmo,
			Weapon,
			Ammo
		};
		class Background		// edited
		{
			type = CT_STATIC;
			idc = IDC_IGUI_BG;
			style = ST_HUD_BACKGROUND;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.02 - AR_modifX);
				y=__EVAL(0.02 - AR_modifY);
			#else
				x=0.02
				y=0.02
			#endif
			w = 0.20;
			h = 0.115;
			text = "";
			colorBackground[] = {0, 0, 0, 0.8};
			colorText[] = {0, 0, 0, 0};
			font = FontS;
			sizeEx = 0;
		};
		/*
		class Time : RscIGText
		{
			idc = IDC_IGUI_TIME;
			x = 0.025;
			y = 0.025;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Date : RscIGText
		{
			idc = IDC_IGUI_DATE;
			style = ST_RIGHT;
			x = 0.025;
			y = 0.025;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Name : RscIGText
		{
			idc = IDC_IGUI_NAME;
			x = 0.025;
			y = 0.055;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Unit : RscIGText
		{
			idc = IDC_IGUI_UNIT;
			x = 0.025;
			y = 0.025;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Vehicle : RscIGText
		{
			idc = IDC_IGUI_VEHICLE;
			x = 0.025;
			y = 0.055;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		*/
		class Speed : RscIGText		// edited
		{
			idc = IDC_IGUI_SPEED;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.025 - AR_modifY);
			#else
				x=0.025
				y=0.025
			#endif
			w = 0.090;
			text = $STR_DISP_ERROR;
		};
		class Alt : RscIGText		// edited
		{
			idc = IDC_IGUI_ALT;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.125 - AR_modifX);
				y=__EVAL(0.025 - AR_modifY);
			#else
				x=0.125
				y=0.025
			#endif
			w = 0.090;
			text = $STR_DISP_ERROR;
		};
		/*
		class TextExp : RscIGText
		{
			x = 0.025;
			y = 0.155;
			w = 0.190;
			text = $STR_UI_EBAR;
		};
		class ValueExp : RscIGProgress
		{
			idc = IDC_IGUI_VALUE_EXP;
			x = 0.115;
			y = 0.156;
			w = 0.100;
		};
		*/
		/*
		class Formation : RscIGText
		{
			idc = IDC_IGUI_FORMATION;
			x = 0.025;
			y = 0.185;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class CombatMode : RscIGText
		{
			idc = IDC_IGUI_COMBAT_MODE;
			x = 0.025;
			y = 0.205;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class TextHealth : RscIGText
		{
			x = 0.025;
			y = 0.235;
			w = 0.190;
			text = $STR_UI_HBAR;
		};
		class ValueHealth : RscIGProgress
		{
			idc = IDC_IGUI_VALUE_HEALTH;
			x = 0.115;
			y = 0.236;
			w = 0.100;
		};
		*/
		class TextArmor : RscIGText		// edited
		{
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.055 - AR_modifY);
			#else
				x=0.025
				y=0.055
			#endif
			w = 0.190;
			text = $STR_UI_ABAR;
		};
		class ValueArmor : RscIGProgress		// edited
		{
			idc = IDC_IGUI_VALUE_ARMOR;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.115 - AR_modifX);
				y=__EVAL(0.056 - AR_modifY);
			#else
				x=0.115
				y=0.056
			#endif
			w = 0.100;
		};
		class TextFuel : RscIGText		// edited
		{
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.075 - AR_modifY);
			#else
				x=0.025
				y=0.075
			#endif
			w = 0.190;
			text = $STR_UI_FBAR;
		};
		class ValueFuel : RscIGProgress		// edited
		{
			idc = IDC_IGUI_VALUE_FUEL;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.115 - AR_modifX);
				y=__EVAL(0.076 - AR_modifY);
			#else
				x=0.115
				y=0.076
			#endif
			w = 0.100;
		};
		/*
		class CargoMan : RscIGText
		{
			idc = IDC_IGUI_CARGO_MAN;
			x = 0.025;
			y = 0.155;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class CargoFuel : RscIGText
		{
			idc = IDC_IGUI_CARGO_FUEL;
			x = 0.025;
			y = 0.155;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class CargoRepair : RscIGText
		{
			idc = IDC_IGUI_CARGO_REPAIR;
			x = 0.025;
			y = 0.155;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class CargoAmmo : RscIGText
		{
			idc = IDC_IGUI_CARGO_AMMO;
			x = 0.025;
			y = 0.155;
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		*/
		class Weapon : RscIGText		// edited
		{
			idc = IDC_IGUI_WEAPON;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.105 - AR_modifY);
			#else
				x=0.025
				y=0.105
			#endif
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
		class Ammo : RscIGText		// edited
		{
			idc = IDC_IGUI_AMMO;
			style = ST_RIGHT + ST_SHADOW;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.105 - AR_modifY);
			#else
				x=0.025
				y=0.105
			#endif
			w = 0.190;
			text = $STR_DISP_ERROR;
		};
	};

	class RscUnitInfoAir: RscUnitInfo
	{
	};

	class RscHint		// edited
	{
		idd = IDD_HINT;
		movingEnable = false;
		controls[]=
		{
			Background,
			Hint
		};
		class Background		// edited
		{
			type = CT_STATIC;
			idc = IDC_IGHINT_BG;
			style = ST_HUD_BACKGROUND;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.02 - AR_modifX);
				y=__EVAL(0.02 - AR_modifY);
			#else
				x=0.02
				y=0.02
			#endif
			w = 0.20;
			h = 0.04;
			text = "";
			colorBackground[] = {0, 0, 0, 0.8};
			colorText[] = {0, 0, 0, 0};
			font = FontS;
			sizeEx = 0;
		};
		class Hint : RscIGText		// edited
		{
			idc = IDC_IGHINT_HINT;
			style = ST_MULTI + ST_SHADOW;
			lineSpacing = 1;
			#ifndef AR_CENTERHUD
				x = __EVAL(0.025 - AR_modifX);
				y = __EVAL(0.033 - AR_modifY); // y = 0.225;
			#else
				x=0.025
				y=0.033
			#endif
			w = 0.190;
			text = STR_DISP_ERROR;
		};
	};
};

	// **Rsc/Cut titles (aspect + fix)**
class RscTitles
{
	class Default
	{
		idd=-1;
		movingEnable = false;
		duration=4;
	};

	class DefPic : Default 
	{
		type = CT_STATIC;
		idc = -1;
		style = ST_PICTURE;
		colorBackground[] = {0, 0, 0, 0};
		colorText[] = {1, 1, 1, 1};
		font = FontS;
		sizeEx = 0;
	};

	class BIS		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=4;
		name="BI Studio";
		controls[]={"Background","BIS1","BIS2","WWW"};

		class BIS1:RscPicture
			{
			text="BI1fit.pac";
			x=0.2;
			y=0.23;
			w=0.3;
			h=0.4;
			};

		class BIS2:RscPicture
			{
			text="BI2fit.pac";
			x=0.5;
			y=0.23;
			w=0.3;
			h=0.4;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class WWW:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="w w w . b i s t u d i o . c o m";
			x=0.05;
			y=0.67;
			w=0.9;
			h=0.5;
			colorText[]={1,1,1,1};
			font="tahomaB36";
			sizeEx=0.03;
			};
		};

	class Codemasters		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=4;
		name="Codemasters";
		controls[]={"Background","CM4","CM1","CM2","CM3"};

		class CM1:RscPicture
			{
			text="CM1fit.paa";
			x=0.05;
			y=0.3;
			w=0.3;
			h=0.4;
			};

		class CM2:RscPicture
			{
			text="CM2fit.paa";
			x=0.35;
			y=0.3;
			w=0.3;
			h=0.4;
			};

		class CM3:RscPicture
			{
			text="CM3fit.paa";
			x=0.65;
			y=0.3;
			w=0.3;
			h=0.4;
			};

		class CM4:RscPicture
			{
			text="CMsign.paa";
			x=0.65;
			y=0.3;
			w=0.3;
			h=0.4;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class LegalScreen		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=6;
		name="Copyrights";
		controls[]={"Background","CM4","CM1","CM2","CM3","CopText","InfoText"};

		class CopText:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.5;
			text=" 2001 Bohemia Interactive and The Codemasters Software Company Limited (""Codemasters""). \nAll rights reserved. ""Codemasters"" is a registered trademark of Codemasters. \n""GENIUS AT PLAY"" and ""Operation Flashpoint"" are trademarks of Codemasters. \nDeveloped by Bohemia Interactive. Published by Codemasters. \nAll other copyrights or trademarks are the property of their respective owners.";
			x=0.05;
			y=0.3;
			w=0.9;
			h=0.5;
			colorText[]={1,1,1,1};
			font="tahomaB36";
			sizeEx="0.8 * 0.03";
			};

		class InfoText:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.5;
			text="Counterfeit copying or trading in counterfeit copies is illegal.\nOperation Flashpoint: Cold War Crisis is protected from  unauthorized copying by a unique system. In counterfeit copies, the gameplay will degrade after a period of time to a point where the game is no longer playable. This does not happen to genuine software. if you are any doubt about the authenticity of your Operation Flashpoint disc, make sure you have original packaging and a printed silver disc. \nCOUNTERFEIT SOFTWARE IS NOT WORTH PURCHASING.";
			x=0.05;
			y=0.6;
			w=0.9;
			h=0.5;
			colorText[]={1.0,1.0,0.5,1};
			font="tahomaB36";
			sizeEx="0.8 * 0.03";
			};

		class CM1:RscPicture
			{
			text="CM1fit.paa";
			x=0.35;
			y=0.1;
			w=0.1;
			h=0.13333;
			};

		class CM2:RscPicture
			{
			text="CM2fit.paa";
			x=0.45;
			y=0.1;
			w=0.1;
			h=0.13333;
			};

		class CM3:RscPicture
			{
			text="CM3fit.paa";
			x=0.55;
			y=0.1;
			w=0.1;
			h=0.13333;
			};

		class CM4:RscPicture
			{
			text="CMsign.paa";
			x=0.55;
			y=0.1;
			w=0.1;
			h=0.13333;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class Features1		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=6;
		name="Features";
		controls[]={"Background","Back","FP1","FP2","FP3","Text1","Text2"};

		class Text1:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text=" The best of cold war military equipment: battling on foot, in armor and in the sky\n\n 30+ playable vehicles, 20+ different infantry weapons: guns, missiles, explosives\n\n Leadership of up to 12 units in the squad: simple point and click interface \n\n Over 50 missions on 3 huge islands: featuring a campaign with exciting storyline\n\n Intuitive mission editor: players can create own missions and campaigns \n\n Multiplayer combat over LAN or Internet: including Voice Over Net";
			x=0.0;
			y=0.3;
			w=1.0;
			h=0.73;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64";
			sizeEx="0.8 * 0.05";
			};

		class Back:RscText
			{
			x=0.0;
			y=0.24;
			w=1.0;
			h=0.6;
			text="";
			colorBackground[]={0.12,0.15,0.04,1};
			};

		class Text2:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1;
			text="OUT NOW!";
			x=0.05;
			y=0.89;
			w=0.9;
			h=0.5;
			colorText[]={0.23,0.3,0.08,0.5};
			font="SteelfishB64";
			sizeEx=0.05;
			};

		class FP1:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.5};
			text="OFPlogo1.paa";
			x=0.32;
			y=0.07;
			w=0.12;
			h=0.133;
			};

		class FP2:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.5};
			text="OFPlogo2.paa";
			x=0.44;
			y=0.07;
			w=0.12;
			h=0.133;
			};

		class FP3:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.5};
			text="OFPlogo3.paa";
			x=0.56;
			y=0.07;
			w=0.12;
			h=0.133;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

/*	class Features		// removed (wasn't working)
		{
		idd=-1;
		movingEnable=0;
		duration=6;
		name="Features";
		controls[]={"CGW1","CGW2","CGW3","CGW4"};

		class CGW1:RscPicture
			{
			colorText[]={1,1,1,1};
			text="\img\CGW1.jpg";
			x=0;
			y=0;
			w=0.5;
			h=0.666;
			};

		class CGW2:RscPicture
			{
			colorText[]={1,1,1,1};
			text="\img\CGW2.jpg";
			x=0.5;
			y=0;
			w=0.5;
			h=0.666;
			};

		class CGW3:RscPicture
			{
			colorText[]={1,1,1,1};
			text="\img\CGW3.jpg";
			x=0;
			y=0.666;
			w=0.5;
			h=0.333;
			};

		class CGW4:RscPicture
			{
			colorText[]={1,1,1,1};
			text="\img\CGW4.jpg";
			x=0.5;
			y=0.666;
			w=0.5;
			h=0.333;
			};
		};
*/

	class Flashpoint		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=4;
		name="Operation Flashpoint";
		controls[]={"Background","FP1","FP2","FP3"};

		class FP1:RscPicture
			{
			text="OFPlogo1.paa";
			x=0.05;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class FP2:RscPicture
			{
			text="OFPlogo2.paa";
			x=0.35;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class FP3:RscPicture
			{
			text="OFPlogo3.paa";
			x=0.65;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class resistance		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=4;
		name="Resistance logo";
		controls[]={"Background","RE1","RE2","RE3"};

		class RE1:RscPicture
			{
			text="\o\misc\OFPRlogo01.paa";
			x=0.05;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class RE2:RscPicture
			{
			text="\o\misc\OFPRlogo02.paa";
			x=0.35;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class RE3:RscPicture
			{
			text="\o\misc\OFPRlogo03.paa";
			x=0.65;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class creditsback		// edited (aspect+fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="Creditsback";
		controls[]={"Back","background"};

		class Back:RscText		// edited
			{
			x=__EVAL(0.72 + AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=0.28;								// fixed (shorter width for triplehead)
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.0,0.0,0.0,1};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class creditsbackBIS		// edited (aspect+fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="CreditsbackBIS";
		controls[]={"Back","background","web","BIS1","BIS2","dev"};

		class Back:RscText		// edited
			{
			x=__EVAL(0.72 + AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=0.28;						// fixed (shorter width for triplehead)
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.0,0.0,0.0,1};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class BIS1:RscPicture		// edited
			{
			text="BI1fit.pac";
			x=__EVAL(0.76 + AR_modifX);
			y=__EVAL(0.04 - AR_modifY);
			w=0.1;
			h=0.12;
			};

		class BIS2:RscPicture		// edited
			{
			text="BI2fit.pac";
			x=__EVAL(0.86 + AR_modifX);
			y=__EVAL(0.04 - AR_modifY);
			w=0.1;
			h=0.12;
			};

		class web:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="www.bistudio.com";
			x=__EVAL(0.41 + AR_modifX);
			y=__EVAL(0.95 + AR_modifY);
			w=0.9;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.7 * 0.03";
			};

		class dev:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS12a";
			x=__EVAL(0.41 + AR_modifX);
			y=__EVAL(0.02 - AR_modifY);
			w=0.9;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.6 * 0.03";
			};
		};

	class BISleader:creditsbackBIS		// edited
		{
		name="BISleader";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS01";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN01";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="1.1 * 0.05";
			};
		};

	class BISprogram:creditsbackBIS		// edited
		{
		name="BISprogrammer";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS02";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN02";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISart:creditsbackBIS		// edited
		{
		name="BISart";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS03";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN03";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISdesign:creditsbackBIS		// edited
		{
		name="BISdesign";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS04";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN04";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISother1:creditsbackBIS		// edited
		{
		name="BISother1";
		controls[]={"Back","background","web","BIS1","BIS2","work1","work2","work3","name1","name2","name3","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS05";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN05";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS06";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.45 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN06";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.5 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};

		class work3:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS07";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.6 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name3:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN07";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.65 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISmusic:creditsbackBIS		// edited
		{
		name="BISmusic";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","name2","name3","name4","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS09";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN09";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN09a";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.5 * 0.05";
			};

		class name3:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN09b";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.6 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.5 * 0.05";
			};

		class name4:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN09c";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.63 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISsfx:creditsbackBIS		// edited
		{
		name="BISsfx";
		controls[]={"Back","background","web","BIS1","BIS2","work1","work2","name1","name2","dev","copy"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS10";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN10";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.8 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS08";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.55 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN08";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.6 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};

		class copy:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_COPY";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.7 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};
		};

	class BISthx:creditsbackBIS		// edited
		{
		name="BISthx";
		controls[]={"Back","background","web","BIS1","BIS2","work2","name2","dev"};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS11";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN11";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.8 * 0.05";
			};
		};

	class creditsbackCM		// edited (aspect+fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="CreditsbackCM";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub"};

		class Back:RscText		// edited
			{
			x=__EVAL(0.72 + AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=0.28;						// fixed (shorter width for triplehead)
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.0,0.0,0.0,1};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class CM1:RscPicture		// edited
			{
			text="CM1fit.paa";
			x=__EVAL(0.74 + AR_modifX);
			y=__EVAL(0.03 - AR_modifY);
			w=0.08;
			h=0.1;
			};

		class CM2:RscPicture		// edited
			{
			text="CM2fit.paa";
			x=__EVAL(0.82 + AR_modifX);
			y=__EVAL(0.03 - AR_modifY);
			w=0.08;
			h=0.1;
			};

		class CM3:RscPicture		// edited
			{
			text="CM3fit.paa";
			x=__EVAL(0.9 + AR_modifX);
			y=__EVAL(0.03 - AR_modifY);
			w=0.08;
			h=0.1;
			};

		class CM4:RscPicture		// edited
			{
			text="CMsign.paa";
			x=__EVAL(0.9 + AR_modifX);
			y=__EVAL(0.03 - AR_modifY);
			w=0.08;
			h=0.1;
			};

		class pub:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS12";
			x=__EVAL(0.41 + AR_modifX);
			y=__EVAL(0.015 - AR_modifY);
			w=0.9;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.6 * 0.03";
			};

		class web:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="www.codemasters.com";
			x=__EVAL(0.41 + AR_modifX);
			y=__EVAL(0.95 + AR_modifY);
			w=0.9;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.7 * 0.03";
			};
		};

	class CMProducer:creditsbackCM		// edited
		{
		name="CMproducer";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS13";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.4 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN13";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.45 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMdesign:creditsbackCM		// edited
		{
		name="CMdesign";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS14";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN14";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMQA:creditsbackCM		// edited
		{
		name="CMQA";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS15";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.93;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN15";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.93;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMMrkev:creditsbackCM		// edited
		{
		name="CMMrkev";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS16";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.93;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN16";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.93;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.8 * 0.05";
			};
		};

	class CMVoice:creditsbackCM		// edited
		{
		name="CMVoice";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","work2","name2","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS17";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN17";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS18";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.45 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN18";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.5 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMlocal:creditsbackCM		// edited
		{
		name="CMlocal";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","work2","name2","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS19";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN19";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS20";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN20";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.4 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMlegal:creditsbackCM		// edited
		{
		name="CMlegal";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","work2","name2","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS21";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN21";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS22";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.45 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN22";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.5 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class Endof		// edited (aspect + fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="Endof";
		controls[]={"Back2","background","copy"};

		class Back2:RscText		// edited
			{
			x=__EVAL(0.0 - AR_modifX);
			y=__EVAL(0.95 + AR_modifY);
			w=__EVAL(1.0 + AR_modifX * 2);
			h=1.0;
			text="";
			colorBackground[]={0.0,0.0,0.0,0.5};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class copy:RscText		// edited (aspect + fix)
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS23";
			x=0;						// centered (fix)
			y=__EVAL(0.96 + AR_modifY);
			w=1;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.7 * 0.03";
			};
		};

	class foto		// edited (aspect + fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="foto";
		fadein=0;
		controls[]={"background","copy","up","down","right","left",BlackBackgroundL,BlackBackgroundR};	// added blackbackgrounds for triplehead

		class BlackBackgroundL : RscText		// added
		{
			x=__EVAL(-AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(AR_modifX_2NDMON);
			h=__EVAL(1 + AR_modifY * 2);
			colorBackground[]={0,0,0,1};
			text = "";
		};
		
		class BlackBackgroundR : BlackBackgroundL	// added
		{
			x=__EVAL(1 + AR_modifX);
		};
	
		class up:RscText		// edited
			{
			x=__EVAL(0.0 - AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=__EVAL(1.0 + AR_modifX * 2);
			h=0.02;
			text="";
			colorBackground[]={0.9,0.9,0.9,1.0};
			};

		class down:RscText		// edited
			{
			x=__EVAL(0.0 - AR_modifX);
			y=__EVAL(0.98 + AR_modifY);
			w=__EVAL(1.0 + AR_modifX * 2);
			h=1.0;
			text="";
			colorBackground[]={0.9,0.9,0.9,1.0};
			};

		class left:RscText		// edited
			{
			x=__EVAL(0.0 - AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=0.02;
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.9,0.9,0.9,1.0};
			};

		class right:RscText		// edited
			{
			x=__EVAL(0.98 + AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=1.0;
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.9,0.9,0.9,1.0};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class copy:RscText		// edited (aspect + fix)
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS23";
			x=0;		// centered (fix)
			y=__EVAL(0.9 + AR_modifY);
			w=1;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.7 * 0.03";
			};
		};

	class Endof2		// edited (aspect + fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="Endof2";
		controls[]={"Back2","background","copy"};

		class Back2:RscText		// edited
			{
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
			h=__EVAL(1 + AR_modifY * 2);
			text="";
			colorBackground[]={0.0,0.0,0.0,0.7};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class copy:RscText		// edited (fix)
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS24";
			x=0;		// centered (fix)
			y=0.5;
			w=1;
			h=0.7;
			colorText[]={1,1,1,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};
		};

	class maintitles1
	{
		idd=-1;
		movingEnable = false;
		duration=4;
		name = "maintitles1";
		controls[]=
		{
			Background, maintitles_01, maintitles_02
		};


		class Background : RscText
		{
			text = ;
			colorBackground[] = {0, 0, 0, 0};
			x = 0; y = 0; w = 1; h = 1;
			colorText[] = {0, 0, 0, 0};
		};

		class maintitles_01 : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1.0;
			text = $STR_MAINTITLES_01;
			x = -0.02; y = 0.487; w = 0.9; h = 0.5;
			colorText[] = {1, 1, 1, 1};
			font = ForceFontTITLE;
			sizeEx = 0.098;
		};
		
		class maintitles_02 : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1.0;
			text = $STR_MAINTITLES_02;
			x = 0.16; y = 0.520; w = 0.9; h = 0.5;
			colorText[] = {1, 1, 1, 1};
			font = ForceFontTITLE;
			sizeEx = 0.6 * 0.098;
		};
		
	};
	
	class maintitles2
	{
		idd=-1;
		movingEnable = false;
		duration=4;
		name = "maintitles2";
		controls[]=
		{
			Background, maintitles_03, maintitles_04 , maintitles_05
		};


		class Background : RscText
		{
			text = ;
			colorBackground[] = {0, 0, 0, 0};
			x = 0; y = 0; w = 1; h = 1;
			colorText[] = {0, 0, 0, 0};
		};

		class maintitles_03 : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1.0;
			text = $STR_MAINTITLES_03;
			x = -0.19; y = 0.520; w = 0.9; h = 0.5;
			colorText[] = {1, 1, 1, 1};
			font = ForceFontTITLE;
			sizeEx = 0.6 * 0.098;
		};
		
		class maintitles_04 : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1.0;
			text = $STR_MAINTITLES_04;
			x = 0.01; y = 0.487; w = 0.9; h = 0.5;
			colorText[] = {1, 1, 1, 1};
			font = ForceFontTITLE;
			sizeEx = 1.0 * 0.098;
		};
		class maintitles_05 : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1.0;
			text = $STR_MAINTITLES_05;
			x = 0.26; y = 0.520; w = 0.9; h = 0.5;
			colorText[] = {1, 1, 1, 1};
			font = ForceFontTITLE;
			sizeEx = 0.6 * 0.098;
		};

		
	};
	
	class maintitles3
	{
		idd=-1;
		movingEnable = false;
		duration=6;
		name = "maintitles3";
		controls[]=
		{
			Background, maintitles_06
		};


		class Background : RscText
		{
			text = ;
			colorBackground[] = {0, 0, 0, 0};
			x = 0; y = 0; w = 1; h = 1;
			colorText[] = {0, 0, 0, 0};
		};

		class maintitles_06 : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1.0;
			text = $STR_MAINTITLES_06;
			x = 0.045; y = 0.47; w = 0.9; h = 0.5;
			colorText[] = {1, 1, 1, 1};
			font = ForceFontTITLE;
			sizeEx = 1.4 * 0.098;
		};
		
		
	};
	
	
	
	class binocular		// edited
	{
		idd=-1;
		movingEnable=0;
		duration=1000;
		name="binocular";
		objects[]={"binocular"};
		fadein=0;		// added
		
		// adds black bars on the sides to fill holes
		controlsBackground[]={FillBinoHoleL, FillBinoHoleR};
		class FillBinoHoleL : RscBackground 
		{
			style = 0; 
			x = __EVAL(0 - AR_modifX - AR_modifX_2NDMON - 0.02); 
			y = __EVAL(0 - AR_modifY); 
			w = __EVAL(AR_modifX + AR_modifX_2NDMON); 
			h = __EVAL(1 + AR_modifY * 2); 
			colorBackground[]={0,0,0,1};
		};
		class FillBinoHoleR : FillBinoHoleL {x=1.02;};

		class binocular:RscObject
			{
			model="optika_dalekohled.p3d";
			idc=-1;
			position[]={0,0,0.063};
			direction[]={"sin 0","sin 180 * cos 0","cos 180 * cos 0"};
			up[]={0,"cos 180","-sin 180"};
			};
		};

	class reslogo
	{
		idd=-1;
		movingEnable = false;
		duration=1000;
		name = "reslogo";
		objects[]= {binocular};
		
		class binocular : RscObject
		{
			model= "\o\misc\Resistance_logo.p3d";
			idc=-1;
			position[] = {0,0,3.5};
			direction[] = {sin 0, sin 180 * cos 0, cos 180 * cos 0};
			up[] = {0, cos 0, -sin 180};
		};
	};
	
	class Demo1
	{
		idd=-1;
		movingEnable = false;
		duration=4;
		name = "Demo 1";
		controls[]=
		{
			Text
		};

		class Text : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1;
			text = "Your transport is down. \nYou're about to ditch in hostile territory.";
			x = 0.05; y = 0.4; w = 0.9; h = 0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font = FontTITLE;
			sizeEx = 0.6 * 0.098;
		};
	};
	class Demo2
	{
		idd=-1;
		movingEnable = false;
		duration=2;
		name = "Demo 2 - Think fast";
		controls[]=
		{
			Text
		};

		class Text : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1;
			text = "Think fast, what are your options?";
			x = 0.05; y = 0.4; w = 0.9; h = 0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font = FontTITLE;
			sizeEx = 0.6 * 0.098;
		};
	};
	class Demo3
	{
		idd=-1;
		movingEnable = false;
		duration=1;
		name = "Demo 3 - Hide";
		controls[]=
		{
			Text
		};

		class Text : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1;
			text = "Hide?";
			x = 0.05; y = 0.4; w = 0.9; h = 0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font = FontTITLE;
			sizeEx = 0.098;
		};
	};
	class Demo4
	{
		idd=-1;
		movingEnable = false;
		duration=1;
		name = "Demo 4 - Fight";
		controls[]=
		{
			Text
		};

		class Text : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1;
			text = "Fight?";
			x = 0.05; y = 0.4; w = 0.9; h = 0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font = FontTITLE;
			sizeEx = 1.0 * 0.098;
		};
	};	
	class Demo5
	{
		idd=-1;
		movingEnable = false;
		duration=1;
		name = "Demo 5 - Surrender";
		controls[]=
		{
			Text
		};

		class Text : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1;
			text = "Surrender?";
			x = 0.05; y = 0.4; w = 0.9; h = 0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font = FontTITLE;
			sizeEx = 0.098;
		};
	};	


	class Demo6		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=1;
		name="Demo 6 - OFP your call";
		controls[]={"Background","FP1","FP2","FP3","Text"};

		class Text:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1;
			text="YOUR CALL.";
			x=0.05;
			y=0.5;
			w=0.9;
			h=0.3;
			colorText[]={1.0,1.0,1.0,0.5};
			font="SteelfishB128";
			sizeEx=0.098;
			};

		class FP1:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.3};
			text="OFPlogo1.paa";
			x=0.05;
			y=0.2;
			w=0.3;
			h=0.33;
			};

		class FP2:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.3};
			text="OFPlogo2.paa";
			x=0.35;
			y=0.2;
			w=0.3;
			h=0.33;
			};

		class FP3:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.3};
			text="OFPlogo3.paa";
			x=0.65;
			y=0.2;
			w=0.3;
			h=0.33;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class Demo7		// edited
	{
		idd=-1;
		movingEnable = false;
		duration=1;
		name = "Demo 7 TBC";
		controls[]=
		{
			Background, Text, Text1
		};

		class Text : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1;
			text = "JOIN NOW!";
			x = 0.05; y = 0.45; w = 0.9; h = 0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font = FontTITLE;
			sizeEx = 0.6 * 0.098;
		};
		class Text1 : RscText
		{
			style = ST_MULTI + ST_CENTER + ST_NO_RECT;
			lineSpacing = 1;
			text = "The ultimate test of your combat skills on PC CD-ROM.";
			x = 0.05; y = 0.55; w = 0.9; h = 0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font = FontTITLEHalf;
			sizeEx = 0.8 * 0.05;
		};
		class Background : RscText		// edited
		{
			text = ;
			colorBackground[] = {0, 0, 0, 1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[] = {0, 0, 0, 0};
		};
	};

	/*
	titles[] = 
	{
		Codemasters, BIS, Flashpoint, resistance , LegalScreen, Features, Features1, Demo1, Demo2, Demo3, Demo4, Demo5, Demo6, Demo7, binocular,reslogo, creditsbackBIS,
		BISleader, BISprogram, BISart, BISdesign, BISother1, BISmusic, BISsfx, BISthx,
		creditsbackCM, CMProducer, CMdesign, CMQA, CMMrkev,  CMVoice, CMlocal,CMlegal,
		Endof, Endof2, creditsback,foto, maintitles1, maintitles2, maintitles3
	};
	*/
	
	class RscFDFFade // FDF		// edited
	{
	  	idd=-1;
	  	movingEnable=0;
	  	duration=1;
	  	fadein=5;
		fadeout=0;
	  	name="RscFDFFade";
	  	controls[]={"Pic"};
	  	
	  	class Pic : RscText
	  	  {	  	  
	  	  	style=48; 
	  	  	colorText[]={1.0,1.0,1.0,1.0};	
	  	  	text="\data\blck_sum.pac";
			x = __EVAL(0.743 + AR_modifX); y = __EVAL(0.889 + AR_modifY); w = 0.250; h = 0.042;	  	  
	  	  };	  	
	};	
	
	class RscFDFCredits1 // FDF MOD credits 1
	{
	  	idd=-1;
	  	movingEnable=0;
	  	duration=7;
	  	fadein=3;
		fadeout=3;
	  	name="RscFDFCredits1";
	  	controls[]={"Pic"};
	  	
	  	class Pic : RscText
	  	  {
			//style = ST_MULTI + ST_CENTER + ST_NO_RECT;	  	  	
	  	  	style=48; 
	  	  	text="\FDF_gfx\fdfc_1.paa";
	  	  	x=0.345;
	  	  	y=0.13;
	  	  	w=0.50;
	  	  	h=0.66;
			colorText[]={1.0,1.0,1.0,1.0};	  	  	
	  	  };
	  	
	};	

	class RscFDFCredits2 // FDF MOD credits 2
	{
	  	idd=-1;
	  	movingEnable=0;
	  	duration=8;
	  	fadein=3;
		fadeout=3;
	  	name="RscFDFCredits2";
	  	controls[]={"Pic"};
	  	
	  	class Pic : RscText
	  	  {
			//style = ST_MULTI + ST_CENTER + ST_NO_RECT;	  	  	
	  	  	style=48; 
	  	  	text="\FDF_gfx\fdfc_2.paa";
	  	  	x=0.345;
	  	  	y=0.13;
	  	  	w=0.50;
	  	  	h=0.66;
			colorText[]={1.0,1.0,1.0,1.0};	  	  	
	  	  };
	  	
	};		
	
	class RscFDFsplash // FDF MOD startup splash
	{
	  	idd=-1;
	  	movingEnable=false;
	  	duration=3;
	  	fadein=1;
		fadeout=1;
	  	name="RscFDFsplash";
	  	controls[]={"Pic1","pic2","pic3","FDFTxt"};	

		class FDFTxt : RscPicture // Logo 
		{
	  		duration=1;			
			text = "\FDF_gfx\FDFTitle.paa";
			colorText[]={1.0,1.0,1.0,1.0};
			x = 0.375; y = 0.512; w = 0.250; h = 0.042;
		};
		  	
	  	class Pic1 : RscText
	  	  { 	  	
	  	  	style=48; 
	  	  	text="\FDF_gfx\logo1.jpg";
	  	  	x=0.12;
	  	  	y=0.18;
	  	  	w=0.25;
	  	  	h=1/3;
			colorText[]={1.0,1.0,1.0,1.0};	  	  	
	  	  };
	  	class Pic2 : RscText
	  	  { 	  	
	  	  	style=48; 
	  	  	text="\FDF_gfx\logo2.jpg";
	  	  	x=0.12+0.25;
	  	  	y=0.18;
	  	  	w=0.25;
	  	  	h=1/3;
			colorText[]={1.0,1.0,1.0,1.0};	  	  	
	  	  };	  
	  	class Pic3 : RscText
	  	  { 	  	
	  	  	style=48; 
	  	  	text="\FDF_gfx\logo3.jpg";
	  	  	x=0.12+0.25+0.25;
	  	  	y=0.18;
	  	  	w=0.25;
	  	  	h=1/3;
			colorText[]={1.0,1.0,1.0,1.0};	  	  	
	  	  };		  	  	  
	  	
	};		

};

	// **Loading screen (tweak only)**
class RscDisplayLoadMission
{
	idd = -1;							// no identification is needed
	movingEnable = false;
	controls[]=
	{
		Name,
		Date
	};

	controlsBackground[]= {FDFl};		// added (tweak)
	
	class FDFL : RscPicture		// added (tweak)
	{
		text = "\FDF_gfx\FDFlogo.paa";
		colorText[]={0.5,0.5,0.5,0.4};
		x = __EVAL(0.68 + AR_modifX); y = __EVAL(0.75 + AR_modifY); w = 0.31; h = 0.13;
	};
	
	class Name : RscText
	{
		idc = IDC_LOAD_MISSION_NAME;
		text = $STR_DISP_ERROR;
		style = ST_CENTER;
		colorText[] = {1, 1, 1, 1};
		font = FontTITLEHalf;
		sizeEx = 1.0 * 0.05;
		x = 0;
		y = 0.45;
		w = 1;
		h = 0.05;
	};
	class Date : RscText
	{
		idc = IDC_LOAD_MISSION_DATE;
		text = $STR_DISP_ERROR;
		style = ST_CENTER;
		colorText[] = {1, 1, 1, 1};
		font = FontTITLEHalf;
		sizeEx = 0.8 * 0.05;
		x = 0;
		y = 0.5;
		w = 1;
		h = 0.05;
	};
};
// End of rscIGUI.hpp include

// Include from rscSanla.hpp
//
// Sanla artillery resource
//






/* ---------------------- RESOURCE -----------------------*/	

class RscObjSanlaText
{
	type = CT_3DSTATIC;
	style = ST_LEFT;
	idc = -1;
	color[] = {1, 0, 0, 0.4};
	font = FontHTMLBold;
	angle = 0;
	selection = "display";
	h = 0.03;
};

class RscObjSanlaButton
{
	idc = -1;
	type = CT_3DACTIVETEXT;
	style = ST_LEFT;
	color[] = {0, 0, 0, 0};
	colorActive[] = {0, 0, 0, 0};
	
	size = 0.05;	// 3D size
	
	font = FontHTML;
	angle = 0;
	selection = "keyb";

	w = 0.047;
	h = 0.119;
			
	soundEnter[] = {"ui\ui_over", 0.1, 0.8};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.15, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};

/*	soundEnter[] = {"ui\ui_over", 0.2, 1};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};*/

	default = false;
	text = "";	
};

	// **Writing machine?**
class DlgSanla
{
	idd = -1;
	movingEnable = false;
	controlsBackground[]=
	{
		Background3
	};
	class Background3 : RscText		// edited
	{
		x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y = __EVAL(0.0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h = __EVAL(1 + AR_modifY * 2);
		text = ;
		colorBackground[] = {0, 0, 0, 0.2};
	};
	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{	
		model = "\FDF_gfx\sanla\sanla.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1.5;
		animation = "notebook.rtm"
		position[] = {0, -0.01, 0.6};
		//direction[] = {sin 10, sin 20 * cos 10, cos 20 * cos 10};
		direction[] = {sin 10, sin 60 * cos 10, cos 20 * cos 10};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.7};
		//positionBack[] = {0, -0.14, 1.0};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[]={text, 
			n1, n2, n3, n4, n5, n6, n7, n8, n9, n0, nBackspace,
			nQ, nW, nE, nR, nT, nY, nU, nI, nO, nP,
			nA, nS, nD, nF, nG, nH, nJ, nK, nL, nKV,
			nZ, nX, nC, nV, nB, nN, nM, nPilkku, nPiste, nViiva,
			nLoppu, nSpace, nAlku,
			
			nFLaheta,
			
			valoSanoma, valoLahetys
			};
			
		class valoSanoma : RscPicture
		{
			idc = 123883; 
			text = "\FDF_gfx\sanla\valo.paa";
			x = 0; y = 0.6; w = 0.8; h = 0.8;
			colorText[] = {1, 1, 1, 1};
			selection = "valot";
		};
		
		class valoLahetys : RscPicture
		{
			idc = 123884; 
			text = "\FDF_gfx\sanla\valo.paa";
			x = 0; y = 0.75; w = 0.8; h = 0.8;
			colorText[] = {1, 1, 1, 1};
			selection = "valot";
		};		
		
		class text : RscObjSanlaText
		{
			idc = 123882;
			x = 0.05;
			y = 0.2;
			w = 1.0;
			h = 0.4;
			size = 0.2;	// 3D size
			colorText[] = {1, 0, 0, 1};
			colorSelect[] = {1, 1, 1, 1};
			colorSelectBackground[] = {0, 1, 0, 0.2};
			text = "";
			selection = "display";			
		};
		
		// Eka rivi
		
		class n1 : RscObjSanlaButton
		{
			x = 0.021;	y = 0.037;
			action = "[""1""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n2 : RscObjSanlaButton
		{
			x = 0.095;	y = 0.037;
			action = "[""2""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n3 : RscObjSanlaButton
		{
			x = 0.167;	y = 0.037;
			action = "[""3""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n4 : RscObjSanlaButton
		{
			x = 0.24;	y = 0.037;
			action = "[""4""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n5 : RscObjSanlaButton
		{
			x = 0.313;	y = 0.037;
			action = "[""5""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n6 : RscObjSanlaButton
		{
			x = 0.385;	y = 0.037;
			action = "[""6""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n7 : RscObjSanlaButton
		{
			x = 0.458;	y = 0.037;
			action = "[""7""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n8 : RscObjSanlaButton
		{
			x = 0.521;	y = 0.037;
			action = "[""8""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n9 : RscObjSanlaButton
		{
			x = 0.603;	y = 0.037;
			action = "[""9""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				

		class n0 : RscObjSanlaButton
		{
			x = 0.676;	y = 0.037;
			action = "[""0""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		
		class nBackspace : RscObjSanlaButton
		{
			x = 0.749;	y = 0.037;
			action = "[""backspace""] exec ""\scripts\sanla\nappi.sqs"";";		
		};				
		
		// Toka rivi
		
		class nQ : RscObjSanlaButton
		{
			x = 0.059;	y = 0.229;
			action = "[""Q""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nW : RscObjSanlaButton
		{
			x = 0.132;	y = 0.229;
			action = "[""W""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nE : RscObjSanlaButton
		{
			x = 0.205;	y = 0.229;
			action = "[""E""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nR : RscObjSanlaButton
		{
			x = 0.278;	y = 0.229;
			action = "[""R""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nT : RscObjSanlaButton
		{
			x = 0.351;	y = 0.229;
			action = "[""T""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nY : RscObjSanlaButton
		{
			x = 0.424;	y = 0.229;
			action = "[""Y""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nU : RscObjSanlaButton
		{
			x = 0.497;	y = 0.229;
			action = "[""U""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nI : RscObjSanlaButton
		{
			x = 0.570;	y = 0.229;
			action = "[""I""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nO : RscObjSanlaButton
		{
			x = 0.643;	y = 0.229;
			action = "[""O""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		class nP : RscObjSanlaButton
		{
			x = 0.716;	y = 0.229;
			action = "[""P""] exec ""\scripts\sanla\nappi.sqs"";";		
		};	
		
		
		
		// Kolmas rivi
		
		class nA : RscObjSanlaButton
		{
			x = 0.074;	y = 0.423;
			action = "[""A""] exec ""\scripts\sanla\nappi.sqs"";";		
		};			
		class nS : RscObjSanlaButton
		{
			x = 0.147;	y = 0.423;
			action = "[""S""] exec ""\scripts\sanla\nappi.sqs"";";		
		};			
		class nD : RscObjSanlaButton
		{
			x = 0.220;	y = 0.423;
			action = "[""D""] exec ""\scripts\sanla\nappi.sqs"";";		
		};			
		class nF : RscObjSanlaButton
		{
			x = 0.293;	y = 0.423;
			action = "[""F""] exec ""\scripts\sanla\nappi.sqs"";";		
		};			
		class nG : RscObjSanlaButton
		{
			x = 0.366;	y = 0.423;
			action = "[""G""] exec ""\scripts\sanla\nappi.sqs"";";		
		};			
		class nH : RscObjSanlaButton
		{
			x = 0.439;	y = 0.423;
			action = "[""H""] exec ""\scripts\sanla\nappi.sqs"";";		
		};			
		class nJ : RscObjSanlaButton
		{
			x = 0.512;	y = 0.423;
			action = "[""J""] exec ""\scripts\sanla\nappi.sqs"";";		
		};			
		class nK : RscObjSanlaButton
		{
			x = 0.585;	y = 0.423;
			action = "[""K""] exec ""\scripts\sanla\nappi.sqs"";";		
		};			
		class nL : RscObjSanlaButton
		{
			x = 0.658;	y = 0.423;
			action = "[""L""] exec ""\scripts\sanla\nappi.sqs"";";		
		};
			
		class nKV : RscObjSanlaButton
		{
			x = 0.731;	y = 0.423;
			action = "[""=""] exec ""\scripts\sanla\nappi.sqs"";";		
		};					
			
		// Neljs rivi
		
		class nZ : RscObjSanlaButton
		{
			x = 0.109;	y = 0.614;
			action = "[""Z""] exec ""\scripts\sanla\nappi.sqs"";";		
		};
		class nX : RscObjSanlaButton
		{
			x = 0.182;	y = 0.614;
			action = "[""X""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								
		class nC : RscObjSanlaButton
		{
			x = 0.255;	y = 0.614;
			action = "[""C""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								
		class nV : RscObjSanlaButton
		{
			x = 0.328;	y = 0.614;
			action = "[""V""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								
		class nB : RscObjSanlaButton
		{
			x = 0.401;	y = 0.614;
			action = "[""B""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								
		class nN : RscObjSanlaButton
		{
			x = 0.474;	y = 0.614;
			action = "[""N""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								
		class nM : RscObjSanlaButton
		{
			x = 0.547;	y = 0.614;
			action = "[""M""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								
		class nPilkku : RscObjSanlaButton
		{
			x = 0.630;	y = 0.614;
			action = "["",""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								
		class nPiste : RscObjSanlaButton
		{
			x = 0.693;	y = 0.614;
			action = "["".""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								
		class nViiva : RscObjSanlaButton
		{
			x = 0.766;	y = 0.614;
			action = "[""-""] exec ""\scripts\sanla\nappi.sqs"";";		
		};								

		// Viides rivi
		
		class nLoppu : RscObjSanlaButton
		{
			x = 0.107;	y = 0.806;
			action = "["">""] exec ""\scripts\sanla\nappi.sqs"";";		
		};
		class nSpace : RscObjSanlaButton
		{
			x = 0.381;	y = 0.806;
			action = "["" ""] exec ""\scripts\sanla\nappi.sqs"";";		
			w = 0.093;
		};
		class nAlku : RscObjSanlaButton
		{
			x = 0.702;	y = 0.806;
			action = "[""<""] exec ""\scripts\sanla\nappi.sqs"";";		
		};
		
		// Funktionappulat
		
		class nFLaheta : RscObjSanlaButton
		{
			x = 0.86;	y = 0.812;
			action = "[""laheta""] exec ""\scripts\sanla\nappi.sqs"";";		
		};		
		
	};

	controls[]={};
};
// End of rscSanla.hpp include
